<?php

namespace app\modules\Payment\controllers;

use yii\web\Controller;
use yii\helpers\Json;
use Yii;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use app\modules\application\models\CandidateTbl;
use common\models\User;

date_default_timezone_set('Asia/Kolkata');

/**
 * Default controller for the `Payment` module
 */
class HdfcResponseController extends Controller
{
    public $enableCsrfValidation = false;
    public function actionPaymentResponseHdfc()
    {
        // echo '<pre>'; print_r($_POST["encResp"]); die;

        if (isset($_POST["encResp"]) && !empty($_POST["encResp"]) && $_SERVER['REQUEST_METHOD'] === 'POST') {
            $workingKey = Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY'];
            $encResponse = $_POST["encResp"];            //This is the response sent by the CCAvenue Server
            $rcvdString = Yii::$app->HDFC_encDec->decrypt($encResponse, $workingKey);
            $decryptValues = explode('&', $rcvdString);
            $dataSize = count($decryptValues);
            $serverResponse = array();
            for ($i = 0; $i < $dataSize; $i++) {
                $getResponse = explode('=', $decryptValues[$i]);
                $serverResponse[$getResponse[0]] = $getResponse[1];
            }
            //store response
            if ($serverResponse['trans_date'] == 'null') {
                $tran_Date = date('Y-m-d H:i:s');
            } else {
                $tran_Date = date('Y-m-d H:i:s', strtotime(str_replace('/', '-', $serverResponse['trans_date'])));
            }
            if (isset($serverResponse['status_message']) && !empty($serverResponse['status_message'])) {
                $errorMessage = $serverResponse['order_status'];
            } else {
                $errorMessage = $serverResponse['failure_message'];
            }
            
            //  echo '<pre>'; print_r($serverResponse); die; 
            //set DB
            Yii::$app->session->set('NewDB', $serverResponse['merchant_param1']);
			$DB = Yii::$app->session->get('NewDB');
         
		  $this->loginAgain($serverResponse['merchant_param3']);
            if (empty($DB)) {
                return $this->redirect(['/site/login']);
            }
       
            $updateRes['BankResponse'] = json_encode($serverResponse);
            $updateRes['InvoiceCode'] = $serverResponse['order_id'];
            $updateRes['PaymentStatus'] = $serverResponse['order_status'];
            $updateRes['ResponseCode'] = $serverResponse['order_status'];
            $updateRes['CandidateID'] = $serverResponse['merchant_param2'];
            $updateRes['ApplicationNumber'] = $serverResponse['merchant_param3'];
            $updateRes['MerchaentID'] = $serverResponse['merchant_param4'];
            $updateRes['PaymentGatewayID'] = null;
            $updateRes['PaidAmount'] = $serverResponse['amount'];
            $updateRes['TranscationID'] = $serverResponse['bank_ref_no'];
            $updateRes['TrackingID'] = $serverResponse['tracking_id'];
            $updateRes['TranscationDate'] = $tran_Date;
            $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
            $updateRes['ServiceTax'] = null;
            $updateRes['ProcessFee'] = null;
            $updateRes['InterchangeValue'] = null;
            $updateRes['TDR'] = null;
            $updateRes['GateWayPaymentMode'] = null;
            $updateRes['SubmerchentID'] = null;
            $updateRes['TPS'] = null;
            $getsJSON = Json::encode($updateRes);
            //sp log
            $logData = array();
            $logData['OrderID'] = $updateRes['InvoiceCode'];
            $logData['CandidateID'] = $updateRes['CandidateID'];
            $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
            $logData['ApplicationNumber'] =$serverResponse['merchant_param3'];
            $logData['PaymentMode'] = NULL;
            $logData['Request'] = NULL;
            $logData['Response'] = $updateRes['BankResponse'];
            $logData['Status'] = NULL;
            $logData['TxnDate'] = $updateRes['TranscationDate'];
            $logData['TxnID'] = $updateRes['TrackingID'];
            $logData['TxnAmount'] = $updateRes['PaidAmount'];
            $logData['CreatedDate'] = date('Y-m-d H:i:s');
            $logData['ActivityID'] = NULL;
            $logOnly = json_encode($logData);

           // echo $logOnly ;die;
                $sp1 = '{{%SppaymentLogMst}}';
            $response = Yii::$app->db->createCommand("exec $sp1 @json = :json")
                                        ->bindValue(':json', $logOnly)
                                        ->execute(); 
                                  
            if(isset($response) && $response == 0){
                 $checkPayData = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                ->bindValue(':select', 'InvoiceCode,PaymentGatewayID,ActivityID')
                ->bindValue(':input', "WHERE InvoiceCode='".$updateRes['InvoiceCode']."' and MerchaentID='".$updateRes['MerchaentID']."' and CandidateID=".$updateRes['CandidateID']."")
                ->bindValue(':table', 'PaymentTranscationTbl')
                ->queryOne();
                 
                if(isset($checkPayData) && !empty($checkPayData)){
                    $sp2 = '{{%UpdatePaymentTransaction}}';
                   $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp2 @json = :json")
                                        ->bindValue(':json', $getsJSON)
                                        ->execute(); 

                    if(isset($updatepaymentStatus) && $updatepaymentStatus == 0){
                        if (isset($serverResponse['order_status']) && $serverResponse['order_status'] == 'Success' and $serverResponse['amount'] == $serverResponse['merchant_param5'] and isset($checkPayData['InvoiceCode']) and !empty($checkPayData['InvoiceCode'])) {

                            $sp = '{{%saveNIFTARTISANCorrectionDataPerCandidate}}';
                            $responseMasterSP = Yii::$app->db->createCommand("exec $sp @candidate_id = :candidate_id")
                                ->bindValue(':candidate_id', $serverResponse['merchant_param2'])
                                ->execute();
                          
                                if (isset($responseMasterSP) && $responseMasterSP == 0) {


                                          //    $sp3 = '{{%sPupdateCandidateStatusAfterPayment}}';

                                // echo "CandidateID".$serverResponse['merchant_param2']."<br>";
                                // echo "amount".$serverResponse['amount']."<br>";
                                // echo "ApplicationNumber".$serverResponse['merchant_param3']."<br>";
                                // echo "ActivityIDCorrection".$checkPayData['ActivityID']."<br>";
                                // echo "PaymentGatewayIDCorrection".$checkPayData['PaymentGatewayID']."<br>";
                                // echo "CorrectionPaymentConfirmedDate".$updateRes['TranscationDate']."<br>";
                                // echo "TranscationIDCorrection".$updateRes['TranscationID']."<br>"; 

                                   $sp3 = '{{%sPupdateCandidateStatusAfterPaymentCorrection}}';
                                   $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp3 @CandidateID = :CandidateID,@CorrectionExamFee=:CorrectionExamFee,@ApplicationNumber=:ApplicationNumber,@ActivityIDCorrection=:ActivityIDCorrection,@PaymentGatewayIDCorrection=:PaymentGatewayIDCorrection,@CorrectionPaymentConfirmedDate=:CorrectionPaymentConfirmedDate,@TranscationIDCorrection=:TranscationIDCorrection")
                                   ->bindValue(':CandidateID', $serverResponse['merchant_param2'])
                                   ->bindValue(':CorrectionExamFee', (INT) $serverResponse['amount'])
                                   ->bindValue(':ApplicationNumber', $serverResponse['merchant_param3'])
                                   ->bindValue(':ActivityIDCorrection', $checkPayData['ActivityID'])
                                   ->bindValue(':PaymentGatewayIDCorrection', $checkPayData['PaymentGatewayID'])
                                   ->bindValue(':CorrectionPaymentConfirmedDate', $updateRes['TranscationDate'])
                                   ->bindValue(':TranscationIDCorrection', $updateRes['TranscationID'])
                                   ->execute();
                                //    echo "updatepaymentStatus--".$updatepaymentStatus."<br>";
                                //    echo "CandidateId-<pre>"; print_r($serverResponse); 

                                //     echo '<br>updatepaymentStatus:---'; print_r($updatepaymentStatus); die;
                                    
                                
                                    if(isset($updatepaymentStatus) && ($updatepaymentStatus == 0)){
                                      
                                        // Yii::$app->masterdata->finalSubmitSendmailWithattach($serverResponse['merchant_param2']);
                                       //Yii::$app->masterdata->finalSubmitSendmailWithattach($serverResponse['merchant_param2']); 

                                        Yii::$app->session->setFlash('success', "Payment successful.");
                                        $this->loginAgain($serverResponse['merchant_param3']);
                                        return $this->redirect(['../payment/index']);

                                    }else{
                                        Yii::$app->session->setFlash('error', $errorMessage);
                                        $this->loginAgain($serverResponse['merchant_param3']);
                                        return $this->redirect(['../payment/index']);
                                    }


                                }else {
                                    Yii::$app->session->setFlash('error', 'Something went wrong.');
                                    $this->loginAgain($serverResponse['merchant_param3']);
                                    return $this->redirect(['../payment/payment-getway']);

                                }

                          
                            }else{
                                      
                                           Yii::$app->session->setFlash('error', $errorMessage);
                                           $this->loginAgain($serverResponse['merchant_param3']);
                                       return $this->redirect(['../payment/index']);
                                        }

                    }else{
                        Yii::$app->session->setFlash('error', 'Something went wrong.');
                        $this->loginAgain($serverResponse['merchant_param3']);
                        return $this->redirect(['../payment/payment-getway']);
                    }

                }else{
                    Yii::$app->session->setFlash('error', 'Something went wrong.');
                    $this->loginAgain($serverResponse['merchant_param3']);
                        return $this->redirect(['../payment/payment-getway']);
                }

            }else{
                Yii::$app->session->setFlash('error', 'Something went wrong.');
                $this->loginAgain($serverResponse['merchant_param3']);
                        return $this->redirect(['../payment/payment-getway']);
            }
            // end 

           
        }
    }
	
    protected function loginAgain($ApplicationNumber){
        $condidate =  CandidateTbl::find()->where(['ApplicationNumber' => $ApplicationNumber])->one();
		$session = Yii::$app->session;
		$session->set('clientIP', Yii::$app->request->getUserIP());
		$session->set('userAgent', Yii::$app->request->getUserAgent());
        if(isset($condidate) && !empty($condidate)){
            $validUser = User::findByApplicationNo($ApplicationNumber);
            return Yii::$app->user->login($validUser);

        }

    }

    protected function loginAgain1($ApplicationNumber){
        $condidate =  CandidateTbl::find()->where(['ApplicationNumber' => $ApplicationNumber])->one();
        if(isset($condidate) && !empty($condidate)){
            $validUser = User::findByApplicationNo($ApplicationNumber);
            return Yii::$app->user->login($validUser);

        }

    }
}
