<?php

namespace app\modules\Payment\controllers;

use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use Yii;
use yii\helpers\FileHelper;

date_default_timezone_set("Asia/Calcutta");

class HdfccronController extends Controller
{

    public function actionDbone()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbOne"; 
        $HDFC_API_URL_UPDATE = Yii::$app->params['HDFC_Config']['HDFC_API_URL'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' Top(1000) *')
            ->bindValue(':input', "WHERE PaymentGatewayID = 2  and (ResponseCode NOT IN ('Failure','Success','Unsuccessful','Initiated','Aborted','Successful','Invalid','Awaited','Timeout','No Record Found') or PaymentStatus IS NULL)")
            //->bindValue(':input', "WHERE PaymentGatewayID = 2  and PaymentStatus is null")
            //->bindValue(':input', "WHERE PaymentGatewayID = 2  and PaymentStatus is null and InvoiceCode='JEEMAINS_240310000843_1698911811'")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
        echo "<pre>"; print_r($getData); die;

        if(isset($getData) && !empty($getData)){
            foreach ($getData as $val) {
                $CandidateID= $val['CandidateID'];
                $InvoiceCode= $val['InvoiceCode'];
                $amount= $val['ActualExamFee'];
                $requestString=json_encode(array('order_no'=>$InvoiceCode));
                $requestData = Yii::$app->HDFC_encDec->encrypt($requestString, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                $ch = curl_init($HDFC_API_URL_UPDATE);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);
                $information = explode('&', $responseVerifyStatus);
                for ($i = 0; $i < count($information); $i++) {
                    $getResponse = explode('=', $information[$i]);
                    $getArr[$getResponse[0]] = trim($getResponse[1]);
                }
                if (isset($getArr['enc_response']) && !empty($getArr['enc_response'])) {
                    $jsonData = Yii::$app->HDFC_encDec->decrypt($getArr['enc_response'], Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                    $getArrayRes = json_decode($jsonData, true);
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=> $getArrayRes); 
                    $filePath = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbOne/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbOne/'.date('d-m-Y').'/'.trim('dbOne.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                        FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    $Order_Status_Result=$getArrayRes['Order_Status_Result'];
                if(isset($Order_Status_Result['order_no']) && !empty($Order_Status_Result['order_no']) ){
                        $orderID=$Order_Status_Result['order_no'];
                    if (!isset($Order_Status_Result['order_status_date_time']) && !empty($Order_Status_Result['order_status_date_time'] )) {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $Order_Status_Result['order_status_date_time'];
                    }
                    if (isset($Order_Status_Result['order_status']) && ($Order_Status_Result['order_status'] == 'Shipped')) {
                        $order_status = 'Success';
                    } else {
                        $order_status = $Order_Status_Result['order_status'];
                    }
                    if (isset($Order_Status_Result['order_bank_ref_no']) && !empty($Order_Status_Result['order_bank_ref_no'])) {
                        $order_bank_ref_no = $Order_Status_Result['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='".$orderID."'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryOne();
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $orderID;
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $Order_Status_Result['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $Order_Status_Result['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode
                    array_push($dummyArray,$updateRes);
                    //log update status
                    yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    $orderAmount=$Order_Status_Result['order_amt'];
                    //check order status 
                    if (isset($order_status,$Order_Status_Result['order_amt'],$Get_data['ActualExamFee']) && ($order_status == 'Success') && ($orderAmount == $Get_data['ActualExamFee'])) {
                        //update  CandidateTbl
                        // echo $orderAmount; die();
                        yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,$orderAmount")->execute();
                    }

                }
                else if(isset($Order_Status_Result['error_desc']) && !empty($Order_Status_Result['error_desc']) ){
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $InvoiceCode;
                    $updateRes['PaymentStatus'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['ResponseCode'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = null;
                    $updateRes['TranscationID'] = null;
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = null;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    array_push($dummyArray,$updateRes);
                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                }
                }    
            }
        echo "<pre>"; print_r($dummyArray); die;
        
        }else{
            echo 'No data Found .';die();
        }
    }

    public function actionDbtwo()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbTwo"; 
        $HDFC_API_URL_UPDATE = Yii::$app->params['HDFC_Config']['HDFC_API_URL'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' Top(1000) *')
            ->bindValue(':input', "WHERE PaymentGatewayID = 2  and (ResponseCode NOT IN ('Failure','Success','Unsuccessful','Initiated','Aborted','Successful','Invalid','Awaited','Timeout','No Record Found') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
        echo "<pre>"; print_r($getData); die;

        if(isset($getData) && !empty($getData)){
            foreach ($getData as $val) {
                $CandidateID= $val['CandidateID'];
                $InvoiceCode= $val['InvoiceCode'];
                $amount= $val['ActualExamFee'];
                $requestString=json_encode(array('order_no'=>$InvoiceCode));
                $requestData = Yii::$app->HDFC_encDec->encrypt($requestString, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                $ch = curl_init($HDFC_API_URL_UPDATE);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);
                $information = explode('&', $responseVerifyStatus);
                for ($i = 0; $i < count($information); $i++) {
                    $getResponse = explode('=', $information[$i]);
                    $getArr[$getResponse[0]] = trim($getResponse[1]);
                }
                if (isset($getArr['enc_response']) && !empty($getArr['enc_response'])) {
                    $jsonData = Yii::$app->HDFC_encDec->decrypt($getArr['enc_response'], Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                    $getArrayRes = json_decode($jsonData, true);
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=> $getArrayRes); 
                    $filePath = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbTwo/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbTwo/'.date('d-m-Y').'/'.trim('dbTwo.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                        FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    $Order_Status_Result=$getArrayRes['Order_Status_Result'];
                if(isset($Order_Status_Result['order_no']) && !empty($Order_Status_Result['order_no']) ){
                        $orderID=$Order_Status_Result['order_no'];
                    if (!isset($Order_Status_Result['order_status_date_time']) && !empty($Order_Status_Result['order_status_date_time'] )) {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $Order_Status_Result['order_status_date_time'];
                    }
                    if (isset($Order_Status_Result['order_status']) && ($Order_Status_Result['order_status'] == 'Shipped')) {
                        $order_status = 'Success';
                    } else {
                        $order_status = $Order_Status_Result['order_status'];
                    }
                    if (isset($Order_Status_Result['order_bank_ref_no']) && !empty($Order_Status_Result['order_bank_ref_no'])) {
                        $order_bank_ref_no = $Order_Status_Result['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='".$orderID."'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryOne();
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $orderID;
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $Order_Status_Result['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $Order_Status_Result['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode
                    array_push($dummyArray,$updateRes);
                    //log update status
                    yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    $orderAmount=$Order_Status_Result['order_amt'];
                    //check order status 
                    if (isset($order_status,$Order_Status_Result['order_amt'],$Get_data['ActualExamFee']) && ($order_status == 'Success') && ($orderAmount == $Get_data['ActualExamFee'])) {
                        //update  CandidateTbl
                        // echo $orderAmount; die();
                        yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,$orderAmount")->execute();
                    }

                }
                else if(isset($Order_Status_Result['error_desc']) && !empty($Order_Status_Result['error_desc']) ){
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $InvoiceCode;
                    $updateRes['PaymentStatus'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['ResponseCode'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = null;
                    $updateRes['TranscationID'] = null;
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = null;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    array_push($dummyArray,$updateRes);
                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                }
                }    
            }
        echo "<pre>"; print_r($dummyArray); die;
        
        }else{
            echo 'No data Found .';die();
        }
    }

    public function actionDbthree()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbThree"; 
        $HDFC_API_URL_UPDATE = Yii::$app->params['HDFC_Config']['HDFC_API_URL'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' Top(1000) *')
            ->bindValue(':input', "WHERE PaymentGatewayID = 2  and (ResponseCode NOT IN ('Failure','Success','Unsuccessful','Initiated','Aborted','Successful','Invalid','Awaited','Timeout','No Record Found') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
        echo "<pre>"; print_r($getData); die;

        if(isset($getData) && !empty($getData)){
            foreach ($getData as $val) {
                $CandidateID= $val['CandidateID'];
                $InvoiceCode= $val['InvoiceCode'];
                $amount= $val['ActualExamFee'];
                $requestString=json_encode(array('order_no'=>$InvoiceCode));
                $requestData = Yii::$app->HDFC_encDec->encrypt($requestString, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                $ch = curl_init($HDFC_API_URL_UPDATE);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);
                $information = explode('&', $responseVerifyStatus);
                for ($i = 0; $i < count($information); $i++) {
                    $getResponse = explode('=', $information[$i]);
                    $getArr[$getResponse[0]] = trim($getResponse[1]);
                }
                if (isset($getArr['enc_response']) && !empty($getArr['enc_response'])) {
                    $jsonData = Yii::$app->HDFC_encDec->decrypt($getArr['enc_response'], Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                    $getArrayRes = json_decode($jsonData, true);
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=> $getArrayRes); 
                    $filePath = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbThree/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbThree/'.date('d-m-Y').'/'.trim('dbThree.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                        FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    $Order_Status_Result=$getArrayRes['Order_Status_Result'];
                if(isset($Order_Status_Result['order_no']) && !empty($Order_Status_Result['order_no']) ){
                        $orderID=$Order_Status_Result['order_no'];
                    if (!isset($Order_Status_Result['order_status_date_time']) && !empty($Order_Status_Result['order_status_date_time'] )) {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $Order_Status_Result['order_status_date_time'];
                    }
                    if (isset($Order_Status_Result['order_status']) && ($Order_Status_Result['order_status'] == 'Shipped')) {
                        $order_status = 'Success';
                    } else {
                        $order_status = $Order_Status_Result['order_status'];
                    }
                    if (isset($Order_Status_Result['order_bank_ref_no']) && !empty($Order_Status_Result['order_bank_ref_no'])) {
                        $order_bank_ref_no = $Order_Status_Result['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='".$orderID."'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryOne();
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $orderID;
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $Order_Status_Result['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $Order_Status_Result['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode
                    array_push($dummyArray,$updateRes);
                    //log update status
                    yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    $orderAmount=$Order_Status_Result['order_amt'];
                    //check order status 
                    if (isset($order_status,$Order_Status_Result['order_amt'],$Get_data['ActualExamFee']) && ($order_status == 'Success') && ($orderAmount == $Get_data['ActualExamFee'])) {
                        //update  CandidateTbl
                        // echo $orderAmount; die();
                        yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,$orderAmount")->execute();
                    }

                }
                else if(isset($Order_Status_Result['error_desc']) && !empty($Order_Status_Result['error_desc']) ){
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $InvoiceCode;
                    $updateRes['PaymentStatus'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['ResponseCode'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = null;
                    $updateRes['TranscationID'] = null;
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = null;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    array_push($dummyArray,$updateRes);
                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                }
                }    
            }
        echo "<pre>"; print_r($dummyArray); die;
        
        }else{
            echo 'No data Found .';die();
        }
    }

    public function actionDbfour()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbFour"; 
        $HDFC_API_URL_UPDATE = Yii::$app->params['HDFC_Config']['HDFC_API_URL'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' Top(1000) *')
            ->bindValue(':input', "WHERE PaymentGatewayID = 2  and (ResponseCode NOT IN ('Failure','Success','Unsuccessful','Initiated','Aborted','Successful','Invalid','Awaited','Timeout','No Record Found') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
        echo "<pre>"; print_r($getData); die;

        if(isset($getData) && !empty($getData)){
            foreach ($getData as $val) {
                $CandidateID= $val['CandidateID'];
                $InvoiceCode= $val['InvoiceCode'];
                $amount= $val['ActualExamFee'];
                $requestString=json_encode(array('order_no'=>$InvoiceCode));
                $requestData = Yii::$app->HDFC_encDec->encrypt($requestString, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                $ch = curl_init($HDFC_API_URL_UPDATE);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);
                $information = explode('&', $responseVerifyStatus);
                for ($i = 0; $i < count($information); $i++) {
                    $getResponse = explode('=', $information[$i]);
                    $getArr[$getResponse[0]] = trim($getResponse[1]);
                }
                if (isset($getArr['enc_response']) && !empty($getArr['enc_response'])) {
                    $jsonData = Yii::$app->HDFC_encDec->decrypt($getArr['enc_response'], Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                    $getArrayRes = json_decode($jsonData, true);
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=> $getArrayRes); 
                    $filePath = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbFour/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbFour/'.date('d-m-Y').'/'.trim('dbFour.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                        FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    $Order_Status_Result=$getArrayRes['Order_Status_Result'];
                if(isset($Order_Status_Result['order_no']) && !empty($Order_Status_Result['order_no']) ){
                        $orderID=$Order_Status_Result['order_no'];
                    if (!isset($Order_Status_Result['order_status_date_time']) && !empty($Order_Status_Result['order_status_date_time'] )) {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $Order_Status_Result['order_status_date_time'];
                    }
                    if (isset($Order_Status_Result['order_status']) && ($Order_Status_Result['order_status'] == 'Shipped')) {
                        $order_status = 'Success';
                    } else {
                        $order_status = $Order_Status_Result['order_status'];
                    }
                    if (isset($Order_Status_Result['order_bank_ref_no']) && !empty($Order_Status_Result['order_bank_ref_no'])) {
                        $order_bank_ref_no = $Order_Status_Result['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='".$orderID."'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryOne();
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $orderID;
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $Order_Status_Result['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $Order_Status_Result['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode
                    array_push($dummyArray,$updateRes);
                    //log update status
                    yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    $orderAmount=$Order_Status_Result['order_amt'];
                    //check order status 
                    if (isset($order_status,$Order_Status_Result['order_amt'],$Get_data['ActualExamFee']) && ($order_status == 'Success') && ($orderAmount == $Get_data['ActualExamFee'])) {
                        //update  CandidateTbl
                        // echo $orderAmount; die();
                        yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,$orderAmount")->execute();
                    }

                }
                else if(isset($Order_Status_Result['error_desc']) && !empty($Order_Status_Result['error_desc']) ){
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $InvoiceCode;
                    $updateRes['PaymentStatus'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['ResponseCode'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = null;
                    $updateRes['TranscationID'] = null;
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = null;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    array_push($dummyArray,$updateRes);
                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                }
                }    
            }
        echo "<pre>"; print_r($dummyArray); die;
        
        }else{
            echo 'No data Found .';die();
        }
    }

    public function actionDbfive()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbFive"; 
        $HDFC_API_URL_UPDATE = Yii::$app->params['HDFC_Config']['HDFC_API_URL'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' Top(1000) *')
            ->bindValue(':input', "WHERE PaymentGatewayID = 2 and InvoiceCode!='JEEMAINS_240310156125_1699422360' and (ResponseCode NOT IN ('Failure','Success','Unsuccessful','Initiated','Aborted','Successful','Invalid','Awaited','Timeout','No Record Found') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
        echo "<pre>"; print_r($getData); die;

        if(isset($getData) && !empty($getData)){
            foreach ($getData as $val) {
                $CandidateID= $val['CandidateID'];
                $InvoiceCode= $val['InvoiceCode'];
                $amount= $val['ActualExamFee'];
                $requestString=json_encode(array('order_no'=>$InvoiceCode));
                $requestData = Yii::$app->HDFC_encDec->encrypt($requestString, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                $ch = curl_init($HDFC_API_URL_UPDATE);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);
                $information = explode('&', $responseVerifyStatus);
                for ($i = 0; $i < count($information); $i++) {
                    $getResponse = explode('=', $information[$i]);
                    $getArr[$getResponse[0]] = trim($getResponse[1]);
                }
                if (isset($getArr['enc_response']) && !empty($getArr['enc_response'])) {
                    $jsonData = Yii::$app->HDFC_encDec->decrypt($getArr['enc_response'], Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                    $getArrayRes = json_decode($jsonData, true);
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=> $getArrayRes); 
                    $filePath = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbFive/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbFive/'.date('d-m-Y').'/'.trim('dbFive.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                        FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    $Order_Status_Result=$getArrayRes['Order_Status_Result'];
                if(isset($Order_Status_Result['order_no']) && !empty($Order_Status_Result['order_no']) ){
                        $orderID=$Order_Status_Result['order_no'];
                    if (!isset($Order_Status_Result['order_status_date_time']) && !empty($Order_Status_Result['order_status_date_time'] )) {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $Order_Status_Result['order_status_date_time'];
                    }
                    if (isset($Order_Status_Result['order_status']) && ($Order_Status_Result['order_status'] == 'Shipped')) {
                        $order_status = 'Success';
                    } else {
                        $order_status = $Order_Status_Result['order_status'];
                    }
                    if (isset($Order_Status_Result['order_bank_ref_no']) && !empty($Order_Status_Result['order_bank_ref_no'])) {
                        $order_bank_ref_no = $Order_Status_Result['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='".$orderID."'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryOne();
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $orderID;
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $Order_Status_Result['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $Order_Status_Result['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode
                    array_push($dummyArray,$updateRes);
                    //log update status
                    yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    $orderAmount=$Order_Status_Result['order_amt'];
                    //check order status 
                    if (isset($order_status,$Order_Status_Result['order_amt'],$Get_data['ActualExamFee']) && ($order_status == 'Success') && ($orderAmount == $Get_data['ActualExamFee'])) {
                        //update  CandidateTbl
                        // echo $orderAmount; die();
                        yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,$orderAmount")->execute();
                    }

                }
                else if(isset($Order_Status_Result['error_desc']) && !empty($Order_Status_Result['error_desc']) ){
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $InvoiceCode;
                    $updateRes['PaymentStatus'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['ResponseCode'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = null;
                    $updateRes['TranscationID'] = null;
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = null;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    array_push($dummyArray,$updateRes);
                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                }
                }    
            }
        echo "<pre>"; print_r($dummyArray); die;
        
        }else{
            echo 'No data Found .';die();
        }
    }

    public function actionDbsix()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbSix"; 
        $HDFC_API_URL_UPDATE = Yii::$app->params['HDFC_Config']['HDFC_API_URL'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' Top(1000) *')
            ->bindValue(':input', "WHERE PaymentGatewayID = 2 and InvoiceCode!='JEEMAINS_240310156125_1699422360' and (ResponseCode NOT IN ('Failure','Success','Unsuccessful','Initiated','Aborted','Successful','Invalid','Awaited','Timeout','No Record Found') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
        echo "<pre>"; print_r($getData); die;

        if(isset($getData) && !empty($getData)){
            foreach ($getData as $val) {
                $CandidateID= $val['CandidateID'];
                $InvoiceCode= $val['InvoiceCode'];
                $amount= $val['ActualExamFee'];
                $requestString=json_encode(array('order_no'=>$InvoiceCode));
                $requestData = Yii::$app->HDFC_encDec->encrypt($requestString, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                $ch = curl_init($HDFC_API_URL_UPDATE);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);
                $information = explode('&', $responseVerifyStatus);
                for ($i = 0; $i < count($information); $i++) {
                    $getResponse = explode('=', $information[$i]);
                    $getArr[$getResponse[0]] = trim($getResponse[1]);
                }
                if (isset($getArr['enc_response']) && !empty($getArr['enc_response'])) {
                    $jsonData = Yii::$app->HDFC_encDec->decrypt($getArr['enc_response'], Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                    $getArrayRes = json_decode($jsonData, true);
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=> $getArrayRes); 
                    $filePath = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbSix/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbSix/'.date('d-m-Y').'/'.trim('dbSix.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                        FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    $Order_Status_Result=$getArrayRes['Order_Status_Result'];
                if(isset($Order_Status_Result['order_no']) && !empty($Order_Status_Result['order_no']) ){
                        $orderID=$Order_Status_Result['order_no'];
                    if (!isset($Order_Status_Result['order_status_date_time']) && !empty($Order_Status_Result['order_status_date_time'] )) {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $Order_Status_Result['order_status_date_time'];
                    }
                    if (isset($Order_Status_Result['order_status']) && ($Order_Status_Result['order_status'] == 'Shipped')) {
                        $order_status = 'Success';
                    } else {
                        $order_status = $Order_Status_Result['order_status'];
                    }
                    if (isset($Order_Status_Result['order_bank_ref_no']) && !empty($Order_Status_Result['order_bank_ref_no'])) {
                        $order_bank_ref_no = $Order_Status_Result['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='".$orderID."'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryOne();
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $orderID;
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $Order_Status_Result['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $Order_Status_Result['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode
                    array_push($dummyArray,$updateRes);
                    //log update status
                    yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    $orderAmount=$Order_Status_Result['order_amt'];
                    //check order status 
                    if (isset($order_status,$Order_Status_Result['order_amt'],$Get_data['ActualExamFee']) && ($order_status == 'Success') && ($orderAmount == $Get_data['ActualExamFee'])) {
                        //update  CandidateTbl
                        // echo $orderAmount; die();
                        yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,$orderAmount")->execute();
                    }

                }
                else if(isset($Order_Status_Result['error_desc']) && !empty($Order_Status_Result['error_desc']) ){
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $InvoiceCode;
                    $updateRes['PaymentStatus'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['ResponseCode'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = null;
                    $updateRes['TranscationID'] = null;
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = null;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    array_push($dummyArray,$updateRes);
                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                }
                }    
            }
        echo "<pre>"; print_r($dummyArray); die;
        
        }else{
            echo 'No data Found .';die();
        }
    }

    public function actionDbseven()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbSeven"; 
        $HDFC_API_URL_UPDATE = Yii::$app->params['HDFC_Config']['HDFC_API_URL'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' Top(1000) *')
            ->bindValue(':input', "WHERE PaymentGatewayID = 2 and InvoiceCode!='JEEMAINS_240310156125_1699422360' and (ResponseCode NOT IN ('Failure','Success','Unsuccessful','Initiated','Aborted','Successful','Invalid','Awaited','Timeout','No Record Found') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
        echo "<pre>"; print_r($getData); die;

        if(isset($getData) && !empty($getData)){
            foreach ($getData as $val) {
                $CandidateID= $val['CandidateID'];
                $InvoiceCode= $val['InvoiceCode'];
                $amount= $val['ActualExamFee'];
                $requestString=json_encode(array('order_no'=>$InvoiceCode));
                $requestData = Yii::$app->HDFC_encDec->encrypt($requestString, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                $ch = curl_init($HDFC_API_URL_UPDATE);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);
                $information = explode('&', $responseVerifyStatus);
                for ($i = 0; $i < count($information); $i++) {
                    $getResponse = explode('=', $information[$i]);
                    $getArr[$getResponse[0]] = trim($getResponse[1]);
                }
                if (isset($getArr['enc_response']) && !empty($getArr['enc_response'])) {
                    $jsonData = Yii::$app->HDFC_encDec->decrypt($getArr['enc_response'], Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                    $getArrayRes = json_decode($jsonData, true);
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=> $getArrayRes); 
                    $filePath = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbSeven/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbSeven/'.date('d-m-Y').'/'.trim('dbSeven.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                        FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    $Order_Status_Result=$getArrayRes['Order_Status_Result'];
                if(isset($Order_Status_Result['order_no']) && !empty($Order_Status_Result['order_no']) ){
                        $orderID=$Order_Status_Result['order_no'];
                    if (!isset($Order_Status_Result['order_status_date_time']) && !empty($Order_Status_Result['order_status_date_time'] )) {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $Order_Status_Result['order_status_date_time'];
                    }
                    if (isset($Order_Status_Result['order_status']) && ($Order_Status_Result['order_status'] == 'Shipped')) {
                        $order_status = 'Success';
                    } else {
                        $order_status = $Order_Status_Result['order_status'];
                    }
                    if (isset($Order_Status_Result['order_bank_ref_no']) && !empty($Order_Status_Result['order_bank_ref_no'])) {
                        $order_bank_ref_no = $Order_Status_Result['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='".$orderID."'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryOne();
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $orderID;
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $Order_Status_Result['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $Order_Status_Result['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode
                    array_push($dummyArray,$updateRes);
                    //log update status
                    yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    $orderAmount=$Order_Status_Result['order_amt'];
                    //check order status 
                    if (isset($order_status,$Order_Status_Result['order_amt'],$Get_data['ActualExamFee']) && ($order_status == 'Success') && ($orderAmount == $Get_data['ActualExamFee'])) {
                        //update  CandidateTbl
                        // echo $orderAmount; die();
                        yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,$orderAmount")->execute();
                    }

                }
                else if(isset($Order_Status_Result['error_desc']) && !empty($Order_Status_Result['error_desc']) ){
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $InvoiceCode;
                    $updateRes['PaymentStatus'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['ResponseCode'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = null;
                    $updateRes['TranscationID'] = null;
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = null;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    array_push($dummyArray,$updateRes);
                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                }
                }    
            }
        echo "<pre>"; print_r($dummyArray); die;
        
        }else{
            echo 'No data Found .';die();
        }
    }

    public function actionDbeight()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbEight"; 
        $HDFC_API_URL_UPDATE = Yii::$app->params['HDFC_Config']['HDFC_API_URL'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' Top(1000) *')
            ->bindValue(':input', "WHERE PaymentGatewayID = 2 and InvoiceCode!='JEEMAINS_240310156125_1699422360' and (ResponseCode NOT IN ('Failure','Success','Unsuccessful','Initiated','Aborted','Successful','Invalid','Awaited','Timeout','No Record Found') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
        echo "<pre>"; print_r($getData); die;

        if(isset($getData) && !empty($getData)){
            foreach ($getData as $val) {
                $CandidateID= $val['CandidateID'];
                $InvoiceCode= $val['InvoiceCode'];
                $amount= $val['ActualExamFee'];
                $requestString=json_encode(array('order_no'=>$InvoiceCode));
                $requestData = Yii::$app->HDFC_encDec->encrypt($requestString, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                $ch = curl_init($HDFC_API_URL_UPDATE);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);
                $information = explode('&', $responseVerifyStatus);
                for ($i = 0; $i < count($information); $i++) {
                    $getResponse = explode('=', $information[$i]);
                    $getArr[$getResponse[0]] = trim($getResponse[1]);
                }
                if (isset($getArr['enc_response']) && !empty($getArr['enc_response'])) {
                    $jsonData = Yii::$app->HDFC_encDec->decrypt($getArr['enc_response'], Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                    $getArrayRes = json_decode($jsonData, true);
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=> $getArrayRes); 
                    $filePath = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbEight/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/HDFC_CRON_LOG/dbEight/'.date('d-m-Y').'/'.trim('dbEight.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                        FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    $Order_Status_Result=$getArrayRes['Order_Status_Result'];
                if(isset($Order_Status_Result['order_no']) && !empty($Order_Status_Result['order_no']) ){
                        $orderID=$Order_Status_Result['order_no'];
                    if (!isset($Order_Status_Result['order_status_date_time']) && !empty($Order_Status_Result['order_status_date_time'] )) {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $Order_Status_Result['order_status_date_time'];
                    }
                    if (isset($Order_Status_Result['order_status']) && ($Order_Status_Result['order_status'] == 'Shipped')) {
                        $order_status = 'Success';
                    } else {
                        $order_status = $Order_Status_Result['order_status'];
                    }
                    if (isset($Order_Status_Result['order_bank_ref_no']) && !empty($Order_Status_Result['order_bank_ref_no'])) {
                        $order_bank_ref_no = $Order_Status_Result['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='".$orderID."'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryOne();
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $orderID;
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $Order_Status_Result['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $Order_Status_Result['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode
                    array_push($dummyArray,$updateRes);
                    //log update status
                    yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    $orderAmount=$Order_Status_Result['order_amt'];
                    //check order status 
                    if (isset($order_status,$Order_Status_Result['order_amt'],$Get_data['ActualExamFee']) && ($order_status == 'Success') && ($orderAmount == $Get_data['ActualExamFee'])) {
                        //update  CandidateTbl
                        // echo $orderAmount; die();
                        yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,$orderAmount")->execute();
                    }

                }
                else if(isset($Order_Status_Result['error_desc']) && !empty($Order_Status_Result['error_desc']) ){
                    $candidateID = $CandidateID;
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = $InvoiceCode;
                    $updateRes['PaymentStatus'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['ResponseCode'] = $Order_Status_Result['error_desc'];  // error_desc
                    $updateRes['CandidateID'] = $CandidateID;
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = null;
                    $updateRes['TranscationID'] = null;
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = null;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode
                    array_push($dummyArray,$updateRes);
                    //update Payment Transaction 
                    yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                }
                }    
            }
        echo "<pre>"; print_r($dummyArray); die;
        
        }else{
            echo 'No data Found .';die();
        }
    }

}
