<?php

namespace app\modules\Payment\controllers;

use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use Yii;
use yii\helpers\FileHelper;

date_default_timezone_set("Asia/Calcutta");

class IcicicronController extends Controller
{

    const ICICI_WORLDLINE_PAYMENT_URL = 'https://www.paynimo.com/api/paynimoV2.req';

    public function actionDbone()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB ='dbOne';
        $IciciWorldlineAdminConfig = Yii::$app->params['IciciWorldlineAdminConfig'];

        $PaymentGatewayMst = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                            ->bindValue(':select', 'ID,GatewayCode')
                                            ->bindValue(':input', "WHERE IsActive=1 and GatewayCode='icici'")
                                            ->bindValue(':table', 'PaymentGatewayMst')
                                            ->queryOne();
        $getGatewayID = $PaymentGatewayMst['ID'];
        $getTransactionData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', ' CandidateID, PaymentSubmitDate, InvoiceCode ') //  CandidateID, PaymentSubmitDate, InvoiceCode, 
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND PaymentStatus IS NULL ")
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND InvoiceCode='JEEMAINS_240310482583_1700241955' ")
                            ->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND  (ResponseCode NOT IN ('0392','0300','0399','0400','0397') or  ( PaymentStatus IS NULL))")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryAll();
                  
        echo "<pre>"; print_r($getTransactionData); die;
                                        
        if(isset($getTransactionData) && !empty($getTransactionData)){
            foreach ($getTransactionData as $tvale) {
                $logData = array();
                $CandidateID = $tvale['CandidateID'];
                //Fetch Payment:
                $strCurDate = date('d-m-Y', strtotime($tvale['PaymentSubmitDate']));

                //$transactionId = "131085259";//FAILED
                //$transactionId = "131080829";//Success
                //$transactionId = "E32636299";//User Aborted
                //$transactionId = $tvale['TranscationID'];
                $InvoiceCode = $tvale['InvoiceCode'];
                $arr_req = [
                    "merchant" => [
                        "identifier" => $IciciWorldlineAdminConfig['merchantCode']
                    ],
                    "transaction" => [ "deviceIdentifier" => "S",
                    "currency" => $IciciWorldlineAdminConfig['currency'],
                    "dateTime" => $strCurDate,
                    "identifier" => $InvoiceCode,"requestType" => "O"]
                ];
                $finalJsonReq = json_encode($arr_req);
                $method = 'POST';
                $url = self::ICICI_WORLDLINE_PAYMENT_URL;//"https://www.paynimo.com/api/paynimoV2.req";
                $iciciWorldlineFetchPayment = Yii::$app->iciciWorldlinePayment->callAPI($method, $url, $finalJsonReq);
                $respArr = json_decode($iciciWorldlineFetchPayment, true);
                if(!$respArr){
                    return json_encode(['success'=>false,'message'=>'Connection Failure !! Try after some time.']);
                }
                if($respArr){
                    $paymentTransactionDataArr = $respArr['paymentMethod']['paymentTransaction'];
                    $response_Code = $paymentTransactionDataArr['statusCode'];
                    $statusMessage = (($paymentTransactionDataArr['statusMessage'] == 'SUCCESS') && ($paymentTransactionDataArr['statusCode'] == '0300')) ? 'Success' : $paymentTransactionDataArr['statusMessage'];
                    if($paymentTransactionDataArr['amount']=='NA'){
                        $amount=0;
                    } else{
                        $amount = (float)$paymentTransactionDataArr['amount'];
                    }
                    //Update log table:              
                    $logData['CandidateID'] = $CandidateID ;
                    //$logData['OrderID'] =  $InvoiceCode ;              
                    //$logData['GatewayID'] = $PaymentGatewayID;
                    //$logData['PaymentMode'] = $PaymentModeID;
                    //$logData['Request'] = json_encode($RequestCode);
                    //$logData['Response'] =  isset($resp)?json_encode($resp):null; 
                    $logData['Status'] = 1;
                    //$logData['TxnDate'] = $TranscationDate;
                    //$logData['TxnID'] = $TranscationID;
                    //$logData['TxnAmount'] = $ActualExamFee;
                    //$logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logData['CreatedDate'] =  date('Y-m-d H:i:s');
                    $allLogdata = json_encode($logData); //json encode            
                    //log update status 
                    $paymentLogMst = yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$allLogdata'")->execute();
                    
                    $transData = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => isset($respArr['paymentMethod']['paymentTransaction']['identifier'])?$respArr['paymentMethod']['paymentTransaction']['identifier']:NULL,
                        //'TranscationDate' => $trandate !== null ? date('Y-m-d H:i:s', strtotime($trandate)) : null,
                        'PaymentStatus' => $statusMessage,
                        'PaidAmount' => $amount,
                        'ResponseCode' => $response_Code,
                        'BankResponse' => json_encode($respArr),
                        'InvoiceCode' => $InvoiceCode,
                        //'PaymentGatewayID' => null,//it will not update on SP
                        'PaymentSucessDate' => date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        //'ServiceTax' => $TAX !=null ? $TAX : '0.00',
                        //'ProcessFee' => $PF != null? $PF : '0.00',
                        //'InterchangeValue' => null,
                        //'TDR' => null,
                        //'GateWayPaymentMode' => null,
                        //'SubmerchentID' => $iciciConfig['sub_merchant_id'],
                        //'TPS' => null,
                        'MerchaentID' => $IciciWorldlineAdminConfig['merchantCode'],
                    ];
                    //echo "<pre>"; print_r($transData);
                    //When Status fetched as Success:
                    if($paymentTransactionDataArr['statusMessage'] == 'SUCCESS'){
                        $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                                                    ->bindValue(':select', 'ID,PaymentStatus')
                                                                    ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                                                                    ->bindValue(':table', 'CandidateTbl')
                                                                    ->queryOne();
                        //$isCandPaymentDone = 0;
                        if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){
                            //if($CandidatePayStatusData['PaymentStatus'] == 0){
                                $CandidatePaymentTransUpdate = Yii::$app->{$DB}->createCommand("exec sPUpdatePaymentSuccessByCronJob :CandidateID, :ExamFee ")
                                ->bindValue(':CandidateID', $CandidateID)
                                ->bindValue(':ExamFee', $amount)
                                // ->bindValue(':isCandPaymentDone', $isCandPaymentDone)
                                ->execute();
                                //  $isCandPaymentDone = 1;
                            // }
                        }
                        $transData['ResponseCode'] = '0300';
                        $transData['PaymentStatus'] = 'Success';
                    }
                    $getsTransJSON = json_encode($transData); 
                }

                // Update Payment Transaction 
                $PaymentTransactionUpdate = yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsTransJSON' ")->execute();

                $responseData=array('CroneDATETIME'=>date('d-m-Y H:i:s'),'Request'=>$arr_req,'Response'=>$respArr);
                
                //Log file create:
                $filePath = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbOne'.'/'.date('d-m-Y');
                $filePathname = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbOne'.'/'.date('d-m-Y').'/'.trim('dbOne.json');
                if(file_exists($filePath)){
                    $createLogFile = file_put_contents($filePathname,json_encode($responseData), FILE_APPEND);
                }else{
                    FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                    $createLogFile = file_put_contents($filePathname, json_encode($responseData), FILE_APPEND);
                }
            }
            //Foreach end:
        }
		//die();
	}

    public function actionDbtwo()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB ='dbTwo';
        $IciciWorldlineAdminConfig = Yii::$app->params['IciciWorldlineAdminConfig'];

        $PaymentGatewayMst = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                            ->bindValue(':select', 'ID,GatewayCode')
                                            ->bindValue(':input', "WHERE IsActive=1 and GatewayCode='icici'")
                                            ->bindValue(':table', 'PaymentGatewayMst')
                                            ->queryOne();
        $getGatewayID = $PaymentGatewayMst['ID'];
        $getTransactionData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', ' CandidateID, PaymentSubmitDate, InvoiceCode ')
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND PaymentStatus IS NULL ") [InvoiceCode] => JEEMAINS_240310000759_1698910119
                            ->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND  (ResponseCode NOT IN ('0392','0300','0399','9999','0400','0397') or  ( PaymentStatus IS NULL))")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryAll();
                  
        echo "<pre>"; print_r($getTransactionData); die;
                                        
        if(isset($getTransactionData) && !empty($getTransactionData)){
            foreach ($getTransactionData as $tvale) {
                $logData = array();
                $CandidateID = $tvale['CandidateID'];
                //Fetch Payment:
                $strCurDate = date('d-m-Y', strtotime($tvale['PaymentSubmitDate']));

                //$transactionId = "131085259";//FAILED
                //$transactionId = "131080829";//Success
                //$transactionId = "E32636299";//User Aborted
                //$transactionId = $tvale['TranscationID'];
                $InvoiceCode = $tvale['InvoiceCode'];
                $arr_req = [
                    "merchant" => [
                        "identifier" => $IciciWorldlineAdminConfig['merchantCode']
                    ],
                    "transaction" => [ "deviceIdentifier" => "S",
                    "currency" => $IciciWorldlineAdminConfig['currency'],
                    "dateTime" => $strCurDate,
                    "identifier" => $InvoiceCode,"requestType" => "O"]
                ];
                $finalJsonReq = json_encode($arr_req);
                $method = 'POST';
                $url = self::ICICI_WORLDLINE_PAYMENT_URL;//"https://www.paynimo.com/api/paynimoV2.req";
                $iciciWorldlineFetchPayment = Yii::$app->iciciWorldlinePayment->callAPI($method, $url, $finalJsonReq);
                $respArr = json_decode($iciciWorldlineFetchPayment, true);
                if(!$respArr){
                    return json_encode(['success'=>false,'message'=>'Connection Failure !! Try after some time.']);
                }
                if($respArr){
                    $paymentTransactionDataArr = $respArr['paymentMethod']['paymentTransaction'];
                    $response_Code = $paymentTransactionDataArr['statusCode'];
                    $statusMessage = (($paymentTransactionDataArr['statusMessage'] == 'SUCCESS') && ($paymentTransactionDataArr['statusCode'] == '0300')) ? 'Success' : $paymentTransactionDataArr['statusMessage'];
                    if($paymentTransactionDataArr['amount']=='NA'){
                        $amount=0;
                    } else{
                        $amount = (float)$paymentTransactionDataArr['amount'];
                    }
                    //Update log table:              
                    $logData['CandidateID'] = $CandidateID ;
                    //$logData['OrderID'] =  $InvoiceCode ;              
                    //$logData['GatewayID'] = $PaymentGatewayID;
                    //$logData['PaymentMode'] = $PaymentModeID;
                    //$logData['Request'] = json_encode($RequestCode);
                    //$logData['Response'] =  isset($resp)?json_encode($resp):null; 
                    $logData['Status'] = 1;
                    //$logData['TxnDate'] = $TranscationDate;
                    //$logData['TxnID'] = $TranscationID;
                    //$logData['TxnAmount'] = $ActualExamFee;
                    //$logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logData['CreatedDate'] =  date('Y-m-d H:i:s');
                    $allLogdata = json_encode($logData); //json encode            
                    //log update status 
                    $paymentLogMst = yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$allLogdata'")->execute();
                    
                    $transData = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => isset($respArr['paymentMethod']['paymentTransaction']['identifier'])?$respArr['paymentMethod']['paymentTransaction']['identifier']:NULL,
                        //'TranscationDate' => $trandate !== null ? date('Y-m-d H:i:s', strtotime($trandate)) : null,
                        'PaymentStatus' => $statusMessage,
                        'PaidAmount' => $amount,
                        'ResponseCode' => $response_Code,
                        'BankResponse' => json_encode($respArr),
                        'InvoiceCode' => $InvoiceCode,
                        //'PaymentGatewayID' => null,//it will not update on SP
                        'PaymentSucessDate' => date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        //'ServiceTax' => $TAX !=null ? $TAX : '0.00',
                        //'ProcessFee' => $PF != null? $PF : '0.00',
                        //'InterchangeValue' => null,
                        //'TDR' => null,
                        //'GateWayPaymentMode' => null,
                        //'SubmerchentID' => $iciciConfig['sub_merchant_id'],
                        //'TPS' => null,
                        'MerchaentID' => $IciciWorldlineAdminConfig['merchantCode'],
                    ];
                    //When Status fetched as Success:
                    if($paymentTransactionDataArr['statusMessage'] == 'SUCCESS'){
                        $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                                                    ->bindValue(':select', 'ID,PaymentStatus')
                                                                    ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                                                                    ->bindValue(':table', 'CandidateTbl')
                                                                    ->queryOne();
                        //$isCandPaymentDone = 0;
                        if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){
                            //if($CandidatePayStatusData['PaymentStatus'] == 0){
                                $CandidatePaymentTransUpdate = Yii::$app->{$DB}->createCommand("exec sPUpdatePaymentSuccessByCronJob :CandidateID, :ExamFee ")
                                ->bindValue(':CandidateID', $CandidateID)
                                ->bindValue(':ExamFee', $amount)
                                // ->bindValue(':isCandPaymentDone', $isCandPaymentDone)
                                ->execute();
                                //  $isCandPaymentDone = 1;
                            // }
                        }
                        $transData['ResponseCode'] = '0300';
                        $transData['PaymentStatus'] = 'Success';
                    }
                    $getsTransJSON = json_encode($transData); 
                }

                // Update Payment Transaction 
                $PaymentTransactionUpdate = yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsTransJSON' ")->execute();

                $responseData=array('CroneDATETIME'=>date('d-m-Y H:i:s'),'Request'=>$arr_req,'Response'=>$respArr);
                
                //Log file create:
                $filePath = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbTwo'.'/'.date('d-m-Y');
                $filePathname = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbTwo'.'/'.date('d-m-Y').'/'.trim('dbTwo.json');
                if(file_exists($filePath)){
                    $createLogFile = file_put_contents($filePathname,json_encode($responseData), FILE_APPEND);
                }else{
                    FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                    $createLogFile = file_put_contents($filePathname, json_encode($responseData), FILE_APPEND);
                }
            }
            //Foreach end:
        }
		//die();
	}

    public function actionDbthree()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB ='dbThree';
        $IciciWorldlineAdminConfig = Yii::$app->params['IciciWorldlineAdminConfig'];

        $PaymentGatewayMst = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                            ->bindValue(':select', 'ID,GatewayCode')
                                            ->bindValue(':input', "WHERE IsActive=1 and GatewayCode='icici'")
                                            ->bindValue(':table', 'PaymentGatewayMst')
                                            ->queryOne();
        $getGatewayID = $PaymentGatewayMst['ID'];
        $getTransactionData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', ' CandidateID, PaymentSubmitDate, InvoiceCode ')
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND PaymentStatus IS NULL AND InvoiceCode='JEEMAINS_240310080723_1699199100' ")  //[InvoiceCode] => JEEMAINS_240310000759_1698910119
                            ->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND  (ResponseCode NOT IN ('0392','0300','0399','9999','0400','0397') or  ( PaymentStatus IS NULL))")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryAll();
                  
        echo "<pre>"; print_r($getTransactionData); die;
                                        
        if(isset($getTransactionData) && !empty($getTransactionData)){
            foreach ($getTransactionData as $tvale) {
                $logData = array();
                $CandidateID = $tvale['CandidateID'];
                //Fetch Payment:
                $strCurDate = date('d-m-Y', strtotime($tvale['PaymentSubmitDate']));

                //$transactionId = "131085259";//FAILED
                //$transactionId = "131080829";//Success
                //$transactionId = "E32636299";//User Aborted
                //$transactionId = $tvale['TranscationID'];
                $InvoiceCode = $tvale['InvoiceCode'];
                $arr_req = [
                    "merchant" => [
                        "identifier" => $IciciWorldlineAdminConfig['merchantCode']
                    ],
                    "transaction" => [ "deviceIdentifier" => "S",
                    "currency" => $IciciWorldlineAdminConfig['currency'],
                    "dateTime" => $strCurDate,
                    "identifier" => $InvoiceCode,"requestType" => "O"]
                ];
                $finalJsonReq = json_encode($arr_req);
                $method = 'POST';
                $url = self::ICICI_WORLDLINE_PAYMENT_URL;//"https://www.paynimo.com/api/paynimoV2.req";
                $iciciWorldlineFetchPayment = Yii::$app->iciciWorldlinePayment->callAPI($method, $url, $finalJsonReq);
                $respArr = json_decode($iciciWorldlineFetchPayment, true);
                if(!$respArr){
                    return json_encode(['success'=>false,'message'=>'Connection Failure !! Try after some time.']);
                }
                if($respArr){
                    $paymentTransactionDataArr = $respArr['paymentMethod']['paymentTransaction'];
                    $response_Code = $paymentTransactionDataArr['statusCode'];
                    $statusMessage = (($paymentTransactionDataArr['statusMessage'] == 'SUCCESS') && ($paymentTransactionDataArr['statusCode'] == '0300')) ? 'Success' : $paymentTransactionDataArr['statusMessage'];
                    if($paymentTransactionDataArr['amount']=='NA'){
                        $amount=0;
                    } else{
                        $amount = (float)$paymentTransactionDataArr['amount'];
                    }
                    //Update log table:              
                    $logData['CandidateID'] = $CandidateID ;
                    //$logData['OrderID'] =  $InvoiceCode ;              
                    //$logData['GatewayID'] = $PaymentGatewayID;
                    //$logData['PaymentMode'] = $PaymentModeID;
                    //$logData['Request'] = json_encode($RequestCode);
                    //$logData['Response'] =  isset($resp)?json_encode($resp):null; 
                    $logData['Status'] = 1;
                    //$logData['TxnDate'] = $TranscationDate;
                    //$logData['TxnID'] = $TranscationID;
                    //$logData['TxnAmount'] = $ActualExamFee;
                    //$logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logData['CreatedDate'] =  date('Y-m-d H:i:s');
                    $allLogdata = json_encode($logData); //json encode            
                    //log update status 
                    $paymentLogMst = yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$allLogdata'")->execute();
                    
                    $transData = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => isset($respArr['paymentMethod']['paymentTransaction']['identifier'])?$respArr['paymentMethod']['paymentTransaction']['identifier']:NULL,
                        //'TranscationDate' => $trandate !== null ? date('Y-m-d H:i:s', strtotime($trandate)) : null,
                        'PaymentStatus' => $statusMessage,
                        'PaidAmount' => $amount,
                        'ResponseCode' => $response_Code,
                        'BankResponse' => json_encode($respArr),
                        'InvoiceCode' => $InvoiceCode,
                        //'PaymentGatewayID' => null,//it will not update on SP
                        'PaymentSucessDate' => date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        //'ServiceTax' => $TAX !=null ? $TAX : '0.00',
                        //'ProcessFee' => $PF != null? $PF : '0.00',
                        //'InterchangeValue' => null,
                        //'TDR' => null,
                        //'GateWayPaymentMode' => null,
                        //'SubmerchentID' => $iciciConfig['sub_merchant_id'],
                        //'TPS' => null,
                        'MerchaentID' => $IciciWorldlineAdminConfig['merchantCode'],
                    ];
                    //When Status fetched as Success:
                    if($paymentTransactionDataArr['statusMessage'] == 'SUCCESS'){
                        $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                                                    ->bindValue(':select', 'ID,PaymentStatus')
                                                                    ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                                                                    ->bindValue(':table', 'CandidateTbl')
                                                                    ->queryOne();
                        //$isCandPaymentDone = 0;
                        if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){
                            //if($CandidatePayStatusData['PaymentStatus'] == 0){
                                $CandidatePaymentTransUpdate = Yii::$app->{$DB}->createCommand("exec sPUpdatePaymentSuccessByCronJob :CandidateID, :ExamFee ")
                                ->bindValue(':CandidateID', $CandidateID)
                                ->bindValue(':ExamFee', $amount)
                                // ->bindValue(':isCandPaymentDone', $isCandPaymentDone)
                                ->execute();
                                //  $isCandPaymentDone = 1;
                            // }
                        }
                        $transData['ResponseCode'] = '0300';
                        $transData['PaymentStatus'] = 'Success';
                    }
                    $getsTransJSON = json_encode($transData); 
                }

                // Update Payment Transaction 
                $PaymentTransactionUpdate = yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsTransJSON' ")->execute();

                $responseData=array('CroneDATETIME'=>date('d-m-Y H:i:s'),'Request'=>$arr_req,'Response'=>$respArr);
                
                //Log file create:
                $filePath = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbThree'.'/'.date('d-m-Y');
                $filePathname = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbThree'.'/'.date('d-m-Y').'/'.trim('dbThree.json');
                if(file_exists($filePath)){
                    $createLogFile = file_put_contents($filePathname,json_encode($responseData), FILE_APPEND);
                }else{
                    FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                    $createLogFile = file_put_contents($filePathname, json_encode($responseData), FILE_APPEND);
                }
            }
            //Foreach end:
        }
		//die();
	}

    public function actionDbfour()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB ='dbFour';
        $IciciWorldlineAdminConfig = Yii::$app->params['IciciWorldlineAdminConfig'];

        $PaymentGatewayMst = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                            ->bindValue(':select', 'ID,GatewayCode')
                                            ->bindValue(':input', "WHERE IsActive=1 and GatewayCode='icici'")
                                            ->bindValue(':table', 'PaymentGatewayMst')
                                            ->queryOne();
        $getGatewayID = $PaymentGatewayMst['ID'];
        $getTransactionData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', ' CandidateID, PaymentSubmitDate, InvoiceCode ')
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND PaymentStatus IS NULL ") [InvoiceCode] => JEEMAINS_240310000759_1698910119
                            ->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND  (ResponseCode NOT IN ('0392','0300','0399','9999','0400','0397') or  ( PaymentStatus IS NULL))")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryAll();
                  
        //echo "<pre>"; print_r($getTransactionData); die;
                                        
        if(isset($getTransactionData) && !empty($getTransactionData)){
            foreach ($getTransactionData as $tvale) {
                $logData = array();
                $CandidateID = $tvale['CandidateID'];
                //Fetch Payment:
                $strCurDate = date('d-m-Y', strtotime($tvale['PaymentSubmitDate']));

                //$transactionId = "131085259";//FAILED
                //$transactionId = "131080829";//Success
                //$transactionId = "E32636299";//User Aborted
                //$transactionId = $tvale['TranscationID'];
                $InvoiceCode = $tvale['InvoiceCode'];
                $arr_req = [
                    "merchant" => [
                        "identifier" => $IciciWorldlineAdminConfig['merchantCode']
                    ],
                    "transaction" => [ "deviceIdentifier" => "S",
                    "currency" => $IciciWorldlineAdminConfig['currency'],
                    "dateTime" => $strCurDate,
                    "identifier" => $InvoiceCode,"requestType" => "O"]
                ];
                $finalJsonReq = json_encode($arr_req);
                $method = 'POST';
                $url = self::ICICI_WORLDLINE_PAYMENT_URL;//"https://www.paynimo.com/api/paynimoV2.req";
                $iciciWorldlineFetchPayment = Yii::$app->iciciWorldlinePayment->callAPI($method, $url, $finalJsonReq);
                $respArr = json_decode($iciciWorldlineFetchPayment, true);
                if(!$respArr){
                    return json_encode(['success'=>false,'message'=>'Connection Failure !! Try after some time.']);
                }
                if($respArr){
                    $paymentTransactionDataArr = $respArr['paymentMethod']['paymentTransaction'];
                    $response_Code = $paymentTransactionDataArr['statusCode'];
                    $statusMessage = (($paymentTransactionDataArr['statusMessage'] == 'SUCCESS') && ($paymentTransactionDataArr['statusCode'] == '0300')) ? 'Success' : $paymentTransactionDataArr['statusMessage'];
                    if($paymentTransactionDataArr['amount']=='NA'){
                        $amount=0;
                    } else{
                        $amount = (float)$paymentTransactionDataArr['amount'];
                    }
                    //Update log table:              
                    $logData['CandidateID'] = $CandidateID ;
                    //$logData['OrderID'] =  $InvoiceCode ;              
                    //$logData['GatewayID'] = $PaymentGatewayID;
                    //$logData['PaymentMode'] = $PaymentModeID;
                    //$logData['Request'] = json_encode($RequestCode);
                    //$logData['Response'] =  isset($resp)?json_encode($resp):null; 
                    $logData['Status'] = 1;
                    //$logData['TxnDate'] = $TranscationDate;
                    //$logData['TxnID'] = $TranscationID;
                    //$logData['TxnAmount'] = $ActualExamFee;
                    //$logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logData['CreatedDate'] =  date('Y-m-d H:i:s');
                    $allLogdata = json_encode($logData); //json encode            
                    //log update status 
                    $paymentLogMst = yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$allLogdata'")->execute();
                    
                    $transData = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => isset($respArr['paymentMethod']['paymentTransaction']['identifier'])?$respArr['paymentMethod']['paymentTransaction']['identifier']:NULL,
                        //'TranscationDate' => $trandate !== null ? date('Y-m-d H:i:s', strtotime($trandate)) : null,
                        'PaymentStatus' => $statusMessage,
                        'PaidAmount' => $amount,
                        'ResponseCode' => $response_Code,
                        'BankResponse' => json_encode($respArr),
                        'InvoiceCode' => $InvoiceCode,
                        //'PaymentGatewayID' => null,//it will not update on SP
                        'PaymentSucessDate' => date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        //'ServiceTax' => $TAX !=null ? $TAX : '0.00',
                        //'ProcessFee' => $PF != null? $PF : '0.00',
                        //'InterchangeValue' => null,
                        //'TDR' => null,
                        //'GateWayPaymentMode' => null,
                        //'SubmerchentID' => $iciciConfig['sub_merchant_id'],
                        //'TPS' => null,
                        'MerchaentID' => $IciciWorldlineAdminConfig['merchantCode'],
                    ];
                    //When Status fetched as Success:
                    if($paymentTransactionDataArr['statusMessage'] == 'SUCCESS'){
                        $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                                                    ->bindValue(':select', 'ID,PaymentStatus')
                                                                    ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                                                                    ->bindValue(':table', 'CandidateTbl')
                                                                    ->queryOne();
                        //$isCandPaymentDone = 0;
                        if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){
                            //if($CandidatePayStatusData['PaymentStatus'] == 0){
                                $CandidatePaymentTransUpdate = Yii::$app->{$DB}->createCommand("exec sPUpdatePaymentSuccessByCronJob :CandidateID, :ExamFee ")
                                ->bindValue(':CandidateID', $CandidateID)
                                ->bindValue(':ExamFee', $amount)
                                // ->bindValue(':isCandPaymentDone', $isCandPaymentDone)
                                ->execute();
                                //  $isCandPaymentDone = 1;
                            // }
                        }
                        $transData['ResponseCode'] = '0300';
                        $transData['PaymentStatus'] = 'Success';
                    }
                    $getsTransJSON = json_encode($transData); 
                }

                // Update Payment Transaction 
                $PaymentTransactionUpdate = yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsTransJSON' ")->execute();

                $responseData=array('CroneDATETIME'=>date('d-m-Y H:i:s'),'Request'=>$arr_req,'Response'=>$respArr);
                
                //Log file create:
                $filePath = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbFour'.'/'.date('d-m-Y');
                $filePathname = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbFour'.'/'.date('d-m-Y').'/'.trim('dbFour.json');
                if(file_exists($filePath)){
                    $createLogFile = file_put_contents($filePathname,json_encode($responseData), FILE_APPEND);
                }else{
                    FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                    $createLogFile = file_put_contents($filePathname, json_encode($responseData), FILE_APPEND);
                }
            }
            //Foreach end:
        }
		//die();
	}

    public function actionDbfive()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB ='dbFive';
        $IciciWorldlineAdminConfig = Yii::$app->params['IciciWorldlineAdminConfig'];

        $PaymentGatewayMst = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                            ->bindValue(':select', 'ID,GatewayCode')
                                            ->bindValue(':input', "WHERE IsActive=1 and GatewayCode='icici'")
                                            ->bindValue(':table', 'PaymentGatewayMst')
                                            ->queryOne();
        $getGatewayID = $PaymentGatewayMst['ID'];
        $getTransactionData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', ' CandidateID, PaymentSubmitDate, InvoiceCode ')
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND PaymentStatus IS NULL ") [InvoiceCode] => JEEMAINS_240310000759_1698910119
                            ->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND  (ResponseCode NOT IN ('0392','0300','0399','9999','0400','0397') or  ( PaymentStatus IS NULL))")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryAll();
                  
        echo "<pre>"; print_r($getTransactionData); die;
                                        
        if(isset($getTransactionData) && !empty($getTransactionData)){
            foreach ($getTransactionData as $tvale) {
                $logData = array();
                $CandidateID = $tvale['CandidateID'];
                //Fetch Payment:
                $strCurDate = date('d-m-Y', strtotime($tvale['PaymentSubmitDate']));

                //$transactionId = "131085259";//FAILED
                //$transactionId = "131080829";//Success
                //$transactionId = "E32636299";//User Aborted
                //$transactionId = $tvale['TranscationID'];
                $InvoiceCode = $tvale['InvoiceCode'];
                $arr_req = [
                    "merchant" => [
                        "identifier" => $IciciWorldlineAdminConfig['merchantCode']
                    ],
                    "transaction" => [ "deviceIdentifier" => "S",
                    "currency" => $IciciWorldlineAdminConfig['currency'],
                    "dateTime" => $strCurDate,
                    "identifier" => $InvoiceCode,"requestType" => "O"]
                ];
                $finalJsonReq = json_encode($arr_req);
                $method = 'POST';
                $url = self::ICICI_WORLDLINE_PAYMENT_URL;//"https://www.paynimo.com/api/paynimoV2.req";
                $iciciWorldlineFetchPayment = Yii::$app->iciciWorldlinePayment->callAPI($method, $url, $finalJsonReq);
                $respArr = json_decode($iciciWorldlineFetchPayment, true);
                if(!$respArr){
                    return json_encode(['success'=>false,'message'=>'Connection Failure !! Try after some time.']);
                }
                if($respArr){
                    $paymentTransactionDataArr = $respArr['paymentMethod']['paymentTransaction'];
                    $response_Code = $paymentTransactionDataArr['statusCode'];
                    $statusMessage = (($paymentTransactionDataArr['statusMessage'] == 'SUCCESS') && ($paymentTransactionDataArr['statusCode'] == '0300')) ? 'Success' : $paymentTransactionDataArr['statusMessage'];
                    if($paymentTransactionDataArr['amount']=='NA'){
                        $amount=0;
                    } else{
                        $amount = (float)$paymentTransactionDataArr['amount'];
                    }
                    //Update log table:              
                    $logData['CandidateID'] = $CandidateID ;
                    //$logData['OrderID'] =  $InvoiceCode ;              
                    //$logData['GatewayID'] = $PaymentGatewayID;
                    //$logData['PaymentMode'] = $PaymentModeID;
                    //$logData['Request'] = json_encode($RequestCode);
                    //$logData['Response'] =  isset($resp)?json_encode($resp):null; 
                    $logData['Status'] = 1;
                    //$logData['TxnDate'] = $TranscationDate;
                    //$logData['TxnID'] = $TranscationID;
                    //$logData['TxnAmount'] = $ActualExamFee;
                    //$logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logData['CreatedDate'] =  date('Y-m-d H:i:s');
                    $allLogdata = json_encode($logData); //json encode            
                    //log update status 
                    $paymentLogMst = yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$allLogdata'")->execute();
                    
                    $transData = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => isset($respArr['paymentMethod']['paymentTransaction']['identifier'])?$respArr['paymentMethod']['paymentTransaction']['identifier']:NULL,
                        //'TranscationDate' => $trandate !== null ? date('Y-m-d H:i:s', strtotime($trandate)) : null,
                        'PaymentStatus' => $statusMessage,
                        'PaidAmount' => $amount,
                        'ResponseCode' => $response_Code,
                        'BankResponse' => json_encode($respArr),
                        'InvoiceCode' => $InvoiceCode,
                        //'PaymentGatewayID' => null,//it will not update on SP
                        'PaymentSucessDate' => date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        //'ServiceTax' => $TAX !=null ? $TAX : '0.00',
                        //'ProcessFee' => $PF != null? $PF : '0.00',
                        //'InterchangeValue' => null,
                        //'TDR' => null,
                        //'GateWayPaymentMode' => null,
                        //'SubmerchentID' => $iciciConfig['sub_merchant_id'],
                        //'TPS' => null,
                        'MerchaentID' => $IciciWorldlineAdminConfig['merchantCode'],
                    ];
                    //When Status fetched as Success:
                    if($paymentTransactionDataArr['statusMessage'] == 'SUCCESS'){
                        $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                                                    ->bindValue(':select', 'ID,PaymentStatus')
                                                                    ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                                                                    ->bindValue(':table', 'CandidateTbl')
                                                                    ->queryOne();
                        //$isCandPaymentDone = 0;
                        if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){
                            //if($CandidatePayStatusData['PaymentStatus'] == 0){
                                $CandidatePaymentTransUpdate = Yii::$app->{$DB}->createCommand("exec sPUpdatePaymentSuccessByCronJob :CandidateID, :ExamFee ")
                                ->bindValue(':CandidateID', $CandidateID)
                                ->bindValue(':ExamFee', $amount)
                                // ->bindValue(':isCandPaymentDone', $isCandPaymentDone)
                                ->execute();
                                //  $isCandPaymentDone = 1;
                            // }
                        }
                        $transData['ResponseCode'] = '0300';
                        $transData['PaymentStatus'] = 'Success';
                    }
                    $getsTransJSON = json_encode($transData); 
                }

                // Update Payment Transaction 
                $PaymentTransactionUpdate = yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsTransJSON' ")->execute();

                $responseData=array('CroneDATETIME'=>date('d-m-Y H:i:s'),'Request'=>$arr_req,'Response'=>$respArr);
                
                //Log file create:
                $filePath = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbFive'.'/'.date('d-m-Y');
                $filePathname = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbFive'.'/'.date('d-m-Y').'/'.trim('dbFive.json');
                if(file_exists($filePath)){
                    $createLogFile = file_put_contents($filePathname,json_encode($responseData), FILE_APPEND);
                }else{
                    FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                    $createLogFile = file_put_contents($filePathname, json_encode($responseData), FILE_APPEND);
                }
            }
            //Foreach end:
        }
		//die();
	}

    public function actionDbsix()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB ='dbSix';
        $IciciWorldlineAdminConfig = Yii::$app->params['IciciWorldlineAdminConfig'];

        $PaymentGatewayMst = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                            ->bindValue(':select', 'ID,GatewayCode')
                                            ->bindValue(':input', "WHERE IsActive=1 and GatewayCode='icici'")
                                            ->bindValue(':table', 'PaymentGatewayMst')
                                            ->queryOne();
        $getGatewayID = $PaymentGatewayMst['ID'];
        $getTransactionData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', ' CandidateID, PaymentSubmitDate, InvoiceCode ')
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND PaymentStatus IS NULL ") [InvoiceCode] => JEEMAINS_240310000759_1698910119
                            ->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND  (ResponseCode NOT IN ('0392','0300','0399','9999','0400','0397') or  ( PaymentStatus IS NULL))")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryAll();
                  
        echo "<pre>"; print_r($getTransactionData); die;
                                        
        if(isset($getTransactionData) && !empty($getTransactionData)){
            foreach ($getTransactionData as $tvale) {
                $logData = array();
                $CandidateID = $tvale['CandidateID'];
                //Fetch Payment:
                $strCurDate = date('d-m-Y', strtotime($tvale['PaymentSubmitDate']));

                //$transactionId = "131085259";//FAILED
                //$transactionId = "131080829";//Success
                //$transactionId = "E32636299";//User Aborted
                //$transactionId = $tvale['TranscationID'];
                $InvoiceCode = $tvale['InvoiceCode'];
                $arr_req = [
                    "merchant" => [
                        "identifier" => $IciciWorldlineAdminConfig['merchantCode']
                    ],
                    "transaction" => [ "deviceIdentifier" => "S",
                    "currency" => $IciciWorldlineAdminConfig['currency'],
                    "dateTime" => $strCurDate,
                    "identifier" => $InvoiceCode,"requestType" => "O"]
                ];
                $finalJsonReq = json_encode($arr_req);
                $method = 'POST';
                $url = self::ICICI_WORLDLINE_PAYMENT_URL;//"https://www.paynimo.com/api/paynimoV2.req";
                $iciciWorldlineFetchPayment = Yii::$app->iciciWorldlinePayment->callAPI($method, $url, $finalJsonReq);
                $respArr = json_decode($iciciWorldlineFetchPayment, true);
                if(!$respArr){
                    return json_encode(['success'=>false,'message'=>'Connection Failure !! Try after some time.']);
                }
                if($respArr){
                    $paymentTransactionDataArr = $respArr['paymentMethod']['paymentTransaction'];
                    $response_Code = $paymentTransactionDataArr['statusCode'];
                    $statusMessage = (($paymentTransactionDataArr['statusMessage'] == 'SUCCESS') && ($paymentTransactionDataArr['statusCode'] == '0300')) ? 'Success' : $paymentTransactionDataArr['statusMessage'];
                    if($paymentTransactionDataArr['amount']=='NA'){
                        $amount=0;
                    } else{
                        $amount = (float)$paymentTransactionDataArr['amount'];
                    }
                    //Update log table:              
                    $logData['CandidateID'] = $CandidateID ;
                    //$logData['OrderID'] =  $InvoiceCode ;              
                    //$logData['GatewayID'] = $PaymentGatewayID;
                    //$logData['PaymentMode'] = $PaymentModeID;
                    //$logData['Request'] = json_encode($RequestCode);
                    //$logData['Response'] =  isset($resp)?json_encode($resp):null; 
                    $logData['Status'] = 1;
                    //$logData['TxnDate'] = $TranscationDate;
                    //$logData['TxnID'] = $TranscationID;
                    //$logData['TxnAmount'] = $ActualExamFee;
                    //$logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logData['CreatedDate'] =  date('Y-m-d H:i:s');
                    $allLogdata = json_encode($logData); //json encode            
                    //log update status 
                    $paymentLogMst = yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$allLogdata'")->execute();
                    
                    $transData = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => isset($respArr['paymentMethod']['paymentTransaction']['identifier'])?$respArr['paymentMethod']['paymentTransaction']['identifier']:NULL,
                        //'TranscationDate' => $trandate !== null ? date('Y-m-d H:i:s', strtotime($trandate)) : null,
                        'PaymentStatus' => $statusMessage,
                        'PaidAmount' => $amount,
                        'ResponseCode' => $response_Code,
                        'BankResponse' => json_encode($respArr),
                        'InvoiceCode' => $InvoiceCode,
                        //'PaymentGatewayID' => null,//it will not update on SP
                        'PaymentSucessDate' => date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        //'ServiceTax' => $TAX !=null ? $TAX : '0.00',
                        //'ProcessFee' => $PF != null? $PF : '0.00',
                        //'InterchangeValue' => null,
                        //'TDR' => null,
                        //'GateWayPaymentMode' => null,
                        //'SubmerchentID' => $iciciConfig['sub_merchant_id'],
                        //'TPS' => null,
                        'MerchaentID' => $IciciWorldlineAdminConfig['merchantCode'],
                    ];
                    //When Status fetched as Success:
                    if($paymentTransactionDataArr['statusMessage'] == 'SUCCESS'){
                        $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                                                    ->bindValue(':select', 'ID,PaymentStatus')
                                                                    ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                                                                    ->bindValue(':table', 'CandidateTbl')
                                                                    ->queryOne();
                        //$isCandPaymentDone = 0;
                        if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){
                            //if($CandidatePayStatusData['PaymentStatus'] == 0){
                                $CandidatePaymentTransUpdate = Yii::$app->{$DB}->createCommand("exec sPUpdatePaymentSuccessByCronJob :CandidateID, :ExamFee ")
                                ->bindValue(':CandidateID', $CandidateID)
                                ->bindValue(':ExamFee', $amount)
                                // ->bindValue(':isCandPaymentDone', $isCandPaymentDone)
                                ->execute();
                                //  $isCandPaymentDone = 1;
                            // }
                        }
                        $transData['ResponseCode'] = '0300';
                        $transData['PaymentStatus'] = 'Success';
                    }
                    $getsTransJSON = json_encode($transData); 
                }

                // Update Payment Transaction 
                $PaymentTransactionUpdate = yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsTransJSON' ")->execute();

                $responseData=array('CroneDATETIME'=>date('d-m-Y H:i:s'),'Request'=>$arr_req,'Response'=>$respArr);
                
                //Log file create:
                $filePath = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbSix'.'/'.date('d-m-Y');
                $filePathname = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbSix'.'/'.date('d-m-Y').'/'.trim('dbSix.json');
                if(file_exists($filePath)){
                    $createLogFile = file_put_contents($filePathname,json_encode($responseData), FILE_APPEND);
                }else{
                    FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                    $createLogFile = file_put_contents($filePathname, json_encode($responseData), FILE_APPEND);
                }
            }
            //Foreach end:
        }
		//die();
	}

    public function actionDbseven()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB ='dbSeven';
        $IciciWorldlineAdminConfig = Yii::$app->params['IciciWorldlineAdminConfig'];

        $PaymentGatewayMst = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                            ->bindValue(':select', 'ID,GatewayCode')
                                            ->bindValue(':input', "WHERE IsActive=1 and GatewayCode='icici'")
                                            ->bindValue(':table', 'PaymentGatewayMst')
                                            ->queryOne();
        $getGatewayID = $PaymentGatewayMst['ID'];
        $getTransactionData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', ' CandidateID, PaymentSubmitDate, InvoiceCode ')
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND PaymentStatus IS NULL ") [InvoiceCode] => JEEMAINS_240310000759_1698910119
                            ->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND  (ResponseCode NOT IN ('0392','0300','0399','9999','0400','0397') or  ( PaymentStatus IS NULL))")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryAll();
                  
        echo "<pre>"; print_r($getTransactionData); die;
                                        
        if(isset($getTransactionData) && !empty($getTransactionData)){
            foreach ($getTransactionData as $tvale) {
                $logData = array();
                $CandidateID = $tvale['CandidateID'];
                //Fetch Payment:
                $strCurDate = date('d-m-Y', strtotime($tvale['PaymentSubmitDate']));

                //$transactionId = "131085259";//FAILED
                //$transactionId = "131080829";//Success
                //$transactionId = "E32636299";//User Aborted
                //$transactionId = $tvale['TranscationID'];
                $InvoiceCode = $tvale['InvoiceCode'];
                $arr_req = [
                    "merchant" => [
                        "identifier" => $IciciWorldlineAdminConfig['merchantCode']
                    ],
                    "transaction" => [ "deviceIdentifier" => "S",
                    "currency" => $IciciWorldlineAdminConfig['currency'],
                    "dateTime" => $strCurDate,
                    "identifier" => $InvoiceCode,"requestType" => "O"]
                ];
                $finalJsonReq = json_encode($arr_req);
                $method = 'POST';
                $url = self::ICICI_WORLDLINE_PAYMENT_URL;//"https://www.paynimo.com/api/paynimoV2.req";
                $iciciWorldlineFetchPayment = Yii::$app->iciciWorldlinePayment->callAPI($method, $url, $finalJsonReq);
                $respArr = json_decode($iciciWorldlineFetchPayment, true);
                if(!$respArr){
                    return json_encode(['success'=>false,'message'=>'Connection Failure !! Try after some time.']);
                }
                if($respArr){
                    $paymentTransactionDataArr = $respArr['paymentMethod']['paymentTransaction'];
                    $response_Code = $paymentTransactionDataArr['statusCode'];
                    $statusMessage = (($paymentTransactionDataArr['statusMessage'] == 'SUCCESS') && ($paymentTransactionDataArr['statusCode'] == '0300')) ? 'Success' : $paymentTransactionDataArr['statusMessage'];
                    if($paymentTransactionDataArr['amount']=='NA'){
                        $amount=0;
                    } else{
                        $amount = (float)$paymentTransactionDataArr['amount'];
                    }
                    //Update log table:              
                    $logData['CandidateID'] = $CandidateID ;
                    //$logData['OrderID'] =  $InvoiceCode ;              
                    //$logData['GatewayID'] = $PaymentGatewayID;
                    //$logData['PaymentMode'] = $PaymentModeID;
                    //$logData['Request'] = json_encode($RequestCode);
                    //$logData['Response'] =  isset($resp)?json_encode($resp):null; 
                    $logData['Status'] = 1;
                    //$logData['TxnDate'] = $TranscationDate;
                    //$logData['TxnID'] = $TranscationID;
                    //$logData['TxnAmount'] = $ActualExamFee;
                    //$logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logData['CreatedDate'] =  date('Y-m-d H:i:s');
                    $allLogdata = json_encode($logData); //json encode            
                    //log update status 
                    $paymentLogMst = yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$allLogdata'")->execute();
                    
                    $transData = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => isset($respArr['paymentMethod']['paymentTransaction']['identifier'])?$respArr['paymentMethod']['paymentTransaction']['identifier']:NULL,
                        //'TranscationDate' => $trandate !== null ? date('Y-m-d H:i:s', strtotime($trandate)) : null,
                        'PaymentStatus' => $statusMessage,
                        'PaidAmount' => $amount,
                        'ResponseCode' => $response_Code,
                        'BankResponse' => json_encode($respArr),
                        'InvoiceCode' => $InvoiceCode,
                        //'PaymentGatewayID' => null,//it will not update on SP
                        'PaymentSucessDate' => date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        //'ServiceTax' => $TAX !=null ? $TAX : '0.00',
                        //'ProcessFee' => $PF != null? $PF : '0.00',
                        //'InterchangeValue' => null,
                        //'TDR' => null,
                        //'GateWayPaymentMode' => null,
                        //'SubmerchentID' => $iciciConfig['sub_merchant_id'],
                        //'TPS' => null,
                        'MerchaentID' => $IciciWorldlineAdminConfig['merchantCode'],
                    ];
                    //When Status fetched as Success:
                    if($paymentTransactionDataArr['statusMessage'] == 'SUCCESS'){
                        $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                                                    ->bindValue(':select', 'ID,PaymentStatus')
                                                                    ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                                                                    ->bindValue(':table', 'CandidateTbl')
                                                                    ->queryOne();
                        //$isCandPaymentDone = 0;
                        if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){
                            //if($CandidatePayStatusData['PaymentStatus'] == 0){
                                $CandidatePaymentTransUpdate = Yii::$app->{$DB}->createCommand("exec sPUpdatePaymentSuccessByCronJob :CandidateID, :ExamFee ")
                                ->bindValue(':CandidateID', $CandidateID)
                                ->bindValue(':ExamFee', $amount)
                                // ->bindValue(':isCandPaymentDone', $isCandPaymentDone)
                                ->execute();
                                //  $isCandPaymentDone = 1;
                            // }
                        }
                        $transData['ResponseCode'] = '0300';
                        $transData['PaymentStatus'] = 'Success';
                    }
                    $getsTransJSON = json_encode($transData); 
                }

                // Update Payment Transaction 
                $PaymentTransactionUpdate = yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsTransJSON' ")->execute();

                $responseData=array('CroneDATETIME'=>date('d-m-Y H:i:s'),'Request'=>$arr_req,'Response'=>$respArr);
                
                //Log file create:
                $filePath = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbSeven'.'/'.date('d-m-Y');
                $filePathname = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbSeven'.'/'.date('d-m-Y').'/'.trim('dbSeven.json');
                if(file_exists($filePath)){
                    $createLogFile = file_put_contents($filePathname,json_encode($responseData), FILE_APPEND);
                }else{
                    FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                    $createLogFile = file_put_contents($filePathname, json_encode($responseData), FILE_APPEND);
                }
            }
            //Foreach end:
        }
		//die();
	}

    public function actionDbeight()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB ='dbEight';
        $IciciWorldlineAdminConfig = Yii::$app->params['IciciWorldlineAdminConfig'];

        $PaymentGatewayMst = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                            ->bindValue(':select', 'ID,GatewayCode')
                                            ->bindValue(':input', "WHERE IsActive=1 and GatewayCode='icici'")
                                            ->bindValue(':table', 'PaymentGatewayMst')
                                            ->queryOne();
        $getGatewayID = $PaymentGatewayMst['ID'];
        $getTransactionData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', ' CandidateID, PaymentSubmitDate, InvoiceCode ')
                            //->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND PaymentStatus IS NULL ") [InvoiceCode] => JEEMAINS_240310000759_1698910119
                            ->bindValue(':input', "WHERE PaymentGatewayID=$getGatewayID  AND  (ResponseCode NOT IN ('0392','0300','0399','9999','0400','0397') or  ( PaymentStatus IS NULL))")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryAll();
                  
        echo "<pre>"; print_r($getTransactionData); die;
                                        
        if(isset($getTransactionData) && !empty($getTransactionData)){
            foreach ($getTransactionData as $tvale) {
                $logData = array();
                $CandidateID = $tvale['CandidateID'];
                //Fetch Payment:
                $strCurDate = date('d-m-Y', strtotime($tvale['PaymentSubmitDate']));

                //$transactionId = "131085259";//FAILED
                //$transactionId = "131080829";//Success
                //$transactionId = "E32636299";//User Aborted
                //$transactionId = $tvale['TranscationID'];
                $InvoiceCode = $tvale['InvoiceCode'];
                $arr_req = [
                    "merchant" => [
                        "identifier" => $IciciWorldlineAdminConfig['merchantCode']
                    ],
                    "transaction" => [ "deviceIdentifier" => "S",
                    "currency" => $IciciWorldlineAdminConfig['currency'],
                    "dateTime" => $strCurDate,
                    "identifier" => $InvoiceCode,"requestType" => "O"]
                ];
                $finalJsonReq = json_encode($arr_req);
                $method = 'POST';
                $url = self::ICICI_WORLDLINE_PAYMENT_URL;//"https://www.paynimo.com/api/paynimoV2.req";
                $iciciWorldlineFetchPayment = Yii::$app->iciciWorldlinePayment->callAPI($method, $url, $finalJsonReq);
                $respArr = json_decode($iciciWorldlineFetchPayment, true);
                if(!$respArr){
                    return json_encode(['success'=>false,'message'=>'Connection Failure !! Try after some time.']);
                }
                if($respArr){
                    $paymentTransactionDataArr = $respArr['paymentMethod']['paymentTransaction'];
                    $response_Code = $paymentTransactionDataArr['statusCode'];
                    $statusMessage = (($paymentTransactionDataArr['statusMessage'] == 'SUCCESS') && ($paymentTransactionDataArr['statusCode'] == '0300')) ? 'Success' : $paymentTransactionDataArr['statusMessage'];
                    if($paymentTransactionDataArr['amount']=='NA'){
                        $amount=0;
                    } else{
                        $amount = (float)$paymentTransactionDataArr['amount'];
                    }
                    //Update log table:              
                    $logData['CandidateID'] = $CandidateID ;
                    //$logData['OrderID'] =  $InvoiceCode ;              
                    //$logData['GatewayID'] = $PaymentGatewayID;
                    //$logData['PaymentMode'] = $PaymentModeID;
                    //$logData['Request'] = json_encode($RequestCode);
                    //$logData['Response'] =  isset($resp)?json_encode($resp):null; 
                    $logData['Status'] = 1;
                    //$logData['TxnDate'] = $TranscationDate;
                    //$logData['TxnID'] = $TranscationID;
                    //$logData['TxnAmount'] = $ActualExamFee;
                    //$logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logData['CreatedDate'] =  date('Y-m-d H:i:s');
                    $allLogdata = json_encode($logData); //json encode            
                    //log update status 
                    $paymentLogMst = yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$allLogdata'")->execute();
                    
                    $transData = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => isset($respArr['paymentMethod']['paymentTransaction']['identifier'])?$respArr['paymentMethod']['paymentTransaction']['identifier']:NULL,
                        //'TranscationDate' => $trandate !== null ? date('Y-m-d H:i:s', strtotime($trandate)) : null,
                        'PaymentStatus' => $statusMessage,
                        'PaidAmount' => $amount,
                        'ResponseCode' => $response_Code,
                        'BankResponse' => json_encode($respArr),
                        'InvoiceCode' => $InvoiceCode,
                        //'PaymentGatewayID' => null,//it will not update on SP
                        'PaymentSucessDate' => date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        //'ServiceTax' => $TAX !=null ? $TAX : '0.00',
                        //'ProcessFee' => $PF != null? $PF : '0.00',
                        //'InterchangeValue' => null,
                        //'TDR' => null,
                        //'GateWayPaymentMode' => null,
                        //'SubmerchentID' => $iciciConfig['sub_merchant_id'],
                        //'TPS' => null,
                        'MerchaentID' => $IciciWorldlineAdminConfig['merchantCode'],
                    ];
                    //When Status fetched as Success:
                    if($paymentTransactionDataArr['statusMessage'] == 'SUCCESS'){
                        $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                                                                    ->bindValue(':select', 'ID,PaymentStatus')
                                                                    ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                                                                    ->bindValue(':table', 'CandidateTbl')
                                                                    ->queryOne();
                        //$isCandPaymentDone = 0;
                        if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){
                            //if($CandidatePayStatusData['PaymentStatus'] == 0){
                                $CandidatePaymentTransUpdate = Yii::$app->{$DB}->createCommand("exec sPUpdatePaymentSuccessByCronJob :CandidateID, :ExamFee ")
                                ->bindValue(':CandidateID', $CandidateID)
                                ->bindValue(':ExamFee', $amount)
                                // ->bindValue(':isCandPaymentDone', $isCandPaymentDone)
                                ->execute();
                                //  $isCandPaymentDone = 1;
                            // }
                        }
                        $transData['ResponseCode'] = '0300';
                        $transData['PaymentStatus'] = 'Success';
                    }
                    $getsTransJSON = json_encode($transData); 
                }

                // Update Payment Transaction 
                $PaymentTransactionUpdate = yii::$app->{$DB}->createCommand("exec UpdatePaymentTransaction '$getsTransJSON' ")->execute();

                $responseData=array('CroneDATETIME'=>date('d-m-Y H:i:s'),'Request'=>$arr_req,'Response'=>$respArr);
                
                //Log file create:
                $filePath = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbEight'.'/'.date('d-m-Y');
                $filePathname = Yii::getAlias('@frontendweb').'/ICICI_CRON_LOG/'.'dbEight'.'/'.date('d-m-Y').'/'.trim('dbEight.json');
                if(file_exists($filePath)){
                    $createLogFile = file_put_contents($filePathname,json_encode($responseData), FILE_APPEND);
                }else{
                    FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                    $createLogFile = file_put_contents($filePathname, json_encode($responseData), FILE_APPEND);
                }
            }
            //Foreach end:
        }
		//die();
	}

}
