<?php

namespace app\modules\Payment\controllers;

use app\modules\application\models\BillDeskJWSHS256ClientTest;
use app\modules\application\models\PaymentGatewayMst;
use Yii;
use yii\data\Pagination;
use yii\filters\AccessControl;
use yii\filters\VerbFilter;
use yii\web\Controller;

date_default_timezone_set("Asia/Calcutta");
/**
 * Default controller for the `Payment` module
 */
class PaymentController extends Controller
{
    //public $enableCsrfValidation = false;

    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'access' => [
                    'class' => AccessControl::class,
                    'rules' => [
                        [
                            'actions' => [
                                'index', 'fetch-payment-details', 'payment-getway', 'payment-response-hdfc', 'payment-cancel-hdfc',
                            ],
                            'allow' => true,
                            'roles' => ['@'],
                        ],
//                        [
//                            'actions' => [
//                                'payment-call-back-icici',
//                            ],
//                            'allow' => true,
//                            'roles' => ['?'],
//                        ],
                    ],
                ],
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Renders the index view for the module
     * @return string
     */
    public function actionIndex()
    {

       
        $applicationStatus = Yii::$app->ApplicationOpen->Openwindow();
        $correctionStatus = Yii::$app->CorrectionWindow->Openwindow();

        $PaymentStatus = (isset(yii::$app->user->identity->PaymentStatus) && yii::$app->user->identity->PaymentStatus == 1) ? yii::$app->user->identity->PaymentStatus : 0;

        $ApplicationFinalSubmit = (isset(yii::$app->user->identity->ApplicationFinalSubmit) && yii::$app->user->identity->ApplicationFinalSubmit == 1) ? yii::$app->user->identity->ApplicationFinalSubmit : 0;

      

        $IsCorrectionSubmit = (isset(yii::$app->user->identity->IsCorrectionSubmit) && yii::$app->user->identity->IsCorrectionSubmit == 1) ? yii::$app->user->identity->IsCorrectionSubmit : 0;

        $IsCorrectionFinalSubmit = (isset(yii::$app->user->identity->IsCorrectionFinalSubmit) && yii::$app->user->identity->IsCorrectionFinalSubmit == 1) ? yii::$app->user->identity->IsCorrectionFinalSubmit : 0;

        if (isset($applicationStatus, $correctionStatus) && $applicationStatus == 1 && $correctionStatus == 1) {
            Yii::$app->session->setFlash('error', 'Application temporary down.');
            return $this->redirect(['../dashboard/index']);
        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 0 && $PaymentStatus == 0 && $ApplicationFinalSubmit == 0 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {
            Yii::$app->session->setFlash('error', 'You are not allow to apply correction.');
            return $this->redirect(['../dashboard/index']);

        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 0 && $PaymentStatus == 0 && $ApplicationFinalSubmit == 1 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {

            Yii::$app->session->setFlash('error', 'You are not allow to apply correction.');
            return $this->redirect(['../dashboard/index']);

        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 1 && $PaymentStatus == 0 && $ApplicationFinalSubmit == 1 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {

            Yii::$app->session->setFlash('error', 'You are not allow to apply correction.');
            return $this->redirect(['../dashboard/index']);

        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 1 && $PaymentStatus == 0 && $ApplicationFinalSubmit == 0 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {

            Yii::$app->session->setFlash('error', 'You are not allow to apply correction.');
            return $this->redirect(['../dashboard/index']);

        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 1 && $PaymentStatus == 1 && $ApplicationFinalSubmit == 1 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {

            Yii::$app->session->setFlash('error', 'Please Final Submit Your Application.');
            return $this->redirect(['../final-reviews/index']);

        } 
        // else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 1 && $PaymentStatus == 1 && $ApplicationFinalSubmit == 1 && $IsCorrectionSubmit == 1 && $IsCorrectionFinalSubmit == 1) {

        //     Yii::$app->session->setFlash('error', 'Your Payment is already done.');
        //     return $this->redirect(['../dashboard/index']);

        // }

        // die('sadasdasd');


        $CandidateID = Yii::$app->user->identity->ID;
        $ApplicationNumber = Yii::$app->user->identity->ApplicationNumber;
        $CandidateName = Yii::$app->user->identity->CandidateName;
        $getFormStatusCheck = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', 'ID')
            ->bindValue(':input', 'WHERE CandidateID=' . $CandidateID . ' and ApplicationFormID=7 and IsActive=1')
            ->bindValue(':table', 'ApplicationFormStatusTbl')
            ->queryOne();
        if (empty($getFormStatusCheck)) {
            Yii::$app->session->setFlash('error', 'please submit you application ');
            return $this->redirect(['../final-reviews/index']);
        }

        // if (isset($PaymentStatus, $correctionStatus) && (($PaymentStatus == 1 && ($correctionStatus == 1) && ($IsCorrectionSubmit == 1) && ($IsCorrectionFinalSubmit == 1)) || ($PaymentStatus == 1 && ($correctionStatus == 0) && ($IsCorrectionSubmit == 1) && ($IsCorrectionFinalSubmit == 1)) || ($PaymentStatus == 1 && ($correctionStatus == 0) && ($IsCorrectionSubmit == 1) && ($IsCorrectionFinalSubmit == 0)) || ($PaymentStatus == 1 && ($correctionStatus == 1) && ($IsCorrectionSubmit == 0) && ($IsCorrectionFinalSubmit == 0)))) {
        //     Yii::$app->session->setFlash('error', 'Your payment is already done.');
        //     return $this->redirect(['../dashboard/index']);
        // }

        if (isset($ApplicationFinalSubmit) && !empty($ApplicationFinalSubmit) && $ApplicationFinalSubmit == 1) {

            // die('asdasdasd');
            $calculateAmount = Yii::$app->PaymentCalculation->getExamFeeByCandidateCastCategory();

            // echo  "<pre>"; print_r($calculateAmount); die('amount');

            if (isset($calculateAmount, $calculateAmount['Status']) && !empty($calculateAmount) && $calculateAmount['Status'] == 'Error') {
                Yii::$app->session->setFlash('error', 'Something went wrong');
                return $this->redirect(['../dashboard/index']);

            }

            if (isset($calculateAmount, $calculateAmount['Status']) && !empty($calculateAmount) && $calculateAmount['Status'] == 'Success') {
                $CorrectionPayableamount = $calculateAmount['TotalPayableAmount'];
                $examFee = yii::$app->user->identity->ExamFee;
                if (empty($examFee)) {
                    Yii::$app->session->setFlash('error', 'Something went wrong.RG_Exam_Fee_B_L_K');
                    return $this->redirect(['../dashboard/index']);

                }
                if (empty($CorrectionPayableamount)) {
                    Yii::$app->session->setFlash('error', 'Something went wrong.CRR_Amt_B_L_K');
                    return $this->redirect(['../dashboard/index']);

                }
                $payableamount = ($CorrectionPayableamount - $examFee);

                // $payableamount = $calculateAmount['amount'];
            }
            // echo $payableamount; die();
            $data['ExamFee'] = $payableamount;
            $data['CandidateName'] = $CandidateName;
            $data['ApplicationNumber'] = $ApplicationNumber;
            $data['PaymentStatus'] = $PaymentStatus;
            $data['IsCorrectionSubmit'] = $IsCorrectionSubmit;
            $data['registractionStatus'] = $applicationStatus;
            $data['correctionStatus'] = $correctionStatus;

            // start pagenation
            $queryLists = [];
            $limit = 10;
            $splist = '{{sPcandidatePaymentList}}';
            $getUrlParam = Yii::$app->SanatizeInput->getInput(Yii::$app->getRequest()->getQueryParam('page'));
            if (isset($getUrlParam) && !empty($getUrlParam)) {
                $offset = ($getUrlParam - 1) * $limit;
                $sNO = $offset;
            } else {
                $offset = 0;
                $sNO = 0;
            }
            $queryLists = Yii::$app->db->createCommand("exec $splist $offset,$limit,$CandidateID")->queryAll();
            // get Query count
            $getCount = 'getCount';
            $getTotalCount = Yii::$app->db->createCommand("exec $splist $offset,$limit,$CandidateID,$getCount")->queryAll();
            $count = count($getTotalCount) ?? 0;
            $pagination = new Pagination(['totalCount' => $count, 'defaultPageSize' => $limit]);

            // end pagenation
            //  echo '<pre>'; print_r($queryLists); die;
            return $this->render('fee-payment', ['data' => $data, 'queryLists' => $queryLists, 'pagination' => $pagination, 'sNO' => $sNO]);

        } else {
            return $this->redirect(['/site/login']);
        }
    }

    public function actionPaymentGetway()
    {
        $applicationStatus = Yii::$app->ApplicationOpen->Openwindow();
        $correctionStatus = Yii::$app->CorrectionWindow->Openwindow();
        $PaymentStatus = (isset(yii::$app->user->identity->PaymentStatus) && yii::$app->user->identity->PaymentStatus == 1) ? yii::$app->user->identity->PaymentStatus : 0;
        $ApplicationFinalSubmit = (isset(yii::$app->user->identity->ApplicationFinalSubmit) && yii::$app->user->identity->ApplicationFinalSubmit == 1) ? yii::$app->user->identity->ApplicationFinalSubmit : 0;
        $IsCorrectionSubmit = (isset(yii::$app->user->identity->IsCorrectionSubmit) && yii::$app->user->identity->IsCorrectionSubmit == 1) ? yii::$app->user->identity->IsCorrectionSubmit : 0;
        $IsCorrectionFinalSubmit = (isset(yii::$app->user->identity->IsCorrectionFinalSubmit) && yii::$app->user->identity->IsCorrectionFinalSubmit == 1) ? yii::$app->user->identity->IsCorrectionFinalSubmit : 0;

        if (isset($applicationStatus, $correctionStatus) && $applicationStatus == 1 && $correctionStatus == 1) {
            Yii::$app->session->setFlash('error', 'Application temporary down.');
            return $this->redirect(['../dashboard/index']);
        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 0 && $PaymentStatus == 0 && $ApplicationFinalSubmit == 0 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {
            Yii::$app->session->setFlash('error', 'You are not allow to apply correction.');
            return $this->redirect(['../dashboard/index']);

        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 0 && $PaymentStatus == 0 && $ApplicationFinalSubmit == 1 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {

            Yii::$app->session->setFlash('error', 'You are not allow to apply correction.');
            return $this->redirect(['../dashboard/index']);

        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 1 && $PaymentStatus == 0 && $ApplicationFinalSubmit == 1 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {

            Yii::$app->session->setFlash('error', 'You are not allow to apply correction.');
            return $this->redirect(['../dashboard/index']);

        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 1 && $PaymentStatus == 0 && $ApplicationFinalSubmit == 0 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {

            Yii::$app->session->setFlash('error', 'You are not allow to apply correction.');
            return $this->redirect(['../dashboard/index']);

        } else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 1 && $PaymentStatus == 1 && $ApplicationFinalSubmit == 1 && $IsCorrectionSubmit == 0 && $IsCorrectionFinalSubmit == 0) {

            Yii::$app->session->setFlash('error', 'Please Final Submit Your Application.');
            return $this->redirect(['../final-reviews/index']);

        } 
        
        else if (isset($applicationStatus, $correctionStatus, $PaymentStatus, $ApplicationFinalSubmit, $IsCorrectionSubmit, $IsCorrectionFinalSubmit) && $applicationStatus == 0 && $correctionStatus == 1 && $PaymentStatus == 1 && $ApplicationFinalSubmit == 1 && $IsCorrectionSubmit == 1 && $IsCorrectionFinalSubmit == 1) {

            Yii::$app->session->setFlash('error', 'Your Payment is already done.');
            return $this->redirect(['../dashboard/index']);

        }

        $CandidateID = Yii::$app->user->identity->ID;
        $ApplicationNumber = Yii::$app->user->identity->ApplicationNumber;
        $CandidateName = Yii::$app->user->identity->CandidateName;
        
        // $calculateAmount = Yii::$app->PaymentCalculaction->CalculatedPayment();
        $calculateAmount = Yii::$app->PaymentCalculation->getExamFeeByCandidateCastCategory();

        if (isset($calculateAmount, $calculateAmount['Status']) && !empty($calculateAmount) && $calculateAmount['Status'] == 'Error') {
            Yii::$app->session->setFlash('error', 'Something went wrong');
            return $this->redirect(['../dashboard/index']);

        }

        if (isset($calculateAmount, $calculateAmount['Status']) && !empty($calculateAmount) && $calculateAmount['Status'] == 'Success') {
            $CorrectionPayableamount = $calculateAmount['TotalPayableAmount'];
            $examFee = yii::$app->user->identity->ExamFee;
            if (empty($examFee)) {
                Yii::$app->session->setFlash('error', 'Something went wrong.RG_Exam_Fee_B_L_K');
                return $this->redirect(['../dashboard/index']);

            }
            if (empty($CorrectionPayableamount)) {
                Yii::$app->session->setFlash('error', 'Something went wrong.CRR_Amt_B_L_K');
                return $this->redirect(['../dashboard/index']);

            }
            $payableamount = ($CorrectionPayableamount - $examFee);

            // $payableamount = $calculateAmount['amount'];
        }

        $data['ExamFee'] = $payableamount;
        $data['CandidateName'] = $CandidateName;
        $data['ApplicationNumber'] = $ApplicationNumber;
        $data['PaymentStatus'] = $PaymentStatus;
        $gateWay = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', '*')
            ->bindValue(':input', 'WHERE IsActive=1')
            ->bindValue(':table', 'PaymentGatewayMst')
            ->queryAll();
        $data['gateWay'] = $gateWay;
        $model = new PaymentGatewayMst();
        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->validate()) {
                $postData = Yii::$app->request->post();
                // echo '<pre>'; print_r($postData); die;
                foreach ($postData['PaymentGatewayMst'] as $key => $value) {
                    $postData['PaymentGatewayMst']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }
                $paymentGateWayID = $postData['PaymentGatewayMst']["payment_gateway_id"];
                $getPaymentGateway = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                    ->bindValue(':select', 'ID,GatewayCode')
                    ->bindValue(':input', "WHERE IsActive=1 AND ID=$paymentGateWayID ")
                    ->bindValue(':table', 'PaymentGatewayMst')
                    ->queryOne();

                if (isset($getPaymentGateway) && !empty($getPaymentGateway)) {
                    $GatewayCode = $getPaymentGateway['GatewayCode'] ?? null;
                    // $calculateAmount = Yii::$app->PaymentCalculaction->CalculatedPayment();
                    $calculateAmount = Yii::$app->PaymentCalculation->getExamFeeByCandidateCastCategory();

                    if (isset($calculateAmount, $calculateAmount['Status']) && !empty($calculateAmount) && $calculateAmount['Status'] == 'Error') {
                        Yii::$app->session->setFlash('error', 'Something went wrong');
                        return $this->redirect(['../dashboard/index']);

                    }

                    if (isset($calculateAmount, $calculateAmount['Status']) && !empty($calculateAmount) && $calculateAmount['Status'] == 'Success') {
                        $CorrectionPayableamount = $calculateAmount['TotalPayableAmount'];
                        $examFee = yii::$app->user->identity->ExamFee;
                        if (empty($examFee)) {
                            Yii::$app->session->setFlash('error', 'Something went wrong.RG_Exam_Fee_B_L_K');
                            return $this->redirect(['../dashboard/index']);

                        }
                        if (empty($CorrectionPayableamount)) {
                            Yii::$app->session->setFlash('error', 'Something went wrong.CRR_Amt_B_L_K');
                            return $this->redirect(['../dashboard/index']);

                        }
                        $payableamount = ($CorrectionPayableamount - $examFee);

                        // $payableamount = $calculateAmount['amount'];
                    }

                    $data['ExamFee'] = $payableamount;
                    $data['CandidateName'] = $CandidateName;
                    $data['ApplicationNumber'] = $ApplicationNumber;
                    $data['PaymentStatus'] = $PaymentStatus;
                    //When not able to fetch exam fee, then throw error:
                    if (isset($payableamount) && $payableamount <= 0) {
                        Yii::$app->session->setFlash('error', "Something went wrong. Please try again!");
                        return $this->redirect(['../payment/payment-getway']);
                    }
                    $exam_fee_amount = 1; // $payableamount;
                    $invoiceCode = 'NIFT_ARTISAN_' . trim($ApplicationNumber) . '_' . time();
                    $PaymentModeCode = 'ONLINE';
                    $activityID=11;
                    $getPaymentMode = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'ID,ModeCode')
                        ->bindValue(':input', "WHERE IsActive=1 AND ModeCode='$PaymentModeCode'")
                        ->bindValue(':table', 'PaymentModeMst')
                        ->queryOne();
                    $paymentModeID = '';
                    if (isset($getPaymentMode) && !empty($getPaymentMode)) {
                        $paymentModeID = $getPaymentMode['ID'];
                    } else {
                        Yii::$app->session->setFlash('error', "Something went wrong. Please try again!");
                        return $this->redirect(['../payment/payment-getway']);
                    }

                    if (isset($GatewayCode) && !empty($GatewayCode) && strtolower($GatewayCode) == 'sbi') {
                        $encryptValueSBI = $this->CalculateSBIEncrypt($CandidateID, $ApplicationNumber, $invoiceCode, $exam_fee_amount, $paymentModeID, $paymentGateWayID, $CandidateName,$activityID);
                        // print_r($encryptValueSBI); die;
                        if (isset($encryptValueSBI) && !empty($encryptValueSBI)) {
                            $data['formAction'] = Yii::$app->params['SBI_Config']['SBI_API_URL'];
                            $data['encdata'] = trim($encryptValueSBI);
                            $data['merchant_code'] = Yii::$app->params['SBI_Config']['merchant_code'];
                            return $this->render('paymentInvokesbi', ['data' => $data]);

                        } else {
                            Yii::$app->session->setFlash('error', 'Something went wrong.');
                            return $this->redirect(['../payment/payment-getway']);
                        }
                    } 
                    else if(isset($GatewayCode) && !empty($GatewayCode) && strtolower($GatewayCode) == 'hdfc'){
                  
                        $encryptValueHDFC= $this->CalculateHdfcEncrypt($CandidateID, $ApplicationNumber, $invoiceCode, $exam_fee_amount, $paymentModeID, $paymentGateWayID, $CandidateName,$activityID);
    
                        if(isset($encryptValueHDFC) && !empty($encryptValueHDFC)){
    
                            $data['formAction']=Yii::$app->params['HDFC_Config']['HDFC_Production_URL'];
                            $data['encRequest']=$encryptValueHDFC;
                            $data['access_code']=Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'];
                            return $this->render('paymentInvokehdfc', ['data' => $data]);
    
                       }else{
    
                        Yii::$app->session->setFlash('error', 'Something went wrong!.');
                        return $this->redirect(['../payment/payment-getway']);
    
                       }
             
                    }

                    
                    else {
                        Yii::$app->session->setFlash('error', 'Payment gateway not found.');
                        return $this->redirect(['../payment/payment-getway']);
                    }

                } else {
                    Yii::$app->session->setFlash('error', 'Something went wrong.');
                    return $this->redirect(['../payment/payment-getway']);
                }
            }
        }

        // echo "<pre>"; print_r($data); die;
        return $this->render('payment-getway', ['data' => $data, 'model' => $model]);
    }

    /*
     * @method for all payment Gateway
     * @Calculate Exam fee amount for Candidate
     * @Create Payment URL
     */
    public function paymentCreateTransaction(array $data)
    {
        // if (isset(Yii::$app->user->identity->PaymentStatus) && Yii::$app->user->identity->PaymentStatus == 1) {
        //     return $this->redirect(['../dashboard/index']);
        // }
        $jsonParam = json_encode($data);
        $sp = '{{CreateTransactionBeforePayment}}';
        $createTransaction = Yii::$app->db->createCommand("exec $sp @json = :json")
            ->bindValue(':json', $jsonParam)
            ->execute();
        if (isset($createTransaction) && $createTransaction == 0) {
            return true;
        } else {
            return false;
        }
    }

    protected function CalculateSBIEncrypt($CandidateID, $ApplicationNumber, $invoiceCode, $exam_fee_amount, $paymentModeID, $payment_gateway_id, $CandidateName,$activityID)
    {
        if (isset($CandidateID, $ApplicationNumber, $invoiceCode, $exam_fee_amount, $paymentModeID, $payment_gateway_id, $CandidateName,$activityID) && !empty($CandidateName) && !empty($CandidateID) && !empty($ApplicationNumber) && !empty($invoiceCode)
            && !empty($exam_fee_amount) && !empty($paymentModeID) && !empty($payment_gateway_id)) {

            // get and set
            $SBI_DATA['CustomerId'] = $invoiceCode;
            $SBI_DATA['Amt'] = $exam_fee_amount;
            $SBI_DATA['name'] = $CandidateName;
            $SBI_DATA['returnurl'] = Yii::$app->params['SBI_Config']['returnurl'];
            $SBI_DATA['currencytype'] = Yii::$app->params['SBI_Config']['currencytype'];
            $SBI_DATA['apprefId'] = $CandidateID;
            $SBI_DATA['challanstatus'] = Yii::$app->params['SBI_Config']['challanstatus'];
            $SBI_DATA['cancelurl'] = Yii::$app->params['SBI_Config']['cancelurl'];
            $SBI_DATA['activityId'] = 'db';
            $SBI_DATA['applicationid'] = $ApplicationNumber;
            $requestDataJson = json_encode($SBI_DATA);
            $transaction_data = [
                'InvoiceCode' => $invoiceCode, //[nvarchar](50) NULL,
                'CandidateID' => $CandidateID, //[int] NULL,
                'ApplicationNumber' => $ApplicationNumber, //[int] NULL,
                'ActualExamFee' => $exam_fee_amount, //[float] NULL,
                'LateFeeAmount' => null, //[int] NULL,
                'PaidAmount' => null, //[float] NULL,
                'PaymentModeID' => $paymentModeID, //[int] NULL,
                'TranscationID' => null, //[int] NULL,
                'TranscationDate' => null, //[datetime] NULL,
                'PaymentStatus' => null, //[nvarchar](30) NULL,
                'PaymentGatewayID' => $payment_gateway_id, //[int] NULL,
                'RequestCode' => null, //[varchar](max) NULL,
                'ResponseCode' => null, //[varchar](max) NULL,
                'BankResponse' => null, //[nvarchar](250) NULL,
                'ServiceTax' => null, //[float] NULL,
                'ProcessFee' => null, //[float] NULL,
                'PaymentSubmitDate' => date('Y-m-d H:i:s'), //[datetime] NULL,
                'InterchangeValue' => null, //[nvarchar](50) NULL,
                'PaymentSucessDate' => null, //[datetime] NULL,
                'TDR' => null, //[nvarchar](50) NULL,
                'GateWayPaymentMode' => null, //[nvarchar](50) NULL,
                'SubmerchentID' => null, //[nvarchar](50) NULL,
                'TPS' => null, //[nvarchar](150) NULL,
                'MerchaentID' => null, //[nvarchar](150) NULL,
                'ActivityID' => $activityID, //[int] NULL,
                'TrackingID' => null,
            ];
            //sp log
            $logData = array();
            $logData['OrderID'] = $invoiceCode;
            $logData['CandidateID'] = $CandidateID;
            $logData['ApplicationNumber'] = $ApplicationNumber;
            $logData['GatewayID'] = $payment_gateway_id;
            $logData['PaymentMode'] = $paymentModeID;
            $logData['Request'] = $requestDataJson;
            $logData['Response'] = null;
            $logData['Status'] = null;
            $logData['TxnDate'] = date('Y-m-d H:i:s');
            $logData['TxnID'] = null;
            $logData['TxnAmount'] = $exam_fee_amount;
            $logData['CreatedDate'] = date('Y-m-d H:i:s');
            $logData['ActivityID'] = $activityID;
            $logOnly = json_encode($logData);

            $sp = '{{%SppaymentLogMst}}';
            $response = Yii::$app->db->createCommand("exec $sp @json = :json")
                ->bindValue(':json', $logOnly)
                ->execute();
            //print_r($response); die;
            if (isset($response) && $response == 0) {
                $transaction_data['MerchaentID'] = Yii::$app->params['SBI_Config']['merchant_code'];
                $transaction_data['InvoiceCode'] = $invoiceCode;
                $transaction_data['RequestCode'] = $requestDataJson;
                $paymentCreateTransaction = $this->paymentCreateTransaction($transaction_data);
                if (isset($paymentCreateTransaction) && !empty($paymentCreateTransaction)) {
                    return Yii::$app->SbiPayment->initiatePayment($SBI_DATA);

                } else {
                    return false;
                }

            } else {
                return false;
            }

        } else {
            return false;
        }

    }

    protected function CalculateCANARAEncrypt($CandidateID, $ApplicationNumber, $invoiceCode, $exam_fee_amount, $paymentModeID, $payment_gateway_id, $CandidateName,$activityID)
    {
        if (isset($CandidateID, $ApplicationNumber, $invoiceCode, $exam_fee_amount, $paymentModeID, $payment_gateway_id, $CandidateName,$activityID) && !empty($CandidateName) && !empty($CandidateID) && !empty($ApplicationNumber) && !empty($invoiceCode)
            && !empty($exam_fee_amount) && !empty($paymentModeID) && !empty($payment_gateway_id)) {

            $CANARA_DATA = Yii::$app->canaraPayment->Canara_RequestData();
            $CANARA_DATA['order_id'] = $invoiceCode;
            $CANARA_DATA['merchant_param3'] = $payment_gateway_id;
            // $CANARA_DATA['merchant_param4'] = $exam_fee_amount;
            $CANARA_DATA['amount'] = $exam_fee_amount;
            $CANARA_DATA['additional_info'] = array("additional_info7" => 'db');
            $requestDataJson = json_encode($CANARA_DATA);

            //echo 'Canara'; die;

            $transaction_data = [
                'InvoiceCode' => $invoiceCode, //[nvarchar](50) NULL,
                'CandidateID' => $CandidateID, //[int] NULL,
                'ApplicationNumber' => $ApplicationNumber, //[int] NULL,
                'ActualExamFee' => $exam_fee_amount, //[float] NULL,
                'LateFeeAmount' => null, //[int] NULL,
                'PaidAmount' => null, //[float] NULL,
                'PaymentModeID' => $paymentModeID, //[int] NULL,
                'TranscationID' => null, //[int] NULL,
                'TranscationDate' => null, //[datetime] NULL,
                'PaymentStatus' => null, //[nvarchar](30) NULL,
                'PaymentGatewayID' => $payment_gateway_id, //[int] NULL,
                'RequestCode' => null, //[varchar](max) NULL,
                'ResponseCode' => null, //[varchar](max) NULL,
                'BankResponse' => null, //[nvarchar](250) NULL,
                'ServiceTax' => null, //[float] NULL,
                'ProcessFee' => null, //[float] NULL,
                'PaymentSubmitDate' => date('Y-m-d H:i:s'), //[datetime] NULL,
                'InterchangeValue' => null, //[nvarchar](50) NULL,
                'PaymentSucessDate' => null, //[datetime] NULL,
                'TDR' => null, //[nvarchar](50) NULL,
                'GateWayPaymentMode' => null, //[nvarchar](50) NULL,
                'SubmerchentID' => null, //[nvarchar](50) NULL,
                'TPS' => null, //[nvarchar](150) NULL,
                'MerchaentID' => null, //[nvarchar](150) NULL,
                'ActivityID' => $activityID, //[int] NULL,
                'TrackingID' => null,
            ];
            //sp log
            $logData = array();
            $logData['OrderID'] = $invoiceCode;
            $logData['CandidateID'] = $CandidateID;
            $logData['ApplicationNumber'] = $ApplicationNumber;
            $logData['GatewayID'] = $payment_gateway_id;
            $logData['PaymentMode'] = $paymentModeID;
            $logData['Request'] = $requestDataJson;
            $logData['Response'] = null;
            $logData['Status'] = null;
            $logData['TxnDate'] = date('Y-m-d H:i:s');
            $logData['TxnID'] = null;
            $logData['TxnAmount'] = $exam_fee_amount;
            $logData['CreatedDate'] = date('Y-m-d H:i:s');
            $logData['ActivityID'] = 1;
            $logOnly = json_encode($logData);

            $sp = '{{%SppaymentLogMst}}';
            $response = Yii::$app->db->createCommand("exec $sp @json = :json")
                ->bindValue(':json', $logOnly)
                ->execute();
            //print_r($response); die;
            if (isset($response) && $response == 0) {
                $transaction_data['MerchaentID'] = Yii::$app->params['CanaraConfig']['merchant_id'];
                $transaction_data['InvoiceCode'] = $invoiceCode;
                $transaction_data['RequestCode'] = $requestDataJson;
                $paymentCreateTransaction = $this->paymentCreateTransaction($transaction_data);
                if (isset($paymentCreateTransaction) && !empty($paymentCreateTransaction)) {

                    try {
                        $model = new BillDeskJWSHS256ClientTest();
                        $res = $model->testCreateOrder($invoiceCode, $exam_fee_amount);
                        $datares = (array) $res;
                        $array = json_decode(json_encode($datares), true);
                        $responseData = array();
                        foreach ($array as $key => $val) {
                            if ($val === 200) {
                                $responseData['status'] = $val;
                            }
                            if (is_array($val)) {
                                $responseData['bdorderid'] = $val['links'][1]['parameters']['bdorderid'];
                                $responseData['authorization'] = $val['links'][1]['headers']['authorization'];
                            }
                        }

                        if (!empty($responseData)) {

                            return json_encode($responseData);
                        } else {
                            return false;
                        }
                    } catch (ClientException $e) {
                        Yii::$app->session->setFlash('error', Yii::$app->params['CanaraResponseCodeArr'][$e->getResponse()->getStatusCode()]);
                        return $this->redirect(['../payment/payment-getway']);
                    }

                    return json_encode($data);
                    // return  Yii::$app->HDFC_encDec->encrypt(http_build_query($HDFC_DATA), Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);

                } else {
                    return false;
                }

            } else {
                return false;
            }

        } else {
            return false;
        }

    }


    protected function CalculateHdfcEncrypt($CandidateID,$ApplicationNumber,$invoiceCode,$exam_fee_amount,$paymentModeID,$paymentGateWayID,$CandidateName,$activityID){
        
        if(isset($CandidateID,$ApplicationNumber,$invoiceCode,$exam_fee_amount,$paymentModeID,$paymentGateWayID,$CandidateName) && !empty($CandidateName) && !empty($CandidateID) && !empty($ApplicationNumber) && !empty($invoiceCode) && !empty($exam_fee_amount) && !empty($paymentModeID) && !empty($paymentGateWayID)){
           $transaction_data = [
                'InvoiceCode' => $invoiceCode, //[nvarchar](50) NULL,
                'CandidateID' => $CandidateID, //[int] NULL,
                'ApplicationNumber' => $ApplicationNumber, //[int] NULL,
                'ActualExamFee' => $exam_fee_amount, //[float] NULL,
                'LateFeeAmount' => null, //[int] NULL,
                'PaidAmount' => null, //[float] NULL,
                'PaymentModeID' => $paymentModeID, //[int] NULL,
                'TranscationID' => null, //[int] NULL,
                'TranscationDate' => null, //[datetime] NULL,
                'PaymentStatus' => null, //[nvarchar](30) NULL,
                'PaymentGatewayID' => $paymentGateWayID, //[int] NULL,
                'RequestCode' => null, //[varchar](max) NULL,
                'ResponseCode' => null, //[varchar](max) NULL,
                'BankResponse' => null, //[nvarchar](250) NULL,
                'ServiceTax' => null, //[float] NULL,
                'ProcessFee' => null, //[float] NULL,
                'PaymentSubmitDate' => date('Y-m-d H:i:s'), //[datetime] NULL,
                'InterchangeValue' => null, //[nvarchar](50) NULL,
                'PaymentSucessDate' => null, //[datetime] NULL,
                'TDR' => null, //[nvarchar](50) NULL,
                'GateWayPaymentMode' => null, //[nvarchar](50) NULL,
                'SubmerchentID' => null, //[nvarchar](50) NULL,
                'TPS' => null, //[nvarchar](150) NULL,
                'MerchaentID' => null, //[nvarchar](150) NULL,
                'ActivityID' => $activityID, //[int] NULL, 
                'TrackingID' => null,
            ];
            $HDFC_DATA = Yii::$app->HDFC_encDec->HDFC_RequestData();
            $HDFC_DATA['order_id'] = $invoiceCode;
            $HDFC_DATA['merchant_param3'] = $ApplicationNumber;
            $HDFC_DATA['merchant_param1'] = "db";
            $HDFC_DATA['merchant_param2'] = $CandidateID;
            $HDFC_DATA['merchant_param4'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
            $HDFC_DATA['amount'] = $exam_fee_amount;
            $HDFC_DATA['merchant_param5'] = $exam_fee_amount;
            $requestDataJson = json_encode($HDFC_DATA);
            //sp log
            $logData = array();
            $logData['OrderID'] = $invoiceCode;
            $logData['CandidateID'] =$CandidateID;
            $logData['ApplicationNumber'] =$ApplicationNumber;
            $logData['GatewayID'] = $paymentGateWayID;
            $logData['PaymentMode'] = $paymentModeID;
            $logData['Request'] = $requestDataJson;
            $logData['Response'] = NULL;
            $logData['Status'] = null;
            $logData['TxnDate'] = date('Y-m-d H:i:s');
            $logData['TxnID'] = NULL;
            $logData['TxnAmount'] = $exam_fee_amount;
            $logData['CreatedDate'] = date('Y-m-d H:i:s');
            $logData['ActivityID'] = $activityID;
            $logOnly = json_encode($logData);
            // echo $logOnly; die;
            $sp = '{{%SppaymentLogMst}}';
            $response = Yii::$app->db->createCommand("exec $sp @json = :json")->bindValue(':json', $logOnly)->execute(); 

            // print_r($response); die;

            if(isset($response) && $response == 0){
                $transaction_data['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                $transaction_data['InvoiceCode'] = $invoiceCode;
                $transaction_data['RequestCode'] = $requestDataJson;
                $paymentCreateTransaction = $this->paymentCreateTransaction($transaction_data);
                // echo $paymentCreateTransaction; die();
                if(isset($paymentCreateTransaction) && !empty($paymentCreateTransaction)){
                        return  Yii::$app->HDFC_encDec->encrypt(http_build_query($HDFC_DATA), Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);

                }else{
                    return false;
                }

            }else{
                return false;
            }
    
        }else{
             return false;
        }
            
    } 

}
