<?php

namespace app\modules\Payment\controllers;

use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use Yii;

date_default_timezone_set("Asia/Calcutta");

class PaymentStatusCronController extends Controller
{
    
    public function actionUpdatePaymentStatusHdfc()
    {
        //get date before 13 days
        $beforeDate = date('Y-m-d h:i:s', strtotime('-13 days', strtotime(date('Y-m-d'))));

        //Cancelled Payment status  where "Awaited" Payment status before 13 days 
        yii::$app->db->createCommand("spPaymentAwaitedCancle 2,'$beforeDate'")->execute();

        //fetch "Awaited" Payment status  data within 13 days
        $getData = yii::$app->db->createCommand("spPaymentAwaited 2,'$beforeDate'")->queryAll();
        //for curl 
        $headers = array("Content-Type: application/x-www-form-urlencoded");
        // multi curl init
        $mh = curl_multi_init();
        $handles = array();
        $respArr = array();
        foreach ($getData as $val) {
            if (isset($val['TrackingID'])) {
                $HDFC_DATA = array();
                $postData = array();
                $HDFC_DATA = json_encode(['reference_no' => $val['TrackingID'], 'order_no' => $val['InvoiceCode']]);
                $requestData = Yii::$app->HDFC_encDec->encrypt($HDFC_DATA, Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $postData = ['access_code' => Yii::$app->params['HDFC_Config']['HDFC_Access_CODE'], 'request_type' => 'JSON', 'response_type' => 'JSON', 'command' => 'orderStatusTracker', 'merchant_id' => Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID']];
                $postData['enc_request'] = $requestData;
                $postJson = http_build_query($postData);
                //curl call
                $ch = curl_init();
                $handles[] = $ch;
                curl_setopt($ch, CURLOPT_URL, Yii::$app->params['HDFC_Config']['HDFC_API_URL']);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
                curl_setopt($ch, CURLOPT_POSTFIELDS, $postJson);
                curl_multi_add_handle($mh, $ch);
            }
        }
        //curl exec
        $running = null;
        do {
            curl_multi_exec($mh, $running);
        } while ($running);

        //loop handle response and update status
        foreach ($handles as $ch) {
            $updateRes = array();
            $logData = array();
            $getArr = array();
            $respArr = array();
            $getArrayRes = array();
            $result = curl_multi_getcontent($ch);

            $information = explode('&', $result);
            for ($i = 0; $i < count($information); $i++) {
                $getResponse = explode('=', $information[$i]);
                $getArr[$getResponse[0]] = trim($getResponse[1]);
            }
            if (isset($getArr['enc_response'])) {
                $jsonData = Yii::$app->HDFC_encDec->decrypt(trim($getArr['enc_response']), Yii::$app->params['HDFC_Config']['HDFC_Encryption_KEY']);
                $getArrayRes = json_decode($jsonData, true);
                $respArr = $getArrayRes['Order_Status_Result'];
                $kk[] = $getArrayRes['Order_Status_Result'];
                //check status
                if (isset($respArr['order_no'])) {
                    if ($respArr['order_status_date_time'] == 'null') {
                        $tran_Date = NULL;
                    } else {
                        $tran_Date = $respArr['order_status_date_time'];
                    }
                    if ($respArr['order_status'] == 'Shipped') {
                        $order_status = 'Success';
                    } else {
                        $order_status = $respArr['order_status'];
                    }
                    if (isset($respArr['order_bank_ref_no'])) {
                        $order_bank_ref_no = $respArr['order_bank_ref_no'];
                    } else {
                        $order_bank_ref_no = NULL;
                    }
                    $Get_data = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'CandidateID,ActualExamFee')
                        ->bindValue(':input', "WHERE InvoiceCode='UGC_23110130105635_1695032670'")
                        ->bindValue(':table', 'PaymentTranscationTbl')
                        ->queryAll();
                    $candidateID = $Get_data[0]['CandidateID'];
                    $updateRes['BankResponse'] = $jsonData;
                    $updateRes['InvoiceCode'] = trim($respArr['order_no']);
                    $updateRes['PaymentStatus'] = $order_status;
                    $updateRes['ResponseCode'] = $order_status;
                    $updateRes['CandidateID'] = trim($candidateID);
                    $updateRes['MerchaentID'] = Yii::$app->params['HDFC_Config']['HDFC_Merchant_ID'];
                    $updateRes['PaymentGatewayID'] = null;
                    $updateRes['PaidAmount'] = $respArr['order_amt'];
                    $updateRes['TranscationID'] = $order_bank_ref_no;
                    $updateRes['TrackingID'] = $respArr['reference_no'];
                    $updateRes['TranscationDate'] = $tran_Date;
                    $updateRes['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $updateRes['ServiceTax'] = null;
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = null;
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = json_encode($updateRes); //json encode

                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['GatewayID'] = $updateRes['PaymentGatewayID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TrackingID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData); //json encode

                    //log update status
                    yii::$app->db->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    //update Payment Transaction 
                    yii::$app->db->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();

                    //check order status 
                    if (isset($order_status) && $order_status == 'Success' and number_format($respArr['order_amt'], 2) == number_format($Get_data[0]['ActualExamFee'], 2)) {
                        //update  CandidateTbl
                        yii::$app->db->createCommand("exec sPupdateCandidateStatusAfterPayment $candidateID,'$respArr[order_amt]'")->execute();
                    }

                    // remove multi handle
                    curl_multi_remove_handle($mh, $ch);
                    curl_close($ch);
                } else {
                    // remove multi handle
                    curl_multi_remove_handle($mh, $ch);
                    curl_close($ch);
                }
            } else {
                // remove multi handle
                curl_multi_remove_handle($mh, $ch);
                curl_close($ch);
            }
        }
        echo "Success";
    }
	 // SBI Double Verification API Call
    public function actionUpdatePaymentStatusSbi()
    {

        $DB = Yii::$app->session->get('NewDB');
        if (empty($DB)) {
            return $this->redirect(['/site/login']);
        }

        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
        ->bindValue(':select', '*')
        ->bindValue(':input', "WHERE InvoiceCode='UGC_23110130000067_1695275237'")
        ->bindValue(':table', 'PaymentTranscationTbl')
        ->queryOne();

        //echo "<pre> SBI_DATA_PAYMENT = "; print_r($getData); //die;

        $SBI_DATA = [];
        if(!empty($getData['RequestCode'])) {
            $SBI_DATA = json_decode($getData['RequestCode'],true);
            $merchant_code = @$getData['MerchaentID'];
        }
        //echo "<pre> SBI_DATA = $merchant_code "; print_r($SBI_DATA); //die;

        $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
        
        //echo "<br> encdata => ".$encdata."<br>";
        
        //die;
        //for curl 
        $headers = array("Content-Type: application/x-www-form-urlencoded");

        $postData = array();
        $postData['encdata'] = $encdata;
        $postData['merchant_code'] = $merchant_code;
        $postJson = http_build_query($postData);
        echo "<pre> postData => "; print_r($postJson); 

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL,"https://uatmerchant.onlinesbi.sbi/thirdparties/doubleverification.htm");
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $postJson);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $server_output = curl_exec($ch);
        curl_close($ch);
        
        echo "<br>server_output => "; print_r($server_output); 
        
        die;

    }
	}
