<?php

namespace app\modules\Payment\controllers;

use app\modules\application\models\BillDeskJWSHS256ClientTest;
use GuzzleHttp\Exception\ClientException;
use Yii;
use yii\filters\AccessControl;
use yii\filters\VerbFilter;
use yii\helpers\Json;
use yii\web\Controller;

date_default_timezone_set("Asia/Calcutta");
/**
 * Default controller for the `Payment` module
 */
class PaymentStatusUpdateController extends Controller
{
    //public $enableCsrfValidation = false;

    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'access' => [
                    'class' => AccessControl::class,
                    'rules' => [
                        [
                            'actions' => [
                                'index',
                            ],
                            'allow' => true,
                            'roles' => ['@'],
                        ],
//                        [
//                            'actions' => [
//                                'payment-call-back-icici',
//                            ],
//                            'allow' => true,
//                            'roles' => ['?'],
//                        ],
                    ],
                ],
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Renders the index view for the module
     * @return string
     */
    public function actionIndex()
    {

        if ($this->request->isPost) {
            $postData = Yii::$app->request->post();
            $status = array('status' => 'Error', 'message' => 'Invalid request.');
            if (isset($postData, $postData['InvoiceCode']) && !empty($postData) && !empty($postData['InvoiceCode'])) {
                $InvoiceCode = Yii::$app->SanatizeInput->getInput($postData['InvoiceCode']);
                $CandidateID = Yii::$app->user->identity->ID;
                $PaymentStatus = Yii::$app->user->identity->PaymentStatus;
                $getInvoiceDetails = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                    ->bindValue(':select', 'ID,InvoiceCode,ApplicationNumber,CandidateID,ActualExamFee,PaymentStatus,PaymentGatewayID,ActivityID,PaymentSubmitDate,RequestCode')
                    ->bindValue(':input', "WHERE InvoiceCode='" . $InvoiceCode . "' and CandidateID=$CandidateID ")
                    ->bindValue(':table', 'PaymentTranscationTbl')
                    ->queryOne();

                if (isset($getInvoiceDetails) && !empty($getInvoiceDetails)) {
                    if (isset($getInvoiceDetails, $getInvoiceDetails['PaymentStatus']) && !empty($getInvoiceDetails) && !empty($getInvoiceDetails['PaymentStatus']) && $getInvoiceDetails['PaymentStatus'] == 'Success') {
                        $status['status'] = 'Error';
                        $status['message'] = 'Your payment is already done.';
                        echo json_encode($status);exit;
                    } else {
                        $PaymentGatewayID = $getInvoiceDetails['PaymentGatewayID'] ?? 0;
                        $CandidateID = $getInvoiceDetails['CandidateID'];
                        $InvoiceCode = $getInvoiceDetails['InvoiceCode'];
                        $ActivityID = $getInvoiceDetails['ActivityID'];
                        $amount = (INT) $getInvoiceDetails['ActualExamFee'];
                        $ApplicationNumber = $getInvoiceDetails['ApplicationNumber'];
                        $PaymentSubmitDate = $getInvoiceDetails['PaymentSubmitDate'];
                        $RequestCode = $getInvoiceDetails['RequestCode'];
                        $paymentgatewayCode = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'GatewayCode')
                            ->bindValue(':input', "WHERE ID=$PaymentGatewayID and IsActive=1")
                            ->bindValue(':table', 'PaymentGatewayMst')
                            ->queryOne();

                        if (isset($paymentgatewayCode) && !empty($paymentgatewayCode)) {

                            if (isset($paymentgatewayCode['GatewayCode']) && strtolower($paymentgatewayCode['GatewayCode']) == 'canara') {

                                $CANARAResponse = $this->GetCANARAResponse($CandidateID, $ApplicationNumber, $ActivityID, $PaymentGatewayID, $amount, $InvoiceCode, $status);
                                echo $CANARAResponse;exit;
                            } else if (isset($paymentgatewayCode['GatewayCode']) && strtolower($paymentgatewayCode['GatewayCode']) == 'sbi') {

                                $SBIResponse = $this->GetSBIResponse($CandidateID, $ApplicationNumber, $ActivityID, $PaymentGatewayID, $amount, $InvoiceCode, $status, $RequestCode);
                                echo $SBIResponse;exit;
                            } else {
                                $status['status'] = 'Error';
                                $status['message'] = 'gateway not Found .';
                                echo json_encode($status);exit;
                            }
                        } else {
                            $status['status'] = 'Error';
                            $status['message'] = 'gateway not Found .';
                            echo json_encode($status);exit;
                        }
                    }
                } else {
                    $status['status'] = 'Error';
                    $status['message'] = 'No data Found .';
                    echo json_encode($status);exit;
                }

            } else {
                echo json_encode($status);exit;

            }
        }

        return $this->redirect(['/site/login']);

    }

    protected function GetCANARAResponse($CandidateID, $ApplicationNumber, $ActivityID, $PaymentGatewayID, $amount, $InvoiceCode, $status)
    {

        if (isset($CandidateID, $ApplicationNumber, $ActivityID, $PaymentGatewayID, $amount, $InvoiceCode, $status)) {

            // canara code start
            $model = new BillDeskJWSHS256ClientTest();
            $CandidateID = $CandidateID;
            $InvoiceCode = $InvoiceCode;
            $ActualExamFee = $amount;

            try {
                //echo "Try....."; //die;
                $res = $model->createTransactionApi($InvoiceCode, $ActualExamFee);

            } catch (ClientException $e) {
                $e->getResponse()->getStatusCode();
                $errorMsg = array(date('d-m-Y H:i:S') => array('Application' => $InvoiceCode, 'Error' => $e->getResponse()->getStatusCode(), 'ErrorReason' => $e->getResponse()->getReasonPhrase()));

                $responseData1 = array();
                $logData1 = array();
                if (isset($errorMsg) && !empty($errorMsg) && is_array($errorMsg)) {

                    //echo "Error If.....";

                    $amount = null;
                    $responseData1['CandidateID'] = $CandidateID;
                    $responseData1['InvoiceCode'] = $InvoiceCode;
                    $responseData1['MerchaentID'] = Yii::$app->params['CanaraConfig']['merchant_id'];
                    $responseData1['TranscationID'] = null;
                    $responseData1['TranscationDate'] = null;
                    $responseData1['ResponseCode'] = $e->getResponse()->getStatusCode();
                    $responseData1['PaidAmount'] = '0.00';
                    $responseData1['PaymentStatus'] = $e->getResponse()->getReasonPhrase();
                    $responseData1['PaymentSucessDate'] = date('Y-m-d H:i:s');
                    $responseData1['ServiceTax'] = null;
                    $responseData1['GateWayPaymentMode'] = null;
                    $responseData1['BankResponse'] = json_encode($errorMsg);
                    $getsJSON1 = Json::encode($responseData1);

                    //echo "<br>getsJSON1 = ".$getsJSON1;

                    //sp log

                    $logData1['OrderID'] = $InvoiceCode;
                    $logData1['GatewayID'] = $PaymentGatewayID;
                    $logData1['CandidateID'] = $CandidateID;
                    $logData1['PaymentMode'] = null;
                    $logData1['Request'] = null;
                    $logData1['Response'] = $e->getResponse()->getStatusCode();
                    $logData1['Status'] = null;
                    $logData1['TxnDate'] = null;
                    $logData1['TxnID'] = null;
                    $logData1['TxnAmount'] = null;
                    $logData1['CurrentTime'] = null;
                    $logData1['ActivityID'] = $ActivityID;
                    $logOnly1 = json_encode($logData1);

                    //echo "<br>logOnly1 = ".$logOnly1;

                    // end
                    $SppaymentLogMstResponse = yii::$app->db->createCommand("exec SppaymentLogMst '$logOnly1'")->execute();
                    if (isset($SppaymentLogMstResponse) && $SppaymentLogMstResponse == 0) {
                        $UpdatePaymentTransactionResponse = yii::$app->db->createCommand("exec UpdatePaymentTransaction '$getsJSON1' ")->execute();
                        if (isset($UpdatePaymentTransactionResponse) && $UpdatePaymentTransactionResponse == 0) {
                            $status['status'] = 'Error';
                            $status['message'] = 'Your payment is ' . $e->getResponse()->getReasonPhrase();
                            return json_encode($status);

                        } else {
                            $status['status'] = 'Error';
                            $status['message'] = 'Something went wrong.';
                            return json_encode($status);

                        }

                    } else {
                        $status['status'] = 'Error';
                        $status['message'] = 'Something went wrong.';
                        return json_encode($status);
                    }

                } else {
                    $status['status'] = 'Error';
                    $status['message'] = 'Canra bank response not valid';
                    return json_encode($status);

                }

                die;

            }

            $datares = (array) $res;

            //echo json_encode($datares);exit;

            $array = json_decode(json_encode($datares), true);
            $responseData = array();
            if (isset($array) && !empty($array) && is_array($array)) {
                foreach ($array as $key => $val) {
                    if (isset($val) && !empty($val) && is_array($val)) {
                        $amount = $val['amount'];
                        $responseData['CandidateID'] = $CandidateID;
                        $responseData['InvoiceCode'] = $val['orderid'];
                        $responseData['MerchaentID'] = $val['mercid'];
                        $responseData['TranscationID'] = $val['transactionid'];
                        $responseData['TranscationDate'] = (isset($val['transaction_date']) && !empty($val['transaction_date'])) ? date('Y-m-d H:i:s', strtotime($val['transaction_date'])) : null;

                        $responseData['PaidAmount'] = $val['amount'];

                        $responseData['PaymentStatus'] = (isset($val['refundInfo']) && is_array($val['refundInfo']) && count($val['refundInfo']) > 0) ? 'Refunded' : Yii::$app->params['CanaraResponseCodeArr'][$val['auth_status']];

                        $refundStatus = null;
                        if (isset($responseData['PaymentStatus']) && $responseData['PaymentStatus'] == 'Refunded') {
                            $refundStatus = $val['refundInfo'][0]['refund_status'] ?? $responseData['PaymentStatus'];

                        }

                        $responseData['ResponseCode'] = $refundStatus ?? $val['auth_status'];

                        $responseData['PaymentSucessDate'] = date('Y-m-d H:i:s');
                        $responseData['ServiceTax'] = $val['surcharge'];
                        $responseData['GateWayPaymentMode'] = $val['payment_method_type'];
                        $responseData['BankResponse'] = json_encode($val);
                        $getsJSON = Json::encode($responseData);

                        //sp log
                        $logData = array();
                        $logData['OrderID'] = $responseData['InvoiceCode'];
                        $logData['GatewayID'] = $PaymentGatewayID;
                        $logData['CandidateID'] = $responseData['CandidateID'];
                        $logData['PaymentMode'] = null;
                        $logData['Request'] = null;
                        $logData['Response'] = $responseData['BankResponse'];
                        $logData['Status'] = null;
                        $logData['TxnDate'] = $responseData['TranscationDate'];
                        $logData['TxnID'] = $responseData['TranscationID'];
                        $logData['TxnAmount'] = $val['amount'];
                        $logData['CurrentTime'] = null;
                        $logData['ActivityID'] = null;
                        $logOnly = json_encode($logData);
                        $SppaymentLogMstResponse = yii::$app->db->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        if (isset($SppaymentLogMstResponse) && $SppaymentLogMstResponse == 0) {
                            $UpdatePaymentTransactionResponse = yii::$app->db->createCommand("exec UpdatePaymentTransaction '$getsJSON' ")->execute();
                            if (isset($UpdatePaymentTransactionResponse) && $UpdatePaymentTransactionResponse == 0) {

                                //check order status
                                if (isset($val['auth_status'], $InvoiceCode, $val['auth_status'], $responseData['PaymentStatus']) && !empty($InvoiceCode) && $val['auth_status'] == '0300' && $responseData['PaymentStatus'] != 'Refunded') {
                                    $sp = '{{%saveNCHMCorrectionDataPerCandidate}}';
                                    $responseMasterSP = Yii::$app->db->createCommand("exec $sp @candidate_id = :candidate_id")
                                        ->bindValue(':candidate_id', $CandidateID)
                                        ->execute();
                                    if (isset($responseMasterSP) && $responseMasterSP == 0) {
                                        $sp3 = '{{%sPupdateCandidateStatusAfterPaymentCorrection}}';
                                        $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp3 @CandidateID = :CandidateID,@CorrectionExamFee=:CorrectionExamFee,@ApplicationNumber=:ApplicationNumber,@ActivityIDCorrection=:ActivityIDCorrection,@PaymentGatewayIDCorrection=:PaymentGatewayIDCorrection,@CorrectionPaymentConfirmedDate=:CorrectionPaymentConfirmedDate,@TranscationIDCorrection=:TranscationIDCorrection")
                                            ->bindValue(':CandidateID', $CandidateID)
                                            ->bindValue(':CorrectionExamFee', (INT) $amount)
                                            ->bindValue(':ApplicationNumber', $ApplicationNumber)
                                            ->bindValue(':ActivityIDCorrection', $ActivityID)
                                            ->bindValue(':PaymentGatewayIDCorrection', $PaymentGatewayID)
                                            ->bindValue(':CorrectionPaymentConfirmedDate', $responseData['TranscationDate'])
                                            ->bindValue(':TranscationIDCorrection', $responseData['TranscationID'])
                                            ->execute();
                                        if (isset($updatepaymentStatus) && !empty($updatepaymentStatus)) {
                                            Yii::$app->masterdata->finalSubmitSendmailWithattach($CandidateID, $ApplicationNumber);
                                        }
                                        $status['status'] = 'Success';
                                        $status['message'] = 'Your payment is ' . $responseData['PaymentStatus'];
                                        return json_encode($status);
                                        return $this->redirect(['../payment/index']);
                                    } else {
                                        $status['status'] = 'Error';
                                        $status['message'] = 'Something went wrong.';
                                        echo json_encode($status);exit;
                                    }


                                } else {
                                    $status['status'] = 'Error';
                                    $status['message'] = 'Your payment is ' . $responseData['PaymentStatus'];
                                    return json_encode($status);

                                }
                            } else {
                                $status['status'] = 'Error';
                                $status['message'] = 'Something went wrong.';
                                return json_encode($status);

                            }

                        } else {
                            $status['status'] = 'Error';
                            $status['message'] = 'Something went wrong.';
                            return json_encode($status);
                        }

                    }
                }
            }

            // canara code end

        }

    }
    protected function GetSBIResponse($CandidateID, $ApplicationNumber, $ActivityID, $PaymentGatewayID, $amount, $InvoiceCode, $status, $RequestCode)
    {

        if (isset($CandidateID, $ApplicationNumber, $ActivityID, $PaymentGatewayID, $amount, $InvoiceCode, $status, $RequestCode)) {

            // SBI code start
            $SBI_DATA = [];
            $SBI_DATA = json_decode($RequestCode, true);
            $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
            $candidateID = $CandidateID;
            $InvoiceCode = $InvoiceCode;
            $postData = array();
            $postData['encdata'] = $encdata;
            $postData['merchant_code'] = Yii::$app->params['SBI_Config']['merchant_code'];
            $postJson = http_build_query($postData);

            $url = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
            $ch = curl_init($url);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postJson);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array("Content-Type: application/x-www-form-urlencoded"));
            $responseVerifyStatus = curl_exec($ch);

            if (isset($responseVerifyStatus) && !empty($responseVerifyStatus)) {
                $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                if (isset($decResponse) && !empty($decResponse)) {
                    $decryptValues = explode('|', $decResponse);
                    $count = count($decryptValues);
                    $serverResponse = array();
                    for ($i = 0; $i < $count; $i++) {
                        $getResponse = explode('=', $decryptValues[$i]);

                        $serverResponse[$getResponse[0]] = $getResponse[1];
                    }

                    //   echo "<pre> serverResponse = "; print_r($serverResponse); //die;

                    $paymentStatus = null;
                    if (isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure') {
                        $paymentStatus = 'Failure';

                    } else if (isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success') {
                        $paymentStatus = 'Success';

                    } else if (isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending') {
                        $paymentStatus = 'Pending';

                    }
                    if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                        $tranDateR = str_replace('/', '-', $serverResponse['transaction_date']);
                        $tranDate = date('Y-m-d H:i:s', strtotime($tranDateR));
                    }
                    $data = [
                        'CandidateID' => $CandidateID,
                        'TranscationID' => $serverResponse['TransactionId'],
                        'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                        'PaymentStatus' => $paymentStatus,
                        'PaidAmount' => isset($serverResponse['Amt']) ? $serverResponse['Amt'] : '0.00',
                        'ResponseCode' => $serverResponse['Status'],
                        'BankResponse' => json_encode($serverResponse),
                        'InvoiceCode' => $serverResponse['CustomerId'],
                        'PaymentGatewayID' => $PaymentGatewayID, //it will not update on SP
                        'PaymentSucessDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : date('Y-m-d H:i:s'),
                        'TrackingID' => null,
                        'ServiceTax' => '0.00',
                        'ProcessFee' => '0.00',
                        'InterchangeValue' => null,
                        'TDR' => null,
                        'ActivityID' => $ActivityID,
                        'GateWayPaymentMode' => null,
                        'SubmerchentID' => null,
                        'TPS' => null,
                        'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                    ];

                    $getsJSON = json_encode($data);

                    // sp log
                    $logData = array();
                    $logData['OrderID'] = $data['InvoiceCode'];
                    $logData['CandidateID'] = $CandidateID;
                    $logData['GatewayID'] = $PaymentGatewayID;
                    $logData['PaymentMode'] = null;
                    $logData['Request'] = null;
                    $logData['Response'] = json_encode($serverResponse);
                    $logData['Status'] = null;
                    $logData['TxnDate'] = (isset($tranDate) && !empty($tranDate)) ? $tranDate : date('Y-m-d H:i:s');
                    $logData['TxnID'] = null;
                    $logData['TxnAmount'] = null;
                    $logData['CurrentTime'] = null;
                    $logData['ActivityID'] = $ActivityID;
                    $logOnly = json_encode($logData);
                    $SppaymentLogMstResponse = Yii::$app->db->createCommand("exec SppaymentLogMst '$logOnly'")->execute();

                    // echo '<pre>';print_r($serverResponse); die;

                    if (isset($SppaymentLogMstResponse) && $SppaymentLogMstResponse == 0) {
                        $checkPayData = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'InvoiceCode,PaymentGatewayID,ActivityID,ApplicationNumber')
                            ->bindValue(':input', "WHERE InvoiceCode='" . $data['InvoiceCode'] . "' and MerchaentID='" . $data['MerchaentID'] . "' and CandidateID=" . $data['CandidateID'] . "")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryOne();
                        if (isset($checkPayData) && !empty($checkPayData)) {
                            $sp2 = '{{%UpdatePaymentTransaction}}';
                            $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp2 @json = :json")
                                ->bindValue(':json', $getsJSON)
                                ->execute();
                            if (isset($updatepaymentStatus) && $updatepaymentStatus == 0) {
                                if (isset($serverResponse['Status']) && strtolower($serverResponse['Status']) == 'success') {
                                    $sp = '{{%saveNCHMCorrectionDataPerCandidate}}';
                                    $responseMasterSP = Yii::$app->db->createCommand("exec $sp @candidate_id = :candidate_id")
                                        ->bindValue(':candidate_id', $data['CandidateID'])
                                        ->execute();
                                    if (isset($responseMasterSP) && $responseMasterSP == 0) {
                                        $sp3 = '{{%sPupdateCandidateStatusAfterPaymentCorrection}}';
                                        $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp3 @CandidateID = :CandidateID,@CorrectionExamFee=:CorrectionExamFee,@ApplicationNumber=:ApplicationNumber,@ActivityIDCorrection=:ActivityIDCorrection,@PaymentGatewayIDCorrection=:PaymentGatewayIDCorrection,@CorrectionPaymentConfirmedDate=:CorrectionPaymentConfirmedDate,@TranscationIDCorrection=:TranscationIDCorrection")
                                            ->bindValue(':CandidateID', $CandidateID)
                                            ->bindValue(':CorrectionExamFee', (INT) $amount)
                                            ->bindValue(':ApplicationNumber', $ApplicationNumber)
                                            ->bindValue(':ActivityIDCorrection', $ActivityID)
                                            ->bindValue(':PaymentGatewayIDCorrection', $PaymentGatewayID)
                                            ->bindValue(':CorrectionPaymentConfirmedDate', $data['TranscationDate'])
                                            ->bindValue(':TranscationIDCorrection', $data['TranscationID'])
                                            ->execute();
                                        if (isset($updatepaymentStatus) && !empty($updatepaymentStatus)) {
                                            Yii::$app->masterdata->finalSubmitSendmailWithattach($CandidateID, $ApplicationNumber);
                                        }
                                        $status['status'] = 'Success';
                                        $status['message'] = 'Your payment is ' . $serverResponse['Status'];
                                        return json_encode($status);
                                        return $this->redirect(['../payment/index']);
                                    } else {
                                        $status['status'] = 'Error';
                                        $status['message'] = 'Something went wrong.';
                                        echo json_encode($status);exit;
                                    }
                                } else {

                                    $status['status'] = 'Error';
                                    $status['message'] = 'Your payment is ' . $serverResponse['Status'];
                                    return json_encode($status);
                                }

                            } else {
                                $status['status'] = 'Error';
                                $status['message'] = 'Something went wrong.';
                                echo json_encode($status);exit;
                            }

                        } else {
                            $status['status'] = 'Error';
                            $status['message'] = 'data not found.';
                            echo json_encode($status);exit;

                        }

                    } else {
                        $status['status'] = 'Error';
                        $status['message'] = 'Something went wrong.';
                        echo json_encode($status);exit;
                    }
                    // end

                } else {
                    $status['status'] = 'Error';
                    $status['message'] = 'api response decrypt error .';
                    echo json_encode($status);exit;

                }

            } else {
                $status['status'] = 'Error';
                $status['message'] = 'api response Invalid .';
                echo json_encode($status);exit;

            }

            // SBI code end

        } else {
            $status['status'] = 'Error';
            $status['message'] = 'Invalid request varable not set.';
            return json_encode($status);

        }

    }

}
