<?php

namespace app\modules\Payment\controllers;

use yii\web\Controller;
use yii\helpers\Json;
use Yii;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use io\billdesk\client\hmacsha256\JWEHS256Helper;
use app\modules\application\models\CandidateTbl;
use common\models\User;

/**
 * Default controller for the `Payment` module
 */

class ResponseCanaraController extends Controller
{
    public $enableCsrfValidation = false;

    public function actionPaymentResponse()
    {
        if (isset($_POST["transaction_response"])) {
            $encryptedText = $_POST['transaction_response'];
            try {
                $jwtverify = new JWEHS256Helper(Yii::$app->params['CanaraConfig']['secret_key']);
                $verifyDecryptedText = $jwtverify->verifyAndDecrypt($encryptedText);
                $verifyDecryptedText = json_decode($verifyDecryptedText, true);

                // echo '<pre>';print_r($verifyDecryptedText); die;

                //store response

                if (!empty($verifyDecryptedText['auth_status']) && ($verifyDecryptedText['auth_status'] != '0300')) {
                    $errorMessage = Yii::$app->params['CanaraResponseCodeArr'][$verifyDecryptedText['auth_status']];
                }

                $checkPayData = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                    ->bindValue(':select', 'InvoiceCode,PaymentGatewayID,CandidateID,ActualExamFee,ApplicationNumber')
                    ->bindValue(':input', "WHERE InvoiceCode='$verifyDecryptedText[orderid]' and MerchaentID='$verifyDecryptedText[mercid]'")
                    ->bindValue(':table', 'PaymentTranscationTbl')
                    ->queryOne();
                $applicationid = base64_encode(base64_encode($checkPayData['ApplicationNumber']));
                if (!empty(@$checkPayData)) {
                    $applicationid = base64_encode(base64_encode($checkPayData['ApplicationNumber']));
                    $TranscationDate = date('Y-m-d H:i:s', strtotime($verifyDecryptedText['transaction_date']));
                    $updateRes['BankResponse'] = json_encode($verifyDecryptedText);
                    $updateRes['InvoiceCode'] = $verifyDecryptedText['orderid'];
                    $updateRes['PaymentStatus'] = (isset($verifyDecryptedText['refundInfo']) && is_array($verifyDecryptedText['refundInfo']) && count($verifyDecryptedText['refundInfo']) > 0) ? 'Refunded' : Yii::$app->params['CanaraResponseCodeArr'][$verifyDecryptedText['auth_status']];

                    $refundStatus = null;
                    if (isset($updateRes['PaymentStatus']) &&  $updateRes['PaymentStatus'] == 'Refunded') {
                        $refundStatus = $verifyDecryptedText['refundInfo'][0]['refund_status'] ?? $updateRes['PaymentStatus'];
                    }

                    $updateRes['ResponseCode'] = $refundStatus ?? $verifyDecryptedText['auth_status'];
                    $updateRes['CandidateID'] =  Yii::$app->user->identity->ID ?? $checkPayData['CandidateID'];
                    $updateRes['MerchaentID'] = $verifyDecryptedText['mercid'];
                    $updateRes['PaidAmount'] = $verifyDecryptedText['amount'];
                    $updateRes['TranscationID'] = $verifyDecryptedText['transactionid'];
                    $updateRes['TrackingID'] = null;
                    $updateRes['TranscationDate'] = $TranscationDate ?? null;
                    $updateRes['PaymentSucessDate'] = $verifyDecryptedText['auth_status'] == '0300' ? date('Y-m-d H:i:s') : NULL;
                    $updateRes['ServiceTax'] = $verifyDecryptedText['surcharge'];
                    $updateRes['ProcessFee'] = null;
                    $updateRes['InterchangeValue'] = null;
                    $updateRes['TDR'] = null;
                    $updateRes['GateWayPaymentMode'] = $verifyDecryptedText['payment_method_type'];
                    $updateRes['SubmerchentID'] = null;
                    $updateRes['TPS'] = null;
                    $getsJSON = Json::encode($updateRes);

                    //sp log
                    $logData = array();
                    $logData['OrderID'] = $updateRes['InvoiceCode'];
                    $logData['GatewayID'] = $checkPayData['PaymentGatewayID'];
                    $logData['CandidateID'] = $updateRes['CandidateID'];
                    $logData['PaymentMode'] = NULL;
                    $logData['Request'] = NULL;
                    $logData['Response'] = $updateRes['BankResponse'];
                    $logData['Status'] = NULL;
                    $logData['TxnDate'] = $updateRes['TranscationDate'];
                    $logData['TxnID'] = $updateRes['TranscationID'];
                    $logData['TxnAmount'] = $updateRes['PaidAmount'];
                    $logData['CurrentTime'] = NULL;
                    $logData['ActivityID'] = NULL;
                    $logOnly = json_encode($logData);

                    // end  

                    // my code start
                    // echo $logOnly ;die;
                    $sp1 = '{{%SppaymentLogMst}}';
                    $response = Yii::$app->db->createCommand("exec $sp1 @json = :json")
                        ->bindValue(':json', $logOnly)
                        ->execute();

                    if (isset($response) && $response == 0) {
                        $checkPayDataStatus = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'InvoiceCode,PaymentGatewayID,ActivityID,ApplicationNumber')
                            ->bindValue(':input', "WHERE InvoiceCode='" . $updateRes['InvoiceCode'] . "' and MerchaentID='" . $updateRes['MerchaentID'] . "' and CandidateID=" . $updateRes['CandidateID'] . "")
                            ->bindValue(':table', 'PaymentTranscationTbl')
                            ->queryOne();

                        if (isset($checkPayDataStatus) && !empty($checkPayDataStatus)) {
                            $sp2 = '{{%UpdatePaymentTransaction}}';
                            $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp2 @json = :json")
                                ->bindValue(':json', $getsJSON)
                                ->execute();

                            if (isset($updatepaymentStatus) && $updatepaymentStatus == 0) {
                                if (isset($verifyDecryptedText['auth_status'], $updateRes['PaymentStatus']) && $verifyDecryptedText['auth_status'] == '0300'  and $checkPayData['ActualExamFee'] == $verifyDecryptedText['amount'] and isset($checkPayData['InvoiceCode']) and !empty($checkPayData['InvoiceCode']) && ($updateRes['PaymentStatus'] != 'Refunded')) {
                                    $sp = '{{%saveNCHMCorrectionDataPerCandidate}}';
                                $responseMasterSP = Yii::$app->db->createCommand("exec $sp @candidate_id = :candidate_id")
                                    ->bindValue(':candidate_id', $updateRes['CandidateID'])
                                    ->execute();
                                if (isset($responseMasterSP) && $responseMasterSP == 0) {
                                    $sp3 = '{{%sPupdateCandidateStatusAfterPaymentCorrection}}';
                                    $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp3 @CandidateID = :CandidateID,@CorrectionExamFee=:CorrectionExamFee,@ApplicationNumber=:ApplicationNumber,@ActivityIDCorrection=:ActivityIDCorrection,@PaymentGatewayIDCorrection=:PaymentGatewayIDCorrection,@CorrectionPaymentConfirmedDate=:CorrectionPaymentConfirmedDate,@TranscationIDCorrection=:TranscationIDCorrection")
                                        ->bindValue(':CandidateID', $updateRes['CandidateID'])
                                        ->bindValue(':CorrectionExamFee', (INT) $updateRes['PaidAmount'])
                                        ->bindValue(':ApplicationNumber', $checkPayDataStatus['ApplicationNumber'])
                                        ->bindValue(':ActivityIDCorrection', $checkPayDataStatus['ActivityID'])
                                        ->bindValue(':PaymentGatewayIDCorrection', $checkPayDataStatus['PaymentGatewayID'])
                                        ->bindValue(':CorrectionPaymentConfirmedDate', $updateRes['TranscationDate'])
                                        ->bindValue(':TranscationIDCorrection', $updateRes['TranscationID'])
                                        ->execute();

                                    if (isset($updatepaymentStatus) && !empty($updatepaymentStatus)) {
                                        Yii::$app->masterdata->finalSubmitSendmailWithattach($updateRes['CandidateID'], $checkPayDataStatus['ApplicationNumber']);
                                        Yii::$app->session->setFlash('success', "Payment successfully.");
                                        $this->loginAgain($checkPayDataStatus['ApplicationNumber']);
                                        return $this->redirect(['../payment/index']);

                                    } else {
                                        Yii::$app->session->setFlash('success', $updateRes['PaymentStatus']);
                                        $this->loginAgain($checkPayDataStatus['ApplicationNumber']);
                                        return $this->redirect(['../payment/index']);
                                    }

                                } else {
                                    Yii::$app->session->setFlash('error', 'Something went wrong.');
                                    $this->loginAgain($checkPayDataStatus['ApplicationNumber']);
                                    return $this->redirect(['../payment/payment-getway']);

                                }

                                    // $sp3 = '{{%sPupdateCandidateStatusAfterPayment}}';
                                    // $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp3 @CandidateID = :CandidateID,@ExamFee=:ExamFee,@ApplicationNumber=:ApplicationNumber,@ActivityID=:ActivityID,@PaymentGatewayID=:PaymentGatewayID,@PaymentConfirmedDate=:PaymentConfirmedDate,@TranscationID=:TranscationID")
                                    //     ->bindValue(':CandidateID', $updateRes['CandidateID'])
                                    //     ->bindValue(':ExamFee', $updateRes['PaidAmount'])
                                    //     ->bindValue(':ApplicationNumber', $checkPayDataStatus['ApplicationNumber'])
                                    //     ->bindValue(':ActivityID', $checkPayDataStatus['ActivityID'])
                                    //     ->bindValue(':PaymentGatewayID', $checkPayDataStatus['PaymentGatewayID'])
                                    //     ->bindValue(':PaymentConfirmedDate', $updateRes['TranscationDate'])
                                    //     ->bindValue(':TranscationID',  $updateRes['TranscationID'])
                                    //     ->execute();
                                    // //echo '<pre>'; print_r($updatepaymentStatus); die;
                                    // if (isset($updatepaymentStatus) && !empty($updatepaymentStatus)) {
                                    //     Yii::$app->masterdata->finalSubmitSendmailWithattach($updateRes['CandidateID'], $checkPayDataStatus['ApplicationNumber']);
                                    //     Yii::$app->session->setFlash('success', "Payment successful.");
                                    //     return $this->redirect(['../payment/index']);
                                    // } else {
                                    //     Yii::$app->session->setFlash('error', $updateRes['PaymentStatus']);
                                    //     return $this->redirect(['../payment/index']);
                                    // }
                                } else {

                                    Yii::$app->session->setFlash('error', $updateRes['PaymentStatus']);
                                    return $this->redirect(['../payment/index']);
                                }
                            } else {
                                Yii::$app->session->setFlash('error', 'Something went wrong.');
                                return $this->redirect(['../payment/payment-getway']);
                            }
                        } else {
                            Yii::$app->session->setFlash('error', 'Something went wrong.');
                            return $this->redirect(['../payment/payment-getway']);
                        }
                    } else {
                        Yii::$app->session->setFlash('error', 'Something went wrong.');
                        return $this->redirect(['../payment/payment-getway']);
                    }
                }
            } catch (Exception $e) {
                Yii::$app->session->setFlash('error', $e->getMessage());
                // return $this->redirect(['../payment/index']);
                $this->loginAgain($checkPayData['ApplicationNumber']);
                return $this->redirect(['../payment/index']);
            }
        } else {
            //$this->loginAgain($checkPayData['ApplicationNumber']);
            return $this->redirect(['../payment/index']);
        }
    }
    protected function loginAgain($ApplicationNumber)
    {
        $condidate = CandidateTbl::find()->where(['ApplicationNumber' => $ApplicationNumber])->one();
        if (isset($condidate) && !empty($condidate)) {
            $session = Yii::$app->session;
            $session->set('clientIP', Yii::$app->request->getUserIP());
            $session->set('userAgent', Yii::$app->request->getUserAgent());
            $validUser = User::findByApplicationNo($ApplicationNumber);
            Yii::$app->user->login($validUser);
            return $this->redirect(['../payment/index']);

        }

    }
}
