<?php

namespace app\modules\Payment\controllers;

use app\modules\application\models\CandidateTbl;
use common\models\User;
use Yii;
use yii\web\Controller;

/**
 * Default controller for the `Payment` module
 */
class SbiResponseController extends Controller
{
    public $enableCsrfValidation = false;
    public function actionIndex()
    {
        if (isset($_POST["encdata"]) && !empty($_POST["encdata"]) && $_SERVER['REQUEST_METHOD'] === 'POST') {
            $encResponse = $_POST["encdata"]; //This is the response sent by the CCAvenue Server
            $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($encResponse);
            $decryptValues = explode('|', $decResponse);
            // echo "<pre>"; print_r($decResponse); die;
            $count = count($decryptValues);
            $serverResponse = array();
            for ($i = 0; $i < $count; $i++) {
                $getResponse = explode('=', $decryptValues[$i]);
                $serverResponse[$getResponse[0]] = $getResponse[1];
            }
            if (!empty($serverResponse['transaction_date'])) {
                $tran_Date = $serverResponse['transaction_date'];
                $tranDateR = str_replace('/', '-', $serverResponse['transaction_date']);
                $tranDate = date('Y-m-d H:i:s', strtotime($tranDateR));
            }

            // echo "<pre>"; print_r($serverResponse); die;

            //store response
            $data = [
                'CandidateID' => $serverResponse['apprefId'],
                'TranscationID' => $serverResponse['TransactionId'],
                'TranscationDate' => !empty($serverResponse['transaction_date']) ? $tranDate : null,
                'PaymentStatus' => isset($serverResponse['Status']) ? $serverResponse['Status'] : 'Failure',
                'PaidAmount' => !empty($serverResponse['Amt']) ? $serverResponse['Amt'] : '0.00',
                'ResponseCode' => $serverResponse['Status'],
                'BankResponse' => json_encode($serverResponse),
                'InvoiceCode' => $serverResponse['CustomerId'],
                'PaymentSucessDate' => !empty($serverResponse['transaction_date']) ? $tranDate : null,
                'PaymentGatewayID' => null,
                'TrackingID' => null,
                'ServiceTax' => '0.00',
                'ProcessFee' => '0.00',
                'InterchangeValue' => null,
                'TDR' => null,
                'GateWayPaymentMode' => null,
                'SubmerchentID' => null,
                'TPS' => null,
                'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
            ];
            $getsJSON = json_encode($data);

            //sp log
            $logData = array();
            $logData['OrderID'] = $data['InvoiceCode'];
            $logData['CandidateID'] = $data['CandidateID'];
            $logData['GatewayID'] = $data['PaymentGatewayID'];
            $logData['PaymentMode'] = null;
            $logData['Request'] = null;
            $logData['Response'] = $data['BankResponse'];
            $logData['Status'] = null;
            $logData['TxnDate'] = $data['TranscationDate'];
            $logData['TxnID'] = $data['TrackingID'];
            $logData['TxnAmount'] = $data['PaidAmount'];
            $logData['CurrentTime'] = null;
            $logData['ActivityID'] = null;
            $logOnly = json_encode($logData);

            $SppaymentLogMstResponse = yii::$app->db->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
            // echo $SppaymentLogMstResponse; die();

            if (isset($SppaymentLogMstResponse) && $SppaymentLogMstResponse == 0) {

                $checkPayData = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                    ->bindValue(':select', 'InvoiceCode,PaymentGatewayID,ActivityID,ApplicationNumber')
                    ->bindValue(':input', "WHERE InvoiceCode='" . $data['InvoiceCode'] . "' and MerchaentID='" . $data['MerchaentID'] . "' and CandidateID=" . $data['CandidateID'] . "")
                    ->bindValue(':table', 'PaymentTranscationTbl')
                    ->queryOne();

                if (isset($checkPayData) && !empty($checkPayData)) {

                    $sp2 = '{{%UpdatePaymentTransaction}}';
                    $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp2 @json = :json")
                        ->bindValue(':json', $getsJSON)
                        ->execute();


                    if (isset($updatepaymentStatus) && $updatepaymentStatus == 0) {

                        $DoubleVerificationResponse = $this->checkDoubleVerificationStatus($data['InvoiceCode'], $data['CandidateID']);

                        if (isset($DoubleVerificationResponse, $DoubleVerificationResponse['status']) && $DoubleVerificationResponse['status'] == 'ERROR') {
                            Yii::$app->session->setFlash('error', $serverResponse['Status']);
                            $this->loginAgain($serverResponse['applicationid']);
                            return $this->redirect(['../payment/payment-getway']);
                        }

                        $sp2 = '{{%UpdatePaymentTransaction}}';
                        $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp2 @json = :json")
                            ->bindValue(':json', json_encode($DoubleVerificationResponse))
                            ->execute();
                        // echo '<pre>';print_r($updatepaymentStatus); die;
                        if (isset($updatepaymentStatus) && $updatepaymentStatus == 0) {
                            if (isset($DoubleVerificationResponse['PaymentStatus']) && strtolower($DoubleVerificationResponse['PaymentStatus']) == 'success' && isset($checkPayData['InvoiceCode']) and !empty($checkPayData['InvoiceCode'])) {


                                $sp = '{{%saveNIFTARTISANCorrectionDataPerCandidate}}';
                                $responseMasterSP = Yii::$app->db->createCommand("exec $sp @candidate_id = :candidate_id")
                                    ->bindValue(':candidate_id', $data['CandidateID'])
                                    ->execute();
                                if (isset($responseMasterSP) && $responseMasterSP == 0) {

                                    $sp3 = '{{%sPupdateCandidateStatusAfterPaymentCorrection}}';
                                    
                                    $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp3 @CandidateID = :CandidateID,@CorrectionExamFee=:CorrectionExamFee,@ApplicationNumber=:ApplicationNumber,@ActivityIDCorrection=:ActivityIDCorrection,@PaymentGatewayIDCorrection=:PaymentGatewayIDCorrection,@CorrectionPaymentConfirmedDate=:CorrectionPaymentConfirmedDate,@TranscationIDCorrection=:TranscationIDCorrection")
                                        ->bindValue(':CandidateID', $DoubleVerificationResponse['CandidateID'])
                                        ->bindValue(':CorrectionExamFee', (INT) $DoubleVerificationResponse['PaidAmount'])
                                        ->bindValue(':ApplicationNumber', $serverResponse['applicationid'])
                                        ->bindValue(':ActivityIDCorrection', $checkPayData['ActivityID'])
                                        ->bindValue(':PaymentGatewayIDCorrection', $checkPayData['PaymentGatewayID'])
                                        ->bindValue(':CorrectionPaymentConfirmedDate', $DoubleVerificationResponse['TranscationDate'])
                                        ->bindValue(':TranscationIDCorrection', $DoubleVerificationResponse['TranscationID'])
                                        ->execute();

                                    if (isset($updatepaymentStatus) && ($updatepaymentStatus == 0)) {
                                     
                                        Yii::$app->masterdata->finalSubmitSendmailWithattach($DoubleVerificationResponse['CandidateID']); 
                                        Yii::$app->session->setFlash('success', "Payment successfully.");
                                        $this->loginAgain($serverResponse['applicationid']);
                                        return $this->redirect(['../payment/index']);

                                    } else {
                                        Yii::$app->session->setFlash('success', $serverResponse['Status']);
                                        $this->loginAgain($serverResponse['applicationid']);
                                        return $this->redirect(['../payment/index']);
                                    }

                                } else {
                                    Yii::$app->session->setFlash('error', 'Something went wrong.');
                                    $this->loginAgain($serverResponse['applicationid']);
                                    return $this->redirect(['../payment/payment-getway']);

                                }

                                // $sp3 = '{{%sPupdateCandidateStatusAfterPayment}}';
                                //   $updatepaymentStatus = Yii::$app->db->createCommand("exec $sp3 @CandidateID = :CandidateID,@ExamFee=:ExamFee,@ApplicationNumber=:ApplicationNumber,@ActivityID=:ActivityID,@PaymentGatewayID=:PaymentGatewayID,@PaymentConfirmedDate=:PaymentConfirmedDate,@TranscationID=:TranscationID")
                                //      ->bindValue(':CandidateID',$DoubleVerificationResponse['CandidateID'])
                                //      ->bindValue(':ExamFee', $DoubleVerificationResponse['PaidAmount'])
                                //      ->bindValue(':ApplicationNumber', $serverResponse['applicationid'])
                                //      ->bindValue(':ActivityID', $checkPayData['ActivityID'])
                                //      ->bindValue(':PaymentGatewayID', $checkPayData['PaymentGatewayID'])
                                //      ->bindValue(':PaymentConfirmedDate', $DoubleVerificationResponse['TranscationDate'])
                                //      ->bindValue(':TranscationID',  $DoubleVerificationResponse['TranscationID'])
                                //      ->execute();

                            } else {

                                Yii::$app->session->setFlash('error', $serverResponse['Status']);
                                $this->loginAgain($serverResponse['applicationid']);
                                return $this->redirect(['../payment/index']);
                            }

                        } else {
                            Yii::$app->session->setFlash('error', 'Something went wrong.');
                            $this->loginAgain($serverResponse['applicationid']);
                            return $this->redirect(['../payment/payment-getway']);

                        }

                    } else {
                        Yii::$app->session->setFlash('error', 'Something went wrong.');
                        $this->loginAgain($serverResponse['applicationid']);
                        return $this->redirect(['../payment/payment-getway']);
                    }
                } else {
                    Yii::$app->session->setFlash('error', $serverResponse['Status']);
                    $this->loginAgain($serverResponse['applicationid']);
                    return $this->redirect(['../payment/payment-getway']);

                }

            } else {
                Yii::$app->session->setFlash('error', 'Something went wrong.');
                $this->loginAgain($serverResponse['applicationid']);
                return $this->redirect(['../payment/payment-getway']);

            }
        } else {
            return $this->redirect(['/site/login']);

        }
    }

/////--------------------------------------------------

    // SBI Double Verification API Call
    public function checkDoubleVerificationStatus($InvoiceCode, $CandidateID)
    {
        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];

        $getData = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', 'RequestCode,CandidateID,ApplicationNumber,InvoiceCode,ApplicationNumber')
            ->bindValue(':input', "WHERE InvoiceCode= '$InvoiceCode' and CandidateID=$CandidateID")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryOne();
        $SBI_DATA = [];
        if (!empty($getData['RequestCode'])) {
            $SBI_DATA = json_decode($getData['RequestCode'], true);

        } else {
            return array('status' => 'Error', 'message' => 'server response error');

        }

        $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);

        //for curl
        $headers = array("Content-Type: application/x-www-form-urlencoded");
        $postData = array();
        $postData['encdata'] = $encdata;
        $postData['merchant_code'] = $merchant_code;
        $postJson = http_build_query($postData);
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $SBI_API_URL_UPDATE);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $postJson);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $server_output = curl_exec($ch);
        curl_close($ch);

        // echo "<br>server_output => "; print_r($server_output);
        $status = "";
        if ($server_output) {
            $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($server_output);
            //echo "<br>decResponse = ".$decResponse;
            if ($decResponse) {
                $decryptValues = explode('|', $decResponse);
                //echo "<pre> decryptValues Arr = "; print_r($decryptValues); //die;
                $count = count($decryptValues);
                $serverResponse = array();
                for ($i = 0; $i < $count; $i++) {
                    $getResponse = explode('=', $decryptValues[$i]);
                    $serverResponse[$getResponse[0]] = $getResponse[1];
                }
                if (!empty($serverResponse['txn_date'])) {
                    $tran_Date = $serverResponse['txn_date'];
                    $tranDateR = str_replace('/', '-', $serverResponse['txn_date']);
                    $tranDate = date('Y-m-d H:i:s', strtotime($tranDateR));
                }
                //return $serverResponse;
                $data = [
                    'CandidateID' => $getData['CandidateID'],
                    'TranscationID' => $serverResponse['TransactionId'],
                    'TranscationDate' => isset($serverResponse['txn_date']) && !empty($serverResponse['txn_date']) ? $tranDate : date('Y-m-d H:i:s'),
                    'PaymentStatus' => isset($serverResponse['Status']) ? $serverResponse['Status'] : 'Failure',
                    'PaidAmount' => $serverResponse['Amt'] != 'null' ? $serverResponse['Amt'] : '0.00',
                    'ResponseCode' => $serverResponse['Status'],
                    'BankResponse' => json_encode($serverResponse),
                    'InvoiceCode' => $getData['InvoiceCode'],
                    'PaymentGatewayID' => null, //it will not update on SP
                    'PaymentSucessDate' => isset($serverResponse['txn_date']) && !empty($serverResponse['txn_date']) ? $tranDate : date('Y-m-d H:i:s'),
                    'TrackingID' => null,
                    'ServiceTax' => '0.00',
                    'ProcessFee' => '0.00',
                    'InterchangeValue' => null,
                    'TDR' => null,
                    'GateWayPaymentMode' => null,
                    'SubmerchentID' => null,
                    'TPS' => null,
                    'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                    'Desc' => $serverResponse['Desc'],
                ];

                $jsonParam = json_encode($data);
                $sp = '{{UpdatePaymentTransaction}}';
                $updateTransaction = Yii::$app->db->createCommand("exec $sp @json = :json")
                    ->bindValue(':json', $jsonParam)
                    ->execute();
                if (isset($updateTransaction) && $updateTransaction == 0) {
                    return $data;
                } else {
                    return array('status' => 'Error', 'message' => 'Something went wrong dd');
                }
            } else {
                return array('status' => 'Error', 'message' => 'Something went wrong sss');
            }
        } else {
            return array('status' => 'Error', 'message' => 'server response error');
        }

    }
    protected function loginAgain($ApplicationNumber)
    {
        $condidate = CandidateTbl::find()->where(['ApplicationNumber' => $ApplicationNumber])->one();
        if (isset($condidate) && !empty($condidate)) {
            $session = Yii::$app->session;
            $session->set('clientIP', Yii::$app->request->getUserIP());
            $session->set('userAgent', Yii::$app->request->getUserAgent());

            $validUser = User::findByApplicationNo($ApplicationNumber);

            Yii::$app->user->login($validUser);
            return $this->redirect(['../payment/index']);

        }

    }

}
