<?php

namespace app\modules\Payment\controllers;

use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use Yii;
use yii\helpers\FileHelper;

date_default_timezone_set("Asia/Calcutta");

class SbicronController extends Controller
{

    public function actionDbone()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbOne";

        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' CandidateID, InvoiceCode, RequestCode, MerchaentID ') // CandidateID, InvoiceCode, RequestCode, MerchaentID
            ->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND InvoiceCode='JEEMAINS_240310482583_1700556769' ")
            //->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND (ResponseCode NOT IN ('Failure','Success') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
	    echo '<pre> getData => '; print_r($getData); //die;

        foreach ($getData as $val) {
            if (isset($val['RequestCode']) && !empty($val['RequestCode']) && isset($val['MerchaentID']) && !empty($val['MerchaentID'])) {
                //echo "<pre>val = "; print_r($val); //die;
                $SBI_DATA = [];
                $SBI_DATA = json_decode($val['RequestCode'], true);
                $merchant_code = $merchant_code;
                $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
                $candidateID=$val['CandidateID'];
                $InvoiceCode=$val['InvoiceCode'];
                $postData = array();
                $postData['encdata'] = $encdata;
                $postData['merchant_code'] = $merchant_code;
                $postJson = http_build_query($postData);

                $url=Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);

                if(isset($responseVerifyStatus) && !empty($responseVerifyStatus)){
                    $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                    //echo '<pre> <br> decResponse'; print_r($decResponse); //die;
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=>$decResponse); 
                    $filePath = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbOne/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbOne/'.date('d-m-Y').'/'.trim('dbOne.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                       FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                       $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    if($decResponse){
                        $decryptValues = explode('|', $decResponse);
                        $count = count($decryptValues);
                        $serverResponse = array();
                        for ($i = 0; $i < $count; $i++) {
                            $getResponse = explode('=', $decryptValues[$i]);
                           
                            $serverResponse[$getResponse[0]] = $getResponse[1];
                        }

                        echo "<pre> serverResponse = "; print_r($serverResponse); die;

                        $paymentStatus=NULL;
                        if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure'){
                        $paymentStatus='Failure';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success'){
                        $paymentStatus='Success';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending'){
                        $paymentStatus='Pending';

                        }
                        if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                            $tranDateR=str_replace('/','-',$serverResponse['transaction_date']);
                            $tranDate = date('Y-m-d H:i:s',strtotime($tranDateR));
                        }
                        $data = [
                            'CandidateID' => $candidateID,
                            'TranscationID' => $serverResponse['TransactionId'] ,
                            'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                            'PaymentStatus' => $paymentStatus,
                            'PaidAmount' => isset($serverResponse['Amt']) ?$serverResponse['Amt']:'0.00',
                            'ResponseCode' => $serverResponse['Status'],
                            'BankResponse' => json_encode($serverResponse),
                            'InvoiceCode' => $serverResponse['CustomerId'],
                            'PaymentGatewayID' => null,//it will not update on SP
                            'PaymentSucessDate' => date('Y-m-d H:i:s'),
                            'TrackingID' => null,
                            'ServiceTax' => '0.00',
                            'ProcessFee' => '0.00',
                            'InterchangeValue' => null,
                            'TDR' => null,
                            'ActivityID'=>1,
                            'GateWayPaymentMode' => null,
                            'SubmerchentID' => null,
                            'TPS' => null,
                            'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                        ];

                        array_push($dummyArray,$data);
                        echo "<pre><br> Update data = "; print_r($data); //die;
                        // sp log
                        $logData = array();
                        $logData['OrderID'] = $data['InvoiceCode'];
                        $logData['CandidateID'] = $candidateID;
                        $logData['GatewayID'] = 1;
                        $logData['PaymentMode'] = NULL;
                        $logData['Request'] = NULL;
                        $logData['Response'] = json_encode($serverResponse);
                        $logData['Status'] = NULL;
                        $logData['TxnDate'] = @$serverResponse['txn_date'];
                        $logData['TxnID'] = NULL;
                        $logData['TxnAmount'] = NULL;
                        $logData['CurrentTime'] = NULL;
                        $logData['ActivityID'] = 1;
                        $logOnly = json_encode($logData);
                        Yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        // end 

                        $jsonParam = json_encode($data);
                        $sp = '{{UpdatePaymentTransaction}}';
                        Yii::$app->{$DB}->createCommand("exec $sp @json = :json")->bindValue(':json', $jsonParam)->execute();

                        echo "<br>dbOne Payment Status = ".$data['PaymentStatus'];

                        if ($data['PaymentStatus'] == 'Success') {
                            $InvoiceCode = $data['InvoiceCode'];
                            $CandidateID = $data['CandidateID'];
                            $ActualExamFee = $data['PaidAmount'];
                            echo "<br> sPupdateCandidateStatusAfterPayment";
                            $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'ID,PaymentStatus')
                            ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                            ->bindValue(':table', 'CandidateTbl')
                            ->queryOne();  

                            if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){

                            yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $CandidateID,$ActualExamFee  ")->execute();
                            }
                        }

                    }

                }  
            }
            //echo "<pre>"; print_r($dummyArray); die;
         }
        
        echo "<pre>"; print_r($dummyArray); die;
        die;
	}

    public function actionDbtwo()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbTwo";

        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' CandidateID, InvoiceCode, RequestCode, MerchaentID ')
            ->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND (ResponseCode NOT IN ('Failure','Success') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
	    echo '<pre> getData => '; print_r($getData); die;

        foreach ($getData as $val) {
            if (isset($val['RequestCode']) && !empty($val['RequestCode']) && isset($val['MerchaentID']) && !empty($val['MerchaentID'])) {
                //echo "<pre>val = "; print_r($val); //die;
                $SBI_DATA = [];
                $SBI_DATA = json_decode($val['RequestCode'], true);
                $merchant_code = $merchant_code;
                $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
                $candidateID=$val['CandidateID'];
                $InvoiceCode=$val['InvoiceCode'];
                $postData = array();
                $postData['encdata'] = $encdata;
                $postData['merchant_code'] = $merchant_code;
                $postJson = http_build_query($postData);

                $url=Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);

                if(isset($responseVerifyStatus) && !empty($responseVerifyStatus)){
                    $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                    //echo '<pre> <br> decResponse'; print_r($decResponse); //die;
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=>$decResponse); 
                    $filePath = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbTwo/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbTwo/'.date('d-m-Y').'/'.trim('dbTwo.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                       FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                       $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    if($decResponse){
                        $decryptValues = explode('|', $decResponse);
                        $count = count($decryptValues);
                        $serverResponse = array();
                        for ($i = 0; $i < $count; $i++) {
                            $getResponse = explode('=', $decryptValues[$i]);
                           
                            $serverResponse[$getResponse[0]] = $getResponse[1];
                        }

                        echo "<pre> serverResponse = "; print_r($serverResponse); //die;

                        $paymentStatus=NULL;
                        if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure'){
                        $paymentStatus='Failure';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success'){
                        $paymentStatus='Success';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending'){
                        $paymentStatus='Pending';

                        }
                        if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                            $tranDateR=str_replace('/','-',$serverResponse['transaction_date']);
                            $tranDate = date('Y-m-d H:i:s',strtotime($tranDateR));
                        }
                        $data = [
                            'CandidateID' => $candidateID,
                            'TranscationID' => $serverResponse['TransactionId'] ,
                            'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                            'PaymentStatus' => $paymentStatus,
                            'PaidAmount' => isset($serverResponse['Amt']) ?$serverResponse['Amt']:'0.00',
                            'ResponseCode' => $serverResponse['Status'],
                            'BankResponse' => json_encode($serverResponse),
                            'InvoiceCode' => $serverResponse['CustomerId'],
                            'PaymentGatewayID' => null,//it will not update on SP
                            'PaymentSucessDate' => date('Y-m-d H:i:s'),
                            'TrackingID' => null,
                            'ServiceTax' => '0.00',
                            'ProcessFee' => '0.00',
                            'InterchangeValue' => null,
                            'TDR' => null,
                            'ActivityID'=>1,
                            'GateWayPaymentMode' => null,
                            'SubmerchentID' => null,
                            'TPS' => null,
                            'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                        ];

                        array_push($dummyArray,$data);
                        echo "<pre><br> Update data = "; print_r($data); //die;
                        // sp log
                        $logData = array();
                        $logData['OrderID'] = $data['InvoiceCode'];
                        $logData['CandidateID'] = $candidateID;
                        $logData['GatewayID'] = 1;
                        $logData['PaymentMode'] = NULL;
                        $logData['Request'] = NULL;
                        $logData['Response'] = json_encode($serverResponse);
                        $logData['Status'] = NULL;
                        $logData['TxnDate'] = @$serverResponse['txn_date'];
                        $logData['TxnID'] = NULL;
                        $logData['TxnAmount'] = NULL;
                        $logData['CurrentTime'] = NULL;
                        $logData['ActivityID'] = 1;
                        $logOnly = json_encode($logData);
                        Yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        // end 

                        $jsonParam = json_encode($data);
                        $sp = '{{UpdatePaymentTransaction}}';
                        Yii::$app->{$DB}->createCommand("exec $sp @json = :json")->bindValue(':json', $jsonParam)->execute();

                        echo "<br>dbTwo Payment Status = ".$data['PaymentStatus'];

                        if ($data['PaymentStatus'] == 'Success') {
                            $InvoiceCode = $data['InvoiceCode'];
                            $CandidateID = $data['CandidateID'];
                            $ActualExamFee = $data['PaidAmount'];
                            echo "<br> sPupdateCandidateStatusAfterPayment";
                            $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'ID,PaymentStatus')
                            ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                            ->bindValue(':table', 'CandidateTbl')
                            ->queryOne();  

                            if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){

                            yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $CandidateID,$ActualExamFee  ")->execute();
                            }
                        }

                    }

                }  
            }
            //echo "<pre>"; print_r($dummyArray); die;
         }
        
        echo "<pre>"; print_r($dummyArray); die;
        die;
	}

    public function actionDbthree()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbThree";

        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' CandidateID, InvoiceCode, RequestCode, MerchaentID ')
            ->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND (ResponseCode NOT IN ('Failure','Success') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
	    echo '<pre> getData => '; print_r($getData); die;

        foreach ($getData as $val) {
            if (isset($val['RequestCode']) && !empty($val['RequestCode']) && isset($val['MerchaentID']) && !empty($val['MerchaentID'])) {
                //echo "<pre>val = "; print_r($val); //die;
                $SBI_DATA = [];
                $SBI_DATA = json_decode($val['RequestCode'], true);
                $merchant_code = $merchant_code;
                $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
                $candidateID=$val['CandidateID'];
                $InvoiceCode=$val['InvoiceCode'];
                $postData = array();
                $postData['encdata'] = $encdata;
                $postData['merchant_code'] = $merchant_code;
                $postJson = http_build_query($postData);

                $url=Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);

                if(isset($responseVerifyStatus) && !empty($responseVerifyStatus)){
                    $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                    //echo '<pre> <br> decResponse'; print_r($decResponse); //die;
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=>$decResponse); 
                    $filePath = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbThree/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbThree/'.date('d-m-Y').'/'.trim('dbThree.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                       FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                       $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    if($decResponse){
                        $decryptValues = explode('|', $decResponse);
                        $count = count($decryptValues);
                        $serverResponse = array();
                        for ($i = 0; $i < $count; $i++) {
                            $getResponse = explode('=', $decryptValues[$i]);
                           
                            $serverResponse[$getResponse[0]] = $getResponse[1];
                        }

                        echo "<pre> serverResponse = "; print_r($serverResponse); //die;

                        $paymentStatus=NULL;
                        if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure'){
                        $paymentStatus='Failure';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success'){
                        $paymentStatus='Success';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending'){
                        $paymentStatus='Pending';

                        }
                        if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                            $tranDateR=str_replace('/','-',$serverResponse['transaction_date']);
                            $tranDate = date('Y-m-d H:i:s',strtotime($tranDateR));
                        }
                        $data = [
                            'CandidateID' => $candidateID,
                            'TranscationID' => $serverResponse['TransactionId'] ,
                            'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                            'PaymentStatus' => $paymentStatus,
                            'PaidAmount' => isset($serverResponse['Amt']) ?$serverResponse['Amt']:'0.00',
                            'ResponseCode' => $serverResponse['Status'],
                            'BankResponse' => json_encode($serverResponse),
                            'InvoiceCode' => $serverResponse['CustomerId'],
                            'PaymentGatewayID' => null,//it will not update on SP
                            'PaymentSucessDate' => date('Y-m-d H:i:s'),
                            'TrackingID' => null,
                            'ServiceTax' => '0.00',
                            'ProcessFee' => '0.00',
                            'InterchangeValue' => null,
                            'TDR' => null,
                            'ActivityID'=>1,
                            'GateWayPaymentMode' => null,
                            'SubmerchentID' => null,
                            'TPS' => null,
                            'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                        ];

                        array_push($dummyArray,$data);
                        echo "<pre><br> Update data = "; print_r($data); //die;
                        // sp log
                        $logData = array();
                        $logData['OrderID'] = $data['InvoiceCode'];
                        $logData['CandidateID'] = $candidateID;
                        $logData['GatewayID'] = 1;
                        $logData['PaymentMode'] = NULL;
                        $logData['Request'] = NULL;
                        $logData['Response'] = json_encode($serverResponse);
                        $logData['Status'] = NULL;
                        $logData['TxnDate'] = @$serverResponse['txn_date'];
                        $logData['TxnID'] = NULL;
                        $logData['TxnAmount'] = NULL;
                        $logData['CurrentTime'] = NULL;
                        $logData['ActivityID'] = 1;
                        $logOnly = json_encode($logData);
                        Yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        // end 

                        $jsonParam = json_encode($data);
                        $sp = '{{UpdatePaymentTransaction}}';
                        Yii::$app->{$DB}->createCommand("exec $sp @json = :json")->bindValue(':json', $jsonParam)->execute();

                        echo "<br>dbThree Payment Status = ".$data['PaymentStatus'];

                        if ($data['PaymentStatus'] == 'Success') {
                            $InvoiceCode = $data['InvoiceCode'];
                            $CandidateID = $data['CandidateID'];
                            $ActualExamFee = $data['PaidAmount'];
                            echo "<br> sPupdateCandidateStatusAfterPayment";
                            $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'ID,PaymentStatus')
                            ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                            ->bindValue(':table', 'CandidateTbl')
                            ->queryOne();  

                            if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){

                            yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $CandidateID,$ActualExamFee  ")->execute();
                            }
                        }

                    }

                }  
            }
            //echo "<pre>"; print_r($dummyArray); die;
         }
        
        echo "<pre>"; print_r($dummyArray); die;
        die;
	}

    public function actionDbfour()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbFour";

        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' CandidateID, InvoiceCode, RequestCode, MerchaentID ')
            ->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND (ResponseCode NOT IN ('Failure','Success') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
	    echo '<pre> getData => '; print_r($getData); die;

        foreach ($getData as $val) {
            if (isset($val['RequestCode']) && !empty($val['RequestCode']) && isset($val['MerchaentID']) && !empty($val['MerchaentID'])) {
                //echo "<pre>val = "; print_r($val); //die;
                $SBI_DATA = [];
                $SBI_DATA = json_decode($val['RequestCode'], true);
                $merchant_code = $merchant_code;
                $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
                $candidateID=$val['CandidateID'];
                $InvoiceCode=$val['InvoiceCode'];
                $postData = array();
                $postData['encdata'] = $encdata;
                $postData['merchant_code'] = $merchant_code;
                $postJson = http_build_query($postData);

                $url=Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);

                if(isset($responseVerifyStatus) && !empty($responseVerifyStatus)){
                    $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                    //echo '<pre> <br> decResponse'; print_r($decResponse); //die;
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=>$decResponse); 
                    $filePath = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbFour/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbFour/'.date('d-m-Y').'/'.trim('dbFour.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                       FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                       $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    if($decResponse){
                        $decryptValues = explode('|', $decResponse);
                        $count = count($decryptValues);
                        $serverResponse = array();
                        for ($i = 0; $i < $count; $i++) {
                            $getResponse = explode('=', $decryptValues[$i]);
                           
                            $serverResponse[$getResponse[0]] = $getResponse[1];
                        }

                        echo "<pre> serverResponse = "; print_r($serverResponse); //die;

                        $paymentStatus=NULL;
                        if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure'){
                        $paymentStatus='Failure';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success'){
                        $paymentStatus='Success';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending'){
                        $paymentStatus='Pending';

                        }
                        if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                            $tranDateR=str_replace('/','-',$serverResponse['transaction_date']);
                            $tranDate = date('Y-m-d H:i:s',strtotime($tranDateR));
                        }
                        $data = [
                            'CandidateID' => $candidateID,
                            'TranscationID' => $serverResponse['TransactionId'] ,
                            'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                            'PaymentStatus' => $paymentStatus,
                            'PaidAmount' => isset($serverResponse['Amt']) ?$serverResponse['Amt']:'0.00',
                            'ResponseCode' => $serverResponse['Status'],
                            'BankResponse' => json_encode($serverResponse),
                            'InvoiceCode' => $serverResponse['CustomerId'],
                            'PaymentGatewayID' => null,//it will not update on SP
                            'PaymentSucessDate' => date('Y-m-d H:i:s'),
                            'TrackingID' => null,
                            'ServiceTax' => '0.00',
                            'ProcessFee' => '0.00',
                            'InterchangeValue' => null,
                            'TDR' => null,
                            'ActivityID'=>1,
                            'GateWayPaymentMode' => null,
                            'SubmerchentID' => null,
                            'TPS' => null,
                            'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                        ];

                        array_push($dummyArray,$data);
                        echo "<pre><br> Update data = "; print_r($data); //die;
                        // sp log
                        $logData = array();
                        $logData['OrderID'] = $data['InvoiceCode'];
                        $logData['CandidateID'] = $candidateID;
                        $logData['GatewayID'] = 1;
                        $logData['PaymentMode'] = NULL;
                        $logData['Request'] = NULL;
                        $logData['Response'] = json_encode($serverResponse);
                        $logData['Status'] = NULL;
                        $logData['TxnDate'] = @$serverResponse['txn_date'];
                        $logData['TxnID'] = NULL;
                        $logData['TxnAmount'] = NULL;
                        $logData['CurrentTime'] = NULL;
                        $logData['ActivityID'] = 1;
                        $logOnly = json_encode($logData);
                        Yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        // end 

                        $jsonParam = json_encode($data);
                        $sp = '{{UpdatePaymentTransaction}}';
                        Yii::$app->{$DB}->createCommand("exec $sp @json = :json")->bindValue(':json', $jsonParam)->execute();

                        echo "<br>dbFour Payment Status = ".$data['PaymentStatus'];

                        if ($data['PaymentStatus'] == 'Success') {
                            $InvoiceCode = $data['InvoiceCode'];
                            $CandidateID = $data['CandidateID'];
                            $ActualExamFee = $data['PaidAmount'];
                            echo "<br> sPupdateCandidateStatusAfterPayment";
                            $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'ID,PaymentStatus')
                            ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                            ->bindValue(':table', 'CandidateTbl')
                            ->queryOne();  

                            if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){

                            yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $CandidateID,$ActualExamFee  ")->execute();
                            }
                        }

                    }

                }  
            }
            //echo "<pre>"; print_r($dummyArray); die;
         }
        
        echo "<pre>"; print_r($dummyArray); die;
        die;
	}

    public function actionDbfive()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbFive";

        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' CandidateID, InvoiceCode, RequestCode, MerchaentID ')
            ->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND (ResponseCode NOT IN ('Failure','Success') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
	    echo '<pre> getData => '; print_r($getData); die;

        foreach ($getData as $val) {
            if (isset($val['RequestCode']) && !empty($val['RequestCode']) && isset($val['MerchaentID']) && !empty($val['MerchaentID'])) {
                //echo "<pre>val = "; print_r($val); //die;
                $SBI_DATA = [];
                $SBI_DATA = json_decode($val['RequestCode'], true);
                $merchant_code = $merchant_code;
                $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
                $candidateID=$val['CandidateID'];
                $InvoiceCode=$val['InvoiceCode'];
                $postData = array();
                $postData['encdata'] = $encdata;
                $postData['merchant_code'] = $merchant_code;
                $postJson = http_build_query($postData);

                $url=Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);

                if(isset($responseVerifyStatus) && !empty($responseVerifyStatus)){
                    $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                    //echo '<pre> <br> decResponse'; print_r($decResponse); //die;
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=>$decResponse); 
                    $filePath = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbFive/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbFive/'.date('d-m-Y').'/'.trim('dbFive.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                       FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                       $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    if($decResponse){
                        $decryptValues = explode('|', $decResponse);
                        $count = count($decryptValues);
                        $serverResponse = array();
                        for ($i = 0; $i < $count; $i++) {
                            $getResponse = explode('=', $decryptValues[$i]);
                           
                            $serverResponse[$getResponse[0]] = $getResponse[1];
                        }

                        echo "<pre> serverResponse = "; print_r($serverResponse); //die;

                        $paymentStatus=NULL;
                        if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure'){
                        $paymentStatus='Failure';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success'){
                        $paymentStatus='Success';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending'){
                        $paymentStatus='Pending';

                        }
                        if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                            $tranDateR=str_replace('/','-',$serverResponse['transaction_date']);
                            $tranDate = date('Y-m-d H:i:s',strtotime($tranDateR));
                        }
                        $data = [
                            'CandidateID' => $candidateID,
                            'TranscationID' => $serverResponse['TransactionId'] ,
                            'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                            'PaymentStatus' => $paymentStatus,
                            'PaidAmount' => isset($serverResponse['Amt']) ?$serverResponse['Amt']:'0.00',
                            'ResponseCode' => $serverResponse['Status'],
                            'BankResponse' => json_encode($serverResponse),
                            'InvoiceCode' => $serverResponse['CustomerId'],
                            'PaymentGatewayID' => null,//it will not update on SP
                            'PaymentSucessDate' => date('Y-m-d H:i:s'),
                            'TrackingID' => null,
                            'ServiceTax' => '0.00',
                            'ProcessFee' => '0.00',
                            'InterchangeValue' => null,
                            'TDR' => null,
                            'ActivityID'=>1,
                            'GateWayPaymentMode' => null,
                            'SubmerchentID' => null,
                            'TPS' => null,
                            'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                        ];

                        array_push($dummyArray,$data);
                        echo "<pre><br> Update data = "; print_r($data); //die;
                        // sp log
                        $logData = array();
                        $logData['OrderID'] = $data['InvoiceCode'];
                        $logData['CandidateID'] = $candidateID;
                        $logData['GatewayID'] = 1;
                        $logData['PaymentMode'] = NULL;
                        $logData['Request'] = NULL;
                        $logData['Response'] = json_encode($serverResponse);
                        $logData['Status'] = NULL;
                        $logData['TxnDate'] = @$serverResponse['txn_date'];
                        $logData['TxnID'] = NULL;
                        $logData['TxnAmount'] = NULL;
                        $logData['CurrentTime'] = NULL;
                        $logData['ActivityID'] = 1;
                        $logOnly = json_encode($logData);
                        Yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        // end 

                        $jsonParam = json_encode($data);
                        $sp = '{{UpdatePaymentTransaction}}';
                        Yii::$app->{$DB}->createCommand("exec $sp @json = :json")->bindValue(':json', $jsonParam)->execute();

                        echo "<br>dbOne Payment Status = ".$data['PaymentStatus'];

                        if ($data['PaymentStatus'] == 'Success') {
                            $InvoiceCode = $data['InvoiceCode'];
                            $CandidateID = $data['CandidateID'];
                            $ActualExamFee = $data['PaidAmount'];
                            echo "<br> sPupdateCandidateStatusAfterPayment";
                            $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'ID,PaymentStatus')
                            ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                            ->bindValue(':table', 'CandidateTbl')
                            ->queryOne();  

                            if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){

                            yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $CandidateID,$ActualExamFee  ")->execute();
                            }
                        }

                    }

                }  
            }
            //echo "<pre>"; print_r($dummyArray); die;
         }
        
        echo "<pre>"; print_r($dummyArray); die;
        die;
	}

    public function actionDbsix()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbSix";

        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' CandidateID, InvoiceCode, RequestCode, MerchaentID ')
            ->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND (ResponseCode NOT IN ('Failure','Success') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
	    echo '<pre> getData => '; print_r($getData); die;

        foreach ($getData as $val) {
            if (isset($val['RequestCode']) && !empty($val['RequestCode']) && isset($val['MerchaentID']) && !empty($val['MerchaentID'])) {
                //echo "<pre>val = "; print_r($val); //die;
                $SBI_DATA = [];
                $SBI_DATA = json_decode($val['RequestCode'], true);
                $merchant_code = $merchant_code;
                $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
                $candidateID=$val['CandidateID'];
                $InvoiceCode=$val['InvoiceCode'];
                $postData = array();
                $postData['encdata'] = $encdata;
                $postData['merchant_code'] = $merchant_code;
                $postJson = http_build_query($postData);

                $url=Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);

                if(isset($responseVerifyStatus) && !empty($responseVerifyStatus)){
                    $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                    //echo '<pre> <br> decResponse'; print_r($decResponse); //die;
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=>$decResponse); 
                    $filePath = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbSix/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbSix/'.date('d-m-Y').'/'.trim('dbSix.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                       FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                       $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    if($decResponse){
                        $decryptValues = explode('|', $decResponse);
                        $count = count($decryptValues);
                        $serverResponse = array();
                        for ($i = 0; $i < $count; $i++) {
                            $getResponse = explode('=', $decryptValues[$i]);
                           
                            $serverResponse[$getResponse[0]] = $getResponse[1];
                        }

                        echo "<pre> serverResponse = "; print_r($serverResponse); //die;

                        $paymentStatus=NULL;
                        if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure'){
                        $paymentStatus='Failure';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success'){
                        $paymentStatus='Success';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending'){
                        $paymentStatus='Pending';

                        }
                        if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                            $tranDateR=str_replace('/','-',$serverResponse['transaction_date']);
                            $tranDate = date('Y-m-d H:i:s',strtotime($tranDateR));
                        }
                        $data = [
                            'CandidateID' => $candidateID,
                            'TranscationID' => $serverResponse['TransactionId'] ,
                            'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                            'PaymentStatus' => $paymentStatus,
                            'PaidAmount' => isset($serverResponse['Amt']) ?$serverResponse['Amt']:'0.00',
                            'ResponseCode' => $serverResponse['Status'],
                            'BankResponse' => json_encode($serverResponse),
                            'InvoiceCode' => $serverResponse['CustomerId'],
                            'PaymentGatewayID' => null,//it will not update on SP
                            'PaymentSucessDate' => date('Y-m-d H:i:s'),
                            'TrackingID' => null,
                            'ServiceTax' => '0.00',
                            'ProcessFee' => '0.00',
                            'InterchangeValue' => null,
                            'TDR' => null,
                            'ActivityID'=>1,
                            'GateWayPaymentMode' => null,
                            'SubmerchentID' => null,
                            'TPS' => null,
                            'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                        ];

                        array_push($dummyArray,$data);
                        echo "<pre><br> Update data = "; print_r($data); //die;
                        // sp log
                        $logData = array();
                        $logData['OrderID'] = $data['InvoiceCode'];
                        $logData['CandidateID'] = $candidateID;
                        $logData['GatewayID'] = 1;
                        $logData['PaymentMode'] = NULL;
                        $logData['Request'] = NULL;
                        $logData['Response'] = json_encode($serverResponse);
                        $logData['Status'] = NULL;
                        $logData['TxnDate'] = @$serverResponse['txn_date'];
                        $logData['TxnID'] = NULL;
                        $logData['TxnAmount'] = NULL;
                        $logData['CurrentTime'] = NULL;
                        $logData['ActivityID'] = 1;
                        $logOnly = json_encode($logData);
                        Yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        // end 

                        $jsonParam = json_encode($data);
                        $sp = '{{UpdatePaymentTransaction}}';
                        Yii::$app->{$DB}->createCommand("exec $sp @json = :json")->bindValue(':json', $jsonParam)->execute();

                        echo "<br>dbSix Payment Status = ".$data['PaymentStatus'];

                        if ($data['PaymentStatus'] == 'Success') {
                            $InvoiceCode = $data['InvoiceCode'];
                            $CandidateID = $data['CandidateID'];
                            $ActualExamFee = $data['PaidAmount'];
                            echo "<br> sPupdateCandidateStatusAfterPayment";
                            $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'ID,PaymentStatus')
                            ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                            ->bindValue(':table', 'CandidateTbl')
                            ->queryOne();  

                            if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){

                            yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $CandidateID,$ActualExamFee  ")->execute();
                            }
                        }

                    }

                }  
            }
            //echo "<pre>"; print_r($dummyArray); die;
         }
        
        echo "<pre>"; print_r($dummyArray); die;
        die;
	}

    public function actionDbseven()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbSeven";

        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' CandidateID, InvoiceCode, RequestCode, MerchaentID ')
            ->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND (ResponseCode NOT IN ('Failure','Success') or PaymentStatus IS NULL)")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
	    echo '<pre> getData => '; print_r($getData); die;

        foreach ($getData as $val) {
            if (isset($val['RequestCode']) && !empty($val['RequestCode']) && isset($val['MerchaentID']) && !empty($val['MerchaentID'])) {
                //echo "<pre>val = "; print_r($val); //die;
                $SBI_DATA = [];
                $SBI_DATA = json_decode($val['RequestCode'], true);
                $merchant_code = $merchant_code;
                $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
                $candidateID=$val['CandidateID'];
                $InvoiceCode=$val['InvoiceCode'];
                $postData = array();
                $postData['encdata'] = $encdata;
                $postData['merchant_code'] = $merchant_code;
                $postJson = http_build_query($postData);

                $url=Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);

                if(isset($responseVerifyStatus) && !empty($responseVerifyStatus)){
                    $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                    //echo '<pre> <br> decResponse'; print_r($decResponse); //die;
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=>$decResponse); 
                    $filePath = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbSeven/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbSeven/'.date('d-m-Y').'/'.trim('dbSeven.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                       FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                       $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    if($decResponse){
                        $decryptValues = explode('|', $decResponse);
                        $count = count($decryptValues);
                        $serverResponse = array();
                        for ($i = 0; $i < $count; $i++) {
                            $getResponse = explode('=', $decryptValues[$i]);
                           
                            $serverResponse[$getResponse[0]] = $getResponse[1];
                        }

                        echo "<pre> serverResponse = "; print_r($serverResponse); //die;

                        $paymentStatus=NULL;
                        if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure'){
                        $paymentStatus='Failure';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success'){
                        $paymentStatus='Success';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending'){
                        $paymentStatus='Pending';

                        }
                        if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                            $tranDateR=str_replace('/','-',$serverResponse['transaction_date']);
                            $tranDate = date('Y-m-d H:i:s',strtotime($tranDateR));
                        }
                        $data = [
                            'CandidateID' => $candidateID,
                            'TranscationID' => $serverResponse['TransactionId'] ,
                            'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                            'PaymentStatus' => $paymentStatus,
                            'PaidAmount' => isset($serverResponse['Amt']) ?$serverResponse['Amt']:'0.00',
                            'ResponseCode' => $serverResponse['Status'],
                            'BankResponse' => json_encode($serverResponse),
                            'InvoiceCode' => $serverResponse['CustomerId'],
                            'PaymentGatewayID' => null,//it will not update on SP
                            'PaymentSucessDate' => date('Y-m-d H:i:s'),
                            'TrackingID' => null,
                            'ServiceTax' => '0.00',
                            'ProcessFee' => '0.00',
                            'InterchangeValue' => null,
                            'TDR' => null,
                            'ActivityID'=>1,
                            'GateWayPaymentMode' => null,
                            'SubmerchentID' => null,
                            'TPS' => null,
                            'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                        ];

                        array_push($dummyArray,$data);
                        echo "<pre><br> Update data = "; print_r($data); //die;
                        // sp log
                        $logData = array();
                        $logData['OrderID'] = $data['InvoiceCode'];
                        $logData['CandidateID'] = $candidateID;
                        $logData['GatewayID'] = 1;
                        $logData['PaymentMode'] = NULL;
                        $logData['Request'] = NULL;
                        $logData['Response'] = json_encode($serverResponse);
                        $logData['Status'] = NULL;
                        $logData['TxnDate'] = @$serverResponse['txn_date'];
                        $logData['TxnID'] = NULL;
                        $logData['TxnAmount'] = NULL;
                        $logData['CurrentTime'] = NULL;
                        $logData['ActivityID'] = 1;
                        $logOnly = json_encode($logData);
                        Yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        // end 

                        $jsonParam = json_encode($data);
                        $sp = '{{UpdatePaymentTransaction}}';
                        Yii::$app->{$DB}->createCommand("exec $sp @json = :json")->bindValue(':json', $jsonParam)->execute();

                        echo "<br>dbSeven Payment Status = ".$data['PaymentStatus'];

                        if ($data['PaymentStatus'] == 'Success') {
                            $InvoiceCode = $data['InvoiceCode'];
                            $CandidateID = $data['CandidateID'];
                            $ActualExamFee = $data['PaidAmount'];
                            echo "<br> sPupdateCandidateStatusAfterPayment";
                            $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'ID,PaymentStatus')
                            ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                            ->bindValue(':table', 'CandidateTbl')
                            ->queryOne();  

                            if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){

                            yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $CandidateID,$ActualExamFee  ")->execute();
                            }
                        }

                    }

                }  
            }
            //echo "<pre>"; print_r($dummyArray); die;
         }
        
        echo "<pre>"; print_r($dummyArray); die;
        die;
	}

    public function actionDbeight()
    {
        ini_set('max_execution_time', '0');
        ini_set("memory_limit", "-1");
        $DB = "dbEight";

        $SBI_API_URL_UPDATE = Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
        $merchant_code = Yii::$app->params['SBI_Config']['merchant_code'];
        $getData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', ' CandidateID, InvoiceCode, RequestCode, MerchaentID ')
            ->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND (ResponseCode NOT IN ('Failure','Success') or PaymentStatus IS NULL)")
            //->bindValue(':input', "WHERE MerchaentID = '$merchant_code' AND InvoiceCode='JEEMAINS_240310253530_1700494883' ")
            ->bindValue(':table', 'PaymentTranscationTbl')
            ->queryAll();
            $dummyArray=array();
	    echo '<pre> getData => '; print_r($getData); die;

        foreach ($getData as $val) {
            if (isset($val['RequestCode']) && !empty($val['RequestCode']) && isset($val['MerchaentID']) && !empty($val['MerchaentID'])) {
                //echo "<pre>val = "; print_r($val); //die;
                $SBI_DATA = [];
                $SBI_DATA = json_decode($val['RequestCode'], true);
                $merchant_code = $merchant_code;
                $encdata = Yii::$app->SbiPayment->verfyPaymentSbi($SBI_DATA);
                $candidateID=$val['CandidateID'];
                $InvoiceCode=$val['InvoiceCode'];
                $postData = array();
                $postData['encdata'] = $encdata;
                $postData['merchant_code'] = $merchant_code;
                $postJson = http_build_query($postData);

                $url=Yii::$app->params['SBI_Config']['SBI_API_URL_UPDATE'];
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_POST, 1);
                curl_setopt($ch, CURLOPT_POSTFIELDS,$postJson);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HTTPHEADER,array("Content-Type: application/x-www-form-urlencoded"));
                $responseVerifyStatus = curl_exec($ch);

                if(isset($responseVerifyStatus) && !empty($responseVerifyStatus)){
                    $decResponse = Yii::$app->SbiPayment->sbi_decrypt_aes256($responseVerifyStatus);
                    //echo '<pre> <br> decResponse'; print_r($decResponse); //die;
                    $rsp =array('DateTime'=>date('d-m-Y H:i:s'),'DATA'=>$decResponse); 
                    $filePath = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbEight/'.date('d-m-Y');
                    $filePathname = Yii::getAlias('@frontendweb').'/SBI_CRON_LOG/dbEight/'.date('d-m-Y').'/'.trim('dbEight.json');
                    if(file_exists($filePath)){
                        $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }else{
                       FileHelper::createDirectory($filePath, $mode = 0775, $recursive = true); 
                       $createLogFile = file_put_contents($filePathname, json_encode($rsp), FILE_APPEND);
                    }
                    if($decResponse){
                        $decryptValues = explode('|', $decResponse);
                        $count = count($decryptValues);
                        $serverResponse = array();
                        for ($i = 0; $i < $count; $i++) {
                            $getResponse = explode('=', $decryptValues[$i]);
                           
                            $serverResponse[$getResponse[0]] = $getResponse[1];
                        }

                        echo "<pre> serverResponse = "; print_r($serverResponse); //die;

                        $paymentStatus=NULL;
                        if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Failure'){
                        $paymentStatus='Failure';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Success'){
                        $paymentStatus='Success';

                        }
                        else if(isset($serverResponse['Status']) && $serverResponse['Status'] == 'Pending'){
                        $paymentStatus='Pending';

                        }
                        if (isset($serverResponse['transaction_date']) && !empty($serverResponse['transaction_date'])) {
                            $tranDateR=str_replace('/','-',$serverResponse['transaction_date']);
                            $tranDate = date('Y-m-d H:i:s',strtotime($tranDateR));
                        }
                        $data = [
                            'CandidateID' => $candidateID,
                            'TranscationID' => $serverResponse['TransactionId'] ,
                            'TranscationDate' => (isset($tranDate) && !empty($tranDate)) ? $tranDate : null,
                            'PaymentStatus' => $paymentStatus,
                            'PaidAmount' => isset($serverResponse['Amt']) ?$serverResponse['Amt']:'0.00',
                            'ResponseCode' => $serverResponse['Status'],
                            'BankResponse' => json_encode($serverResponse),
                            'InvoiceCode' => $serverResponse['CustomerId'],
                            'PaymentGatewayID' => null,//it will not update on SP
                            'PaymentSucessDate' => date('Y-m-d H:i:s'),
                            'TrackingID' => null,
                            'ServiceTax' => '0.00',
                            'ProcessFee' => '0.00',
                            'InterchangeValue' => null,
                            'TDR' => null,
                            'ActivityID'=>1,
                            'GateWayPaymentMode' => null,
                            'SubmerchentID' => null,
                            'TPS' => null,
                            'MerchaentID' => Yii::$app->params['SBI_Config']['merchant_code'],
                        ];

                        array_push($dummyArray,$data);
                        echo "<pre><br> Update data = "; print_r($data); //die;
                        // sp log
                        $logData = array();
                        $logData['OrderID'] = $data['InvoiceCode'];
                        $logData['CandidateID'] = $candidateID;
                        $logData['GatewayID'] = 1;
                        $logData['PaymentMode'] = NULL;
                        $logData['Request'] = NULL;
                        $logData['Response'] = json_encode($serverResponse);
                        $logData['Status'] = NULL;
                        $logData['TxnDate'] = @$serverResponse['txn_date'];
                        $logData['TxnID'] = NULL;
                        $logData['TxnAmount'] = NULL;
                        $logData['CurrentTime'] = NULL;
                        $logData['ActivityID'] = 1;
                        $logOnly = json_encode($logData);
                        Yii::$app->{$DB}->createCommand("exec SppaymentLogMst '$logOnly'")->execute();
                        // end 

                        $jsonParam = json_encode($data);
                        $sp = '{{UpdatePaymentTransaction}}';
                        Yii::$app->{$DB}->createCommand("exec $sp @json = :json")->bindValue(':json', $jsonParam)->execute();

                        echo "<br>dbSeven Payment Status = ".$data['PaymentStatus'];

                        if ($data['PaymentStatus'] == 'Success') {
                            $InvoiceCode = $data['InvoiceCode'];
                            $CandidateID = $data['CandidateID'];
                            $ActualExamFee = $data['PaidAmount'];
                            echo "<br> sPupdateCandidateStatusAfterPayment";
                            $CandidatePayStatusData = Yii::$app->{$DB}->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'ID,PaymentStatus')
                            ->bindValue(':input', "WHERE ID=$CandidateID and  PaymentStatus!=1")
                            ->bindValue(':table', 'CandidateTbl')
                            ->queryOne();  

                            if(isset($CandidatePayStatusData) && !empty($CandidatePayStatusData)){

                            yii::$app->{$DB}->createCommand("exec sPupdateCandidateStatusAfterPayment $CandidateID,$ActualExamFee  ")->execute();
                            }
                        }

                    }

                }  
            }
            //echo "<pre>"; print_r($dummyArray); die;
         }
        
        echo "<pre>"; print_r($dummyArray); die;
        die;
	}

}
