<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\LinkPager;
use edwinhaq\simpleloading\SimpleLoading;
SimpleLoading::widget();

$this->title = 'NTA';
$baseurl = Url::base();

// echo "<pre>"; print_r($queryLists); die();
?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color">Payment</h6>
        </div>
        <div class="card-body">
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator <?php echo (isset(Yii::$app->user->identity->PaymentStatus) && Yii::$app->user->identity->PaymentStatus == 1) ? 'finish' : 'active' ?>">Application</span> <span class="stepIndicator <?php echo (isset(Yii::$app->user->identity->PaymentStatus) && Yii::$app->user->identity->PaymentStatus == 1) ? 'active' : '' ?>">Payment</span> </div>
            </div>
             <?php if (isset($data, $data['ExamFee'], $data['PaymentStatus'], $data['IsCorrectionSubmit'], $data['correctionStatus']) && !empty($data) && $data['ExamFee'] > 0 && (($data['PaymentStatus'] == 1) && ($data['correctionStatus'] == 1) && ($data['IsCorrectionSubmit'] == 0))) { ?>
            <div class="row mb-3 justify-content-center">
                <div class="col-sm-7 text-center" style="min-height:180px">
                    <table class="table table-light table-bordered">
                        <tr>
                            <th>Name</th>
                            <td><?=$data['CandidateName'];?></td>
                        </tr>
                        <tr>
                            <th>Application Number</th>
                            <td><?=$data['ApplicationNumber'];?></td>
                        </tr>
                        <tr>
                            <th>Amount</th>
                            <td> ₹ <?=$data['ExamFee'];?> </td>
                        </tr>
                        <?php if (isset($data['PaymentStatus'], $data['IsCorrectionSubmit']) && (($data['PaymentStatus'] == 1) && ($data['IsCorrectionSubmit'] == 0))) {?>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <?php echo Html::a('Pay now', ['/payment/payment-getway'], ['class' => 'btn btn-sm btn-warning userActivityBtn', 'data-modulename' => 'Payment', 'data-activityname' => 'Click-only-on-button']); ?>
                                </th>
                            </tr>
                        <?php }?>
                    </table>

                </div>
            </div>
            <?php }?>


            <div class="row mb-3 justify-content-center">
                <div class="col-sm-7 text-center" style="min-height:80px">
            <?php if (isset($data['PaymentStatus'], $data['IsCorrectionSubmit'], $data['correctionStatus']) && ((($data['PaymentStatus'] == 1) && ($data['IsCorrectionSubmit'] == 1) && ($data['correctionStatus'] == 1)) || ((($data['PaymentStatus'] == 1) && ($data['IsCorrectionSubmit'] == 0) && ($data['correctionStatus'] == 0))))) {?>
                        <?php echo Html::a('Go to Dashboard', ['/dashboard/index'], ['class' => 'btn btn-sm btn-success', 'data-modulename' => 'Go to Dashboard']); ?>
                    <?php }?>
            </div>
            </div>
        </div>
    </div>
    <div class="card card-white mb-4">
        <div class="candidate-query-tbl-index m-3">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Sr. No.</th>
                        <th>Order ID</th>
                        <th>Transcation ID</th>
                        <th>Exam Fee</th>
                        <th>Paid Amount</th>
                        <th>Payment Gateway</th>
                        <th>Payment Submit Date</th>
                        <th>Payment Response Date</th>
                        <th>Payment Status</th>
                        <!-- <th>Check Payment Status</th> -->
                    </tr>
                </thead>
                <tbody>
                    <?php
                    foreach ($queryLists as $row) { ?>
                        <tr>
                            <th><?= ++$sNO ?>.</th>
                            <td><?=$row['InvoiceCode'] ?? 'NA' ; ?></td>
                            <td><?= $row['TranscationID'] ?? 'NA';?></td>
                            <td><?= $row['ActualExamFee'] ?? 'NA' ?></td>
                            <td><?= $row['PaidAmount'] ?? 'NA'?></td>
                            <!-- <td><?php // $row['GatewayName'] ?? 'NA'?></td> -->
                            <td><?php if(isset($row['PaymentGatewayID']) && !empty($row['PaymentGatewayID']) && ($row['PaymentGatewayID'] == 2)){
                                echo "HDFC";
                            } else if(isset($row['PaymentGatewayID']) && !empty($row['PaymentGatewayID']) && ($row['PaymentGatewayID'] == 5013)){
                                echo "SBI";
                            }else{
                                echo "NA";
                            } ?></td>
                            


                            <td><?= (isset($row['PaymentSubmitDate']) && !empty($row['PaymentSubmitDate']))?  date('d-m-Y H:i A',strtotime($row['PaymentSubmitDate'])) : 'NA'; ?></td>
                            <td><?=  (isset($row['PaymentSucessDate']) && !empty($row['PaymentSucessDate'])) ? date('d-m-Y H:i A',strtotime($row['PaymentSucessDate'])) : 'NA'; ?></td>
                            <td><?php if (isset($row['PaymentStatus']) && $row['PaymentStatus'] == '') {
                                    echo '-';
                                } else {
                                    if (isset($row['PaymentStatus']) && ucfirst(strtolower($row['PaymentStatus'])) == 'Success') {
                                        echo "<b class='text-success'>" . $row['PaymentStatus'] . "</b>";
                                    } else {
                                        echo "<b class='text-danger'>" . $row['PaymentStatus'] . "</b>";
                                    }
                                } ?>
                            </td>

                            <!-- <td><?php 
                            //    if (isset($row['PaymentStatus']) && ucfirst(strtolower($row['PaymentStatus'])) == 'Success') {
                            //         echo '<button type="button" class="btn btn-success">Success</button>';
                            //     } else {
                            //         if(isset($row['ActivityID']) &&  $row['ActivityID'] == 11){
                            //         echo '<button type="button" class="btn btn-warning" onClick="CheckStatus(this)" dataValue="'.trim($row['InvoiceCode']).'"  data="data#'.trim($row['InvoiceCode']).'" ID="data_'.trim($row['InvoiceCode']).'">Update Status</button>';
                            //    } }
                                ?>
                            </td> -->
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <?php
            echo LinkPager::widget([
                'pagination' => $pagination,
                'prevPageLabel' => 'Previous',
             'nextPageLabel' => 'Next',
            'linkContainerOptions' => ['class' => 'page-item'],
            'linkOptions' => ['class' => 'page-link'],
            'disabledPageCssClass' => ['class' => 'page-link'],
            'options' => ['class' => 'pagination  pagination-sm d-flex justify-content-end']
            ]);
            ?>
        </div>
    </div>
</div>
<script>

    function CheckStatus(thisID){

        let dataValue= thisID.getAttribute('dataValue').trim();
        let data= thisID.getAttribute('data').trim();
        let ID= thisID.getAttribute('ID').trim();
       // console.log('dataValue = '+ dataValue+'   ' + 'data =' + data +'   '+ 'ID ='+ ID);
        if(dataValue!='' && dataValue!=null && dataValue !=undefined){
          
            var getInvoiceID = dataValue;
                $.ajax({
                    type: "POST",
                    url: '<?= Yii::$app->urlManager->createUrl("payment-status-update/index") ?>',
                    data:{InvoiceCode:getInvoiceID},
                    async:false,
                     beforeSend: function() {
                        SimpleLoading.start();
                       
                        $(''+ID+'').attr('disabled','disabled');
                      },
                    success: function(response) {
                        
                         var Data = $.parseJSON(response);
                         console.log(Data);
                          SimpleLoading.stop();
                         $(''+ID+'').prop('disabled',false);
                           
                                       if(Data.status == 'Error'){
                        
                                                Swal.fire({
                                                    text: Data.message,
                                                    icon: "error",
                                                    showCancelButton: false,
                                                    confirmButtonColor: "#3085d6",
                                                    confirmButtonText: "Ok",
                                                    customClass: "alert alert-danger",
                                                }).then((result) => {
                                                    location.reload();
                                                    

                                                })
                                               // return false;
                                   }
                                       else if(Data.status == 'Success'){
                                                Swal.fire({
                                                    text: Data.message,
                                                    icon: "success",
                                                    showCancelButton: false,
                                                    confirmButtonColor: "#3085d6",
                                                    confirmButtonText: "Ok",
                                                    customClass: "alert alert-success",
                                                }).then((result) => {
                                                    location.reload();
                                                    
                                                })
                                               // return false;
                                   }

                            
                 
                    },
                    failure: function(response) {
                        console.log(response);
                         SimpleLoading.stop();
                         $(''+ID+'').prop('disabled',false);
                        
                    },
                    error: function(response) {
                        console.log(response);
                         SimpleLoading.stop();
                         $(''+ID+'').prop('disabled',false);
                    },
                });

           

        

        }else{
            document.getElementByID(ID).disabled =false;

        }

    }
</script>