<?php

// use Yii;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\bootstrap5\ActiveForm;
use edwinhaq\simpleloading\SimpleLoading;
SimpleLoading::widget();

$this->title = 'NTA';
?>
<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color">Payment</h6>
        </div>
        <div class="card-body">
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator <?php echo (isset(Yii::$app->user->identity->PaymentStatus) && Yii::$app->user->identity->PaymentStatus == 1) ? 'finish' : 'active' ?>">Application</span> <span class="stepIndicator <?php echo (isset(Yii::$app->user->identity->PaymentStatus) &&  Yii::$app->user->identity->PaymentStatus == 1) ? 'active' : '' ?>">Payment</span> </div>
            </div>
            <div class="row mb-3 justify-content-center">
                <div class="col-sm-7 text-center" style="min-height:180px">
                    <div class="text-center"> <b>NAME - </b> <?= $data['CandidateName'] ??  'NA' ;?> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b>Application Number - </b> <?= $data['ApplicationNumber'] ?? 'NA' ?> &nbsp;&nbsp;&nbsp;&nbsp; <b>Payment - </b> <b> ₹ <?= (isset($data['ExamFee']) && !empty($data['ExamFee']) && $data['ExamFee'] > 0) ? $data['ExamFee'] : ''; ?></b> </div>
                    <br />
                    <?php if(isset($data['gateWay']) && !empty($data['gateWay']) && is_array($data['gateWay'])){
                          foreach($data['gateWay'] as $key=>$dataValue){
                        ?>
                    <table class="table table-light table-bordered">
                        <tr>
                            <th width="5%"><?= ++$key;?></th>
                            <td width="95%">
                                <?php $form = ActiveForm::begin(['id' => $dataValue['GatewayCode'] ?? NULL, 'options' => ['autocomplete' => 'off']]); ?> 
                                <?=$form->field($model, 'payment_gateway_id')->hiddenInput(['value'=> $dataValue['ID'] ?? NULL])->label(false);?> 
                                <?= Html::submitButton($dataValue['GatewayName'] ?? 'Unknown Bank', ['class' => 'sm-2 btn btn-primary']) ?>   
                                <?php ActiveForm::end(); ?>       
                                
                            </td>
                        </tr>
                    </table>
                    <?php } }?>
                </div>
            </div>

        </div>
    </div>
</div>


<?php
$this->registerJs('
        $(document).ready(function() {
               var IDArray=["sbi","hdfc","canara","icici"];
              IDArray.forEach(function (item, index) {
            $("#"+item).on("beforeSubmit", function(event, messages) {
                SimpleLoading.start();
                return true;
            });
        });
        });
    ');
?>
