<?php

namespace app\modules\application\controllers;

use app\modules\application\models\CandidateDoctorateAdditionalDetailsTbl;
use app\modules\application\models\ApplicationFormStatusTbl;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii;
use yii\filters\AccessControl;
//use app\modules\application\models\CandidateQualificationDetailsTbl;
use yii\helpers\Json;


class AdditionalController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'access' => [
                    'class' => AccessControl::class,
                    'rules' => [
                        [
                            'actions' => [
                                'logout', 'index', 'aadhardetailsform', 'contactdetailsform',
                                'personaldetailsform', 'postgraduation', 'additional',
                                'document-upload', 'review-application-form', 'citylist',
                                'reviewapplicationform', 'reviewpdf', 'findModel',
                                'findPersonDetailSaveModel', 'findPersonalModel',
                                'passyear', 'resultmode', 'resultmodedistict', 'application-status',
                                'documentUpload', 'fileuploaded', 'examcenterdetailsform', 'examcenterdetailsformlink',
                                'getExamCenterQPData', 'reviewpdf', 'resultmode-distict', 'captcha', 'sendreviewpdf', 'payment-receipt'
                            ],
                            'allow' => true,
                            'roles' => ['@'],
                        ],
                    ],
                ],
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }
    
    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => \yii\web\ErrorAction::class,
            ],
            'captcha' => [
                'class' => 'common\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }
    
    /**
     * Additional Details 
     * 
     */
    public function actionIndex()
    {
         //check point 
         if (!yii::$app->ApplicationOpen->Openwindow()) {
            return $this->redirect(['/site/login']);
        }
        //check if form submitted 
        if (Yii::$app->user->identity->ApplicationFinalSubmit == 1 || Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }
        $CandidateId = Yii::$app->user->identity->ID;
        $getFormStatusCheck = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
        ->bindValue(':select', 'ID')
        ->bindValue(':input', 'WHERE CandidateID=' . $CandidateId . ' and ApplicationFormID=5')
        ->bindValue(':table', 'ApplicationFormStatusTbl')
        ->queryOne();
        if (empty($getFormStatusCheck)) {
            Yii::$app->session->setFlash('error', 'please fill your Qualification details');
            return $this->redirect(['../qualification/index']);
        } 
        
        $MinYear = '2001'; //date('Y', ($examDate));
        $MaxYear = date('Y');
        $examYear = [];
        for ($year = $MinYear; $year <= $MaxYear; $year++) {
            $examYear[$year] = $year;
        }
        $model = CandidateDoctorateAdditionalDetailsTbl::findOne(['CandidateId' => Yii::$app->user->identity->ID]);
        if(isset($model) && !empty($model)){
            $model=$model;
        } else {
            $model = new CandidateDoctorateAdditionalDetailsTbl();    
        }
        if($this->request->isPost){
            if ($model->load(Yii::$app->request->post()) && $model->validate()) {
                $postData = Yii::$app->request->post();
                foreach ($postData['CandidateDoctorateAdditionalDetailsTbl'] as $key => $value) {
                    $postData['CandidateDoctorateAdditionalDetailsTbl']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }
                $contentArray= array();
                $contentArray['CandidateID']= Yii::$app->user->identity->ID;
                $contentArray['IsActive']= 1;
                $contentArray['ApplicationFormID']= 6;
                $contentArray['CreatedDate']= date('Y-m-d H:i:s');
                $contentArray['DoctorateOptions']= $postData['CandidateDoctorateAdditionalDetailsTbl']['DoctorateOptions'];
                $contentArray['DoctotateUnversityName']= $postData['CandidateDoctorateAdditionalDetailsTbl']['DoctotateUnversityName'];
                $contentArray['DoctotateExamYear']= $postData['CandidateDoctorateAdditionalDetailsTbl']['DoctotateExamYear'];
                $contentArray['DepartmentNameInAdmission']= $postData['CandidateDoctorateAdditionalDetailsTbl']['DepartmentNameInAdmission'];
                $contentArray['Specilization']= $postData['CandidateDoctorateAdditionalDetailsTbl']['Specilization'];
                $contentArray['MinorityCommunity']= $postData['CandidateDoctorateAdditionalDetailsTbl']['MinorityCommunity'];
                $contentArray['CommunityID']= $postData['CandidateDoctorateAdditionalDetailsTbl']['CommunityID'];
                $contentArray['CommunityAnnualIncomeID']= $postData['CandidateDoctorateAdditionalDetailsTbl']['CommunityAnnualIncomeID'];                
                $json = Json::encode($contentArray);
                $sp = '{{%spCondidateDoctorateAdditionalUpdate}}';
                $response = Yii::$app->db->createCommand("exec $sp @json = :json")
                            ->bindValue(':json', $json)
                            ->execute();
                if(isset($response) && $response == 0){
                    $moduleName = 'Additional-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    Yii::$app->session->setFlash('success', 'Data saved successfully.');
                    return $this->redirect(['../document-upload/index']);
                }else{
                    Yii::$app->session->setFlash('error', 'Something went wrong.');
                    return $this->redirect(['../additional/index']);
                }
            }
        }
        //print_r($model); die;
        return $this->render('additional', [
            'model' => $model,
            'examYear'=>$examYear,
            'backLink' => 'qualification/index',
        ]);
        
//        $model = CandidateQualificationAdditionalDetailsTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID]);
//        if($this->request->isPost){
//        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
//                $postData = Yii::$app->request->post();
//                foreach ($postData['CandidateQualificationAdditionalDetailsTbl'] as $key => $value) {
//                    $postData['CandidateQualificationAdditionalDetailsTbl']["$key"] = Yii::$app->SanatizeInput->getInput($value);
//                }
//                $contentArray= array();
//                $contentArray['CandidateID']= Yii::$app->user->identity->ID;
//                $contentArray['IsActive']= 1;
//                $contentArray['ApplicationFormID']= 6;
//                $contentArray['CreatedDate']= date('Y-m-d H:i:s');
//                $contentArray['MPhilOptions']= $postData['CandidateQualificationAdditionalDetailsTbl']['MPhilOptions'];
//                $contentArray['MPhilUnversityName']= $postData['CandidateQualificationAdditionalDetailsTbl']['MPhilUnversityName'];
//                $contentArray['MPhilAddmissionYear']= $postData['CandidateQualificationAdditionalDetailsTbl']['MPhilAddmissionYear'];
//                $contentArray['MPhilSubject']= $postData['CandidateQualificationAdditionalDetailsTbl']['MPhilSubject'];
//                $contentArray['PhdOptions']= $postData['CandidateQualificationAdditionalDetailsTbl']['PhdOptions'];
//                $contentArray['PhdUniversityName']= $postData['CandidateQualificationAdditionalDetailsTbl']['PhdUniversityName'];
//                $contentArray['PhdAddmissionYear']= $postData['CandidateQualificationAdditionalDetailsTbl']['PhdAddmissionYear'];
//                $contentArray['PhdMasterLevelTimeDateConfirmation']= $postData['CandidateQualificationAdditionalDetailsTbl']['PhdMasterLevelTimeDateConfirmation'];
//                $contentArray['ReasearchExServicemanDetailsSpecilization']= $postData['CandidateQualificationAdditionalDetailsTbl']['ReasearchExServicemanDetailsSpecilization'];
//                $contentArray['PGReaseachConfirmation']= $postData['CandidateQualificationAdditionalDetailsTbl']['PGReaseachConfirmation'];
//                $contentArray['ReasearchExServicemanPGExperience']= $postData['CandidateQualificationAdditionalDetailsTbl']['ReasearchExServicemanPGExperience'];
//                $contentArray['ReasearchExServiceman']= $postData['CandidateQualificationAdditionalDetailsTbl']['ReasearchExServiceman'];
//                $contentArray['ExServicemanExperience']= $postData['CandidateQualificationAdditionalDetailsTbl']['ExServicemanExperience'];
//
//                $json = Json::encode($contentArray);
//                $sp = '{{%spCondidateQualificationAdditionalUpdate}}';
//                $response = Yii::$app->db->createCommand("exec $sp @json = :json")
//                ->bindValue(':json', $json)
//                ->execute();
//              
//               if(isset($response) && $response == 0){
//                    $moduleName = 'Additional-Details';
//                    $activityName = 'Next-Button';
//                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
//                    Yii::$app->useract->useract($data);
//                    Yii::$app->session->setFlash('success', 'Data saved successfully.');
//                    return $this->redirect(['../document-upload/index']);
//               }else{
//                    Yii::$app->session->setFlash('error', 'Something went wrong.');
//                    return $this->redirect(['../additional/index']);
//               }   
//        }else{
//                $model->loadDefaultValues();
//        }
//    }
//       
//        $can_quali = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
//        ->bindValue(':select', 'PassStatus')
//        ->bindValue(':input', 'WHERE CandidateID=' . $CandidateId)
//        ->bindValue(':table', 'CandidateQualificationDetailsTbl')
//        ->queryOne();
//        if(isset($can_quali['PassStatus']) && !empty($can_quali['PassStatus'])){
//            $Pass_status = $can_quali['PassStatus'];
//        } else {
//            $Pass_status = '';   
//        }
//        return $this->render('additional', [
//            'model' => $model,
//            'Pass_status' => $Pass_status,
//            'backLink' => 'qualification/index',
//        ]);
    }
    
    
    
    
    
    
}