<?php

namespace app\modules\application\controllers;
use yii\widgets\ActiveForm;
use yii\helpers\Html;
use app\modules\application\models\AadharDetails;
use app\modules\application\models\AadharDetailsSearch;
use app\modules\application\models\GenderMst;
use app\modules\application\models\PersonalDetails;
use app\modules\application\models\PersonalDetailsSearch;
use app\modules\application\models\SubjectMst;
use app\modules\application\models\CandidatePassedSubjectTbl;
use app\modules\application\models\ExamCenterDetails;
use app\modules\application\models\CourseMst;
use app\modules\application\models\QuestionPaperLanguageMst;
use app\modules\application\models\OccupationMst;
use app\modules\application\models\QualificationMst;
use app\modules\application\models\CityMst;
use app\modules\application\models\CountryMst;
use app\modules\application\models\StateMst;
use app\modules\application\models\DistrictMst;
use app\modules\application\models\CandidateApplyCourseTbl;
use app\modules\application\models\CandidateApplySubjectTbl;
use app\modules\application\models\ParentGardienOccupationTbl;
use app\modules\application\models\ParentGardienQualificationTbl;
use app\modules\application\models\CandidateChoiceExamCenterTbl;
use app\modules\application\models\CandidateTbl;
use app\modules\application\models\RelationshipMst;
use app\modules\application\models\ApplicationFormStatusTbl;
use app\modules\application\models\ContactDetails;
use app\modules\application\models\ContactDetailsSearch;
use app\modules\application\models\PaymentTranscationTbl;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\helpers\ArrayHelper;
use yii;
use Mpdf\Mpdf;
use common\models\User;
use yii\filters\AccessControl;
use app\modules\application\models\CandidateQualificationDetailsTbl;
use app\modules\application\models\CandidateQualificationAdditionalDetailsTbl;
use yii\helpers\Json;

use frontend\modules\application\models\DocumentMst; 
use yii\web\UploadedFile;
use yii\db\Query;
use frontend\modules\application\models\CandidateDocumentTbl;
use yii\web\Session;
//echo $date = Yii::$app()->Date->now();

//$app->user->identity->CandidateName;

/**
 * ApplicationController implements the CRUD actions for AadharDetails model.
 */
class AdmitcardController extends Controller
{
    /**
     * @inheritDoc
     */
//    public function behaviors()
//    {
//        return array_merge(
//            parent::behaviors(),
//            [
//                'access' => [
//                    'class' => AccessControl::class,
//                    'rules' => [                       
//                        [
//                            'actions' => ['logout'],
//                            'allow' => true,
//                            'roles' => ['@'],
//                        ],
//                    ],
//                ],
//                'verbs' => [
//                    'class' => VerbFilter::className(),
//                    'actions' => [
//                        'delete' => ['POST'],
//                    ],
//                ],
//            ]
//        );
//    }

     /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => \yii\web\ErrorAction::class,
            ],
            'captcha' => [
                'class' => \yii\captcha\CaptchaAction::class,
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    
 /* create Admit Card  PDF page*/ 

    public function actionAdmitcard(){
    
         $ID = yii::$app->user->identity->ID;      
         $admitdataresult = \Yii::$app->db->createCommand("exec  getAdmitCardData :candidate_id") 
        ->bindValue(':candidate_id' , $ID )
        ->queryAll();
     

         /* File upload */ 
         $UplodedDocdataresult = \Yii::$app->db->createCommand("exec  CandidateDocumentData :candidate_id") 
         ->bindValue(':candidate_id' , $ID )
         ->queryAll();
        
        
        $b = true;
        $content = $this->renderPartial('admitpdf',[
             'model' => $admitdataresult,             
             'documentUpload'=>$UplodedDocdataresult,
        ]);
        
        echo "<pre>";
        print_r($content);
        echo "</pre>"; die;
        
        
        $mpdf = new mPDF();      
        $mpdf->WriteHTML($content);
        $mpdf->showImageErrors = true;
        $mpdf->Output();
        exit;
    }

    /* create Final Admit PDF */ 

    public function actionFinaladmitcard(){
      

        $ID = yii::$app->user->identity->ID;      
        $admitdataresult = \Yii::$app->db->createCommand("exec  getAdmitCardData :candidate_id") 
       ->bindValue(':candidate_id' , $ID )
       ->queryAll();
    

        /* File upload */ 
        $UplodedDocdataresult = \Yii::$app->db->createCommand("exec  CandidateDocumentData :candidate_id") 
        ->bindValue(':candidate_id' , $ID )
        ->queryAll();
       
       
       $b = true;
       $content = $this->renderPartial('finaladmitpdf',[
            'model' => $admitdataresult,             
            'documentUpload'=>$UplodedDocdataresult,
       ]);
       
       
       $mpdf = new mPDF();      
       $mpdf->WriteHTML($content);
       $mpdf->showImageErrors = true;
       $mpdf->Output();
       exit;
    }
    /* Advance Slip Admit Card */ 
    
    function actionAdvancedslipadmit(){      
        
        $ID = Yii::$app->session->get('candidate_id');//yii::$app->user->identity->ID; 
        if(isset($ID)=='' && empty($ID)){
            return $this->redirect(['/advancecityintimationslip/index']);  
        }
        $admitdataresult = \Yii::$app->db->createCommand("exec  getAdmitCardData :candidate_id") 
       ->bindValue(':candidate_id' , $ID )
       ->queryAll();
    
        /* File upload */ 
        $UplodedDocdataresult = \Yii::$app->db->createCommand("exec  CandidateDocumentData :candidate_id") 
        ->bindValue(':candidate_id' , $ID )
        ->queryAll();
       
       $b = true;
       $content = $this->renderPartial('advancedslipadmitpdf',[
            'model' => $admitdataresult,             
            'documentUpload'=>$UplodedDocdataresult,
       ]);
       unset(Yii::$app->session['candidate_id']);
       
       $mpdf = new mPDF();      
       $mpdf->WriteHTML($content);
       $mpdf->showImageErrors = true;
       $mpdf->Output();
       exit;
       
       
    } 

}
