<?php

namespace app\modules\application\controllers;

use yii\widgets\ActiveForm;
use yii\helpers\Html;
use app\modules\application\models\AadharDetails;
use app\modules\application\models\AadharDetailsSearch;
use app\modules\application\models\GenderMst;
use app\modules\application\models\PersonalDetails;
use app\modules\application\models\PersonalDetailsSearch;
use app\modules\application\models\SubjectMst;
use app\modules\application\models\CandidatePassedSubjectTbl;
use app\modules\application\models\ExamCenterDetails;
use app\modules\application\models\CourseMst;
use app\modules\application\models\QuestionPaperLanguageMst;
use app\modules\application\models\OccupationMst;
use app\modules\application\models\QualificationMst;
use app\modules\application\models\CityMst;
use app\modules\application\models\CountryMst;
use app\modules\application\models\StateMst;
use app\modules\application\models\DistrictMst;
use app\modules\application\models\CandidateApplyCourseTbl;
use app\modules\application\models\CandidateApplySubjectTbl;
use app\modules\application\models\ParentGardienOccupationTbl;
use app\modules\application\models\ParentGardienQualificationTbl;
use app\modules\application\models\CandidateChoiceExamCenterTbl;
use app\modules\application\models\CandidateTbl;
use app\modules\application\models\RelationshipMst;
use app\modules\application\models\ApplicationFormStatusTbl;
use app\modules\application\models\ContactDetails;
use app\modules\application\models\ContactDetailsSearch;
use app\modules\application\models\PaymentTranscationTbl;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\helpers\ArrayHelper;
use yii;
use Mpdf\Mpdf;
use common\models\User;
use yii\filters\AccessControl;
use app\modules\application\models\CandidateQualificationDetailsTbl;
use app\modules\application\models\CandidateQualificationAdditionalDetailsTbl;
use yii\helpers\Json;

use frontend\modules\application\models\DocumentMst;
use yii\web\UploadedFile;
use yii\db\Query;
use frontend\modules\application\models\CandidateDocumentTbl;
use app\modules\application\models\ReviewApplicationForm;
use frontend\models\ApplicationFormNameMst;
//echo $date = Yii::$app()->Date->now();

//$app->user->identity->CandidateName;

/**
 * ApplicationController implements the CRUD actions for AadharDetails model.
 */
class ApplicationController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'access' => [
                    'class' => AccessControl::class,
                    'rules' => [
                        [
                            'actions' => [
                                'logout', 'aadhardetailsform', 'contactdetailsform',
                                'personaldetailsform', 'postgraduation', 'additional',
                                'document-upload', 'review-application-form', 'citylist',
                                'reviewapplicationform', 'reviewpdf', 'findModel',
                                'findPersonDetailSaveModel', 'findPersonalModel',
                                'passyear', 'resultmode', 'resultmodedistict', 'application-status',
                                'documentUpload', 'fileuploaded', 'examcenterdetailsform', 'examcenterdetailsformlink',
                                'getExamCenterQPData', 'reviewpdf', 'resultmode-distict', 'captcha', 'sendreviewpdf', 'payment-receipt'
                            ],
                            'allow' => true,
                            'roles' => ['@'],
                        ],
                    ],
                ],
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => \yii\web\ErrorAction::class,
            ],
            'captcha' => [
                'class' => \yii\captcha\CaptchaAction::class,
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Lists all AadharDetails models.
     *
     * @return string
     */
    // public function actionIndex()
    // {
    //     $searchModel = new AadharDetailsSearch();
    //     $dataProvider = $searchModel->search($this->request->queryParams);

    //     return $this->render('index', [
    //         'searchModel' => $searchModel,
    //         'dataProvider' => $dataProvider,
    //     ]);
    // }

    /**
     * Displays a single AadharDetails model.
     * @param int $ID ID
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    // public function actionView($ID)
    // {
    //     return $this->render('view', [
    //         'model' => $this->findModel($ID),
    //     ]);
    // }

    public function actionApplicationStatus()
    {
//         $DB = Yii::$app->session->get('NewDB');
//        if (empty($DB)) {
//            return $this->redirect(['/site/login']);
//        }
//        $data = array();
//        $data['FormID'][] = '';
//        $data['formComplete'][] = '';
//
//        $id = Yii::$app->user->identity->ID;
//        $formName = yii::$app->db->createCommand("select ID from ApplicationFormNameMst where  IsActive=1 order by ID")->queryAll();
//        foreach ($formName as $row) {
//            $data['FormID'][] = $row['ID'];
//        }
//
//        $applicationID = yii::$app->db->createCommand("select ApplicationFormID from ApplicationFormStatusTbl where CandidateID='$id' and IsActive=1 and IsComplete=1 order by ID")->queryAll();
//
//        foreach ($applicationID as $row) {
//            $data['formComplete'][] = $row['ApplicationFormID'];
//        }
//        $data = array();
//        $data['FormID'][] = '';
//        $data['formComplete'][] = '';
//        $formPosition = yii::$app->db->createCommand("select * from ApplicationFormNameMst where  IsActive=1 and FormType=1 order by ID")->queryAll();
//        $data['formPosition'] = $formPosition;
//        $id = Yii::$app->user->identity->ID;
//        $formName = yii::$app->db->createCommand("select ID from ApplicationFormNameMst where  IsActive=1 order by ID")->queryAll();
//        foreach ($formName as $row) {
//            $data['FormID'][] = $row['ID'];
//        }
//
//        $applicationID = yii::$app->db->createCommand("select ApplicationFormID from ApplicationFormStatusTbl where CandidateID='$id' and IsActive=1 and IsComplete=1 order by ID")->queryAll();
//
//        foreach ($applicationID as $row) {
//            $data['formComplete'][] = $row['ApplicationFormID'];
//        }
//        return $this->render('application-status', ['data' => $data]);
        
        
        //Neww
        $data = array();
        $data['FormID'][] = '';
        $data['formComplete'][] = '';
        $formPosition=    ApplicationFormNameMst::find()
                                        ->select(['ID','FormName','FormControllerName','FormActionView','OrderBy','LeftLinkIconName'])
                                        ->where(['IsActive'=>1,'FormType'=>1])
                                        ->orderBy(['OrderBy'=>'asc'])
                                        ->asArray()->all();
        $data['formPosition'] = $formPosition;
        $id = Yii::$app->user->identity->ID;
        $formName = yii::$app->db->createCommand("select ID from ApplicationFormNameMst where  IsActive=1 order by ID")->queryAll();
        foreach ($formName as $row) {
            $data['FormID'][] = $row['ID'];
        }
        $applicationID = yii::$app->db->createCommand("select ApplicationFormID from ApplicationFormStatusTbl where CandidateID='$id' and IsActive=1 and IsComplete=1 order by ID")->queryAll();

        foreach ($applicationID as $row) {
            $data['formComplete'][] = $row['ApplicationFormID'];
        }       
        return $this->render('application-status', ['data' => $data]);
         
    }
/*    public function actionAadhardetailsform()
    {
        //check if form submitted 
        if (Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }
        $getFormStatusCheck = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 2]);
        if (!$getFormStatusCheck) {
            return $this->redirect(['../dashboard/index']);
        }

        $model = new AadharDetails();
        $user = new User();
        $Gender_data = GenderMst::find()->where(['IsActive' => 1])->all();
        $Genders = ArrayHelper::map($Gender_data, 'ID', 'Gender');

        $examDate = strtotime(date('Y-m-d', strtotime(yii::$app->params['examStartDate'])) . "-" . yii::$app->params['ageMin'] . " year");
        $MinYear = date('Y', ($examDate));
        $examDate = strtotime(date('Y-m-d', strtotime(yii::$app->params['examStartDate'])) . "-" . yii::$app->params['ageMax'] . " year");
        $MaxYear = date('Y', ($examDate));
        $isaadhar = '';
        //day name
        for ($i = 1; $i <= 31; $i++) {
            $DobDate[str_pad($i, 2, '0', STR_PAD_LEFT)] = str_pad($i, 2, '0', STR_PAD_LEFT);
        }
        //month name
        for ($m = 1; $m <= 12; ++$m) {
            $DobMonth[str_pad($m, 2, '0', STR_PAD_LEFT)] = date('F', mktime(0, 0, 0, $m, 1));
        }
        //year name
        for ($year = $MaxYear; $year <= $MinYear; $year++) {
            $DobYear[$year] = $year;
        }
        $cid = Yii::$app->user->identity->id;
        $applicationNo = Yii::$app->user->identity->ApplicationNumber;
        $aadharDetail = AadharDetails::find()->select('CandidateName,ApplicationNumber,GenderID,DOB,AadharNumber,NameOnAadhar,GenderOnAadharID,IsAadharNumber,AadharSelectedOption,DOBOnAadhar')
            ->where(['ID' => $cid])->one();
        $isaadhar = $aadharDetail->IsAadharNumber;

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                //$dataPost = Yii::$app->request->post();

                $aadhaarPostData = Yii::$app->request->post();
                foreach ($aadhaarPostData['AadharDetails'] as $key => $value){
                    $aadhaarPostData['AadharDetails']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }

                $data =  $aadhaarPostData['AadharDetails'];

                //$isaadhar    =  $dataPost['AadharDetails']['IsAadharNumber'];
                $isaadhar    =  $data['IsAadharNumber'];
                $model->CandidateIP = $_SERVER['REMOTE_ADDR'];
                //$data = Yii::$app->request->post();
                $AadharDataArray = [];

                $AadharDay = $data['AadharDay'];
                $AadharMonth = $data['AadharMonth'];
                $AadharYear = $data['AadharYear'];
                $AadharDataArray['ID']  = $cid;
                $AadharDataArray['IsAadharNumber'] = $data['IsAadharNumber'];
                $AadharDataArray['AadharNumber'] = $data['AadharNumber'];
                $AadharDataArray['NameOnAadhar'] = $data['NameOnAadhar'];
                $AadharDataArray['GenderOnAadharID'] = $data['GenderOnAadharID'];


                if (empty($AadharDay) and empty($AadharMonth)  and empty($AadharYear)) {
                    $AadharDataArray['DOBOnAadhar'] = '';
                } else {
                    $AadharDataArray['DOBOnAadhar'] = $AadharDay . '-' . $AadharMonth . '-' . $AadharYear;
                }

                $AadharDataArray['AadharSelectedOption'] = $data['AadharSelectedOption'];
                $json['user_data'] = $AadharDataArray;

                $jsonParam = json_encode($json);

                $sp = '{{UpdateCandidatedata}}';
                $res = Yii::$app->db->createCommand("exec $sp @json = :json")
                    ->bindValue(':json', $jsonParam)
                    ->execute();

                //form confirmation
                $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 4]);
                if (!$checkpoint) {

                    $candidate_id = Yii::$app->user->identity->ID;
                    $form_id = 4;
                    yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                }
                $id = Yii::$app->db->getLastInsertID();
                Yii::$app->session->setFlash('success', 'Data saved successfully.');
                // userAct insert
                $moduleName = 'Aadhar-Details';
                $activityName = 'Next-Button';
                $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                Yii::$app->useract->useract($data);
                // end

                return $this->redirect(['examcenterdetailsform']);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('aadharDetailsForm', [
            'model' => $model,
            'genders' => $Genders,
            'aadharDetail' => $aadharDetail,
            'IsAadharNumber' => $isaadhar,
            'DobDate'   => $DobDate,
            'DobMonth'   => $DobMonth,
            'DobYear'   =>  $DobYear
        ]);
    }
*/




    /* Contact Details Start */
/*    public function actionContactdetailsform()
    {
        //check if form submitted 
        if (Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }
        $getFormStatusCheck = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 3]);
        if (!$getFormStatusCheck) {
            return $this->redirect(['../dashboard/index']);
        }

        $condidate =  CandidateTbl::find()->select('CandidateEmail,CandidateMobile,AlternateMobile,DOB')->where(['ID' => Yii::$app->user->identity->ID])->asArray()->one();
        $countryState = array();
        $stateDistrict = array();
        //state

        if ($model = ContactDetails::findOne(['CandidateID' => Yii::$app->user->identity->ID])) {

            $country = $model['CountryID'];
            $State = StateMst::find()
                ->where(['CountryID' => $country])
                ->orderBy('id asc')
                ->asArray()
                ->all();
            $countryState = array_column($State, 'StateName', 'ID');


            $state = $model['StateUTID'];
            $district = DistrictMst::find()
                ->where(['StateID' => $state])
                ->orderBy('id asc')
                ->asArray()
                ->all();
            $stateDistrict = array_column($district, 'DistrictName', 'ID');
        } else {

            $model = new ContactDetails();
        }

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                
                $ContactDetailsdata = ContactDetails::findall(['CandidateID' => Yii::$app->user->identity->ID]);
                $count = count($ContactDetailsdata);
                if ($count == 0) {
                   // $data = Yii::$app->request->post('ContactDetails');

                    $contactPostData = Yii::$app->request->post();
                    foreach ($contactPostData['ContactDetails'] as $key => $value){

                        $contactPostData['ContactDetails']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                    }

                    $data =  $contactPostData['ContactDetails'];

                    $data['CandidateID'] = Yii::$app->user->identity->ID;
                    $data['IsActive'] = 1;
                    unset($data['verifyCode']);
                    $data = Json::encode($data);
                    yii::$app->db->createCommand("exec spCandidateAddressAdd '$data'")->execute();


                    // userAct insert
                    $moduleName = 'Contact-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end

                    //form confirmation
                    $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 2]);
                    if (!$checkpoint) {

                        $candidate_id = Yii::$app->user->identity->ID;
                        $form_id = 2;
                        yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                    }

                    Yii::$app->session->setFlash('success', 'Data saved successfully.');
                    return $this->redirect(['aadhardetailsform']);
                } else {
                    
                    //$data = Yii::$app->request->post('ContactDetails');

                    $contactPostData = Yii::$app->request->post();
                    foreach ($contactPostData['ContactDetails'] as $key => $value){

                        $contactPostData['ContactDetails']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                    }

                    $data =  $contactPostData['ContactDetails'];

                    // reset exam center choice if city changed in address
                    $cityChanged = 0;
                    $ContactDetailsdata1 = ContactDetails::find()->where(['CandidateID' => Yii::$app->user->identity->ID])->asArray()->one();
                    $oldDistrictID = $ContactDetailsdata1['DistrictID'];
                    $newDistrictID = $data['DistrictID'];
                    if ($oldDistrictID != $newDistrictID) {
                        $cityChanged = 1;
                    }
                    $examCenterChoiceList = CandidateChoiceExamCenterTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID])->all();
                    if ($examCenterChoiceList && $cityChanged == 1) {
                        \Yii::$app->db->createCommand()->delete('CandidateChoiceExamCenterTbl', ['CandidateID' => Yii::$app->user->identity->ID])->execute();
                        \Yii::$app->db->createCommand()->update('ApplicationFormStatusTbl', ['IsComplete' => False], 'CandidateID = ' . Yii::$app->user->identity->ID . ' AND ApplicationFormID = 5 ')->execute();
                    }

                    $data['CandidateID'] = Yii::$app->user->identity->ID;
                    unset($data['verifyCode']);
                    $data = Json::encode($data);
                    yii::$app->db->createCommand("exec spCandidateAddressUpdate '$data'")->execute();


                    // userAct insert
                    $moduleName = 'Contact-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end

                    //form confirmation
                    $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 2]);
                    if (!$checkpoint) {

                        $candidate_id = Yii::$app->user->identity->ID;
                        $form_id = 2;
                        yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                    }

                    Yii::$app->session->setFlash('success', 'Data saved successfully.');
                    return $this->redirect(['aadhardetailsform']);
                }
            }
        }





        return $this->render('contactDetailsForm', [
            'model' => $model,
            'condidate' => $condidate,
            'countryState' => $countryState,
            'stateDistrict' => $stateDistrict,
        ]);
    }
*/

    /* Contact Details End */


/*    public function actionPersonaldetailsform()
    {
        //$cPData = $data['PersonalDetails'];

        //check if form submitted 
        if (Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }


        $examDate = strtotime(date('Y-m-d', strtotime(yii::$app->params['examStartDate'])) . "-" . yii::$app->params['ageMin'] . "year");
        $MinYear = date('Y', ($examDate));
        $examDate = strtotime(date('Y-m-d', strtotime(yii::$app->params['examStartDate'])) . "-" . yii::$app->params['ageMax'] . " year");
        $MaxYear = date('Y', ($examDate));

        //day name
        for ($i = 1; $i <= 31; $i++) {
            $DobDate[str_pad($i, 2, '0', STR_PAD_LEFT)] = str_pad($i, 2, '0', STR_PAD_LEFT);
        }
        //month name
        for ($m = 1; $m <= 12; ++$m) {
            $DobMonth[str_pad($m, 2, '0', STR_PAD_LEFT)] = date('F', mktime(0, 0, 0, $m, 1));
        }
        //year name
        for ($year = $MaxYear; $year <= $MinYear; $year++) {
            $DobYear[$year] = $year;
        }

        $model = new PersonalDetails();
        $modelSubject =  new SubjectMst();
        $modelSubjectSave = new CandidatePassedSubjectTbl();
        $ID = yii::$app->user->identity->ID;
        $personalDetail = $this->findPersonalModel($ID);
        $ID = yii::$app->user->identity->ID;
        $PasSubj     = CandidatePassedSubjectTbl::find()
            ->select('SubjectID')
            ->where(['CandidateID' => $ID])
            ->one();


        $model = $this->findPersonDetailSaveModel($ID);
        //echo"<pre>";print_r($model);die;
        if ($this->request->isPost) {

            if ($model->load($this->request->post()) && $model->validate()) {
                $data = Yii::$app->request->post();

                //SanatizeInput
                foreach ($data['PersonalDetails'] as $key => $value) {
                                    
                    $data['PersonalDetails']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }
                
                $userData =  $data['PersonalDetails'];
                $Day = $data['PersonalDetails']['Day'];
                $Month = $data['PersonalDetails']['Month'];
                $Year = $data['PersonalDetails']['Year'];
                $userData['DOB'] = $Day . '-' . $Month . '-' . $Year;
                $userData['ID'] = $model->ID;
                $userData['CandidateIP'] = $_SERVER['REMOTE_ADDR'];

                // candidate passed subject submission
                $data['SubjectMst']['ID'] = $data['PersonalDetails']['SubjectID'];
                $data['SubjectMst']['CandidateID'] = $model->ID;
                $data['SubjectMst']['CreateDate'] = date('Y-m-d h:i:s');
                $data['SubjectMst']['IsActive'] = 1;
                // End candidate passed subject submission

                $json['user_data'] = $userData;
                $json['user_data']['SubjectMst'] = $data['SubjectMst'];
                $json = json_encode($json);
                //print_r($json);exit;
                $sp = '{{%UpdateCandidatePersonal}}';
                $response = Yii::$app->db->createCommand("exec $sp @json = :json")
                    ->bindValue(':json', $json)
                    ->execute();
                if ($response) {

                    // userAct insert
                    $moduleName = 'Personal-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end

                    Yii::$app->session->setFlash('success', "Data saved successfully.");
                    $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 3]);
                    if (!$checkpoint) {

                        $candidate_id = Yii::$app->user->identity->ID;
                        $form_id = 3;
                        yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                    }
                    return $this->redirect(['contactdetailsform']);
                }

                Yii::$app->session->setFlash('success', "Data saved successfully.");
                return $this->redirect(['personaldetailsform', 'ID' => base64_decode($model->ID)]);
                $model->DOB = $Day . '-' . $Month . '-' . $Year;
                $model->CandidateIP = $_SERVER['REMOTE_ADDR'];
                $model->save();

                $modelSubjectSave->CandidateID = $model->ID;
                $modelSubjectSave->SubjectID = $data['PersonalDetails']['Day'];
                $modelSubjectSave->CandidateID = $model->ID;
                $modelSubjectSave->save();
                //form confirmation
                $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 3]);
                if (!$checkpoint) {

                    $candidate_id = Yii::$app->user->identity->ID;
                    $form_id = 3;
                    yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                }
                Yii::$app->session->setFlash('success', "Data saved successfully.");
                return $this->redirect(['personaldetailsform', 'ID' => $model->ID]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('personalDetailsForm', [
            'model' => $personalDetail,
            'modelSubject' => $modelSubject,
            'PasSubj' => $PasSubj,
            'DobDate' => $DobDate,
            'DobMonth' => $DobMonth,
            'DobYear' => $DobYear
        ]);
    }
*/

    /**
     * Updates an existing AadharDetails model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $ID ID
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    // public function actionUpdate($ID)
    // {
    //     $model = $this->findModel($ID);

    //     if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
    //         return $this->redirect(['view', 'ID' => $model->ID]);
    //     }

    //     return $this->render('update', [
    //         'model' => $model,
    //     ]);
    // }

    /**
     * Deletes an existing AadharDetails model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $ID ID
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    // public function actionDelete($ID)
    // {
    //     $this->findModel($ID)->delete();

    //     return $this->redirect(['index']);
    // }

    /**
     * Finds the AadharDetails model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $ID ID
     * @return AadharDetails the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($ID)
    {
        if (($model = AadharDetails::findOne(['ID' => $ID])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }

    protected function findPersonDetailSaveModel($ID)
    {
        if (($model = PersonalDetails::findOne(['ID' => $ID])) !== null) {
            return $model;
        }



        throw new NotFoundHttpException('The requested page does not exist.');
    }

    protected function findPersonalModel($ID)
    {

        $Pdetail    =    PersonalDetails::find()
            ->select('ID,CandidateName,CandidateEmail,CandidateMobile,AlternateMobile,FatherName,MotherName,GenderID,NationalityID,CastCategoryID,PhysicalDisability,IsDiabetic,AnnualIncome,MinorityCommunity,DOB,DisabilyType,NeedScribe')
            ->where(['ID' => $ID])
            ->one();

        if ($Pdetail !== null) {
            return $Pdetail;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }




    /**
     * qualification ram singh
     * 
     */
/*    public function actionPostgraduation()
    {
        //check if form submitted 
        if (Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }
        $getFormStatusCheck = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 5]);
        if (!$getFormStatusCheck) {
            return $this->redirect(['../dashboard/index']);
        }
        $model = new CandidateQualificationDetailsTbl();

        $countryState = array();
        $appeaR = array();
        $finalR = array();
        // for checking 
        if ($model = CandidateQualificationDetailsTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID])) {
            $model = CandidateQualificationDetailsTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID]);
            //country state
            $country = $model['QualifyingExamPlaceID'];
            $State = StateMst::find()
                ->where(['CountryID' => $country])
                ->orderBy('id asc')
                ->asArray()
                ->all();
            $countryState = array_column($State, 'StateName', 'ID');
            //status
            $val = $model['PassStatus'];

            $year = date('Y');
            if ($val == 2) {
                for ($i = 0; $i < 3; $i++) {

                    $appeaR[$year] = $year;
                    $finalR = $appeaR;
                    $year--;
                }
            } else {
                for ($k = 0; $k < 25; $k++) {
                    $appeaR[$year] = $year;
                    $year--;
                }
                $finalR[2] = 'Not Applicable';
            }
        } else {
            $model = new CandidateQualificationDetailsTbl();
        }

        if ($model->load(Yii::$app->request->post())) {
            //var_dump($model->validate());die;

            if ($model->validate()) {

                $condidate = CandidateQualificationDetailsTbl::findall(['CandidateID' => Yii::$app->user->identity->ID]);
                $count = count($condidate);

                if ($count == 0) {
                    //insert query
                    $data = array();
                    $getData = Yii::$app->request->post('CandidateQualificationDetailsTbl');

                    $data['PassStatus'] = $getData['PassStatus'];
                    $data['YearOfPassing'] = $getData['YearOfPassing'];
                    $data['CourseID'] = $getData['CourseID'];
                    $data['FinalResultAwating'] = $getData['FinalResultAwating'];
                    $data['QualifyingExamPlaceID'] = $getData['QualifyingExamPlaceID'];
                    $data['QualificationExamStateID'] = $getData['QualificationExamStateID'];
                    $data['UniversityBoardID'] = $getData['UniversityBoardID'];
                    $data['ResultMode'] = $getData['ResultMode'];
                    $data['MarksObtained'] = $getData['MarksObtained'];

                    $data['CreateDate'] = date('Y-m-d h:i:s');
                    $data['IsActive'] = 1;
                    $data['CandidateID'] = Yii::$app->user->identity->ID;
                    $data['checkVal'] = 1;
                    $data['TotalMarks'] = $getData['TotalMarks'];
                    $data['CgpaPercentageMarks'] = $getData['CgpaPercentageMarks'];
                    $data = Json::encode($data);
                    yii::$app->db->createCommand("exec spCondidateQualification '$data' ")->execute(); //call store

                    //form confirmation
                    $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 9]);
                    if (!$checkpoint) {

                        $candidate_id = Yii::$app->user->identity->ID;
                        $form_id = 9;
                        yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                    }

                    // userAct insert
                    $moduleName = 'Qualification-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end
                    return $this->redirect(['additional']);
                } else {
                    $data = array();
                    $getData = Yii::$app->request->post('CandidateQualificationDetailsTbl');

                    $data['PassStatus'] = $getData['PassStatus'];
                    $data['YearOfPassing'] = $getData['YearOfPassing'];
                    $data['CourseID'] = $getData['CourseID'];
                    $data['FinalResultAwating'] = $getData['FinalResultAwating'];
                    $data['QualifyingExamPlaceID'] = $getData['QualifyingExamPlaceID'];
                    $data['QualificationExamStateID'] = $getData['QualificationExamStateID'];
                    $data['UniversityBoardID'] = $getData['UniversityBoardID'];
                    $data['ResultMode'] = $getData['ResultMode'];
                    $data['MarksObtained'] = $getData['MarksObtained'];
                    $data['CandidateID'] = Yii::$app->user->identity->ID;
                    $data['checkVal'] = 1;
                    $data['TotalMarks'] = $getData['TotalMarks'];
                    $data['CgpaPercentageMarks'] = $getData['CgpaPercentageMarks'];

                    $data = Json::encode($data);
                    yii::$app->db->createCommand("exec spCondidateQualificationUpdate '$data' ")->execute();  //call store
                    $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 9]);
                    if (!$checkpoint) {
                        $candidate_id = Yii::$app->user->identity->ID;
                        $form_id = 9;
                        yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                    }

                    Yii::$app->session->set('success', 'Data saved successfully.');
                    // userAct insert
                    $moduleName = 'Qualification-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end          
                    return $this->redirect(['additional']);
                }
            }
        }
        return $this->render('postgraduation', [
            'model' => $model,
            'countryState' => $countryState,
            'appeaR' => $appeaR,
            'finalR' => $finalR,
        ]);
    }
*/
    //Additional detais adding by Ram
/*    public function actionAdditional()
    {
        //check if form submitted 
        if (Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }
        $getFormStatusCheck = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 9]);
        if (!$getFormStatusCheck) {
            return $this->redirect(['../dashboard/index']);
        }
        $model2 = CandidateQualificationAdditionalDetailsTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID]);

        if ($model2->load(Yii::$app->request->post())) {

            if ($model2->validate()) {

                //checking for confirmation 
                //form confirmation
                $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 6]);
                if (!$checkpoint) {

                    $candidate_id = Yii::$app->user->identity->ID;
                    $form_id = 6;
                    yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                }

                $model = CandidateQualificationAdditionalDetailsTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID]);
                $data = Yii::$app->request->post('CandidateQualificationAdditionalDetailsTbl');
                $data = array();
                $getData = Yii::$app->request->post('CandidateQualificationAdditionalDetailsTbl');
                $data['CandidateID'] = Yii::$app->user->identity->ID;
                $data['MPhilOptions'] = $getData['MPhilOptions'];
                $data['PhdOptions'] = $getData['PhdOptions'];
                $data['ReasearchExServicemanDetailsSpecilization'] = $getData['ReasearchExServicemanDetailsSpecilization'];
                $data['PGReaseachConfirmation'] = $getData['PGReaseachConfirmation'];
                $data['ReasearchExServiceman'] = $getData['ReasearchExServiceman'];
                $data['MPhilUnversityName'] = $getData['MPhilUnversityName'];
                $data['MPhilAddmissionYear'] = $getData['MPhilAddmissionYear'];
                $data['MPhilSubject'] = $getData['MPhilSubject'];
                $data['PhdUniversityName'] = $getData['PhdUniversityName'];
                $data['PhdAddmissionYear'] = $getData['PhdAddmissionYear'];
                $data['PhdMasterLevelTimeDateConfirmation'] = $getData['PhdMasterLevelTimeDateConfirmation'];
                $data['ReasearchExServicemanPGExperience'] = $getData['ReasearchExServicemanPGExperience'];

                $data = Json::encode($data);
                yii::$app->db->createCommand("exec spCondidateQualificationAdditionalUpdate '$data' ")->execute();  //call store  
                Yii::$app->session->set('success', 'Data saved successfully.');

                // userAct insert
                $moduleName = 'Additional-Details';
                $activityName = 'Next-Button';
                $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                Yii::$app->useract->useract($data);
                // end

                return $this->redirect(['document-upload']);
            }
        }

        return $this->render('additional', [
            'model' => $model2,
        ]);
    }
*/

    // Qualification passing of year by Ram
    public function actionPassyear()
    {
        if (yii::$app->request->post('pass')) {
            $examDate = strtotime(date('Y-m-d', strtotime(yii::$app->params['examStartDate'])) . "-" . yii::$app->params['ageMin'] . " year");
            $MinYear = date('Y', ($examDate));
            $examDate = strtotime(date('Y-m-d', strtotime(yii::$app->params['examStartDate'])) . "-" . yii::$app->params['ageMax'] . " year");
            $MaxYear = date('Y', ($examDate));

            $val = yii::$app->request->post('pass');
            $data = array();
            $year = date('Y');
            if ($val == 2) {
                for ($i = 0; $i < 3; $i++) {

                    $data[] = $year;
                    $year--;
                }
                echo  Json::encode($data, $asArray = true);
            } else if ($val == 1) {
                for ($k = $MaxYear; $k <= $MinYear; $k++) {
                    $data[] = $k;
                    $year--;
                }
                echo  Json::encode($data, $asArray = true);
            } else {
                $data[] = 00;
                echo  Json::encode($data, $asArray = true);
            }
        }
        // if(yii::$app->request->get('pass'))
        // {
        //     $examDate=strtotime(date('Y-m-d',strtotime(yii::$app->params['examStartDate']))."-". yii::$app->params['ageMin']." year");
        //     $MinYear=date('Y',($examDate));
        //     $examDate=strtotime(date('Y-m-d',strtotime(yii::$app->params['examStartDate']))."-". yii::$app->params['ageMax']." year");
        //     $MaxYear=date('Y',($examDate));

        //    $val=yii::$app->request->get('pass');
        //    $data=array();
        //    $year=date('Y');
        //    if($val==2)
        //    {
        //     for($i=0;$i<3;$i++)
        //     {

        //       $data[] = $year;
        //       $year--;  
        //     }
        //     echo  Json::encode($data, $asArray = true);
        //    }
        //    else if($val==1){
        //     for($k=$MaxYear;$k<=$MinYear;$k++)
        //     {
        //       $data[] = $k;
        //       $year--;
        //     }
        //     echo  Json::encode($data, $asArray = true);
        //    }
        //    else{
        //     $data[]=00;
        //     echo  Json::encode($data, $asArray = true);
        //    }
        // }         
        die;
    }

    // get state
    public function actionResultmode($id)
    {
        $state = StateMst::find()
            ->where(['CountryID' => $id])
            ->orderBy('id asc')
            ->all();

        if (!empty($state)) {
            echo  "<option value=''>--Select--</option>";
            foreach ($state as $row) {
                echo "<option value='" . $row->ID . "'>" . $row->StateName . "</option>";
            }
        } else {
            echo  "<option value=''>--Select--</option>";
            //echo "<option>-</option>";
        }
    }
    // get District by Ram
    public function actionResultmodeDistict($id)
    {
        $district = DistrictMst::find()
            ->where(['StateID' => $id])
            ->orderBy('id asc')
            ->all();

        if (!empty($district)) {
            echo  "<option value=''>--Select--</option>";
            foreach ($district as $row) {
                echo "<option value='" . $row->ID . "'>" . $row->DistrictName . "</option>";
            }
        } else {
            echo  "<option value=''>--Select--</option>";
            //echo "<option>-</option>";
        }
    }

    /**
     * document upload by Ram
     */
/*    public function actionDocumentUpload()
    {
        //check if form submitted 
        if (Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }
        $getFormStatusCheck = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 6]);
        if (!$getFormStatusCheck) {
            return $this->redirect(['../dashboard/index']);
        }
        $model = new DocumentMst();
        // echo "<pre>";print_r($model->rules()); echo "</pre>";die;
        // $data = DocumentMst::find()->asArray()->all();
        // $filepath = CandidateDocumentTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID])->asArray()->all();
        // $documentUpload = array_column($filepath, 'UploadDocument', 'DocumentID');
        $requireDoc = CandidateTbl::find()->select('CastCategoryID,PhysicalDisability,NeedScribe')->where(['ID' => Yii::$app->user->identity->ID])->asArray()->all();

        $docData = CandidateDocumentTbl::find()
            ->select('CandidateDocumentTbl.UploadDocument,CandidateDocumentTbl.DocumentID,docm.DocumentCode,docm.DocumentName')
            ->innerJoin('DocumentMst as docm', 'docm.ID = CandidateDocumentTbl.DocumentID')
            ->where(['CandidateDocumentTbl.CandidateID' => Yii::$app->user->identity->ID, 'docm.IsActive' => 1])
            ->asArray()
            ->all();

        $documentUpload = '';
        if (count(@$docData) > 0) {
            $documentUpload = array_column($docData, 'UploadDocument', 'DocumentCode');
        }

        $doc_fields = array(
            ['docCode' => 'D0001', "docName" => 'Photograph', 'format' => 'JPG,JPEG', 'minSize' => yii::$app->params['photoMinSize'], 'maxSize' => yii::$app->params['photoMaxSize']],
            ['docCode' => 'D0002', "docName" => 'Signature', 'format' => 'JPG,JPEG', 'minSize' => yii::$app->params['signatureMinSize'], 'maxSize' => yii::$app->params['signatureMaxSize']]
        );

        if (count(@$requireDoc) > 0) {
            if ($requireDoc[0]['CastCategoryID'] == 6) {
                array_push($doc_fields, array('docCode' => 'D0003', "docName" => 'SC/ST Document', 'format' => 'PDF', 'minSize' => yii::$app->params['pdfMinSize'], 'maxSize' => yii::$app->params['pdfMaxSize']));
            } else if ($requireDoc[0]['CastCategoryID'] == 5) {
                array_push($doc_fields, array('docCode' => 'D0004', "docName" => 'OBC NCL Document', 'format' => 'PDF', 'minSize' => yii::$app->params['pdfMinSize'], 'maxSize' => yii::$app->params['pdfMaxSize']));
            } else if ($requireDoc[0]['CastCategoryID'] == 3) {
                array_push($doc_fields, array('docCode' => 'D0005', "docName" => 'General EWS Document', 'format' => 'PDF', 'minSize' => yii::$app->params['pdfMinSize'], 'maxSize' => yii::$app->params['pdfMaxSize']));
            }
            if ($requireDoc[0]['PhysicalDisability'] == 1) {
                array_push($doc_fields, array('docCode' => 'D0006', "docName" => 'PWD Document', 'format' => 'PDF', 'minSize' => yii::$app->params['pdfMinSize'], 'maxSize' => yii::$app->params['pdfMaxSize']));
            }
            if ($requireDoc[0]['NeedScribe'] == 2) {
                array_push($doc_fields, array('docCode' => 'D0007', "docName" => 'Scribe Detail', 'format' => 'PDF', 'minSize' => yii::$app->params['pdfMinSize'], 'maxSize' => yii::$app->params['pdfMaxSize']));
            }
        }

        if (Yii::$app->request->isPost) {
            if ($model->validate()) {
                if (UploadedFile::getInstance($model, 'D0001')) {
                    $selectFile = 'D0001';
                } else if (UploadedFile::getInstance($model, 'D0002')) {
                    $selectFile = 'D0002';
                } else if (UploadedFile::getInstance($model, 'D0003')) {
                    $selectFile = 'D0003';
                } else if (UploadedFile::getInstance($model, 'D0004')) {
                    $selectFile = 'D0004';
                } else if (UploadedFile::getInstance($model, 'D0005')) {
                    $selectFile = 'D0005';
                } else if (UploadedFile::getInstance($model, 'D0006')) {
                    $selectFile = 'D0006';
                } else if (UploadedFile::getInstance($model, 'D0007')) {
                    $selectFile = 'D0007';
                }

                // if (isset($selectFile) && in_array($selectFile, array('D0001', 'D0002'))) {
                //     $model->{$selectFile} = UploadedFile::getInstance($model, $selectFile);
                //     $fileTempPath = $model->{$selectFile}->tempName;

                //     $ImageDetailsArray = mime_content_type($fileTempPath);
                //     if (!str_contains(strtolower($ImageDetailsArray), 'image/')) {
                //         Yii::$app->session->set('error', 'It is not a valid Image');
                //         return $this->redirect(['document-upload']);
                //     }
                // }
                // if (isset($selectFile) && in_array($selectFile, array('D0003', 'D0004', 'D0005', 'D0006', 'D0007'))) {
                //     $model->{$selectFile} = UploadedFile::getInstance($model, $selectFile);
                //     $fileTempPath = $model->{$selectFile}->tempName;
                //     $filecontent = mime_content_type($fileTempPath);
                //     if (!str_contains(strtolower($filecontent), 'image/pdf')) {
                //         Yii::$app->session->set('error', 'It is not a valid pdf file');
                //         return $this->redirect(['document-upload']);
                //     }
                // }
                //find document id
                $docid = DocumentMst::find()->where(['DocumentCode' => $selectFile])->asArray()->one();
                $doc_id = $docid['ID'];
                //end

                //check exist
                $isUploaded = CandidateDocumentTbl::findall(['DocumentID' => $doc_id, 'CandidateID' => Yii::$app->user->identity->ID]);
                $count = count($isUploaded);
                if ($count == 0) {
                    // insert
                    $model->{$selectFile} = UploadedFile::getInstance($model, $selectFile);
                    if (isset($model->{$selectFile}->tempName) && !empty($model->{$selectFile}->tempName) && $selectFile == 'D0001') {
                        $photoStatus = $this->faceDetection($model->{$selectFile}->tempName);
                        if (!$photoStatus) {
                            Yii::$app->session->set('error', 'Please upload valid photograph');
                            return $this->redirect(['document-upload']);
                        }
                    } else if (isset($model->{$selectFile}->tempName) && !empty($model->{$selectFile}->tempName) && $selectFile == 'D0002') {
                        $signatureStatus = $this->faceDetection($model->{$selectFile}->tempName);
                        if ($signatureStatus) {
                            Yii::$app->session->set('error', 'Please upload valid signature');
                            return $this->redirect(['document-upload']);
                        }
                    }
                    $path = Yii::$app->user->identity->ApplicationNumber;
                    $Fname = $selectFile . '_' . time();
                    $check = Yii::$app->filesupload->uploadprocess($Fname, $path, $model, $selectFile);
                    if ($check != 0) {
                        $CandidateID = Yii::$app->user->identity->ID;
                        $DocumentID = $doc_id;
                        $UploadDocument = $check;
                        $CreateDate = date('Y-m-d h:i:s');
                        $IsActive = 1;
                        $CheckPoint = 1;
                        $ModifyDate = NULL;
                        $ModifyBy = NULL;

                        yii::$app->db->createCommand("exec spCandidateDocument '$CandidateID','$DocumentID','$UploadDocument','$ModifyDate','$ModifyBy','$CreateDate','$IsActive','$CheckPoint'")->execute();
                        Yii::$app->session->setFlash('success', 'Successfully uploaded.');
                        // userAct insert
                        $moduleName = 'Document-Upload';
                        $activityName = 'Document-Upload-Link';
                        $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                        Yii::$app->useract->useract($data);
                        // end
                        return $this->redirect(['document-upload']);
                    }
                } else {

                    //update
                    $model->{$selectFile} = UploadedFile::getInstance($model, $selectFile);
                    //echo "<pre>"; print_r($model->{$selectFile}->tempName); echo "</pre>";die;
                    if (isset($model->{$selectFile}->tempName) && !empty($model->{$selectFile}->tempName) && $selectFile == 'D0001') {
                        $photoStatus = $this->faceDetection($model->{$selectFile}->tempName);
                        if (!$photoStatus) {
                            Yii::$app->session->set('error', 'Please upload valid photograph');
                            return $this->redirect(['document-upload']);
                        }
                    } else if (isset($model->{$selectFile}->tempName) && !empty($model->{$selectFile}->tempName) && $selectFile == 'D0002') {
                        $signatureStatus = $this->faceDetection($model->{$selectFile}->tempName);
                        if ($signatureStatus) {
                            Yii::$app->session->set('error', 'Please upload valid signature');
                            return $this->redirect(['document-upload']);
                        }
                    }
                    $path = Yii::$app->user->identity->ApplicationNumber;
                    $Fname = $selectFile . '_' . time();
                    $check = Yii::$app->filesupload->uploadprocess($Fname, $path, $model, $selectFile);
                    if ($check != 0) {
                        $CandidateID = Yii::$app->user->identity->ID;
                        $DocumentID = $doc_id;
                        $UploadDocument = $check;
                        $CreateDate = NULL;
                        $IsActive = NULL;
                        $CheckPoint = 0;
                        $ModifyDate = date('Y-m-d h:i:s');
                        $ModifyBy = Yii::$app->user->identity->CandidateName;
                        yii::$app->db->createCommand("exec spCandidateDocument '$CandidateID','$DocumentID','$UploadDocument','$ModifyDate','$ModifyBy','$CreateDate','$IsActive','$CheckPoint'")->execute();
                    }
                    // userAct insert
                    $moduleName = 'Document-Upload';
                    $activityName = 'Document-Upload-Link';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end
                    Yii::$app->session->set('success', 'Successfully uploaded.');
                    return $this->redirect(['document-upload']);
                }
            }
        }
        return $this->render('document-upload', [
            'model' => $model,
            //'data' => $data,
            //'requiredDoc' => $requireDoc[0],
            'doc_fields' => $doc_fields,
            'documentUpload' => $documentUpload,
        ]);
    }
*/

    public function actionFileuploaded()
    {
        //form confirmation
        $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 7]);
        if (!$checkpoint) {

            $candidate_id = Yii::$app->user->identity->ID;
            $form_id = 7;
            yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
        }
        return $this->redirect('review-application-form');
    }


    public function actionExamcenterdetailsform()
    {

        //check if form submitted 
        if (Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }
        $getFormStatusCheck = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 4]);
        if (!$getFormStatusCheck) {
            return $this->redirect(['../dashboard/index']);
        }
        $CandidateId = Yii::$app->user->identity->ID;
        $StateMst = new StateMst();
        $examCenter = new ExamCenterDetails();
        $CourseMst = new CourseMst();
        $SubjectMst = new SubjectMst();
        $QuestionPaperLanguageMst = new QuestionPaperLanguageMst();
        $CourseMstdata = CourseMst::find()->select('ID,CourseName')->where(['IsActive' => 1, 'OptCourse' => 1])->orderBy(['CourseName' => SORT_ASC])->all();
        $CourseMst = ArrayHelper::map($CourseMstdata, 'ID', 'CourseName');
        /* subject details*/

        $SubjectMstdata = SubjectMst::find()->select('ID,SubjectName')->where(['IsActive' => 1])->orderBy(['SubjectName' => SORT_ASC])->all();
        $SubjectMstList = ArrayHelper::map($SubjectMstdata, 'ID', 'SubjectName');
        /* Question paper medium Language */

        $QuestionPaperLanguageMstData = QuestionPaperLanguageMst::find()->select('ID,LanguageName')->where(['IsActive' => 1])->orderBy(['LanguageName' => SORT_ASC])->all();
        $QuestionPaperLanguageMstList = ArrayHelper::map($QuestionPaperLanguageMstData, 'ID', 'LanguageName');
        /*State List */
        $StateNameData = \Yii::$app->db->createCommand("exec candidateStateSp :candidate_id")
            ->bindValue(':candidate_id', $CandidateId)
            ->queryAll();
        //echo '<pre>';print_r($StateNameData);die;
        $StateNameList = ArrayHelper::map($StateNameData, 'ID', 'StateName');
        /*Occupations List */
        $OccupationMst = new OccupationMst();
        $OccupationMstData = OccupationMst::find()->select('ID,OccupationName')->where(['IsActive' => 1])->orderBy(['OccupationName' => SORT_ASC])->all();
        $OccupationMstList = ArrayHelper::map($OccupationMstData, 'ID', 'OccupationName');
        /*Qualification List */
        $QualificationMst = new QualificationMst();
        $QualificationMstData = QualificationMst::find()->select('ID,QualificationName')->where(['IsActive' => 1])->orderBy(['QualificationName' => SORT_ASC])->all();
        $QualificationMstList = ArrayHelper::map($QualificationMstData, 'ID', 'QualificationName');
        /* Created instants For Save */
        $CandidateApplyCourseTbl = new CandidateApplyCourseTbl();
        $CandidateApplySubjectTbl = new CandidateApplySubjectTbl();

        $CandidateTbl = new CandidateTbl();
        $RelationshipMst = new RelationshipMst();

        /* Add  all records */
        $exSaveCenter = $this->getExamCenterQPData($CandidateId);

        if ($this->request->isPost) {
            if ($examCenter->load(Yii::$app->request->post()) && $examCenter->validate()) {

                //$data = Yii::$app->request->post();
                //SanatizeInput
                $ExamCenterPostData = Yii::$app->request->post();
                foreach ($ExamCenterPostData['ExamCenterDetails'] as $key => $value){
                    
                    $ExamCenterPostData['ExamCenterDetails']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }

                $data =  $ExamCenterPostData['ExamCenterDetails'];

                $ParentGardienOccupationdatarray = [];
                $arrayData = array();
                /* Apply Course*/
                $CandidateApplyCourseTbl->ApplyCourseID = $data['ApplyFor'];
                $CandidateApplyCourseTbl->CandidateID = $CandidateId;
                $CandidateApplyCourseTbl->IsActive = 1;
                $CandidateApplyCourseTbl->CreateDate = date('Y-m-d h:i:s');
                /* Json convert end*/
                $arrayData['Apply']['ApplyCourseID'] = $CandidateApplyCourseTbl['ApplyCourseID'];
                $arrayData['Apply']['CandidateID']  = $CandidateApplyCourseTbl['CandidateID'];
                $arrayData['Apply']['IsActive']  = $CandidateApplyCourseTbl['IsActive'];
                $arrayData['Apply']['CreateDate']  = $CandidateApplyCourseTbl['CreateDate'];
                $arrayData['Apply']['SubjectID']  = $data['SubjectOptedNet'];
                $arrayData['Apply']['subCandidateID']  = $CandidateId;
                $arrayData['Apply']['SubIsActive']  = $CandidateApplyCourseTbl['IsActive'];
                $arrayData['Apply']['SubCreateDate']  = $CandidateApplyCourseTbl['CreateDate'];
                $arrayData['Apply']['QuestionPaperMedium']  =  $data['QuestionPaperMedium'];
                $arrayData['Apply']['center']['first']['ExamCenterStateID']  =  $data['FstChoiceForExamState'];
                $arrayData['Apply']['center']['first']['ExamCenterCityID']  =  $data['FstChoiceForExamCity'];
                $arrayData['Apply']['center']['first']['FstExamCenterPriorty']  =  1;
                $arrayData['Apply']['center']['second']['ExamCenterStateID']  =  $data['SndChoiceForExamState'];
                $arrayData['Apply']['center']['second']['ExamCenterCityID']  =  $data['SndChoiceForExamCity'];
                $arrayData['Apply']['center']['second']['ExamCenterPriorty']  =  2;
                $arrayData['Apply']['center']['third']['ThrdChoiceForExamState']  =  $data['ThrdChoiceForExamState'];
                $arrayData['Apply']['center']['third']['ThrdChoiceForExamCity']  =  $data['ThrdChoiceForExamCity'];
                $arrayData['Apply']['center']['third']['ExamCenterPriorty']  =  3;
                $arrayData['Apply']['center']['fourth']['ForthChoiceForExamState']  =  $data['ForthChoiceForExamState'];
                $arrayData['Apply']['center']['fourth']['ForthChoiceForExamCity']  =  $data['ForthChoiceForExamCity'];
                $arrayData['Apply']['center']['fourth']['ExamCenterPriorty']  =  4;

                $arrayData['Apply']['occupation']['father']['FatherGuardianOccupation']  =  $data['FatherGuardianOccupation'];
                $arrayData['Apply']['occupation']['father']['CandidateIP']  =  $_SERVER['REMOTE_ADDR'];
                $arrayData['Apply']['occupation']['father']['CandidateID']  =  $CandidateId;
                $arrayData['Apply']['occupation']['father']['FatherCandidateRelation']  =  1;
                $arrayData['Apply']['occupation']['mother']['MotherGuardianOccupation']  =  $data['MotherGuardianOccupation'];
                $arrayData['Apply']['occupation']['mother']['CandidateIP']  =  $_SERVER['REMOTE_ADDR'];
                $arrayData['Apply']['occupation']['mother']['CandidateID']  =  $CandidateId;
                $arrayData['Apply']['occupation']['mother']['MotherCandidateRelation']  =  2;

                $arrayData['Apply']['Qualification']['father']['FatherQualificationCodeID']  =   $data['FatherGuardianQualification'];
                $arrayData['Apply']['Qualification']['father']['CandidateID']  =  $CandidateId;
                $arrayData['Apply']['Qualification']['father']['CandidateIP']  =  $_SERVER['REMOTE_ADDR'];
                $arrayData['Apply']['Qualification']['father']['FatherCandidateRelationID']  =  1;
                $arrayData['Apply']['Qualification']['mother']['MotherQualificationCodeID']  =  $data['MotherGuardianQualification'];
                $arrayData['Apply']['Qualification']['mother']['CandidateID']  =  $CandidateId;
                $arrayData['Apply']['Qualification']['mother']['CandidateIP']  =  $_SERVER['REMOTE_ADDR'];
                $arrayData['Apply']['Qualification']['mother']['MotherCandidateRelationID']  =  2;
                $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 5]);
                if (!$checkpoint) {
                    $candidate_id = Yii::$app->user->identity->ID;
                    $form_id = 5;
                    yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                }
                //print_r($exSaveCenter);
                if (isset($exSaveCenter['subjectCourse'][0]['LanguageID']) && ($exSaveCenter['subjectCourse'][0]['LanguageID'] > 0)) {
                    $examCenterdata = json_encode($arrayData);
                    //    print_r($examCenterdata); die();     
                    yii::$app->db->createCommand("exec ExamcenterUpdateDetails '$examCenterdata' ")->execute();
                    Yii::$app->session->setFlash('success', 'Data saved successfully.');

                    // Delete old entry from ApplicationFormStatusTbl and add new entry for status IsComplete and IsActive
                    $checkpoint1 = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 5]);
                    if (!empty($checkpoint1)) {
                        Yii::$app->db->createCommand()->update('ApplicationFormStatusTbl', ['IsComplete' => True], 'CandidateID = ' . Yii::$app->user->identity->ID . ' AND ApplicationFormID = 5 ')->execute();
                    }

                    // userAct insert
                    $moduleName = 'Exam-Center-And-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end
                    return $this->redirect(['postgraduation']);
                } else {

                    $examCenterdata = json_encode($arrayData);
                    yii::$app->db->createCommand("exec ExamcenterAddDetails '$examCenterdata' ")->execute();
                    // userAct insert
                    $moduleName = 'Exam-Center-And-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end
                    Yii::$app->session->setFlash('success', 'Data saved successfully.');
                    return $this->redirect(['postgraduation']);
                }
            }
        } else {
            $examCenter->loadDefaultValues();
        }

        return $this->render('ExamCenterDetailsForm', [
            'model' => $examCenter,
            'CourseMst' => $CourseMst,
            'SubjectMst' => $SubjectMstList,
            'QuestionPaperLanguageMst' => $QuestionPaperLanguageMstList,
            'StateMst' => $StateNameList,
            'OccupationMst' => $OccupationMstList,
            'QualificationMst' => $QualificationMstList,
            'exSaveCenter' => $exSaveCenter
        ]);
    }
    public function getExamCenterQPData($ID)
    {
        $CandidatesubCoursedata['subjectCourse']  = \Yii::$app->db->createCommand("exec ExamcenterEditviewCSL_Sp :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $CandidatesubCoursedata['centerChoice']  = \Yii::$app->db->createCommand("exec ExamcenterEditviewCanddateChoice_Sp :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $CandidatesubCoursedata['parentOccupation']  = \Yii::$app->db->createCommand("exec ExamcenterEditviewPGOccupationSp :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $CandidatesubCoursedata['parentQualification']  = \Yii::$app->db->createCommand("exec ExamcenterEditviewPGQualification_Sp :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        if ($CandidatesubCoursedata !== null) {
            return $CandidatesubCoursedata;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }

    public function actionCitylist()
    {
        // print_r(Yii::$app->request->post());die();

        $id = Yii::$app->request->post('id');
        $selectCity = Yii::$app->request->post('selectCity') ? Yii::$app->request->post('selectCity') : '';
        echo "<option value=''>--Select City--</option>";
        $CityMstListData = CityMst::find()->select('CityMst.ID,CityMst.CityName')
            ->leftJoin('AdminExamCenterMst', 'AdminExamCenterMst.StateID=CityMst.StateID')
            ->where(['AdminExamCenterMst.StateID' => $id, 'AdminExamCenterMst.IsActive' => 1])
            ->orderBy('CityMst.CityName asc')
            ->all();

        if (!empty($CityMstListData)) {
            foreach ($CityMstListData as $row) {
                $select = '';
                if (isset($selectCity) && !empty($selectCity)) {
                    if ($selectCity == $row['ID']) {
                        $select = 'selected';
                    }
                }
                echo "<option value='" . $row['ID'] . "' $select>" . $row['CityName'] . "</option>";
            }
        }
    }



    public function actionReviewApplicationForm()
    {

        //check if form submitted 
        if (Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['../dashboard/index']);
        }
        // Check status of personaldetailsform $form_id = 3
        $personalDetailsFormStatusCheck = ApplicationFormStatusTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 3])->asArray()->all();
        if ($personalDetailsFormStatusCheck[0]['IsComplete'] == 0) {
            Yii::$app->session->setFlash('success', 'Please Complete this form');
            return $this->redirect(['../application/personaldetailsform']);
        }
        // Check status of contactdetailsform $form_id = 2
        $contactDetailsFormStatusCheck = ApplicationFormStatusTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 2])->asArray()->all();
        if ($contactDetailsFormStatusCheck[0]['IsComplete'] == 0) {
            Yii::$app->session->setFlash('success', 'Please Complete this form');
            return $this->redirect(['../application/contactdetailsform']);
        }
        // Check status of aadhardetailsform $form_id = 4
        $aadharDetailsFormStatusCheck = ApplicationFormStatusTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 4])->asArray()->all();
        if ($aadharDetailsFormStatusCheck[0]['IsComplete'] == 0) {
            Yii::$app->session->setFlash('success', 'Please Complete this form');
            return $this->redirect(['../application/aadhardetailsform']);
        }
        // Check status of examcenterdetailsform $form_id = 5
        $examCenterFormStatusCheck = ApplicationFormStatusTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 5])->asArray()->all();
        if ($examCenterFormStatusCheck[0]['IsComplete'] == 0) {
            Yii::$app->session->setFlash('success', 'Please Complete this form');
            return $this->redirect(['../application/examcenterdetailsform']);
        }
        // Check status of postgraduation $form_id = 9
        $postgraduationFormStatusCheck = ApplicationFormStatusTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 9])->asArray()->all();
        if ($postgraduationFormStatusCheck[0]['IsComplete'] == 0) {
            Yii::$app->session->setFlash('success', 'Please Complete this form');
            return $this->redirect(['../application/postgraduation']);
        }
        // Check status of additional $form_id = 6
        $additionalFormStatusCheck = ApplicationFormStatusTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 6])->asArray()->all();
        if ($additionalFormStatusCheck[0]['IsComplete'] == 0) {
            Yii::$app->session->setFlash('success', 'Please Complete this form');
            return $this->redirect(['../application/additional']);
        }
        // Check status of document-upload $form_id = 7
        $documentUploadFormStatusCheck = ApplicationFormStatusTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 7])->asArray()->all();
        if ($documentUploadFormStatusCheck[0]['IsComplete'] == 0) {
            Yii::$app->session->setFlash('success', 'Please Complete this form');
            return $this->redirect(['../application/document-upload']);
        }

        $getFormStatusCheck = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 7]);
        if (!$getFormStatusCheck) {
            return $this->redirect(['../dashboard/index']);
        }
        // $model= new DocumentMst();
        $data = DocumentMst::find()->asArray()->all();
        $filepath = CandidateDocumentTbl::find()->where(['CandidateID' => Yii::$app->user->identity->ID])->asArray()->all();
        $documentUpload = array_column($filepath, 'UploadDocument', 'DocumentID');
        $requireDoc = CandidateTbl::find()->select('CastCategoryID,PhysicalDisability,NeedScribe')->where(['ID' => Yii::$app->user->identity->ID])->asArray()->all();

        $ReviewexamCenter = new ExamCenterDetails();
        $ReviewApplicationForm = new ReviewApplicationForm();
        $canndidatePaymentStatus =  CandidateTbl::find()->select('PaymentStatus')->where(['ID' => Yii::$app->user->identity->ID])->asArray()->one();


        $ID = yii::$app->user->identity->ID;
        $result = \Yii::$app->db->createCommand("exec  getReviewData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryOne();
        /*Exam center */
        $examcdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();
        //echo"<pre>";print_r($result);die;

        $ParentOcupdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnOcupData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $ParentQualifdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnQualifData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();


        /* File upload */
        $UplodedDocdataresult = \Yii::$app->db->createCommand("exec  CandidateDocumentData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();



        //echo"<pre>";print_r($UplodedDocdataresult);die;      

        /* Final Submit form Qurery Run */

        if (Yii::$app->request->post()) {
            $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 8]);
            yii::$app->db->createCommand("exec FinalSubmitionfee :candidate_id")
                ->bindValue(':candidate_id', $ID)
                ->execute();
            if (!$checkpoint) {
                /* Insert into Table Candidate */
                $candidate_id = Yii::$app->user->identity->ID;
                $form_id = 8;
                yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission  
            }

            // userAct insert
            $moduleName = 'Final-Submit';
            $activityName = 'Form-Submit';
            $data = array("moduleName" => $moduleName, "activityName" => $activityName);
            Yii::$app->useract->useract($data);
            // end
            Yii::$app->session->setFlash('success', 'Data saved successfully.');
            return $this->redirect(['/payment/index']);
        }
        /* final submition*/
        return $this->render('reviewApplicationForm', [
            'model' => $result,
            'examcdata' => $examcdataresult,
            'examParentOcup' => $ParentOcupdataresult,
            'parentQulificat' => $ParentQualifdataresult,
            'documentUpload' => $UplodedDocdataresult,
            'reviewexamCenter' => $ReviewexamCenter,
            'ReviewApplicationForm' => $ReviewApplicationForm,
            'canndidatePaymentStatus' => $canndidatePaymentStatus,
            'data' => $data,
            'requiredDoc' => $requireDoc[0],
            'documentUpload' => $documentUpload

        ]);
    }

    /* create PDF File of REVIEW page*/

    public function actionReviewpdf()
    {

        $ID = yii::$app->user->identity->ID;
        $result = \Yii::$app->db->createCommand("exec  getReviewData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryOne();
        /*Exam center */
        $examcdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();


        $ParentOcupdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnOcupData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $ParentQualifdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnQualifData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();
        //echo"<pre>";print_r($ParentQualifdataresult);die;

        /* File upload */
        $UplodedDocdataresult = \Yii::$app->db->createCommand("exec  CandidateDocumentData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $b = true;
        $content = $this->renderPartial('reviewpdf', [
            'model' => $result,
            'examcdata' => $examcdataresult,
            'examParentOcup' => $ParentOcupdataresult,
            'parentQulificat' => $ParentQualifdataresult,
            'documentUpload' => $UplodedDocdataresult,
        ]);

        $mpdf = new mPDF();
        $mpdf->WriteHTML($content);
        $mpdf->showImageErrors = true;
        $mpdf->Output();
        exit;
    }
    public function actionSendreviewpdf()
    {


        $ID = yii::$app->user->identity->ID;
        $result = \Yii::$app->db->createCommand("exec  getReviewData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryOne();
        /*Exam center */
        $examcdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();


        $ParentOcupdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnOcupData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $ParentQualifdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnQualifData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();
        //echo"<pre>";print_r($ParentQualifdataresult);die;

        /* File upload */
        $UplodedDocdataresult = \Yii::$app->db->createCommand("exec  CandidateDocumentData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $b = true;
        $content = $this->renderPartial('reviewpdf', [
            'model' => $result,
            'examcdata' => $examcdataresult,
            'examParentOcup' => $ParentOcupdataresult,
            'parentQulificat' => $ParentQualifdataresult,
            'documentUpload' => $UplodedDocdataresult,
        ]);

        $mpdf = new mPDF();
        $mpdf->WriteHTML($content);
        $mpdf->showImageErrors = true;
        $user1 = [
            'CandidateName' => Yii::$app->user->identity->CandidateName,
            'senderName' => yii::$app->params['senderName'],
            'attachment' => $mpdf->Output('', 'S'),
        ];
        $Subject = 'Message subject';
        Yii::$app->commonmail->commonmailtoall(
            'applicationForm',
            yii::$app->user->identity->CandidateEmail,
            yii::$app->params['adminEmail'],
            $Subject,
            $user1,
            yii::$app->params['senderName']
        );


        // echo $applicationpdfpath; die;
    }
    /* create Admit Card  PDF page*/

    public function actionAdmitpdf()
    {

        $ID = yii::$app->user->identity->ID;
        $admitdataresult = \Yii::$app->db->createCommand("exec  getAdmitCardData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        //echo"<pre>"; print_r($admitdataresult);die;
        // $ParentOcupdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnOcupData :candidate_id") 
        // ->bindValue(':candidate_id' , $ID )
        // ->queryAll();

        // $ParentQualifdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnQualifData :candidate_id") 
        // ->bindValue(':candidate_id' , $ID )
        // ->queryAll();
        //  //echo"<pre>";print_r($ParentQualifdataresult);die;

        //  /* File upload */ 
        //  $UplodedDocdataresult = \Yii::$app->db->createCommand("exec  CandidateDocumentData :candidate_id") 
        //  ->bindValue(':candidate_id' , $ID )
        //  ->queryAll();

        $b = true;
        $content = $this->renderPartial('admitpdf', [
            'model' => $admitdataresult,
            // 'examcdata' => $examcdataresult,
            // 'examParentOcup'=>$ParentOcupdataresult,
            // 'parentQulificat'=>$ParentQualifdataresult,           
            // 'documentUpload'=>$UplodedDocdataresult,
        ]);

        $mpdf = new mPDF();
        $mpdf->WriteHTML($content);
        $mpdf->showImageErrors = true;
        $mpdf->Output();
        exit;
    }
    public function actionExamcenterdetailsformlink()
    {

        if (isset(Yii::$app->user->identity->PaymentStatus) && Yii::$app->user->identity->PaymentStatus == 1) {
            return $this->redirect(['review-application-form']);
        }
        $CandidateId = Yii::$app->user->identity->ID;
        $StateMst = new StateMst();
        $examCenter = new ExamCenterDetails();
        $CourseMst = new CourseMst();
        $SubjectMst = new SubjectMst();
        $QuestionPaperLanguageMst = new QuestionPaperLanguageMst();
        $CourseMstdata = CourseMst::find()->select('ID,CourseName')->where(['IsActive' => 1, 'OptCourse' => 1])->orderBy(['CourseName' => SORT_ASC])->all();
        $CourseMst = ArrayHelper::map($CourseMstdata, 'ID', 'CourseName');
        /* subject details*/

        $SubjectMstdata = SubjectMst::find()->select('ID,SubjectName')->where(['IsActive' => 1])->orderBy(['SubjectName' => SORT_ASC])->all();
        $SubjectMstList = ArrayHelper::map($SubjectMstdata, 'ID', 'SubjectName');
        /* Question paper medium Language */

        $QuestionPaperLanguageMstData = QuestionPaperLanguageMst::find()->select('ID,LanguageName')->where(['IsActive' => 1])->orderBy(['LanguageName' => SORT_ASC])->all();
        $QuestionPaperLanguageMstList = ArrayHelper::map($QuestionPaperLanguageMstData, 'ID', 'LanguageName');
        /*State List */
        $StateNameData = \Yii::$app->db->createCommand("exec candidateStateSp :candidate_id")
            ->bindValue(':candidate_id', $CandidateId)
            ->queryAll();

        $StateNameList = ArrayHelper::map($StateNameData, 'ID', 'StateName');
        /*Occupations List */
        $OccupationMst = new OccupationMst();
        $OccupationMstData = OccupationMst::find()->select('ID,OccupationName')->where(['IsActive' => 1])->orderBy(['OccupationName' => SORT_ASC])->all();
        $OccupationMstList = ArrayHelper::map($OccupationMstData, 'ID', 'OccupationName');
        /*Qualification List */
        $QualificationMst = new QualificationMst();
        $QualificationMstData = QualificationMst::find()->select('ID,QualificationName')->where(['IsActive' => 1])->orderBy(['QualificationName' => SORT_ASC])->all();
        $QualificationMstList = ArrayHelper::map($QualificationMstData, 'ID', 'QualificationName');
        /* Created instants For Save */
        $CandidateApplyCourseTbl = new CandidateApplyCourseTbl();
        $CandidateApplySubjectTbl = new CandidateApplySubjectTbl();

        $CandidateTbl = new CandidateTbl();
        $RelationshipMst = new RelationshipMst();

        /* Add  all records */
        $exSaveCenter = $this->getExamCenterQPData($CandidateId);

        if ($this->request->isPost) {
            if ($examCenter->load(Yii::$app->request->post()) && $examCenter->validate()) {

                $data = Yii::$app->request->post();

                $ParentGardienOccupationdatarray = [];
                $arrayData = array();
                /* Apply Course*/
                $CandidateApplyCourseTbl->ApplyCourseID = $data['ExamCenterDetails']['ApplyFor'];
                $CandidateApplyCourseTbl->CandidateID = $CandidateId;
                $CandidateApplyCourseTbl->IsActive = 1;
                $CandidateApplyCourseTbl->CreateDate = date('Y-m-d h:i:s');
                /* Json convert end*/
                $arrayData['Apply']['ApplyCourseID'] = $CandidateApplyCourseTbl['ApplyCourseID'];
                $arrayData['Apply']['CandidateID']  = $CandidateApplyCourseTbl['CandidateID'];
                $arrayData['Apply']['IsActive']  = $CandidateApplyCourseTbl['IsActive'];
                $arrayData['Apply']['CreateDate']  = $CandidateApplyCourseTbl['CreateDate'];
                $arrayData['Apply']['SubjectID']  = $data['ExamCenterDetails']['SubjectOptedNet'];
                $arrayData['Apply']['subCandidateID']  = $CandidateId;
                $arrayData['Apply']['SubIsActive']  = $CandidateApplyCourseTbl['IsActive'];
                $arrayData['Apply']['SubCreateDate']  = $CandidateApplyCourseTbl['CreateDate'];
                $arrayData['Apply']['QuestionPaperMedium']  =  $data['ExamCenterDetails']['QuestionPaperMedium'];
                $arrayData['Apply']['center']['first']['ExamCenterStateID']  =  $data['ExamCenterDetails']['FstChoiceForExamState'];
                $arrayData['Apply']['center']['first']['ExamCenterCityID']  =  $data['ExamCenterDetails']['FstChoiceForExamCity'];
                $arrayData['Apply']['center']['first']['FstExamCenterPriorty']  =  1;
                $arrayData['Apply']['center']['second']['ExamCenterStateID']  =  $data['ExamCenterDetails']['SndChoiceForExamState'];
                $arrayData['Apply']['center']['second']['ExamCenterCityID']  =  $data['ExamCenterDetails']['SndChoiceForExamCity'];
                $arrayData['Apply']['center']['second']['ExamCenterPriorty']  =  2;
                $arrayData['Apply']['center']['third']['ThrdChoiceForExamState']  =  $data['ExamCenterDetails']['ThrdChoiceForExamState'];
                $arrayData['Apply']['center']['third']['ThrdChoiceForExamCity']  =  $data['ExamCenterDetails']['ThrdChoiceForExamCity'];
                $arrayData['Apply']['center']['third']['ExamCenterPriorty']  =  3;
                $arrayData['Apply']['center']['fourth']['ForthChoiceForExamState']  =  $data['ExamCenterDetails']['ForthChoiceForExamState'];
                $arrayData['Apply']['center']['fourth']['ForthChoiceForExamCity']  =  $data['ExamCenterDetails']['ForthChoiceForExamCity'];
                $arrayData['Apply']['center']['fourth']['ExamCenterPriorty']  =  4;

                $arrayData['Apply']['occupation']['father']['FatherGuardianOccupation']  =  $data['ExamCenterDetails']['FatherGuardianOccupation'];
                $arrayData['Apply']['occupation']['father']['CandidateIP']  =  $_SERVER['REMOTE_ADDR'];
                $arrayData['Apply']['occupation']['father']['CandidateID']  =  $CandidateId;
                $arrayData['Apply']['occupation']['father']['FatherCandidateRelation']  =  1;
                $arrayData['Apply']['occupation']['mother']['MotherGuardianOccupation']  =  $data['ExamCenterDetails']['MotherGuardianOccupation'];
                $arrayData['Apply']['occupation']['mother']['CandidateIP']  =  $_SERVER['REMOTE_ADDR'];
                $arrayData['Apply']['occupation']['mother']['CandidateID']  =  $CandidateId;
                $arrayData['Apply']['occupation']['mother']['MotherCandidateRelation']  =  2;

                $arrayData['Apply']['Qualification']['father']['FatherQualificationCodeID']  =   $data['ExamCenterDetails']['FatherGuardianQualification'];
                $arrayData['Apply']['Qualification']['father']['CandidateID']  =  $CandidateId;
                $arrayData['Apply']['Qualification']['father']['CandidateIP']  =  $_SERVER['REMOTE_ADDR'];
                $arrayData['Apply']['Qualification']['father']['FatherCandidateRelationID']  =  1;
                $arrayData['Apply']['Qualification']['mother']['MotherQualificationCodeID']  =  $data['ExamCenterDetails']['MotherGuardianQualification'];
                $arrayData['Apply']['Qualification']['mother']['CandidateID']  =  $CandidateId;
                $arrayData['Apply']['Qualification']['mother']['CandidateIP']  =  $_SERVER['REMOTE_ADDR'];
                $arrayData['Apply']['Qualification']['mother']['MotherCandidateRelationID']  =  2;
                //print_r($exSaveCenter);
                if (isset($exSaveCenter['subjectCourse'][0]['LanguageID']) && ($exSaveCenter['subjectCourse'][0]['LanguageID'] > 0)) {
                    $examCenterdata = json_encode($arrayData);
                    //    print_r($examCenterdata); die();     
                    yii::$app->db->createCommand("exec ExamcenterUpdateDetails '$examCenterdata' ")->execute();
                    Yii::$app->session->setFlash('success', 'Data saved successfully.');

                    // userAct insert
                    $moduleName = 'Exam-Center-And-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end
                    return $this->redirect(['postgraduation']);

                    $checkpoint = ApplicationFormStatusTbl::findOne(['CandidateID' => Yii::$app->user->identity->ID, 'ApplicationFormID' => 5]);
                    if (!$checkpoint) {
                        $candidate_id = Yii::$app->user->identity->ID;
                        $form_id = 5;
                        yii::$app->db->createCommand("exec FormSubmitConfirmation '$candidate_id','$form_id' ")->execute();  //finial submission   
                    }
                } else {

                    $examCenterdata = json_encode($arrayData);
                    yii::$app->db->createCommand("exec ExamcenterAddDetails '$examCenterdata' ")->execute();
                    // userAct insert
                    $moduleName = 'Exam-Center-And-Details';
                    $activityName = 'Next-Button';
                    $data = array("moduleName" => $moduleName, "activityName" => $activityName);
                    Yii::$app->useract->useract($data);
                    // end
                    Yii::$app->session->setFlash('success', 'Data saved successfully.');
                    return $this->redirect(['postgraduation']);
                }
            }
        } else {
            $examCenter->loadDefaultValues();
        }

        return $this->render('ExamCenterDetailsFormlink', [
            'model' => $examCenter,
            'CourseMst' => $CourseMst,
            'SubjectMst' => $SubjectMstList,
            'QuestionPaperLanguageMst' => $QuestionPaperLanguageMstList,
            'StateMst' => $StateNameList,
            'OccupationMst' => $OccupationMstList,
            'QualificationMst' => $QualificationMstList,
            'exSaveCenter' => $exSaveCenter
        ]);
    }
    public function faceDetection($path)
    {

        Yii::$app->facedetect->scan("$path"); //image to be uploaded :use temp path
        $faces =  Yii::$app->facedetect->getFaces();
        // echo"<pre>";
        // print_r($faces);  die;
        foreach ($faces as $face) {
            //echo "Face found at x: {$face['x']}, y: {$face['y']}, width: {$face['width']}, height: {$face['height']}<br />\n";
        }
        if (!empty($faces)) {
            return true;
        } else {
            return false;
        }
    }
    public function actionPaymentReceipt()
    {
        if (isset(yii::$app->user->identity->ID) && isset(yii::$app->user->identity->PaymentStatus) && yii::$app->user->identity->ID > 0 && yii::$app->user->identity->PaymentStatus == 1) {
            $ID = yii::$app->user->identity->ID;
            $result = \Yii::$app->db->createCommand("exec  getPaymentReceipt :candidate_id")
                ->bindValue(':candidate_id', $ID)
                ->queryOne();
            if (isset($result) && !empty($result) && $result['PaymentStatus'] == 1) {
                $paymentReceiptName = $result['ApplicationNumber'] . time() . '.pdf';
                $paymentStatusText = isset($result['PaymentStatus']) && $result['PaymentStatus'] == 1 ? 'Success' : '-';
                $content = '<!DOCTYPE html>
					<html lang="en">
						<head>
						<meta charset="UTF-8">
						<meta name="viewport" content="width=device-width, initial-scale=1.0">
						<title>Payment Receipt</title>
						<style>
						   img{
								width:280px;
								height:100px;
						   }
						   table {
								  font-family: arial, sans-serif;
								  border-collapse: collapse;
								  width: 100%;
						    }
							td, th {
								  border: 1px solid #dddddd;
								  text-align: left;
								  padding: 8px;
								}
								tr:nth-child(even) {
								  //background-color: #dddddd;
								}
							</style>
								</head>
								<body>
									<main style="border: 1px solid #dddddd;">
										<img style="margin-left:170px" src="images/nta-logo-new.png" >
										<h4 style="margin: 4px 0px 0px 220px;">GOVERNMENT OF INDIA</h4>
										<h4 style="margin: 4px 0px 0px 145px;">CENTRAL BUREAU OF COMMUNICATION</h4>
										<h5 style="margin: 4px 0px 0px 200px;">Ministry of Information & Broadcasting</h5>
										<p style="margin: 4px 0px 0px 70px;">Phase V, Soochna Bhavan, CGO Complex, Lodhi Road, New Delhi 110003</p>
										   <h3 style="margin: 8px 0px 0px 250px;">Payment Receipt</h3> 
										   <hr>
										  <table>
												<tr>
													<th>Invoice Code</th>
													<td>' . $result['InvoiceCode'] . '</td>
												</tr>
												<tr>
													<th>Application Number</th>
													<td>' . $result['ApplicationNumber'] . '</td>
												</tr>
												 <tr>
													<th>Order ID</th>
													<td>' . $result['InvoiceCode'] . '</td>
												</tr>
												<tr>
													<th>Transaction ID</th>
													<td>' . $result['TranscationID'] . '</td>
												</tr>
												<tr>
													<th>Transaction Date</th>
													<td>' . $result['TranscationDate'] . '</td>
												</tr>
												<tr>
													<th>Payment Status</th>
													<td>' . $paymentStatusText . '</td>
												</tr>
												<tr>
													<th>Total Amount</th>
													<td>Rs.' . $result['PaidAmount'] . '</td>
												</tr>
										 </table>
									</main>
        						</body>
                           </html>';

                $mpdf = new mPDF();
                $mpdf->WriteHTML($content);
                $mpdf->Output("$paymentReceiptName", 'D');
            }
        } else {
            return $this->redirect(['../site/login']);
        }
    }
}
