<?php

namespace app\modules\application\controllers;

use app\modules\application\models\ExamCenterDetails;
use app\modules\application\models\CandidateTbl;
use app\modules\application\models\ApplicationFormStatusTbl;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii;
use yii\filters\AccessControl;
use frontend\modules\application\models\DocumentMst;
use frontend\modules\application\models\CandidateDocumentTbl;
use app\modules\application\models\ReviewApplicationForm;
use Mpdf\Mpdf;


class ChargeBackController extends Controller
{
  
    /* 
     * create PDF File of REVIEW page
    */
    public function actionIndex($ApplicationNumber)
    {
        $CandidateData = \Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
        ->bindValue(':select', 'ID,ApplicationNumber,PaymentStatus')
        ->bindValue(':input', "WHERE IsActive=1 AND ApplicationNumber=$ApplicationNumber")
        ->bindValue(':table', 'CandidateTbl')
        ->queryOne();
        if(isset($CandidateData) && isset($CandidateData['ID']) && !empty($CandidateData['ID'])){
            $ID =$CandidateData['ID'];
        }
        if(!isset($ID) || empty($ID)){
            echo  "Wrong Information!"; 
            die();
        }
        
        $result = \Yii::$app->db->createCommand("exec  getReviewData :candidate_id")
        ->bindValue(':candidate_id', $CandidateData['ID'])
        ->queryOne();
    //echo"<pre>";print_r($result);die;
       
        /*Exam center */
        $examcdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();
           
        $ParentOcupdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnOcupData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();

        $ParentQualifdataresult = \Yii::$app->db->createCommand("exec  getReviewExamcenterparnQualifData :candidate_id")
            ->bindValue(':candidate_id', $ID)
            ->queryAll();
        
        /* File upload */
        $candidateUploadDocument = \Yii::$app->db->createCommand("exec  SpCandidateUplodedDoc :candidate_id")
               ->bindValue(':candidate_id', $ID)
               ->queryAll();
        $fieldValidationRule = $this->getAllDocumentValidation();
        $finalArray = array();
        foreach ($fieldValidationRule as $data) {
            $documentName = strtolower(trim($data['DocumentName']));
            if (isset($data['IsRequired']) && $data['IsRequired'] == 1) {
                array_push($finalArray, $data);
            }
            if (isset($data['IsRequired']) && isset($data['DocumentName']) && isset($result['CastCategoryID']) && $data['IsRequired'] == 0 && ($result['CastCategoryID'] != 1) &&  preg_match("/category/i", strtolower($documentName))) {
                array_push($finalArray, $data);
            }
            if (isset($data['IsRequired']) && isset($data['DocumentName']) && isset($result['PhysicalDisability']) && $data['IsRequired'] == 0 && ($result['PhysicalDisability'] == 1) &&  preg_match("/pwd/i", strtolower($documentName))) {
                array_push($finalArray, $data);
            }

            if (isset($data['IsRequired']) && isset($data['DocumentName']) && isset($result['NeedScribe']) && $data['IsRequired'] == 0 && ($result['PhysicalDisability'] == 1 && $result['NeedScribe'] == 2) &&  preg_match("/scribe/i", strtolower($documentName))) {
                array_push($finalArray, $data);
            }
            
        }
        
        if (isset($finalArray) && isset($candidateUploadDocument) &&  !empty($finalArray) && !empty($candidateUploadDocument)) {
           $visiviltyCount = 0;
           foreach ($finalArray as $k1 => $v1) {
               foreach ($candidateUploadDocument as $k2 => $v2) {
                   if (isset($v1) && isset($v2['DocumentID']) && !empty($v1['ID']) && !empty($v2['DocumentID']) && $v1['ID'] == $v2['DocumentID']) {
                       $finalArray[$k1]['UploadDocument'] = $v2['UploadDocument'];
                       $visiviltyCount++;
                   }
               }
           }
        }

        $GetTransactionData = Yii::$app->DB->createCommand("exec getCommonDataSP :select, :input, :table,:orderBy")
        ->bindValue(':select', 'CandidateID,InvoiceCode,TranscationID,ActualExamFee,PaidAmount,PaymentGatewayID,PaymentSubmitDate,PaymentSucessDate,PaymentStatus,PaymentGatewayMst.GatewayName GatewayName')
        ->bindValue(':input', " INNER JOIN PaymentGatewayMst ON PaymentGatewayMst.ID=PaymentTranscationTbl.PaymentGatewayID and PaymentGatewayMst.IsActive=1  WHERE CandidateID='$ID'")
        ->bindValue(':table', 'PaymentTranscationTbl')
        ->bindValue(':orderBy', 'order by PaymentSucessDate ASC')
        ->queryAll();
        
        $b = true;
        $content = $this->renderPartial('chargebackpdf', [
            'model' => $result,
            'examcdata' => $examcdataresult,
            'examParentOcup' => $ParentOcupdataresult,
            'parentQulificat' => $ParentQualifdataresult,
            'documentUpload' => $finalArray,
            'GetTransactionData' => $GetTransactionData,
            'IsPwd'=>(($result['PhysicalDisability'] == 1) || ($result['PhysicalDisability'] == 2)) ? 'yes' : 'no',
        ]);

        $mpdf = new mPDF();
        $mpdf->WriteHTML($content);
        $mpdf->showImageErrors = true;
        $mpdf->Output();
        exit;
    }
    
    public function actionFileDownload($FileName = null, $Status = 0)
    {
        if (isset(yii::$app->params['IsdocumentuploadAPI']) && !empty(yii::$app->params['IsdocumentuploadAPI'])) {
            if (isset($FileName) && !empty($FileName)) {
                if ($Status == 1) {
                    $fileName = $FileName;
                    $fileBasePath = (isset(yii::$app->params['IsdocumentuploadAPI']) && !empty(yii::$app->params['IsdocumentuploadAPI'])) ? yii::$app->params['documentPathAPI'] . '/uploads/' : Yii::getAlias('@frontendweb') . '/uploads/';
                    $originalFilePath = $fileBasePath . $fileName;
                } else {
                    $fileName = $FileName;
                    $fileName = base64_decode($fileName);
                    $fileBasePath = (isset(yii::$app->params['IsdocumentuploadAPI']) && !empty(yii::$app->params['IsdocumentuploadAPI'])) ? yii::$app->params['documentPathAPI']. '/uploads/' : Yii::getAlias('@frontendweb') . '/uploads/';
                    $originalFilePath = $fileBasePath . $fileName;
                }
                 $originalFilePath= $originalFilePath;
              
                if (isset($fileName) && !empty(@fopen("$originalFilePath", 'r'))) {
                    $actuarrayFileName = 'NIFT-' . time() . '.pdf';
                    // Force download
                    header("Content-type: application/x-file-to-save");
                    header("Content-Disposition: attachment; filename=" . basename($actuarrayFileName));
                    ob_end_clean();
                    readfile($originalFilePath);
                    exit;
                } else {
                    echo "File Not Exist";
                    die;
                }
            }

        }else{
        if (isset($FileName) && !empty($FileName)) {
            if ($Status == 1) {
                $fileName = $FileName;
                $fileBasePath = Yii::getAlias('@frontendweb') . '/uploads/';
                $originalFilePath = $fileBasePath . $fileName;
            } else {
                $fileName = $FileName;
                    $fileName = base64_decode($fileName);
                $fileBasePath = Yii::getAlias('@frontendweb') . '/uploads/';
                $originalFilePath = $fileBasePath . $fileName;
            }
            //echo $originalFilePath;die;
            if (isset($fileName) && file_exists($originalFilePath)) {
                 $actuarrayFileName = 'NIFT-' . time() . '.pdf';

                    $actuarrayFileName = 'NIFT-' . time() . '.pdf';
                    // Force download
                    header("Content-type: application/x-file-to-save");
                    header("Content-Disposition: attachment; filename=" . basename($actuarrayFileName));
                    ob_end_clean();
                    readfile($originalFilePath);
                    exit;
            } else {
                echo "File Not Exist";
                die;
            }
        }
    }
}

    public function getAllDocumentValidation()
    {
//        $DB = Yii::$app->session->get('NewDB');
//        if (empty($DB)) {
//            return $this->redirect(['/site/login']);
//        }
        $validationArray = array();
        $allDocumentArray = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
        ->bindValue(':select', '*')
        ->bindValue(':input', "WHERE IsActive=1 order by ID asc")
        ->bindValue(':table', 'DocumentMst')->queryAll();
        if (isset($allDocumentArray) && !empty($allDocumentArray)) {
            return $allDocumentArray;
        }
        return $validationArray;
    }

    public function checkFormStaus($CandidateID,$ApplicationID){
//        $DB = Yii::$app->session->get('NewDB');
//        if (empty($DB)) {
//            return $this->redirect(['/site/login']);
//        }
        $ApplicationFormStatusTbl = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', 'ID,CandidateID,ApplicationFormID,CompletedDate,IsComplete,IsActive')
                        ->bindValue(':input', 'WHERE ApplicationFormID='.$ApplicationID.'AND CandidateID='.$CandidateID)
                        ->bindValue(':table', 'ApplicationFormStatusTbl')->queryOne();
        return $ApplicationFormStatusTbl;

    }
    
}