<?php

namespace app\modules\application\controllers;
use app\modules\application\models\ContactDetails;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii;
use yii\filters\AccessControl;
use yii\helpers\Json;
use yii\helpers\ArrayHelper;


class ContactController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'access' => [
                    'class' => AccessControl::class,
                    'rules' => [
                        [
                            'actions' => [
                                'logout', 'index', 'captcha','get-districts'
                            ],
                            'allow' => true,
                            'roles' => ['@'],
                        ],
                    ],
                ],
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }
    
    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => \yii\web\ErrorAction::class,
            ],
            'captcha' => [
                'class' => 'common\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }
    
    /**
     * Contact Details 
     * 
     */
    /* Contact Details Start */
    public function actionIndex()
    {
        // return $this->redirect(['../dashboard/index']);
        // die();

        $applicationStatus = Yii::$app->ApplicationOpen->Openwindow();
        $correctionStatus = Yii::$app->CorrectionWindow->Openwindow();

        $isCandidateAllowCorrection = Yii::$app->CheckCorrectionAndApplicationStatus->CheckStatus($applicationStatus, $correctionStatus);

        if (isset($isCandidateAllowCorrection, $isCandidateAllowCorrection['status'], $isCandidateAllowCorrection['msg']) && !empty($isCandidateAllowCorrection) && ($isCandidateAllowCorrection['status'] == 0) && !empty($isCandidateAllowCorrection['msg'])) {
            Yii::$app->session->setFlash('error', $isCandidateAllowCorrection['msg']);
            return $this->redirect(['../dashboard/index']);
        }

     
       
        //  if (!yii::$app->ApplicationOpen->Openwindow()) {
        //     return $this->redirect(['/site/login']);
        // }


       // $applicationWindowStart = Yii::$app->ApplicationOpen->Openwindow(); // Check if Application Window Start, 1 = Active, 0= InActive
      //  $correctionWindowStart = Yii::$app->CorrectionWindow->Openwindow(); // Check if Correction Window Start, 1 = Active, 0= InActive

        
        // if (Yii::$app->user->identity->ApplicationFinalSubmit == 1 || Yii::$app->user->identity->PaymentStatus == 1) {
        //     return $this->redirect(['../dashboard/index']);
        // }

        /* check Form Status here And User is exsit*/
        if (isset(yii::$app->user->identity->ID) && !empty(yii::$app->user->identity->ID)) {
            $CandidateID = Yii::$app->user->identity->ID;
        } else {
            Yii::$app->session->setFlash('error', 'Unauthorised access.');
            return $this->redirect('../site/login');
        }

        $CandidateID=Yii::$app->user->identity->ID ;
        $ApplicationNumber=Yii::$app->user->identity->ApplicationNumber ;
        
      
        $candidate = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                                        ->bindValue(':select', 'CandidateEmail,CandidateMobile,AlternateMobile,DOB')
                                        ->bindValue(':input', 'WHERE ID=' . $CandidateID)
                                        ->bindValue(':table', 'CandidateTbl')
                                        ->queryOne();
        $countryState = array();
        $stateDistrict = array();
        //state
        $country_data = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                        ->bindValue(':select', '*')
                        ->bindValue(':input', "WHERE IsActive=1 AND CountryCode='IN'")
                        ->bindValue(':table', 'CountryMst')
                        ->bindValue(':orderBy', 'order By CountryName asc')
                        ->queryAll();
        $countryAll = ArrayHelper::map($country_data, 'ID', 'CountryName');

        if($model = ContactDetails::findOne(['CandidateID' => $CandidateID])){
            $country = $model['CountryID'];
            $model['AlternateMobile'] = $candidate['AlternateMobile'];
            $model['CandidateMobile'] = $candidate['CandidateMobile'];
            $State = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                                        ->bindValue(':select', 'ID,StateName')
                                        ->bindValue(':input', 'WHERE IsActive=1 AND CountryID=' . $country)
                                        ->bindValue(':table', 'StateMst')
                                        ->bindValue(':orderBy', 'order By StateName asc')
                                        ->queryAll();
            $countryState = ArrayHelper::map($State, 'ID', 'StateName');
            $stateID = $model['StateUTID'];
            $district = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                                            ->bindValue(':select', 'ID,DistrictName')
                                            ->bindValue(':input', 'WHERE IsActive=1 AND StateID=' . $stateID)
                                            ->bindValue(':table', 'DistrictMst')
                                            ->bindValue(':orderBy', 'order By DistrictName asc')
                                            ->queryAll();
           // $stateDistrict = array_column($district, 'DistrictName', 'ID');
            $stateDistrict = ArrayHelper::map($district, 'ID', 'DistrictName');
            $PermanentStateUTID = $model['PermanentStateUTID'];
            $Permanentdistrict = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                                                    ->bindValue(':select', 'ID,DistrictName')
                                                    ->bindValue(':input', 'WHERE IsActive=1 AND StateID=' . $PermanentStateUTID)
                                                    ->bindValue(':table', 'DistrictMst')
                                                    ->bindValue(':orderBy', 'order By DistrictName asc')
                                                    ->queryAll();
            $PermanentStateDistrict = ArrayHelper::map($Permanentdistrict, 'ID', 'DistrictName');
            
        }else {
            $PermanentStateDistrict = [];
            $model = new ContactDetails();
            $model['AlternateMobile'] = $candidate['AlternateMobile'];
            $model['CandidateMobile'] = $candidate['CandidateMobile'];
            //$CandidateModel = new CandidateTbl();
        }
        //To check Mobile verified or not:
        //This query is common for ( GET && POST ) both methods:
        $candidateMobileVerify = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                                                    ->bindValue(':select', 'MobileVerify')
                                                    ->bindValue(':input', "WHERE CandidateID=$CandidateID")
                                                    ->bindValue(':table', 'CandidateOtpTbl')
                                                    ->queryOne();


        if($this->request->isPost){

            if (isset($applicationStatus, $correctionStatus) && ($applicationStatus == 0) && ($correctionStatus == 1)) {

                    //Activity Log START
                    $moduleName = 'Contact-Details';
                    $nextURL = 'personal/index';
                    $NextActivityURL = isset($nextURL) ? str_replace("../", "", $nextURL) : 'NA';
                    $activityName = $moduleName . ' ' . Yii::$app->params['ActivityDescriptionForControllers'] . ' ' . $NextActivityURL;
                    $data = array(
                        "applicationWindowStart" => $applicationStatus,
                        "correctionWindowStart" => $correctionStatus,
                        "moduleName" => $moduleName,
                        "activityName" => $activityName
                    );
                    Yii::$app->useract->useract($data);
                    //Activity Log END
                    Yii::$app->session->setFlash('success', Yii::$app->params['CandidateFormSaveMsg']);
                    return $this->redirect(['../personal/index']);

            }


        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
                $contactPostData = Yii::$app->request->post();
                foreach ($contactPostData['ContactDetails'] as $key => $value) {
                    $contactPostData['ContactDetails']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }
                $CandidateMobile = $contactPostData['ContactDetails']['CandidateMobile'];
                $AlternateMobile = $contactPostData['ContactDetails']['AlternateMobile'];
                $candidateMobileCheckExist = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                                        ->bindValue(':select', 'ID,CandidateMobile')
                                        ->bindValue(':input', "WHERE IsActive=1 AND Status=1 AND ID!=$CandidateID AND CandidateMobile=$CandidateMobile")
                                        ->bindValue(':table', 'CandidateTbl')
                                        ->queryOne();
                if(!empty($candidateMobileCheckExist)){
                    Yii::$app->session->setFlash('error', 'Candidate Mobile already exist,Please try another.');
                    return $this->redirect(['../contact/index']);
                }
                if($AlternateMobile==$CandidateMobile)
                {
                    Yii::$app->session->setFlash('error', 'Candidate Mobile No. and  Alternate Mobile No. can not be same, Please try another.');
                    return $this->redirect(['../contact/index']); 
                }

                $contactdata= array();
                //To check Mobile verified or not:
                $contactdata['IsMobileNumberUpdate']= 0;
                if(isset($candidateMobileVerify) && !empty($candidateMobileVerify)){
                    if($candidateMobileVerify['MobileVerify'] == 1){
                        $contactdata['IsMobileNumberUpdate']= 0;
                    } else {
                        $contactdata['IsMobileNumberUpdate']= 1;
                        $contactdata['CandidateMobile']= $CandidateMobile;
                    }
                }
                $contactdata['IsAddressIdentical'] = isset($contactPostData['ContactDetails']['IsAddressIdentical']) && ($contactPostData['ContactDetails']['IsAddressIdentical']==1)?'1':'';
                $contactdata['PremisesName']= $contactPostData['ContactDetails']['PremisesName'];
                $contactdata['Locality']= $contactPostData['ContactDetails']['Locality'];
                $contactdata['SubLocality']= $contactPostData['ContactDetails']['SubLocality'];
                $contactdata['CountryID']= $contactPostData['ContactDetails']['CountryID'];
                $contactdata['StateUTID']= $contactPostData['ContactDetails']['StateUTID'];
                $contactdata['DistrictID']= $contactPostData['ContactDetails']['DistrictID'];
                $contactdata['PinCode']= $contactPostData['ContactDetails']['PinCode'];
                $contactdata['PermanentPremisesName']= $contactPostData['ContactDetails']['PermanentPremisesName'];
                $contactdata['PermanentLocality']= $contactPostData['ContactDetails']['PermanentLocality'];
                $contactdata['PermanentSubLocality']= $contactPostData['ContactDetails']['PermanentSubLocality'];
                $contactdata['PermanentCountryID']= $contactPostData['ContactDetails']['PermanentCountryID'];
                $contactdata['PermanentStateUTID']= $contactPostData['ContactDetails']['PermanentStateUTID'];
                $contactdata['PermanentDistrictID']= $contactPostData['ContactDetails']['PermanentDistrictID'];
                $contactdata['PermanentPinCode']= $contactPostData['ContactDetails']['PermanentPinCode'];
                $contactdata['CandidateID']= $CandidateID;
                $contactdata['ApplicationNumber']= $ApplicationNumber;
                $contactdata['CreatedDate']= date('Y-m-d H:i:s');
                $contactdata['IsActive']= 1;
                $contactdata['AlternateMobile']= $contactPostData['ContactDetails']['AlternateMobile'];
                $contactdata['ApplicationFormID']= 1;

                $json = Json::encode($contactdata);   
                    $sp = '{{%spCandidateAddressAddUpdate}}';
                    $response = Yii::$app->db->createCommand("exec $sp @json = :json")
                    ->bindValue(':json', $json)
                    ->execute();
                    if(isset($response) && $response == 0){
                        //Activity Log START
                        $moduleName = 'Contact-Details';
                        $nextURL = 'personal/index';
                        $NextActivityURL = isset($nextURL) ? str_replace("../", "", $nextURL) : 'NA';
                        $activityName = $moduleName . ' ' . Yii::$app->params['ActivityDescriptionForControllers'] . ' ' . $NextActivityURL;
                        $data = array(
                            "applicationWindowStart" => $applicationWindowStart,
                            "correctionWindowStart" => $correctionStatus,
                            "moduleName" => $moduleName,
                            "activityName" => $activityName
                        );
                        Yii::$app->useract->useract($data);
                        //Activity Log END
                        Yii::$app->session->setFlash('success', 'Data saved successfully.');
                        return $this->redirect(['../personal/index']);

                    }else{
                        Yii::$app->session->setFlash('error', 'Something went wrong.');
                        return $this->redirect(['../contact/index']);
                    }
                
            
        }else{
                $model->loadDefaultValues();
        }
    }
        $isMobileVerified = 'no';
        if(isset($candidateMobileVerify) && !empty($candidateMobileVerify)){
            if($candidateMobileVerify['MobileVerify'] == 1){
                $isMobileVerified = 'yes';
            }
        }
        return $this->render('contactDetailsForm', [
            'model' => $model,
            'candidate' => $candidate,
            'backLink' => 'personal/index',
            'countryState' => $countryState,
            'stateDistrict' => $stateDistrict,
            'country' => $countryAll,
            'PermanentStateDistrict'=>$PermanentStateDistrict,
            'isMobileVerified'=>$isMobileVerified,
            'correctionStatus' => $correctionStatus,
        ]);
    }
     
    // get state
    public function actionGetStates($id)
    {
        // $DB = Yii::$app->session->get('NewDB');
        // if (empty($DB)) {
        //     return $this->redirect(['/site/login']);
        // }
        $data =   "<option value=''>--Select--</option>";
        if($id == null){
            return $data;
        }
        $state = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                                        ->bindValue(':select', 'ID,CountryID,StateCode,UPPER(StateName) as StateName')
                                        ->bindValue(':input', 'WHERE IsActive=1 AND CountryID='.$id)
                                        ->bindValue(':orderBy', 'order by ID asc')
                                        ->bindValue(':table', 'StateMst')->queryAll();
        if(isset($state) && !empty($state)){
            foreach ($state as $row) {
                $data .= "<option value='" . $row['ID'] . "'>" . $row['StateName'] . "</option>";
            }
        }
        return $data;
    }
    
    // get District
    public function actionGetDistricts($id)
    {
        // $DB = Yii::$app->session->get('NewDB');
        // if (empty($DB)) {
        //     return $this->redirect(['/site/login']);
        // }
        $data =   "<option value=''>--Select--</option>";
        if($id == null){
            return $data;
        }
        $district = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                                        ->bindValue(':select', 'ID,StateID,DistrictCode,UPPER(DistrictName) as DistrictName')
                                        ->bindValue(':input', 'WHERE IsActive=1 AND StateID='.$id)
                                        ->bindValue(':orderBy', 'order by ID asc')
                                        ->bindValue(':table', 'DistrictMst')->queryAll();
        if(isset($district) && !empty($district)){
            foreach ($district as $row) {
                $data .= "<option value='" . $row['ID'] . "'>" . $row['DistrictName'] . "</option>";
            }
        }
        return $data;
    }
    
}