<?php

namespace app\modules\application\controllers;

//use app\modules\application\models\StateMst;
//use app\modules\application\models\CourseMst;
use app\modules\application\models\CandidateQualificationDetailsTblFinal as CandidateQualificationDetailsTbl;
use yii;
//use yii\web\NotFoundHttpException;
use yii\filters\AccessControl;
use yii\filters\VerbFilter;
use yii\helpers\Json;
use yii\web\Controller;
use yii\helpers\ArrayHelper;

//use frontend\modules\application\models\UniversityMst;

class QualificationController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'access' => [
                    'class' => AccessControl::class,
                    'rules' => [
                        [
                            'actions' => [
                                'logout', 'index', 'captcha', 'contactdetailsform',
                                'personaldetailsform', 'postgraduation', 'additional',
                                'document-upload', 'review-application-form', 'citylist',
                                'reviewapplicationform', 'reviewpdf', 'findModel',
                                'findPersonDetailSaveModel', 'findPersonalModel',
                                'passyear', 'resultmode', 'resultmodedistict', 'application-status',
                                'documentUpload', 'fileuploaded', 'examcenterdetailsform', 'examcenterdetailsformlink',
                                'getExamCenterQPData', 'reviewpdf', 'resultmode-distict', 'captcha', 'sendreviewpdf',
                                'payment-receipt', 'board-university-by-stateid', 'state-by-country', 'check-graduate-course',
                                'check-postgraduate-course', 'pg-passyear', 'qualifyingten', 'qualifyingtwelth', 'passstatus', 'passstatusgra',
                            ],
                            'allow' => true,
                            'roles' => ['@'],
                        ],
                    ],
                ],
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => \yii\web\ErrorAction::class,
            ],
            'captcha' => [
                'class' => 'common\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * qualification
     *
     */
    public function actionIndex()
    {
         //check point 
        //  if (!yii::$app->ApplicationOpen->Openwindow()) {
        //     return $this->redirect(['/site/login']);
        // }
  
        $applicationStatus = Yii::$app->ApplicationOpen->Openwindow();
        $correctionStatus = Yii::$app->CorrectionWindow->Openwindow();

        $isCandidateAllowCorrection = Yii::$app->CheckCorrectionAndApplicationStatus->CheckStatus($applicationStatus, $correctionStatus);

        if (isset($isCandidateAllowCorrection, $isCandidateAllowCorrection['status'], $isCandidateAllowCorrection['msg']) && !empty($isCandidateAllowCorrection) && ($isCandidateAllowCorrection['status'] == 0) && !empty($isCandidateAllowCorrection['msg'])) {
            Yii::$app->session->setFlash('error', $isCandidateAllowCorrection['msg']);
            return $this->redirect(['../dashboard/index']);
        }


    // die();
        // if (Yii::$app->user->identity->ApplicationFinalSubmit == 1 || Yii::$app->user->identity->PaymentStatus == 1) {
        //     return $this->redirect(['../dashboard/index']);
        // }
        
        /* check Form Status here And User is exsit*/
        if (isset(yii::$app->user->identity->ID) && !empty(yii::$app->user->identity->ID)) {
            $CandidateID = Yii::$app->user->identity->ID;
        } else {
            Yii::$app->session->setFlash('error', 'Unauthorised access.');
            return $this->redirect('../site/login');
        }

        //echo "<pre>"; print_r(yii::$app->user->identity->CastCategoryID); die;

        //Check MAX AGE CRITERIA for NIFT:
        // if (!Yii::$app->masterdata->checkAgeCriteria()) {
        //     Yii::$app->session->setFlash('error', 'You are not full filling the max age criteria of NIFT.');
        //     return $this->redirect(['../personal/index']);
        // }

        $CandidateId = Yii::$app->user->identity->ID;
        $model = CandidateQualificationDetailsTbl::findOne(['CandidateID' => $CandidateId]);
        if (isset($model) && !empty($model)) {
        } else {
            $model = new CandidateQualificationDetailsTbl();
        }

        $District10 = array();
        $District12 = array();
        $getFormStatusCheck = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', 'ID')
            ->bindValue(':input', 'WHERE CandidateID=' . $CandidateId . ' and ApplicationFormID=4')
            ->bindValue(':table', 'ApplicationFormStatusTbl')
            ->queryOne();
        if (empty($getFormStatusCheck)) {
            Yii::$app->session->setFlash('error', 'Please fill your Exam Center details');
            return $this->redirect(['../exam-center/index']);
        }

        $board10 = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
            ->bindValue(':select', 'ID,BoardName')
            ->bindValue(':input', "WHERE IsActive=1 AND BoardFor='10' and  ID !=57")
            ->bindValue(':orderBy', 'order by ID asc')
            ->bindValue(':table', 'BoardListMst')
            ->queryAll();

        $boardAll10 = ArrayHelper::map($board10, 'ID', 'BoardName');
        $boardAll10[0] = 'OTHER';
        $board12 = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
            ->bindValue(':select', 'ID,BoardName')
            ->bindValue(':input', 'WHERE IsActive=1 AND BoardFor=12 and ID !=58')
            ->bindValue(':orderBy', 'order by ID asc')
            ->bindValue(':table', 'BoardListMst')
            ->queryAll();
        $boardAll12 = ArrayHelper::map($board12, 'ID', 'BoardName');
        $boardAll12[0] = 'OTHER';
        $boardG = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
            ->bindValue(':select', 'ID,UniversityBoardName')
            ->bindValue(':input', 'WHERE IsActive=1')
            ->bindValue(':orderBy', 'order by ID asc')
            ->bindValue(':table', 'UniversityMst')
            ->queryAll();
        $boardAllG = ArrayHelper::map($boardG, 'ID', 'UniversityBoardName');
        $boardAllG[9999] = 'OTHER';

        $StateMst = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
            ->bindValue(':select', 'ID,UPPER(StateName) as StateName')
            ->bindValue(':input', 'WHERE IsActive=1 AND CountryID=101')
            ->bindValue(':orderBy', 'order by StateName asc')
            ->bindValue(':table', 'StateMst')
            ->queryAll();
        $StateNameAll = ArrayHelper::map($StateMst, 'ID', 'StateName');
        $StateNameAll[0] = 'OUT SIDE INDIA';

        /*
        $subjectSplization = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', 'SubjecSpecializationMstID')
            ->bindValue(':input', "WHERE IsActive=1 and CandidateID=$CandidateId")
            ->bindValue(':table', 'CandidateApplySubjectTbl')
            ->queryOne();
            */
        $ApplyCourseID = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', 'ApplyCourseID')
            ->bindValue(':input', "WHERE IsActive=1 and CandidateID=$CandidateId")
            ->bindValue(':table', 'CandidateApplyCourseTbl')
            ->queryOne();
        
        $getDobCandidate = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', 'DOB')
            ->bindValue(':input', "WHERE ID=$CandidateId")
            ->bindValue(':table', 'CandidateTbl')
            ->queryOne();

        $dobGetCandidate = explode('-',$getDobCandidate['DOB']);

        if ($this->request->isPost) {

            if ($model->load(Yii::$app->request->post())  && $model->validate()) {
                $DataR = Yii::$app->request->post();

                foreach ($DataR['CandidateQualificationDetailsTblFinal'] as $key => $value) {
                    $DataR['CandidateQualificationDetailsTblFinal'][$key] = Yii::$app->SanatizeInput->getInput($value);
                }
                $postData = $DataR['CandidateQualificationDetailsTblFinal'];

                $qualificationArray = array();

                // if(($subjectSplization['SubjecSpecializationMstID']==10062 ||  $subjectSplization['SubjecSpecializationMstID']==10063)  && empty($postData['IsDiploma']) &&  empty($postData['IsLateral'])){
                //         Yii::$app->session->setFlash('error', 'You are not Eligible for Course.');
                //         return $this->redirect(['../qualification/index']);
                // }                

                $qualificationArray['CandidateID'] = $CandidateId;


                $qualificationArray['PassStatus10'] = (isset($postData['PassStatus10']) and !empty($postData['PassStatus10'])) ? $postData['PassStatus10'] : null;
                $qualificationArray['PassingYear10'] = (isset($postData['PassingYear10']) and !empty($postData['PassingYear10'])) ? $postData['PassingYear10'] : null;
                $qualificationArray['QualifyingExam10'] = (isset($postData['QualifyingExam10']) and !empty($postData['QualifyingExam10'])) ? $postData['QualifyingExam10'] : null;
                $qualificationArray['PlaceOfSchooling10'] = (isset($postData['PlaceOfSchooling10']) and !empty($postData['PlaceOfSchooling10'])) ? $postData['PlaceOfSchooling10'] : null;
                $qualificationArray['TypeOfSchoolCollage10'] = (isset($postData['TypeOfSchoolCollage10']) and !empty($postData['TypeOfSchoolCollage10'])) ? $postData['TypeOfSchoolCollage10'] : 0;
                $qualificationArray['QualifyingState10'] = (isset($postData['QualifyingState10']) and !empty($postData['QualifyingState10'])) ? $postData['QualifyingState10'] : 0;
                $qualificationArray['QualifyingDistrict10'] = (isset($postData['QualifyingDistrict10']) and !empty($postData['QualifyingDistrict10'])) ? $postData['QualifyingDistrict10'] : null;
                if ($qualificationArray['QualifyingState10'] == 0) {
                    $qualificationArray['QualifyingDistrict10'] = null;
                }
                $qualificationArray['SchoolBoard10'] = (isset($postData['SchoolBoard10']) and !empty($postData['SchoolBoard10'])) ? $postData['SchoolBoard10'] : 0;
                $qualificationArray['OtherSchoolBoard10'] = (isset($postData['OtherSchoolBoard10']) and !empty($postData['OtherSchoolBoard10'])) ? $postData['OtherSchoolBoard10'] : null;
                if ($qualificationArray['SchoolBoard10'] != 0) {
                    $qualificationArray['OtherSchoolBoard10'] = null;
                }
                $qualificationArray['ResultMode10'] = (isset($postData['ResultMode10']) and !empty($postData['ResultMode10'])) ? $postData['ResultMode10'] : null;
                $qualificationArray['TotalMarks10'] = (isset($postData['TotalMarks10']) and !empty($postData['TotalMarks10'])) ? $postData['TotalMarks10'] : null;
                $qualificationArray['MarksObtained10'] = (isset($postData['MarksObtained10']) and !empty($postData['MarksObtained10'])) ? $postData['MarksObtained10'] : null;
                $qualificationArray['CgpaPercentageMarks10'] = (isset($postData['CgpaPercentageMarks10']) and !empty($postData['CgpaPercentageMarks10'])) ? $postData['CgpaPercentageMarks10'] : null;

                if ($qualificationArray['ResultMode10'] == 1) {
                    $qualificationArray['TotalMarks10'] = (isset($postData['TotalMarksOT']) and !empty($postData['TotalMarksOT'])) ? $postData['TotalMarksOT'] : null;
                    $qualificationArray['MarksObtained10'] = (isset($postData['MarksObtainedOT']) and !empty($postData['MarksObtainedOT'])) ? $postData['MarksObtainedOT'] : null;
                    $qualificationArray['CgpaPercentageMarks10'] = (isset($postData['percentageOT']) and !empty($postData['percentageOT'])) ? $postData['percentageOT'] : null;

                    if ($qualificationArray['MarksObtained10'] > $qualificationArray['TotalMarks10']) {
                        Yii::$app->session->set('error', 'Obtained Marks should not be greator than Total Marks.');
                        return $this->redirect(['../qualification/index']);
                    }
                    if (!empty($qualificationArray['TotalMarks10']) && $qualificationArray['TotalMarks10'] > 0) {
                        $marksPercentageCal = ($qualificationArray['MarksObtained10']  * 100) / $qualificationArray['TotalMarks10'];
                        $marksPercentage = preg_replace('/\.(\d{2}).*/', '.$1', $marksPercentageCal); //floatval(number_format($marksPercentageCal, 2));
                        $qualificationArray['CgpaPercentageMarks10'] = $marksPercentage;
                    }
                }
                if ($qualificationArray['ResultMode10'] == 2) {
                    if ($qualificationArray['MarksObtained10'] > $qualificationArray['TotalMarks10']) {
                        Yii::$app->session->set('error', 'Cgpa Obtained should not be greator than Max Grade Point.');
                        return $this->redirect(['../qualification/index']);
                    }
                }

                $qualificationArray['RollNumber10'] = (isset($postData['RollNumber10']) and !empty($postData['RollNumber10'])) ? $postData['RollNumber10'] : null;
                $qualificationArray['SchoolNameAddress10'] = (isset($postData['SchoolNameAddress10']) and !empty($postData['SchoolNameAddress10'])) ? $postData['SchoolNameAddress10'] : null;
                $qualificationArray['SchoolPincode10'] = (isset($postData['SchoolPincode10']) and !empty($postData['SchoolPincode10'])) ? $postData['SchoolPincode10'] : null;
                $qualificationArray['PassStatus12'] = (isset($postData['PassStatus12']) and !empty($postData['PassStatus12']) ) ? $postData['PassStatus12'] : null;

                $qualificationArray['PassingYear12'] = (isset($postData['PassingYear12']) and !empty($postData['PassingYear12'] )) ? $postData['PassingYear12'] : null;

                $qualificationArray['QualifyingExam12'] = (isset($postData['QualifyingExam12']) and !empty($postData['QualifyingExam12']) ) ? $postData['QualifyingExam12'] : null;

                $qualificationArray['PlaceOfSchooling12'] = (isset($postData['PlaceOfSchooling12']) and !empty($postData['PlaceOfSchooling12']) ) ? $postData['PlaceOfSchooling12'] : null;

                $qualificationArray['TypeOfSchoolCollage12'] = (isset($postData['TypeOfSchoolCollage12']) and !empty($postData['TypeOfSchoolCollage12']) ) ? $postData['TypeOfSchoolCollage12'] : null;

                $qualificationArray['QualifyingState12'] = (isset($postData['QualifyingState12']) and !empty($postData['QualifyingState12']) ) ? $postData['QualifyingState12'] : 0;

                $qualificationArray['QualifyingDistrict12'] = (isset($postData['QualifyingDistrict12']) and !empty($postData['QualifyingDistrict12']) ) ? $postData['QualifyingDistrict12'] : null;

                if ($qualificationArray['QualifyingState12'] == 0) {
                    $qualificationArray['QualifyingDistrict12'] = null;
                }
                $qualificationArray['SchoolBoard12'] = (isset($postData['SchoolBoard12']) and !empty($postData['SchoolBoard12']) ) ? $postData['SchoolBoard12'] : 0;
                $qualificationArray['OtherSchoolBoard12'] = (isset($postData['OtherSchoolBoard12']) and !empty($postData['OtherSchoolBoard12']) ) ? $postData['OtherSchoolBoard12'] : null;

                if ($qualificationArray['SchoolBoard12'] != 0) {
                    $qualificationArray['OtherSchoolBoard12'] = null;
                }

                $qualificationArray['ResultMode12'] = (isset($postData['ResultMode12']) and !empty($postData['ResultMode12']) ) ? $postData['ResultMode12'] : null;
                $qualificationArray['TotalMarks12'] = (isset($postData['TotalMarks12']) and !empty($postData['TotalMarks12']) ) ? $postData['TotalMarks12'] : null;
                $qualificationArray['MarksObtained12'] = (isset($postData['MarksObtained12']) and !empty($postData['MarksObtained12']) ) ? $postData['MarksObtained12'] : null;
                $qualificationArray['CgpaPercentageMarks12'] = (isset($postData['CgpaPercentageMarks12']) and !empty($postData['CgpaPercentageMarks12']) ) ? $postData['CgpaPercentageMarks12'] : null;

                
                if ($qualificationArray['ResultMode12'] == 1) {
                    $qualificationArray['TotalMarks12'] = (isset($postData['TotalMarksOTW']) and !empty($postData['TotalMarksOTW']) ) ? $postData['TotalMarksOTW'] : null;
                    $qualificationArray['MarksObtained12'] = (isset($postData['MarksObtainedOTW']) and !empty($postData['MarksObtainedOTW']) ) ? $postData['MarksObtainedOTW'] : null;
                    $qualificationArray['CgpaPercentageMarks12'] = (isset($postData['percentageOTW']) and !empty($postData['percentageOTW']) ) ? $postData['percentageOTW'] : null;

                    if ($qualificationArray['MarksObtained12'] > $qualificationArray['TotalMarks12']) {
                        Yii::$app->session->set('error', 'Obtained Marks should not be greator than Total Marks.');
                        return $this->redirect(['../qualification/index']);
                    }
                    if (!empty($qualificationArray['TotalMarks12']) && $qualificationArray['TotalMarks12'] > 0) {
                        $marksPercentageCal = ($qualificationArray['MarksObtained12']  * 100) / $qualificationArray['TotalMarks12'];
                        $marksPercentage = preg_replace('/\.(\d{2}).*/', '.$1', $marksPercentageCal); //floatval(number_format($marksPercentageCal, 2));
                        $qualificationArray['CgpaPercentageMarks12'] = $marksPercentage;
                    }
                }

                

                if ($qualificationArray['ResultMode12'] == 2) {
                    if ($qualificationArray['MarksObtained12'] > $qualificationArray['TotalMarks12']) {
                        Yii::$app->session->set('error', 'Cgpa Obtained should not be greator than Max Grade Point.');
                        return $this->redirect(['../qualification/index']);
                    }
                }

                if (isset($qualificationArray['PassingYear10']) && isset($dobGetCandidate[0])) {
                    if ($qualificationArray['PassingYear10'] < $dobGetCandidate[0]) {
                        Yii::$app->session->setFlash('error', 'The 10th passing year must be greater than the date of birth');
                        return $this->redirect(['../qualification/index']);
                    }
                }
                // echo $postData['ExaminationFromG'];
                // die;
                
                $qualificationArray['RollNumber12'] = (isset($postData['RollNumber12']) and !empty($postData['RollNumber12']) ) ? $postData['RollNumber12'] : null;
                $qualificationArray['SchoolNameAddress12'] = (isset($postData['SchoolNameAddress12']) and !empty($postData['SchoolNameAddress12']) ) ? $postData['SchoolNameAddress12'] : null;
                $qualificationArray['SchoolPincode12'] = (isset($postData['SchoolPincode12']) and !empty($postData['SchoolPincode12']) ) ? $postData['SchoolPincode12'] : null;
                
                if(isset($postData['PassStatus12']) && $postData['PassStatus12'] == 2){
                    $qualificationArray['ResultMode12'] = null ;
                    $qualificationArray['TotalMarks12'] = null ;
                    $qualificationArray['MarksObtained12'] = null ;
                    $qualificationArray['CgpaPercentageMarks12'] = null ;
                    $qualificationArray['RollNumber12'] = null ;
                }
                
                $qualificationArray['CreateDate'] = date('Y-m-d H:i:s');
                $qualificationArray['ApplicationFormID'] = 5;

                // echo "<pre> qualificationArray = <br>"; print_r($qualificationArray); //die;
                
                $json = Json::encode($qualificationArray);

                if (isset($applicationStatus, $correctionStatus) && ($applicationStatus == 1) && ($correctionStatus == 0)) {

                    
                $sp = '{{%addUpdateQualificationdetailsFinal}}';
                
                $response = Yii::$app->db->createCommand("exec $sp @json = :json")
                    ->bindValue(':json', $json)
                    ->execute();

                // echo "<pre><br> response = <br> "; print_r($response); die;

                if (isset($response) && $response == 0) {
                    
                    $moduleName = 'Qualification details';
                     $nextURL='document-upload/index';
                     $NextActivityURL = isset($nextURL) ? str_replace("../", "", $nextURL) : 'NA';
                     $activityName = $moduleName . ' '.Yii::$app->params['ActivityDescriptionForControllers']. ' '. $NextActivityURL;
                     $data = array(
                         "applicationWindowStart" => $applicationStatus, "correctionWindowStart" => $correctionStatus,
                         "moduleName" => $moduleName,
                         "activityName" => $activityName
                     );
                     Yii::$app->useract->useract($data);
                     //Activity Log END
                     
                     Yii::$app->session->setFlash('success', 'Qualification details saved successfully.');
                     return $this->redirect(['../document-upload/index']);

                } else {
                    Yii::$app->session->setFlash('error', 'Something went wrong.');
                    return $this->redirect(['../qualification/index']);
                }

                }else if (isset($applicationStatus, $correctionStatus) && ($applicationStatus == 0) && ($correctionStatus == 1)) {

                    $ApplicationNumber = Yii::$app->user->identity->ApplicationNumber;
                    $CandidateIP = Yii::$app->masterdata->getCandidateIP();
                    $sp3 = '{{%saveUpdateCorrectionWindowData}}';
                    $responseCorrection = Yii::$app->db->createCommand("exec $sp3 :candidateID,:ApplicationNumber,:jsonData,:fieldname,:tablename,:currentTime,:candidateIP")
                        ->bindValue(':candidateID', $CandidateID)
                        ->bindValue(':ApplicationNumber', $ApplicationNumber)
                        ->bindValue(':jsonData', $json)
                        ->bindValue(':fieldname', 'QualificationDetails')
                        ->bindValue(':tablename', 'CandidateCorrectionDataTbl')
                        ->bindValue(':currentTime', date('Y-m-d H:i:s'))
                        ->bindValue(':candidateIP', $CandidateIP)
                        // ->bindValue(':candidateIP', Yii::$app->masterdata->getUserIP())
                        ->execute();

                        if (isset($responseCorrection) && $responseCorrection == 0) {

                            //Activity Log START
                            $moduleName = 'Qualification details';
                            $nextURL='document-upload/index';
                            $NextActivityURL = isset($nextURL) ? str_replace("../", "", $nextURL) : 'NA';
                            $activityName = $moduleName . ' '.Yii::$app->params['ActivityDescriptionForControllers']. ' '. $NextActivityURL;
                            $data = array(
                                "applicationWindowStart" => $applicationStatus, "correctionWindowStart" => $correctionStatus,
                                "moduleName" => $moduleName,
                                "activityName" => $activityName
                            );
                            Yii::$app->useract->useract($data);
                            //Activity Log END
 
                         Yii::$app->session->setFlash('success', Yii::$app->params['CandidateFormSaveMsg']);
                         return $this->redirect(['../document-upload/index']);
                     } else {
                         Yii::$app->session->setFlash('error', 'Something went wrong.');
                         return $this->redirect(['../qualification/index']);
                     }
                }       

            } else {
                $model->loadDefaultValues();
            }
        }

        if (isset($model->CandidateID) && !empty($model->CandidateID)) {
            if ($model->ResultMode10 == 1) {
                $model->TotalMarksOT = $model->TotalMarks10;
                $model->MarksObtainedOT = $model->MarksObtained10;
                $model->percentageOT = $model->CgpaPercentageMarks10;
                $model->TotalMarks10 = null;
                $model->MarksObtained10 = null;
                $model->CgpaPercentageMarks10 = null;
            }
            if ($model->ResultMode12 == 1) {
                $model->TotalMarksOTW = $model->TotalMarks12;
                $model->MarksObtainedOTW = $model->MarksObtained12;
                $model->percentageOTW = $model->CgpaPercentageMarks12;
                $model->TotalMarks12 = null;
                $model->MarksObtained12 = null;
                $model->CgpaPercentageMarks12 = null;
            }
            
        }
        // echo "<pre>";
        // print_r($model);
        // die;

        if (isset($applicationStatus, $correctionStatus) && ($applicationStatus == 0) && ($correctionStatus == 1)) {
            $QualificationDetailsDataArray = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                ->bindValue(':select', 'QualificationDetails')
                ->bindValue(':input', 'WHERE IsActive=1 and CandidateID=' . $CandidateID)
                ->bindValue(':table', 'CandidateCorrectionDataTbl')
                ->queryOne();

            if (isset($QualificationDetailsDataArray, $QualificationDetailsDataArray['QualificationDetails']) && !empty($QualificationDetailsDataArray) && !empty($QualificationDetailsDataArray['QualificationDetails'])) {
                $QualificationDetailsData = json_decode($QualificationDetailsDataArray['QualificationDetails'], true);
                //  echo '<pre>';
                //  print_r($QualificationDetailsData);die;
                if(isset($QualificationDetailsData) && !empty($QualificationDetailsData)){
                    foreach ($QualificationDetailsData as $key => $values) {
                        $unsetArray = array('verifyCode', 'clarification', 'CandidateID', 'CreatedDate', 'IsActive', 'ApplicationNumber', 'ClientIP','ApplicationFormID');
                        if (isset($key, $unsetArray) && is_array($unsetArray) && in_array($key, $unsetArray)) {
                            unset($QualificationDetailsData["$key"]);
                            continue;
                        }
                        $model->{$key} = $values;
                    }
                }


              

            }

        }




        //12 qualifying mst
        $QualifyingExamMst12 = array();
        $ApplySubject = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
            ->bindValue(':select', 'SubjecSpecializationMstID')
            ->bindValue(':input', "WHERE IsActive=1 AND CandidateID=$CandidateId")
            ->bindValue(':orderBy', 'order by SubjecSpecializationMstID asc')
            ->bindValue(':table', 'CandidateApplySubjectTbl')
            ->queryOne();

        if (isset($ApplySubject['SubjecSpecializationMstID']) && !empty($ApplySubject['SubjecSpecializationMstID'])) {
            $SubjectSelect = $ApplySubject['SubjecSpecializationMstID'];
            if ($SubjectSelect == '10061') {
                $SubjectSelect = 5;
            }

            $Qualifying12 = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                ->bindValue(':select', 'ID, QualifyingExam')
                ->bindValue(':input', "WHERE IsActive=1 AND CourseID='$SubjectSelect'")
                ->bindValue(':orderBy', 'order by ID asc')
                ->bindValue(':table', 'QualifyingExam12Mst')
                ->queryAll();

            $QualifyingExamMst12 = ArrayHelper::map($Qualifying12, 'ID', 'QualifyingExam');
            // echo "<pre>";
            // echo $ApplySubject['SubjecSpecializationMstID'];
            // print_r($QualifyingExamMst12);
            // die;
        }

        if (isset($model->QualifyingState10) && $model->QualifyingState10 > 0) {
            $DistrictMst = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                ->bindValue(':select', 'ID,UPPER(DistrictName) as DistrictName')
                ->bindValue(':input', "WHERE IsActive=1 AND StateID=$model->QualifyingState10")
                ->bindValue(':orderBy', 'order by DistrictName asc')
                ->bindValue(':table', 'DistrictMst')
                ->queryAll();
            $District10 = ArrayHelper::map($DistrictMst, 'ID', 'DistrictName');
        }
        if (isset($model->QualifyingState12) && $model->QualifyingState12 > 0) {
            $DistrictMst12 = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                ->bindValue(':select', 'ID,UPPER(DistrictName) as DistrictName')
                ->bindValue(':input', "WHERE IsActive=1 AND StateID=$model->QualifyingState12")
                ->bindValue(':orderBy', 'order by DistrictName asc')
                ->bindValue(':table', 'DistrictMst')
                ->queryAll();
            $District12 = ArrayHelper::map($DistrictMst12, 'ID', 'DistrictName');
        }


    

        // echo "<pre>";
        // print_r($model);
        // die;
        return $this->render('qualificationDetails', [
            'model' => $model,
            'boardAll10' => $boardAll10,
            'boardAll12' => $boardAll12,
            'boardAllG' => $boardAllG,
            'StateNameAll' => $StateNameAll,
            //'subjectSplization' => $subjectSplization['SubjecSpecializationMstID'],
            'subjectSplization' =>$ApplySubject['SubjecSpecializationMstID'],
            'ApplyCourseID' => $ApplyCourseID['ApplyCourseID'],
            'District10' => $District10,
            'District12' => $District12,
            //'DiplomaCourseData' => $DiplomaCourseData,
            'backLink' => 'exam-center/index',
            'QualifyingExamMst12' => $QualifyingExamMst12,
            'correctionStatus' => $correctionStatus
        ]);
    }
    public function actionQualifyingten()
    {
        $comb = '';
        $QualifyingState = Yii::$app->request->post('QualifyingState');
        if ($QualifyingState) {
            $comb .= "<option value=''>--Select--</option>";
            $combination = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                ->bindValue(':select', 'ID,DistrictName')
                ->bindValue(':input', "WHERE IsActive=1 and StateID=$QualifyingState")
                ->bindValue(':orderBy', 'order by DistrictName asc')
                ->bindValue(':table', 'DistrictMst')
                ->queryAll();
            if (isset($combination[0]['ID']) && !empty($combination[0]['ID'])) {
                foreach ($combination as $row) {
                    $comb .= "<option value='" . $row['ID'] . "'>" . $row['DistrictName'] . "</option>";
                }
            }
        }
        return json_encode(array('combination' => $comb));
    }
    public function actionQualifyingtwelth()
    {
        $comb = '';
        $QualifyingState = Yii::$app->request->post('QualifyingState');
        if ($QualifyingState) {
            $comb .= "<option value=''>--Select--</option>";
            $combination = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table, :orderBy")
                ->bindValue(':select', 'ID,DistrictName')
                ->bindValue(':input', "WHERE IsActive=1 and StateID=$QualifyingState")
                ->bindValue(':orderBy', 'order by DistrictName asc')
                ->bindValue(':table', 'DistrictMst')
                ->queryAll();
            if (isset($combination[0]['ID']) && !empty($combination[0]['ID'])) {
                foreach ($combination as $row) {
                    $comb .= "<option value='" . $row['ID'] . "'>" . $row['DistrictName'] . "</option>";
                }
            }
        }
        return json_encode(array('combination' => $comb));
    }
    public function actionPassstatus()
    {
        $comb = "<option value=''>--Select--</option>";
        $passstatus = Yii::$app->request->post('PassStatus');
        if ($passstatus == 2) {

            $comb .= "<option value='2024'>2024</option>";
            $comb .= "<option value='2025'>2025</option>";
        }
        if ($passstatus == 1) {
            $fromDate = Yii::$app->params['QualificationMaxAgeFrom'];
            $toDateOther = Yii::$app->params['QualificationMinAgeFromOther'];
            for ($i = $fromDate; $i <= $toDateOther; $i++) {
                $comb .= "<option value='" . $i . "'>" . $i . "</option>";
            }
        }
        return json_encode(array('combination' => $comb));
    }
    public function actionPassstatusgra()
    {
        $comb = "<option value=''>--Select--</option>";
        $passstatus = Yii::$app->request->post('PassStatus');
        if ($passstatus == 2) {

            $comb .= "<option value='2025'>2025</option>";
        }
        if ($passstatus == 1) {
            $fromDate = Yii::$app->params['QualificationMaxAgeFrom'];
            $toDateOther = Yii::$app->params['QualificationMinAgeFromOther'];
            for ($i = $fromDate; $i <= $toDateOther; $i++) {
                $comb .= "<option value='" . $i . "'>" . $i . "</option>";
            }
        }
        return json_encode(array('combination' => $comb));
    }
}