<?php

namespace app\modules\Application\models;

use Yii;

/**
 * This is the model class for table "CandidateTbl".
 *
 * @property int $ID
 * @property string|null $ApplicationNumber
 * @property string|null $CandidateName
 * @property string|null $CandidateEmail
 * @property string|null $CandidateMobile
 * @property string|null $AlternateMobile
 * @property string|null $Password
 * @property string|null $FatherName
 * @property string|null $MotherName
 * @property string|null $DOB
 * @property string|null $GenderID
 * @property string|null $IdentityID
 * @property string|null $IdentityNumber
 * @property string|null $SecurityQuestionID
 * @property string|null $SecurityAnswer
 * @property int|null $IsAadharNumber
 * @property string|null $AadharNumber
 * @property string|null $NameOnAadhar
 * @property string|null $DOBOnAadhar
 * @property string|null $GenderOnAadharID
 * @property int|null $IsAadharOptions
 * @property string|null $AadharSelectedOption
 * @property string|null $NationalityID
 * @property string|null $CastCategoryID
 * @property int|null $PhysicalDisability
 * @property int|null $IsDiabetic
 * @property int|null $AnnualIncome
 * @property int|null $MinorityCommunity
 * @property string|null $QuestionPaperMediumID
 * @property int|null $IsConfirm
 * @property string|null $RegisteredDate
 * @property string|null $ApplicationSubmitDate
 * @property string|null $LastLoginDate
 * @property string|null $ModifyBy
 * @property string|null $ModifyDate
 * @property string|null $CandidateIP
 * @property int|null $IsActive
 * @property string $AuthKey
 * @property string $VerificationToken
 * @property int $Status
 * @property int $created_at
 * @property int $updated_at
 * @property string|null $PasswordResetToken
 */
class Aadhaar extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['IsAadharNumber', 'IsAadharOptions', 'PhysicalDisability', 'IsDiabetic', 'AnnualIncome', 'MinorityCommunity', 'IsConfirm', 'IsActive', 'Status', 'created_at', 'updated_at'], 'integer'],
            [['RegisteredDate', 'ApplicationSubmitDate', 'LastLoginDate', 'ModifyDate'], 'safe'],
            [['AuthKey', 'VerificationToken', 'Status', 'created_at', 'updated_at'], 'required'],
            [['ApplicationNumber', 'AadharNumber', 'DOBOnAadhar', 'AadharSelectedOption', 'AuthKey'], 'string', 'max' => 50],
            [['CandidateName', 'FatherName', 'MotherName', 'IdentityNumber', 'SecurityAnswer'], 'string', 'max' => 100],
            [['CandidateEmail', 'Password', 'NameOnAadhar', 'ModifyBy'], 'string', 'max' => 150],
            [['CandidateMobile', 'AlternateMobile'], 'string', 'max' => 15],
            [['DOB'], 'string', 'max' => 30],
            [['GenderID', 'IdentityID', 'SecurityQuestionID', 'GenderOnAadharID', 'NationalityID', 'CastCategoryID', 'QuestionPaperMediumID'], 'string', 'max' => 10],
            [['CandidateIP'], 'string', 'max' => 70],
            [['VerificationToken', 'PasswordResetToken'], 'string', 'max' => 225],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'ApplicationNumber' => 'Application Number',
            'CandidateName' => 'Candidate Name',
            'CandidateEmail' => 'Candidate Email',
            'CandidateMobile' => 'Candidate Mobile',
            'AlternateMobile' => 'Alternate Mobile',
            'Password' => 'Password',
            'FatherName' => 'Father Name',
            'MotherName' => 'Mother Name',
            'DOB' => 'Dob',
            'GenderID' => 'Gender ID',
            'IdentityID' => 'Identity ID',
            'IdentityNumber' => 'Identity Number',
            'SecurityQuestionID' => 'Security Question ID',
            'SecurityAnswer' => 'Security Answer',
            'IsAadharNumber' => 'Is Aadhar Number',
            'AadharNumber' => 'Aadhar Number',
            'NameOnAadhar' => 'Name On Aadhar',
            'DOBOnAadhar' => 'Dob On Aadhar',
            'GenderOnAadharID' => 'Gender On Aadhar ID',
            'IsAadharOptions' => 'Is Aadhar Options',
            'AadharSelectedOption' => 'Aadhar Selected Option',
            'NationalityID' => 'Nationality ID',
            'CastCategoryID' => 'Cast Category ID',
            'PhysicalDisability' => 'Physical Disability',
            'IsDiabetic' => 'Is Diabetic',
            'AnnualIncome' => 'Annual Income',
            'MinorityCommunity' => 'Minority Community',
            'QuestionPaperMediumID' => 'Question Paper Medium ID',
            'IsConfirm' => 'Is Confirm',
            'RegisteredDate' => 'Registered Date',
            'ApplicationSubmitDate' => 'Application Submit Date',
            'LastLoginDate' => 'Last Login Date',
            'ModifyBy' => 'Modify By',
            'ModifyDate' => 'Modify Date',
            'CandidateIP' => 'Candidate Ip',
            'IsActive' => 'Is Active',
            'AuthKey' => 'Auth Key',
            'VerificationToken' => 'Verification Token',
            'Status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'PasswordResetToken' => 'Password Reset Token',
        ];
    }
}
