<?php

namespace app\modules\Application\models;
use yii\captcha\Captcha;

use Yii;

/**
 * This is the model class for table "CandidateTbl".
 *
 * @property int $ID
 * @property string|null $ApplicationNumber
 * @property string|null $CandidateName
 * @property string|null $CandidateEmail
 * @property string|null $CandidateMobile
 * @property string|null $AlternateMobile
 * @property string|null $Password
 * @property string|null $FatherName
 * @property string|null $MotherName
 * @property string|null $DOB
 * @property string|null $GenderID
 * @property string|null $IdentityID
 * @property string|null $IdentityNumber
 * @property string|null $SecurityQuestionID
 * @property string|null $SecurityAnswer
 * @property int|null $IsAadharNumber
 * @property string|null $AadharNumber
 * @property string|null $NameOnAadhar
 * @property string|null $DOBOnAadhar
 * @property string|null $GenderOnAadharID
 * @property int|null $IsAadharOptions
 * @property string|null $AadharSelectedOption
 * @property string|null $NationalityID
 * @property string|null $CastCategoryID
 * @property int|null $PhysicalDisability
 * @property int|null $IsDiabetic
 * @property int|null $AnnualIncome
 * @property int|null $MinorityCommunity
 * @property string|null $QuestionPaperMediumID
 * @property int|null $IsConfirm
 * @property string|null $RegisteredDate
 * @property string|null $ApplicationSubmitDate
 * @property string|null $LastLoginDate
 * @property string|null $ModifyBy
 * @property string|null $ModifyDate
 * @property string|null $CandidateIP
 * @property int|null $IsActive
 * @property string $AuthKey
 * @property string $VerificationToken
 * @property int $Status
 * @property int $created_at
 * @property int $updated_at
 * @property string|null $Month
 */
class AadharDetails extends \yii\db\ActiveRecord
{
    public $AadharDay,$AadharMonth,$AadharYear,$Day,$Month,$Year,$Declaration,$verifyCode;

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            ['verifyCode','required','message'=>'VerifyCode cannot be blank'],
            [['Declaration','IsAadharNumber'],'required','message'=>'Please select field required'],
            [['IsAadharNumber', 'IsAadharOptions','updated_at','GenderID'], 'integer','message'=>'Field must be integer'],
            [['ModifyDate','Day', 'Month', 'Year','CandidateIP',], 'integer','message'=>'Field must be integer'],            
            [['ApplicationNumber', 'DOBOnAadhar', 'AadharSelectedOption'], 'string', 'max' => 50],
            //[['AadharNumber'], 'required', 'message' => 'Aadhar Number cannot be blank.'],          
            [['AadharNumber'], 'string','min' => 14,'max' => 14,'message' => '{attribute} should contain at least 12 characters.','tooShort' => '{attribute} should contain at least 12 characters.' , 'tooLong' => '{attribute} should contain at least 12 characters.'],          
            [['DOBOnAadhar'], 'string', 'max' => 30,'min' => 30],
            [['IdentityID'], 'string', 'max' => 10],
            [['CandidateName'], 'string', 'min' => 2,'max' => 16,'message'=>'fill Candidate Name'], 

            ['AadharSelectedOption', 'required', 'message'=>'Please select field required','when' => function ($model) {
                return $model->IsAadharNumber == 1; 
               }, 'whenClient' => "function (attribute, value) { return $('#IsAadharNumber').val() == 1}"
            ],
            ['AadharNumber', 'required', 'message'=>'Please select field required','when' => function ($model) {
                return $model->AadharSelectedOption == 0; 
               }, 'whenClient' => "function (attribute, value) { return $('#adharSelection:checked').val() == 0}"
              ],
            ['AadharNumber', 'required', 'message'=>'Please select field required','when' => function ($model) {
                return $model->AadharSelectedOption == 1; 
               }, 'whenClient' => "function (attribute, value) { return $('#adharSelection:checked').val() == 1}"
           ],
           ['NameOnAadhar', 'required', 'message'=>"Candidate's Name cannot be blank.",'when' => function ($model) {
            return $model->AadharSelectedOption == 1; 
           }, 'whenClient' => "function (attribute, value) { return $('#adharSelection:checked').val() == 1}"
           ],
           ['GenderOnAadharID', 'required', 'message'=>'Please select Gender.','when' => function ($model) {
            return $model->AadharSelectedOption == 1; 
           }, 'whenClient' => "function (attribute, value) { return $('#adharSelection:checked').val() == 1}"
           ],
           ['AadharDay', 'required', 'message'=>'Please select Date.','when' => function ($model) {
            return $model->AadharSelectedOption == 1; 
           }, 'whenClient' => "function (attribute, value) { return $('#adharSelection:checked').val() == 1}"
           ],
           ['AadharMonth', 'required', 'message'=>'Please select Month.','when' => function ($model) {
            return $model->AadharSelectedOption == 1; 
           }, 'whenClient' => "function (attribute, value) { return $('#adharSelection:checked').val() == 1}"
           ],
           ['AadharYear', 'required', 'message'=>'Please select Year.','when' => function ($model) {
            return $model->AadharSelectedOption == 1; 
           }, 'whenClient' => "function (attribute, value) { return $('#adharSelection:checked').val() == 1}"
           ],
           ['verifyCode', 'captcha','captchaAction' => '/application/aadhar/captcha'],
           
            
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',                        
            'IsAadharNumber' => 'Is Aadhaar Number',
            'AadharNumber' => 'Aadhaar Number',
            'IsAadharOptions' => 'Is Aadhaar Options',
            'AadharSelectedOption' => 'Aadhaar Selected Option',
            'ModifyBy' => 'Modify By',
            'ModifyDate' => 'Modify Date',
            'CandidateIP' => 'Candidate Ip',
            'updated_at' => 'Updated At',
            'Day' => 'Birth Day',
			'Month' => 'Birth Month',
			'Year' => 'Birth Year',
            'Declaration' => 'Declaration',
            'verifyCode'=>'verifyCode',
            'AadharDay'=>'Date Of Birth',
            'AadharMonth'=>'Month Of Birth',
            'AadharYear'=>'Year Of Birth',
        ];
    }
}
