<?php

namespace app\modules\application\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\modules\application\models\AadharDetails;

/**
 * AadharDetailsSearch represents the model behind the search form of `app\modules\application\models\AadharDetails`.
 */
class AadharDetailsSearch extends AadharDetails
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['ID', 'IsAadharNumber', 'IsAadharOptions', 'PhysicalDisability', 'IsDiabetic', 'AnnualIncome', 'MinorityCommunity', 'IsConfirm', 'IsActive', 'Status', 'created_at', 'updated_at'], 'integer'],
            [['ApplicationNumber', 'CandidateName', 'CandidateEmail', 'CandidateMobile', 'AlternateMobile', 'Password', 'FatherName', 'MotherName', 'DOB', 'GenderID', 'IdentityID', 'IdentityNumber', 'SecurityQuestionID', 'SecurityAnswer', 'AadharNumber', 'NameOnAadhar', 'DOBOnAadhar', 'GenderOnAadharID', 'AadharSelectedOption', 'NationalityID', 'CastCategoryID', 'QuestionPaperMediumID', 'RegisteredDate', 'ApplicationSubmitDate', 'LastLoginDate', 'ModifyBy', 'ModifyDate', 'CandidateIP', 'AuthKey', 'VerificationToken', 'PasswordResetToken'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = AadharDetails::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'ID' => $this->ID,
            'IsAadharNumber' => $this->IsAadharNumber,
            'IsAadharOptions' => $this->IsAadharOptions,
            'PhysicalDisability' => $this->PhysicalDisability,
            'IsDiabetic' => $this->IsDiabetic,
            'AnnualIncome' => $this->AnnualIncome,
            'MinorityCommunity' => $this->MinorityCommunity,
            'IsConfirm' => $this->IsConfirm,
            'RegisteredDate' => $this->RegisteredDate,
            'ApplicationSubmitDate' => $this->ApplicationSubmitDate,
            'LastLoginDate' => $this->LastLoginDate,
            'ModifyDate' => $this->ModifyDate,
            'IsActive' => $this->IsActive,
            'Status' => $this->Status,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ]);

        $query->andFilterWhere(['like', 'ApplicationNumber', $this->ApplicationNumber])
            ->andFilterWhere(['like', 'CandidateName', $this->CandidateName])
            ->andFilterWhere(['like', 'CandidateEmail', $this->CandidateEmail])
            ->andFilterWhere(['like', 'CandidateMobile', $this->CandidateMobile])
            ->andFilterWhere(['like', 'AlternateMobile', $this->AlternateMobile])
            ->andFilterWhere(['like', 'Password', $this->Password])
            ->andFilterWhere(['like', 'FatherName', $this->FatherName])
            ->andFilterWhere(['like', 'MotherName', $this->MotherName])
            ->andFilterWhere(['like', 'DOB', $this->DOB])
            ->andFilterWhere(['like', 'GenderID', $this->GenderID])
            ->andFilterWhere(['like', 'IdentityID', $this->IdentityID])
            ->andFilterWhere(['like', 'IdentityNumber', $this->IdentityNumber])
            ->andFilterWhere(['like', 'SecurityQuestionID', $this->SecurityQuestionID])
            ->andFilterWhere(['like', 'SecurityAnswer', $this->SecurityAnswer])
            ->andFilterWhere(['like', 'AadharNumber', $this->AadharNumber])
            ->andFilterWhere(['like', 'NameOnAadhar', $this->NameOnAadhar])
            ->andFilterWhere(['like', 'DOBOnAadhar', $this->DOBOnAadhar])
            ->andFilterWhere(['like', 'GenderOnAadharID', $this->GenderOnAadharID])
            ->andFilterWhere(['like', 'AadharSelectedOption', $this->AadharSelectedOption])
            ->andFilterWhere(['like', 'NationalityID', $this->NationalityID])
            ->andFilterWhere(['like', 'CastCategoryID', $this->CastCategoryID])
            ->andFilterWhere(['like', 'QuestionPaperMediumID', $this->QuestionPaperMediumID])
            ->andFilterWhere(['like', 'ModifyBy', $this->ModifyBy])
            ->andFilterWhere(['like', 'CandidateIP', $this->CandidateIP])
            ->andFilterWhere(['like', 'AuthKey', $this->AuthKey])
            ->andFilterWhere(['like', 'VerificationToken', $this->VerificationToken])
            ->andFilterWhere(['like', 'PasswordResetToken', $this->PasswordResetToken]);

        return $dataProvider;
    }
}
