<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "ApplicationFormNameMst".
 *
 * @property int $ID
 * @property string|null $FormName
 * @property int|null $IsActive
 *
 * @property ApplicationFormStatusTbl[] $applicationFormStatusTbls
 * @property ApplicationFormStatusTbl[] $applicationFormStatusTbls0
 * @property ApplicationFormStatusTbl[] $applicationFormStatusTbls1
 * @property ApplicationFormStatusTbl[] $applicationFormStatusTbls2
 */
class ApplicationFormNameMst extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return 'ApplicationFormNameMst';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['IsActive'], 'integer'],
            [['FormName'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'FormName' => 'Form Name',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[ApplicationFormStatusTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getApplicationFormStatusTbls()
    {
        return $this->hasMany(ApplicationFormStatusTbl::class, ['ApplicationFormID' => 'ID']);
    }

    /**
     * Gets query for [[ApplicationFormStatusTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getApplicationFormStatusTbls0()
    {
        return $this->hasMany(ApplicationFormStatusTbl::class, ['ApplicationFormID' => 'ID']);
    }

    /**
     * Gets query for [[ApplicationFormStatusTbls1]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getApplicationFormStatusTbls1()
    {
        return $this->hasMany(ApplicationFormStatusTbl::class, ['ApplicationFormID' => 'ID']);
    }

    /**
     * Gets query for [[ApplicationFormStatusTbls2]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getApplicationFormStatusTbls2()
    {
        return $this->hasMany(ApplicationFormStatusTbl::class, ['ApplicationFormID' => 'ID']);
    }
}
