<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "ApplicationFormStatusTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $ApplicationFormID
 * @property string|null $CompletedDate
 * @property int|null $IsComplete
 * @property int|null $IsActive
 *
 * @property ApplicationFormNameMst $applicationForm
 * @property ApplicationFormNameMst $applicationForm0
 * @property ApplicationFormNameMst $applicationForm1
 * @property ApplicationFormNameMst $applicationForm2
 */
class ApplicationFormStatusTbl extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return 'ApplicationFormStatusTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CandidateID', 'ApplicationFormID', 'IsComplete', 'IsActive'], 'integer'],
            [['CompletedDate'], 'safe'],
            [['ApplicationFormID'], 'exist', 'skipOnError' => true, 'targetClass' => ApplicationFormNameMst::class, 'targetAttribute' => ['ApplicationFormID' => 'ID']],
            [['ApplicationFormID'], 'exist', 'skipOnError' => true, 'targetClass' => ApplicationFormNameMst::class, 'targetAttribute' => ['ApplicationFormID' => 'ID']],
            [['ApplicationFormID'], 'exist', 'skipOnError' => true, 'targetClass' => ApplicationFormNameMst::class, 'targetAttribute' => ['ApplicationFormID' => 'ID']],
            [['ApplicationFormID'], 'exist', 'skipOnError' => true, 'targetClass' => ApplicationFormNameMst::class, 'targetAttribute' => ['ApplicationFormID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CandidateID' => 'Candidate ID',
            'ApplicationFormID' => 'Application Form ID',
            'CompletedDate' => 'Completed Date',
            'IsComplete' => 'Is Complete',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[ApplicationForm]].
     *
     * @return \yii\db\ActiveQuery|ApplicationFormNameMstQuery
     */
    public function getApplicationForm()
    {
        return $this->hasOne(ApplicationFormNameMst::class, ['ID' => 'ApplicationFormID']);
    }

    /**
     * Gets query for [[ApplicationForm0]].
     *
     * @return \yii\db\ActiveQuery|ApplicationFormNameMstQuery
     */
    public function getApplicationForm0()
    {
        return $this->hasOne(ApplicationFormNameMst::class, ['ID' => 'ApplicationFormID']);
    }

    /**
     * Gets query for [[ApplicationForm1]].
     *
     * @return \yii\db\ActiveQuery|ApplicationFormNameMstQuery
     */
    public function getApplicationForm1()
    {
        return $this->hasOne(ApplicationFormNameMst::class, ['ID' => 'ApplicationFormID']);
    }

    /**
     * Gets query for [[ApplicationForm2]].
     *
     * @return \yii\db\ActiveQuery|ApplicationFormNameMstQuery
     */
    public function getApplicationForm2()
    {
        return $this->hasOne(ApplicationFormNameMst::class, ['ID' => 'ApplicationFormID']);
    }

    /**
     * {@inheritdoc}
     * @return ApplicationFormStatusTblQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new ApplicationFormStatusTblQuery(get_called_class());
    }
}
