<?php 
 declare(strict_types=1);
namespace app\modules\application\models;
// require '../vendor/autoload.php';

use io\billdesk\client\hmacsha256\BillDeskJWEHS256Client;
use io\billdesk\client\Logging;
use Monolog\Handler\StreamHandler;
use Monolog\Logger;
use PHPUnit\Framework\TestCase;
use yii;

class BillDeskJWSHS256ClientTest extends TestCase {
    private $client;
    private $log;

    // protected function setUp(): void
    public function __construct()
    { 
        Logging::addHandler(new StreamHandler('php://stdout', Logger::DEBUG));
        $this->client = new BillDeskJWEHS256Client(Yii::$app->params['CanaraConfig']['base_url'], Yii::$app->params['CanaraConfig']['client_id'], Yii::$app->params['CanaraConfig']['secret_key']);
    }
    
    public function testCreateOrder($orderid,$amount) {
		// $DB = Yii::$app->session->get('NewDB');
        $request = array(
            'mercid' => Yii::$app->params['CanaraConfig']['merchant_id'],
            'orderid' => $orderid,
            'amount' => $amount,
            'order_date' => date_format(new \DateTime(), DATE_W3C),
            'currency' => Yii::$app->params['CanaraConfig']['currency'],
            'ru' => Yii::$app->params['CanaraConfig']['ru'],
            'itemcode' => Yii::$app->params['CanaraConfig']['itemcode'],
			'additional_info' => array(
                'additional_info1' => null,
                
            ),
            'device' => array(
                'init_channel' => Yii::$app->params['CanaraConfig']['init_channel'],
                'ip' => Yii::$app->params['CanaraConfig']['ip'],
                'user_agent' => Yii::$app->params['CanaraConfig']['user_agent'],
            )
        );
        //echo"<pre/>"; print_r($request); die;
        $response = $this->client->createOrder($request); 
       // print_r($response); die();
       $data = $this->assertEquals(200, $response->getResponseStatus());
       return $response;
    }
    public function createTransactionApi($orderid,$amount) {

        $request = array(
            'mercid' => Yii::$app->params['CanaraConfig']['merchant_id'],
            'orderid' => $orderid,
            'refund_details'=>true
        );

        $response = $this->client->createTransaction($request); 
        $data = $this->assertEquals(200, $response->getResponseStatus());
       return $response;
    }
}