<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateAdditionalDetailsTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property string|null $ApplicationNumber
 * @property int|null $IsArtesianOrSonOrDaughterOfArtisian
 * @property int|null $ArtesianCardDetail
 * @property string|null $ArtesianCardIDNumber
 * @property string|null $ParentsArtesianCardIDNumber
 * @property string|null $CreatedDate
 */
class CandidateAdditionalDetailsTbl extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public $clarification,$verifyCode;
    public static function tableName()
    {
        return 'CandidateAdditionalDetailsTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['clarification','verifyCode'],'required'],//verifyCode
            ['verifyCode', 'captcha','captchaAction' => '/application/additional/captcha'],
            ['IsArtesianOrSonOrDaughterOfArtisian','required','message'=>'Please select field required'],
            [['CandidateID', 'IsArtesianOrSonOrDaughterOfArtisian', 'ArtesianCardDetail'], 'integer'],
            [['ArtesianCardIDNumber','ParentsArtesianCardIDNumber'], 'filter', 'filter' => 'trim'],
            [['CreatedDate'], 'safe'],
            [['ApplicationNumber'], 'string', 'max' => 50],
            [['ArtesianCardIDNumber', 'ParentsArtesianCardIDNumber'], 'string', 'max' => 50],

            [    
                'ArtesianCardDetail', 'required', 'message'=>'Please select field required',
                'when' => function ($model) {
                    return $model->IsArtesianOrSonOrDaughterOfArtisian == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#IsArtesianOrSonOrDaughterOfArtisian :selected').val() == 1;
                }"
            ],
            [    
                'ArtesianCardIDNumber', 'required', 'message'=>'Please Enter Artesian card ID Number',
                'when' => function ($model) {
                    return $model->ArtesianCardDetail == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#ArtesianCardDetail :selected').val() == 1;
                }"
            ],
            [    
                'ParentsArtesianCardIDNumber', 'required', 'message'=>'Please Enter Parents Artesian Card ID Number',
                'when' => function ($model) {
                    return $model->ArtesianCardDetail == 2;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#ArtesianCardDetail :selected').val() == 2;
                }"
            ],

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CandidateID' => 'Candidate ID',
            'ApplicationNumber' => 'Application Number',
            'IsArtesianOrSonOrDaughterOfArtisian' => 'Is Artesian Or Son Or Daughter Of Artisian',
            'ArtesianCardDetail' => 'Artesian Card Detail',
            'ArtesianCardIDNumber' => 'Artesian Card Id Number',
            'ParentsArtesianCardIDNumber' => 'Parents Artesian Card Id Number',
            'CreatedDate' => 'Created Date',
        ];
    }
}
