<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateApplyCourseTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $ApplyCourseID
 * @property string|null $ModifyDate
 * @property string|null $ModifyBy
 * @property int|null $IsActive
 * @property string|null $CreateDate
 *
 * @property CourseMst $applyCourse
 * @property CourseMst $applyCourse0
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 */
class CandidateApplyCourseTbl extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateApplyCourseTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CandidateID', 'ApplyCourseID', 'IsActive'], 'integer'],
            [['ModifyDate', 'CreateDate'], 'safe'],
            [['ModifyBy'], 'string', 'max' => 150],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['ApplyCourseID'], 'exist', 'skipOnError' => true, 'targetClass' => CourseMst::class, 'targetAttribute' => ['ApplyCourseID' => 'ID']],
            [['ApplyCourseID'], 'exist', 'skipOnError' => true, 'targetClass' => CourseMst::class, 'targetAttribute' => ['ApplyCourseID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CandidateID' => 'Candidate ID',
            'ApplyCourseID' => 'Apply Course ID',
            'ModifyDate' => 'Modify Date',
            'ModifyBy' => 'Modify By',
            'IsActive' => 'Is Active',
            'CreateDate' => 'Create Date',
        ];
    }

    /**
     * Gets query for [[ApplyCourse]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getApplyCourse()
    {
        return $this->hasOne(CourseMst::class, ['ID' => 'ApplyCourseID']);
    }

    /**
     * Gets query for [[ApplyCourse0]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getApplyCourse0()
    {
        return $this->hasOne(CourseMst::class, ['ID' => 'ApplyCourseID']);
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * {@inheritdoc}
     * @return CandidateApplyCourseTblQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new CandidateApplyCourseTblQuery(get_called_class());
    }
}
