<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateApplySubjectTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $SubjectID
 * @property int|null $IsActive
 * @property string|null $CreateDate
 *
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 * @property SubjectMst $subject
 * @property SubjectMst $subject0
 */
class CandidateApplySubjectTbl extends \yii\db\ActiveRecord
{
    public $ApplyFor,$Subjectoptednet;
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateApplySubjectTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CandidateID', 'SubjectID', 'IsActive'], 'integer'],
            [['CreateDate'], 'safe'],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['SubjectID'], 'exist', 'skipOnError' => true, 'targetClass' => SubjectMst::class, 'targetAttribute' => ['SubjectID' => 'ID']],
            [['SubjectID'], 'exist', 'skipOnError' => true, 'targetClass' => SubjectMst::class, 'targetAttribute' => ['SubjectID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => Yii::t('app', 'ID'),
            'CandidateID' => Yii::t('app', 'Candidate ID'),
            'SubjectID' => Yii::t('app', 'Subject ID'),
            'IsActive' => Yii::t('app', 'Is Active'),
            'CreateDate' => Yii::t('app', 'Create Date'),
            'CreateDate' => Yii::t('app', 'Create Date'),
            'ApplyFor' => Yii::t('app', 'Apply For'),
            'Subjectoptednet' => Yii::t('app', 'Subject Opted Net'),
        
            
        ];
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Subject]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getSubject()
    {
        return $this->hasOne(SubjectMst::class, ['ID' => 'SubjectID']);
    }

    /**
     * Gets query for [[Subject0]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getSubject0()
    {
        return $this->hasOne(SubjectMst::class, ['ID' => 'SubjectID']);
    }

    /**
     * {@inheritdoc}
     * @return CandidateApplySubjectTblQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new CandidateApplySubjectTblQuery(get_called_class());
    }
}
