<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateChoiceExamCenterTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $ExamCenterStateID
 * @property int|null $ExamCenterCityID
 * @property int|null $ExamCenterPriorty
 * @property int|null $IsActive
 *
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 * @property CityMst $examCenterCity
 * @property CityMst $examCenterCity0
 * @property StateMst $examCenterState
 * @property StateMst $examCenterState0
 */
class CandidateChoiceExamCenterTbl extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateChoiceExamCenterTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CandidateID', 'ExamCenterStateID', 'ExamCenterCityID', 'ExamCenterPriorty', 'IsActive'], 'integer'],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['ExamCenterStateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['ExamCenterStateID' => 'ID']],
            [['ExamCenterStateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['ExamCenterStateID' => 'ID']],
            [['ExamCenterCityID'], 'exist', 'skipOnError' => true, 'targetClass' => CityMst::class, 'targetAttribute' => ['ExamCenterCityID' => 'ID']],
            [['ExamCenterCityID'], 'exist', 'skipOnError' => true, 'targetClass' => CityMst::class, 'targetAttribute' => ['ExamCenterCityID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CandidateID' => 'Candidate ID',
            'ExamCenterStateID' => 'Exam Center State ID',
            'ExamCenterCityID' => 'Exam Center City ID',
            'ExamCenterPriorty' => 'Exam Center Priorty',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[ExamCenterCity]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterCity()
    {
        return $this->hasOne(CityMst::class, ['ID' => 'ExamCenterCityID']);
    }

    /**
     * Gets query for [[ExamCenterCity0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterCity0()
    {
        return $this->hasOne(CityMst::class, ['ID' => 'ExamCenterCityID']);
    }

    /**
     * Gets query for [[ExamCenterState]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterState()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'ExamCenterStateID']);
    }

    /**
     * Gets query for [[ExamCenterState0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterState0()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'ExamCenterStateID']);
    }
}
