<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateQualificationDetailsTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $CourseID
 * @property int|null $PassStatus
 * @property int|null $YearOfPassing
 * @property int|null $FinalResultAwating
 * @property int|null $QualifyingExamPlaceID
 * @property int|null $QualificationExamStateID
 * @property int|null $UniversityBoardID
 * @property int|null $ResultMode
 * @property float|null $MarksObtained
 * @property int|null $MPhilOptions
 * @property string|null $MPhilUnversityName
 * @property int|null $MPhilAddmissionYear
 * @property string|null $MPhilSubject
 * @property int|null $PhdOptions
 * @property string|null $PhdUniversityName
 * @property int|null $PhdMasterLevelTimeDateConfirmation
 * @property string|null $ReasearchExServicemanDetailsSpecilization
 * @property int|null $PGReaseachConfirmation
 * @property string|null $ReasearchExServicemanPGExperience
 * @property string|null $ReasearchExServiceman
 * @property string|null $CreateDate
 * @property int|null $IsActive
 *
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 * @property CourseMst $course
 * @property CourseMst $course0
 * @property StateMst $qualificationExamState
 * @property StateMst $qualificationExamState0
 * @property CountryMst $qualifyingExamPlace
 * @property CountryMst $qualifyingExamPlace0
 * @property UniversityMst $universityBoard
 * @property UniversityMst $universityBoard0
 */
class CandidateDoctorateAdditionalDetailsTbl extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
   
    public $clarification,$verifyCode;
    public static function tableName()
    {
        return 'CandidateDoctorateAdditionalDetailsTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['clarification','verifyCode'],'required'],//verifyCode
            ['verifyCode', 'captcha','captchaAction' => '/application/additional/captcha'],
            [['DoctotateUnversityName','DepartmentNameInAdmission','DoctotateExamYear','Specilization'], 'filter', 'filter' => 'trim'],
            [['DoctotateUnversityName','DepartmentNameInAdmission','DoctotateExamYear','Specilization'], 'string', 'min' => 2, 'max' => 100],
            [['CandidateId', 'DoctorateOptions','MinorityCommunity','CommunityID','CommunityAnnualIncomeID'], 'integer'],
            [['DoctotateUnversityName','DepartmentNameInAdmission','DoctotateExamYear','Specilization'], 'string'],
            ['DoctorateOptions','required','message'=>'Please select field required'],
            ['MinorityCommunity','required','message'=>'Please select field required'],
            //['Specilization','required','message'=>'Specilization cannot be blank'],
            [    
                'DoctotateUnversityName', 'required', 'message'=>'Unversity Name cannot be blank',
                'when' => function ($model) {
                    return $model->DoctorateOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#DoctorateOptionsID :selected').val() == 1;
                }"
            ],
            [    
                'DoctotateExamYear', 'required', 'message'=>'Please select field required',
                'when' => function ($model) {
                    return $model->DoctorateOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#DoctorateOptionsID :selected').val() == 1;
                }"
            ],
            [    
                'DepartmentNameInAdmission', 'required', 'message'=>'Department Name cannot be blank',
                'when' => function ($model) {
                    return $model->DoctorateOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#DoctorateOptionsID :selected').val() == 1;
                }"
            ],
            [    
                'CommunityID', 'required', 'message'=>'Please select field required',
                'when' => function ($model) {
                    return $model->MinorityCommunity == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#MinorityCommunity :selected').val() == 1;
                }"
            ],
            [    
                'CommunityAnnualIncomeID', 'required', 'message'=>'Please select field required',
                'when' => function ($model) {
                    return $model->MinorityCommunity == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#MinorityCommunity :selected').val() == 1;
                }"
            ],
         

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'DoctorateOptions' => 'DoctorateOptions',
            'MinorityCommunity' => 'MinorityCommunity',
            'CommunityID' => 'CommunityID',
            'CommunityAnnualIncomeID' => 'CommunityAnnualIncomeID',
            'DoctotateUnversityName' => 'Doctorate Unversity Name',
            'DepartmentNameInAdmission' => 'Department Name',
            'DoctotateExamYear' => 'DoctotateExamYear',
            'Specilization' => 'Specilization',
        ];
    }
    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Course]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCourse()
    {
        return $this->hasOne(CourseMst::class, ['ID' => 'CourseID']);
    }

    /**
     * Gets query for [[Course0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCourse0()
    {
        return $this->hasOne(CourseMst::class, ['ID' => 'CourseID']);
    }

    /**
     * Gets query for [[QualificationExamState]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getQualificationExamState()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'QualificationExamStateID']);
    }

    /**
     * Gets query for [[QualificationExamState0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getQualificationExamState0()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'QualificationExamStateID']);
    }

    /**
     * Gets query for [[QualifyingExamPlace]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getQualifyingExamPlace()
    {
        return $this->hasOne(CountryMst::class, ['ID' => 'QualifyingExamPlaceID']);
    }

    /**
     * Gets query for [[QualifyingExamPlace0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getQualifyingExamPlace0()
    {
        return $this->hasOne(CountryMst::class, ['ID' => 'QualifyingExamPlaceID']);
    }

    /**
     * Gets query for [[UniversityBoard]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getUniversityBoard()
    {
        return $this->hasOne(UniversityMst::class, ['ID' => 'UniversityBoardID']);
    }

    /**
     * Gets query for [[UniversityBoard0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getUniversityBoard0()
    {
        return $this->hasOne(UniversityMst::class, ['ID' => 'UniversityBoardID']);
    }
}
