<?php

namespace frontend\modules\application\models;

use Yii;
use app\modules\application\models\CandidateTbl;
use frontend\modules\application\models\DocumentMst;
/**
 * This is the model class for table "CandidateDocumentTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $DocumentID
 * @property string|null $UploadDocument
 * @property string|null $ModifyDate
 * @property string|null $ModifyBy
 * @property int|null $IsActive
 * @property string|null $CreateDate
 *
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 * @property DocumentMst $document
 * @property DocumentMst $document0
 */
class CandidateDocumentTbl extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateDocumentTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CandidateID', 'DocumentID', 'IsActive'], 'integer'],
            [['ModifyDate', 'CreateDate'], 'safe'],
            [['UploadDocument'], 'string', 'max' => 250],
            [['ModifyBy'], 'string', 'max' => 150],
            // [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            // [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            // [['DocumentID'], 'exist', 'skipOnError' => true, 'targetClass' => DocumentMst::class, 'targetAttribute' => ['DocumentID' => 'ID']],
            [['DocumentID'], 'exist', 'skipOnError' => true, 'targetClass' => DocumentMst::class, 'targetAttribute' => ['DocumentID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CandidateID' => 'Candidate ID',
            'DocumentID' => 'Document ID',
            'UploadDocument' => 'Upload Document',
            'ModifyDate' => 'Modify Date',
            'ModifyBy' => 'Modify By',
            'IsActive' => 'Is Active',
            'CreateDate' => 'Create Date',
        ];
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Document]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getDocument()
    {
        return $this->hasOne(DocumentMst::class, ['ID' => 'DocumentID']);
    }

    /**
     * Gets query for [[Document0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getDocument0()
    {
        return $this->hasOne(DocumentMst::class, ['ID' => 'DocumentID']);
    }
}
