<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateOtpTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $EmailOtp
 * @property int|null $MobileOtp
 * @property string|null $OtpExpireDate
 * @property int|null $EmailVerify
 * @property int|null $MobileVerify
 * @property string|null $CreateDate
 * @property int|null $IsActive
 *
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 */
class CandidateOtpTbl extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateOtpTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CandidateID', 'EmailOtp', 'MobileOtp', 'EmailVerify', 'MobileVerify', 'IsActive'], 'integer'],
            [['OtpExpireDate', 'CreateDate'], 'safe'],
            [['EmailOtp', 'MobileOtp'], 'required'],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CandidateID' => 'Candidate ID',
            'EmailOtp' => 'Email Otp',
            'MobileOtp' => 'Mobile Otp',
            'OtpExpireDate' => 'Otp Expire Date',
            'EmailVerify' => 'Email Verify',
            'MobileVerify' => 'Mobile Verify',
            'CreateDate' => 'Create Date',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }
}
