<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateQualificationDetailsTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $CourseID
 * @property int|null $PassStatus
 * @property int|null $YearOfPassing
 * @property int|null $FinalResultAwating
 * @property int|null $QualifyingExamPlaceID
 * @property int|null $QualificationExamStateID
 * @property int|null $UniversityBoardID
 * @property int|null $ResultMode
 * @property float|null $MarksObtained
 * @property int|null $MPhilOptions
 * @property string|null $MPhilUnversityName
 * @property int|null $MPhilAddmissionYear
 * @property string|null $MPhilSubject
 * @property int|null $PhdOptions
 * @property string|null $PhdUniversityName
 * @property int|null $PhdMasterLevelTimeDateConfirmation
 * @property string|null $ReasearchExServicemanDetailsSpecilization
 * @property int|null $PGReaseachConfirmation
 * @property string|null $ReasearchExServicemanPGExperience
 * @property string|null $ReasearchExServiceman
 * @property string|null $CreateDate
 * @property int|null $IsActive
 *
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 * @property CourseMst $course
 * @property CourseMst $course0
 * @property StateMst $qualificationExamState
 * @property StateMst $qualificationExamState0
 * @property CountryMst $qualifyingExamPlace
 * @property CountryMst $qualifyingExamPlace0
 * @property UniversityMst $universityBoard
 * @property UniversityMst $universityBoard0
 */
class CandidateQualificationAdditionalDetailsTbl extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public $clarification,$verifyCode;
    public static function tableName()
    {
        return 'CandidateQualificationDetailsTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['clarification','verifyCode'],'required'],//verifyCode
           // ['verifyCode', 'captcha','captchaAction' => '/application/application/captcha'],
            // [['CandidateID', 'CourseID', 'PhdAddmissionYear','PassStatus', 'YearOfPassing', 'FinalResultAwating', 'QualifyingExamPlaceID', 'QualificationExamStateID', 'UniversityBoardID', 'ResultMode', 'MPhilOptions', 'MPhilAddmissionYear', 'PhdOptions', 'PhdMasterLevelTimeDateConfirmation', 'PGReaseachConfirmation', 'IsActive'], 'integer'],
            [['PhdAddmissionYear', 'MPhilOptions', 'MPhilAddmissionYear', 'PhdOptions', 'PhdMasterLevelTimeDateConfirmation', 'PGReaseachConfirmation','ReasearchExServicemanPGExperience'], 'integer','message'=>'Field must be an integer'],
            [['ReasearchExServicemanDetailsSpecilization', 'ReasearchExServiceman'], 'string', 'max' => 100],
            ['MPhilOptions','required','message'=>'Please select field required'],
            ['PhdOptions','required','message'=>'Please select field required'],
            ['PGReaseachConfirmation','required','message'=>'Please select field required'],
            ['ReasearchExServiceman','required','message'=>'Please select field required'],

            [
                'MPhilUnversityName', 'required', 'message'=>'University cannot be blank',
                'when' => function ($model) {
                    return $model->MPhilOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#MPhilOptions :selected').val() == 1;
                }"
            ],
            [    
                'MPhilAddmissionYear', 'string', 'min' => 4, 'max' => 4, 'message'=>'Addmission Year should contain at least 4 characters.',
                'when' => function ($model) {
                    return $model->MPhilOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#MPhilOptions :selected').val() == 1;
                }"
            ],
            [    
                'MPhilAddmissionYear', 'required', 'message'=>'Year cannot be blank',
                'when' => function ($model) {
                    return $model->MPhilOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#MPhilOptions :selected').val() == 1;
                }"
            ],
            [    
                'MPhilSubject', 'required', 'message'=>'Subject  cannot be blank',
                'when' => function ($model) {
                    return $model->MPhilOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#MPhilOptions :selected').val() == 1;
                }"
            ],

            [
                'PhdUniversityName', 'required', 'message'=>'University cannot be blank',
                'when' => function ($model) {
                    return $model->PhdOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#PhdOptions :selected').val() == 1;
                }" 
            ],
            [    
                'PhdAddmissionYear', 'required', 'message'=>'Year cannot be blank',
                 'when' => function ($model) {
                    return $model->PhdOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#PhdOptions :selected').val() == 1;
                }"
            ],
            [    
                'PhdAddmissionYear', 'string', 'min' => 4, 'max' => 4, 'message'=>'Phd Addmission Year should contain at least 4 characters.',
                 'when' => function ($model) {
                    return $model->PhdOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#PhdOptions :selected').val() == 1;
                }"
            ],
            [    
                'PhdMasterLevelTimeDateConfirmation', 'required','message'=>'Please select field required', 
                'when' => function ($model) {
                    return $model->PhdOptions == 1;
                }, 'whenClient' => "function (attribute, value) { 
                    return $('#PhdOptions :selected').val() == 1;
                }"
            ],
            [    
                'ReasearchExServicemanPGExperience', 'required', 'message'=>'Please select field required',
                'when' => function ($model) {
                    return $model->PGReaseachConfirmation == 1;
                },  'whenClient' => "function (attribute, value) { 
                    return $('#PGReaseachConfirmation :selected').val() == 1;
                }"
            ],
            ['MPhilUnversityName', 'match', 'pattern' => '/^[a-zA-Z. ]*$/i', 'message' => 'University  can only contain Alphabet and Spaces only'],
            ['PhdUniversityName', 'match', 'pattern' => '/^[a-zA-Z. ]*$/i', 'message' => 'University  can only contain Alphabet and Spaces only'],  
            ['MPhilSubject', 'match', 'pattern' => '/^[a-zA-Z- ]*$/i', 'message' => 'Subject can only contain Alphabet and Spaces only'], 

            [['MPhilUnversityName','MPhilSubject','PhdUniversityName','ReasearchExServicemanDetailsSpecilization'], 'string', 'min' => 2, 'max' => 100],

             //[['MPhilAddmissionYear','PhdAddmissionYear'], 'string', 'min' => 4, 'max' => 4],

             ['verifyCode', 'captcha','captchaAction' => '/application/additional/captcha'],

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            // 'ID' => 'ID',
            // 'CandidateID' => 'Candidate ID',
            // 'CourseID' => 'Course ID',
            // 'PassStatus' => 'Pass Status',
            // 'YearOfPassing' => 'Year Of Passing',
            // 'FinalResultAwating' => 'Final Result Awating',
            // 'QualifyingExamPlaceID' => 'Qualifying Exam Place ID',
            // 'QualificationExamStateID' => 'Qualification Exam State ID',
            // 'UniversityBoardID' => 'University Board ID',
            // 'ResultMode' => 'Result Mode',
            // 'MarksObtained' => 'Marks Obtained',
            'MPhilOptions' => '',
            'MPhilUnversityName' => 'Unversity Name',
            'MPhilAddmissionYear' => 'Addmission Year',
            'MPhilSubject' => 'Subject',
            'PhdOptions' =>'',
            'PhdUniversityName' => 'Phd University Name',
            'PhdMasterLevelTimeDateConfirmation' => 'Phd Master Level Time Date Confirmation',
            'ReasearchExServicemanDetailsSpecilization' => 'Reasearch Ex Serviceman Details Specilization',
            'PGReaseachConfirmation' => 'Pg Reaseach Confirmation',
            'ReasearchExServicemanPGExperience' => 'Reasearch Ex Serviceman Pg Experience',
            'ReasearchExServiceman' => 'Reasearch Ex Serviceman',
            'clarification'=>'check point',
            'verifyCode'=>'captcha',
            // 'CreateDate' => 'Create Date',
            // 'IsActive' => 'Is Active',
            ['verifyCode', 'captcha','captchaAction' => '/application/application/captcha'],
        ];
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Course]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCourse()
    {
        return $this->hasOne(CourseMst::class, ['ID' => 'CourseID']);
    }

    /**
     * Gets query for [[Course0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCourse0()
    {
        return $this->hasOne(CourseMst::class, ['ID' => 'CourseID']);
    }

    /**
     * Gets query for [[QualificationExamState]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getQualificationExamState()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'QualificationExamStateID']);
    }

    /**
     * Gets query for [[QualificationExamState0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getQualificationExamState0()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'QualificationExamStateID']);
    }

    /**
     * Gets query for [[QualifyingExamPlace]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getQualifyingExamPlace()
    {
        return $this->hasOne(CountryMst::class, ['ID' => 'QualifyingExamPlaceID']);
    }

    /**
     * Gets query for [[QualifyingExamPlace0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getQualifyingExamPlace0()
    {
        return $this->hasOne(CountryMst::class, ['ID' => 'QualifyingExamPlaceID']);
    }

    /**
     * Gets query for [[UniversityBoard]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getUniversityBoard()
    {
        return $this->hasOne(UniversityMst::class, ['ID' => 'UniversityBoardID']);
    }

    /**
     * Gets query for [[UniversityBoard0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getUniversityBoard0()
    {
        return $this->hasOne(UniversityMst::class, ['ID' => 'UniversityBoardID']);
    }
}
