<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateQualificationDetailsTblFinal".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $PassStatus10
 * @property int|null $PassingYear10
 * @property int|null $QualifyingExam10
 * @property int|null $PlaceOfSchooling10
 * @property int|null $TypeOfSchoolCollage10
 * @property int|null $QualifyingState10
 * @property int|null $QualifyingDistrict10
 * @property int|null $ResultMode10
 * @property float|null $TotalMarks10
 * @property float|null $MarksObtained10
 * @property float|null $CgpaPercentageMarks10
 * @property string|null $RollNumber10
 * @property string|null $SchoolNameAddress10
 * @property string|null $SchoolPincode10
 * @property int|null $PassStatus12
 * @property int|null $PassingYear12
 * @property int|null $QualifyingExam12
 * @property int|null $PlaceOfSchooling12
 * @property int|null $TypeOfSchoolCollage12
 * @property int|null $QualifyingState12
 * @property int|null $QualifyingDistrict12
 * @property int|null $ResultMode12
 * @property float|null $TotalMarks12
 * @property float|null $MarksObtained12
 * @property float|null $CgpaPercentageMarks12
 * @property string|null $RollNumber12
 * @property string|null $SchoolNameAddress12
 * @property string|null $SchoolPincode12
 * @property int|null $PassStatusG
 * @property int|null $PassingYearG
 * @property int|null $QualifyingExamG
 * @property int|null $ExaminationFromG
 * @property int|null $UniversityInstituteG
 * @property string|null $OtherUniversityInstituteG
 * @property int|null $ResultModeG
 * @property float|null $TotalMarksG
 * @property float|null $MarksObtainedG
 * @property float|null $CgpaPercentageMarksG
 * @property string|null $InstituteNameG
 * @property string|null $InstitutePincodeG
 * @property string|null $CreateDate
 * @property int|null $IsActive
 *
 * @property CandidateTbl $candidate
 */
class CandidateQualificationDetailsTblFinal extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public $ApplyCourseID, $TotalMarksOT, $MarksObtainedOT, $percentageOT, $TotalMarksOTW, $MarksObtainedOTW, $percentageOTW, $TotalMarksU, $MarksObtainedU, $percentageU, $verifyCode, $clarification, $lateralR,
        $MaxGradePointD, $ObtainedCGPAD, $CGPAPercentageD, $MaxGradePointL, $ObtainedCGPAL, $CGPAPercentageL,$ResultModePostGrad;

    public static function tableName()
    {
        return 'CandidateQualificationDetailsTblFinal';
    }
    
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            ['verifyCode', 'captcha', 'captchaAction' => '/application/qualification/captcha'],
            [['SchoolBoard10', 'QualifyingState10', 'verifyCode', 'SchoolPincode10', 'SchoolNameAddress10', 'RollNumber10', 'PassStatus10', 'PassingYear10', 'QualifyingExam10', 'PlaceOfSchooling10', 'TypeOfSchoolCollage10'], 'required'],
            [['CandidateID', 'PassStatus10', 'PassingYear10', 'QualifyingExam10', 'PlaceOfSchooling10', 'TypeOfSchoolCollage10',  'ResultMode10', 'PassStatus12', 'PassingYear12', 'QualifyingExam12', 'PlaceOfSchooling12', 'TypeOfSchoolCollage12',  'ResultMode12', 'PassStatusG', 'PassingYearG', 'QualifyingExamG', 'ExaminationFromG',  'ResultModeG'], 'integer'],
            [['TotalMarks10', 'MarksObtained10', 'CgpaPercentageMarks10', 'TotalMarks12', 'MarksObtained12', 'CgpaPercentageMarks12', 'TotalMarksG', 'MarksObtainedG', 'CgpaPercentageMarksG', 'TotalMarksOT', 'MarksObtainedOT', 'percentageOT', 'TotalMarksOTW', 'MarksObtainedOTW', 'percentageOTW', 'TotalMarksU', 'MarksObtainedU', 'percentageU'], 'integer', 'integerOnly' => false,],
            [['CreateDate'], 'safe'],
            [['RollNumber10', 'RollNumber12', 'OtherUniversityInstituteG', 'OtherSchoolBoard10', 'OtherSchoolBoard12'], 'string', 'max' => 100],
            [['SchoolNameAddress10', 'SchoolNameAddress12', 'InstituteNameG'], 'string', 'max' => 200],
            [['RollNumber10', 'RollNumber12', 'OtherUniversityInstituteG', 'OtherSchoolBoard10', 'OtherSchoolBoard12','DiplomaCollegeName','DiplomaBoard'], 'string', 'min' => 2, 'max' => 100],
            [['SchoolNameAddress10', 'SchoolNameAddress12', 'InstituteNameG'], 'string', 'min' => 2, 'max' => 200],

            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['PassingYear12', 'PassingYear10'], 'checkGraduationYearGapValidation'],
            ['clarification','required',  'message' => 'Please confirm Declaration'],
            [
                'QualifyingDistrict10', 'required', 'when' => function ($model) {
                    return ($model->QualifyingState10 != 0);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#QualifyingState10 :selected').val() != 0; 
                }",
            ],
            [
                'OtherSchoolBoard10', 'required', 'when' => function ($model) {
                    return ($model->SchoolBoard10 == 0);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#SchoolBoard10 :selected').val() == 0; 
                }",
            ],

            //HighSchool Passing/Appearing of Year and School Board Name Change condition:
            [
                'ResultMode10', 'required', 'when' => function ($model) {
                    return (($model->PassingYear10 != 2021) || ($model->SchoolBoard10 != 25));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#PassingYear10 :selected').val() != 2021 || $('#SchoolBoard10 :selected').val() != 25); 
                }",

            ],

            [
                'TotalMarksOT', 'required', 'when' => function ($model) {
                    return ($model->ResultMode10 == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==1 ; 
                }",
            ],
            [
                'MarksObtainedOT', 'required', 'when' => function ($model) {
                    return ($model->ResultMode10 == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==1 ; 
                }",
            ],
            [
                'percentageOT', 'required', 'when' => function ($model) {
                    return ($model->ResultMode10 == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==1 ;  
                }",
            ],
            [
                'TotalMarks10', 'required', 'when' => function ($model) {
                    return ($model->ResultMode10 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==2 ; 
                }",
            ],
            [
                'MarksObtained10', 'required', 'when' => function ($model) {
                    return ($model->ResultMode10 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==2 ; 
                }",
            ],
            [
                'CgpaPercentageMarks10', 'required', 'when' => function ($model) {
                    return ($model->ResultMode10 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==2 ; 
                }",
            ],

            //cgpa
            [
                'TotalMarks10',
                'compare',
                'compareValue' => 1, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max grade point must be greater than or equal to 1',
                'when' => function ($model) {
                    return ($model->ResultMode10 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==2 ; 
                }",
            ],
            [
                'TotalMarks10',
                'compare',
                'compareValue' => 10.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max grade point must be less than or equal to 10.0',
                'when' => function ($model) {
                    return ($model->ResultMode10 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==2 ; 
                }",
            ],
            [
                'CgpaPercentageMarks10',
                'compare',
                'compareValue' => 40, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max Cgpa Percentag Marks must be greater than or equal to 40',
                'when' => function ($model) {
                    return ($model->ResultMode10 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==2 ; 
                }",
            ],
            [
                'CgpaPercentageMarks10',
                'compare',
                'compareValue' => 100.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max Cgpa Percentage Marks must be less than or equal to 100.0',
                'when' => function ($model) {
                    return ($model->ResultMode10 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode10 :selected').val()==2 ; 
                }",
            ],
           
            [
                'IsDiploma', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 1 && ($model->lateralR == 10062 || $model->lateralR == 10063));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==1 && ($('#lateralR').val()==10062 || $('#lateralR').val()==10063)); 
                }",
            ],
            [
                'QualifyingDistrict12', 'required', 'when' => function ($model) {
                    return ($model->QualifyingState12 != 0  && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#QualifyingState12 :selected').val() != 0 && $('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'OtherSchoolBoard12', 'required', 'when' => function ($model) {
                    return ($model->SchoolBoard12 == 0 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#SchoolBoard12 :selected').val() == 0 && $('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'TypeOfSchoolCollage12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'PassStatus12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'PlaceOfSchooling12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'QualifyingExam12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1 && $model->ApplyCourseID == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() !=1 && $('#ApplyCourseID').val()==1); 
                }",
            ],
            [
                'PassingYear12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() !=1); 
                }",
            ],

            [
                'SchoolNameAddress12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'SchoolBoard12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'QualifyingState12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() !=1); 
                }",
            ],

            [
                'ResultMode12', 'required', 'when' => function ($model) {
                    return ($model->PassStatus12 == 1 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#PassStatus12 :selected').val()==1 && $('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'TotalMarksOTW', 'required', 'when' => function ($model) {
                    return ($model->ResultMode12 == 1 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultMode12 :selected').val()==1 && $('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'MarksObtainedOTW', 'required', 'when' => function ($model) {
                    return ($model->ResultMode12 == 1 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultMode12 :selected').val()==1 && $('#IsDiploma :selected').val() != 1); 
                }",
            ],
            [
                'percentageOTW', 'required', 'when' => function ($model) {
                    return ($model->ResultMode12 == 1 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultMode12 :selected').val()==1 && $('#IsDiploma :selected').val()!= 1); 
                }",
            ],
            [
                'TotalMarks12', 'required', 'when' => function ($model) {
                    return ($model->ResultMode12 == 2 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultMode12 :selected').val()==2 && $('#IsDiploma :selected').val() != 1); 
                }",
            ],
            [
                'MarksObtained12', 'required', 'when' => function ($model) {
                    return ($model->ResultMode12 == 2 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultMode12 :selected').val()==2 && $('#IsDiploma :selected').val() != 1); 
                }",
            ],
            [
                'CgpaPercentageMarks12', 'required', 'when' => function ($model) {
                    return ($model->ResultMode12 == 2 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultMode12 :selected').val()==2 && $('#IsDiploma :selected').val() != 1); 
                }",
            ],
            [
                'RollNumber12', 'required', 'when' => function ($model) {
                    return ($model->PassStatus12 == 1 && $model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#PassStatus12 :selected').val()==1 && $('#IsDiploma :selected').val() !=1); 
                }",
            ],
            [
                'SchoolPincode12', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma != 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val() != 1); 
                }",
            ],

            //cgpa
            [
                'TotalMarks12',
                'compare',
                'compareValue' => 1, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max grade point must be greater than or equal to 1',
                'when' => function ($model) {
                    return ($model->ResultMode12 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultMode12 :selected').val()==2); 
                }",
            ],
            [
                'TotalMarks12',
                'compare',
                'compareValue' => 10.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max grade point must be less than or equal to 10.0',
                'when' => function ($model) {
                    return ($model->ResultMode12 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultMode12 :selected').val()==2); 
                }",
            ],
            [
                'CgpaPercentageMarks12',
                'compare',
                'compareValue' => 40, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max Cgpa Percentag Marks must be greater than or equal to 40',
                'when' => function ($model) {
                    return ($model->ResultMode12 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode12 :selected').val()==2 ; 
                }",
            ],
            [
                'CgpaPercentageMarks12',
                'compare',
                'compareValue' => 100.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max Cgpa Percentage Marks must be less than or equal to 100.0',
                'when' => function ($model) {
                    return ($model->ResultMode12 == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultMode12 :selected').val()==2 ; 
                }",
            ],
           
            [
                'TotalMarksG', 'required', 'when' => function ($model) {
                    return ($model->ResultModeG == 2 && (($model->ApplyCourseID == 2 && $model->PassStatusG == 1)));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeG :selected').val()==2 && (($('#ApplyCourseID').val()==2 &&  $('#PassStatusG :selected').val()==1)));
                }",
            ],
            [
                'MarksObtainedG', 'required', 'when' => function ($model) {
                    return ($model->ResultModeG == 2 && (($model->ApplyCourseID == 2 && $model->PassStatusG == 1)));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeG :selected').val()==2 && (($('#ApplyCourseID').val()==2 &&  $('#PassStatusG :selected').val()==1)));
                }",
            ],
            [
                'CgpaPercentageMarksG', 'required', 'when' => function ($model) {
                    return ($model->ResultModeG == 2 && (($model->ApplyCourseID == 2 && $model->PassStatusG == 1)));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeG :selected').val()==2 && (($('#ApplyCourseID').val()==2 &&  $('#PassStatusG :selected').val()==1)));
                }",
            ],
            [ 
                'TotalMarksU', 'required', 'when' => function ($model) {
                    return ($model->ResultModeG == 1 && (($model->ApplyCourseID == 2 && $model->PassStatusG == 1)));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeG :selected').val()==1 && (($('#ApplyCourseID').val()==2 &&  $('#PassStatusG :selected').val()==1))); 
                }",
            ],
            [
                'MarksObtainedU', 'required', 'when' => function ($model) {
                    return ($model->ResultModeG == 1 && (($model->ApplyCourseID == 2 && $model->PassStatusG == 1)));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeG :selected').val()==1 && (($('#ApplyCourseID').val()==2 &&  $('#PassStatusG :selected').val()==1))); 
                }",
            ],
            [
                'percentageU', 'required', 'when' => function ($model) {
                    return ($model->ResultModeG == 1 && (($model->ApplyCourseID == 2 && $model->PassStatusG == 1)));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeG :selected').val()==1 && (($('#ApplyCourseID').val()==2 &&  $('#PassStatusG :selected').val()==1))); 
                }",
            ],
            [
                'OtherUniversityInstituteG', 'required', 'when' => function ($model) {
                    return ($model->UniversityInstituteG == 0 && ($model->ApplyCourseID == 2));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#UniversityInstituteG :selected').val() == 0  && ($('#ApplyCourseID').val()==2)) ; 
                }",
            ],
            [
                'UniversityInstituteG', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2); 
                }",
            ],
            [
                'PassStatusG', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2); 
                }",
            ],
            [
                'PassingYearG', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2); 
                }",
            ],
            [
                'QualifyingExamG', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 2 && ($model->lateralR == 10075 || $model->lateralR == 10076 || $model->lateralR == 10077));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2 && ($('#lateralR').val()==10075 || $('#lateralR').val()==10076 || $('#lateralR').val()==10077)); 
                }",
            ],
            [
                'ExaminationFromG', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2); 
                }",
            ],
            [
                'ResultModeG', 'required', 'when' => function ($model) {
                    return (($model->ApplyCourseID == 2) && $model->PassStatusG == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return (($('#ApplyCourseID').val()==2) && $('#PassStatusG :selected').val()==1); 
                }",
            ],
            [
                'InstitutePincodeG', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2);
                }",
            ],
            [
                'InstituteNameG', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2); 
                }",
            ],
            [
                'CourseStreamG', 'required', 'when' => function ($model) {
                    return ($model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2); 
                }",
            ],

            //cgpa
            [
                'TotalMarksG',
                'compare',
                'compareValue' => 1, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max grade point must be greater than or equal to 1',
                'when' => function ($model) {
                    return ($model->ApplyCourseID == 2 &&  $model->ResultModeG == 2 && $model->PassStatusG == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2 && $('#ResultModeG :selected').val()==2 &&  $('#PassStatusG :selected').val()==1 ); 
                }",
            ],
            [
                'TotalMarksG',
                'compare',
                'compareValue' => 10.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max grade point must be less than or equal to 10.0',
                'when' => function ($model) {
                    return ($model->ApplyCourseID == 2 &&  $model->ResultModeG == 2 && $model->PassStatusG == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ApplyCourseID').val()==2 && $('#ResultModeG :selected').val()==2 &&  $('#PassStatusG :selected').val()==1 ); 
                }",
            ],

            [
                'CgpaPercentageMarksG',
                'compare',
                'compareValue' => 40, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max Cgpa Percentag Marks must be greater than or equal to 40',
                'when' => function ($model) {
                    return ($model->ResultModeG == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultModeG :selected').val()==2 ; 
                }",
            ],
            [
                'CgpaPercentageMarksG',
                'compare',
                'compareValue' => 100.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max Cgpa Percentage Marks must be less than or equal to 100.0',
                'when' => function ($model) {
                    return ($model->ResultModeG == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultModeG :selected').val()==2 ; 
                }",
            ],
            //10
            [
                'SchoolPincode10',
                'string',
                'skipOnEmpty' => false,
                'max' => 15, // Minimum value
                'min' => 4, // Greater than or equal to
                'message' => 'school code must be must be 6 characters long.',
                'when' => function ($model) {
                    return ($model->QualifyingState10 == 0);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#QualifyingState10').val()==0)  ; 
                }",
            ],
            [
                'SchoolPincode10',
                'string',
                'skipOnEmpty' => false,
                'max' => 6, // Minimum value
                'min' => 6, // Greater than or equal to
                'message' => 'school code must be must be 6 characters long.',
                'when' => function ($model) {
                    return ($model->QualifyingState10 > 0);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#QualifyingState10').val()>0)  ; 
                }",
            ],

            //12
            [
                'SchoolPincode12',
                'string',
                'skipOnEmpty' => false,
                'max' => 15, // Minimum value
                'min' => 4, // Greater than or equal to
                'message' => 'school code must be must be 6 characters long.',
                'when' => function ($model) {
                    return ($model->QualifyingState12 > 0 && $model->IsDiploma == 0);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#QualifyingState12').val()>0 && $('#IsDiploma :selected').val()==0)  ; 
                }",
            ],

            [
                'SchoolPincode12',
                'string',
                'skipOnEmpty' => false,
                'max' => 6, // Minimum value
                'min' => 6, // Greater than or equal to
                'message' => 'school code must be must be 6 characters long.',
                'when' => function ($model) {
                    return ($model->QualifyingState12 > 0 && $model->IsDiploma == 0);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#QualifyingState12').val()>0 && $('#IsDiploma :selected').val()==0)  ; 
                }",
            ],
            //graduation
            [
                'InstitutePincodeG',
                'string',
                'skipOnEmpty' => false,
                'max' => 15, // Minimum value
                'min' => 4, // Greater than or equal to
                'message' => 'school code must be must be 6 characters long.',
                'when' => function ($model) {
                    return ($model->ExaminationFromG == 0 && $model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ExaminationFromG').val()==0 && $('#ApplyCourseID').val()==2); 
                }",
            ],
            [
                'InstitutePincodeG',
                'string',
                'skipOnEmpty' => false,
                'max' => 6, // Minimum value
                'min' => 6, // Greater than or equal to
                'message' => 'school code must be must be 6 characters long.',
                'when' => function ($model) {
                    return ($model->ExaminationFromG > 0  && $model->ApplyCourseID == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ExaminationFromG').val() > 0 && $('#ApplyCourseID').val()==2); 
                }",
            ],

            // //
            // [
            //     'MaxGradePoint',
            //     'compare',
            //     'compareValue' => 0.0, // Minimum value
            //     'operator' => '>=', // Greater than or equal to
            //     'message' => 'Max grade point must be greater than or equal to 0.0',
            //     'when' => function ($model) {
            //         return ($model->PassStatus == 1 && $model->ResultMode == 2);
            //     },
            //     'whenClient' => "function (attribute, value) {
            //         return ($('#candidatequalificationdetailstbl-passstatus').val() == 1 && $('#resultmode').val() == 2);
            //     }",
            // ],

            //diploma
            [
                'DiplomaCollegeName', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val()==1); 
                }",
            ],
            [
                'DiplomaCourseName', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma == 1 && $model->ApplyCourseID == 1 && ($model->lateralR == 10062 || $model->lateralR == 10063));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val()==1 && $('#ApplyCourseID').val()==1 && ($('#lateralR').val()==10062 || $('#lateralR').val()==10063)); 
                }",
            ],
            [
                'DiplomaBoard', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val()==1); 
                }",
            ],

            [
                'ResultModeD', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val()==1); 
                }",
            ],
            [
                'TotalMarksD', 'required', 'when' => function ($model) {
                    return ($model->ResultModeD == 1 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==1 && $('#IsDiploma :selected').val()==1); 
                }",
            ],
            [
                'MarksObtainedD', 'required', 'when' => function ($model) {
                    return ($model->ResultModeD == 1 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==1 && $('#IsDiploma :selected').val()==1); 
                }",
            ],
            [
                'CgpaPercentageMarksD', 'required', 'when' => function ($model) {
                    return ($model->ResultModeD == 1 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==1 && $('#IsDiploma :selected').val()==1); 
                }",
            ],
            //// $MaxGradePointD, $ObtainedCGPAD, $CGPAPercentageD,
            [
                'MaxGradePointD', 'required', 'when' => function ($model) {
                    return ($model->ResultModeD == 2 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==2 && $('#IsDiploma :selected').val()==1); 
                }",
            ],
            [
                'ObtainedCGPAD', 'required', 'when' => function ($model) {
                    return ($model->ResultModeD == 2 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==2 && $('#IsDiploma :selected').val()==1); 
                }",
            ],
            [
                'CGPAPercentageD', 'required', 'when' => function ($model) {
                    return ($model->ResultModeD == 2 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==2 && $('#IsDiploma :selected').val()==1); 
                }",
            ],

            //cgpa
            [
                'MaxGradePointD',
                'compare',
                'compareValue' => 1, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max grade point must be greater than or equal to 1',
                'when' => function ($model) {
                    return ($model->ResultModeD == 2 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==2 && $('#IsDiploma :selected').val()==1); 
                }",
            ],
            [
                'MaxGradePointD',
                'compare',
                'compareValue' => 10.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max grade point must be less than or equal to 10.0',
                'when' => function ($model) {
                    return ($model->ResultModeD == 2 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==2 && $('#IsDiploma :selected').val()==1); 
                }",
            ],

            [
                'CGPAPercentageD',
                'compare',
                'compareValue' => 40, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max Cgpa Percentag Marks must be greater than or equal to 40',
                'when' => function ($model) {
                    return ($model->ResultModeD == 2 && $model->IsDiploma == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeD :selected').val()==2 && $('#IsDiploma :selected').val()==1); 
                }",
            ],
            [
                'CGPAPercentageD',
                'compare',
                'compareValue' => 100.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max Cgpa Percentage Marks must be less than or equal to 100.0',
                'when' => function ($model) {
                    return ($model->ResultModeD == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultModeD :selected').val()==2 ; 
                }",
            ],
            //literal 
            [
                'IsLateral', 'required', 'when' => function ($model) {
                    return ($model->IsDiploma == 0 && ($model->lateralR == 10062 || $model->lateralR == 10063));
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsDiploma :selected').val()==0 && ($('#lateralR').val()==10062 || $('#lateralR').val()==10063)); 
                }",
            ],
            [
                'ResultModeL', 'required', 'when' => function ($model) {
                    return ($model->IsLateral == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#IsLateral').val()==1); 
                }",
            ],
            [
                'TotalMarksL', 'required', 'when' => function ($model) {
                    return ($model->ResultModeL == 1 && $model->IsLateral == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeL :selected').val()==1 && $('#IsLateral').val()==1); 
                }",
            ],
            [
                'MarksObtainedL', 'required', 'when' => function ($model) {
                    return ($model->ResultModeL == 1 && $model->IsLateral == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeL :selected').val()==1 && $('#IsLateral').val()==1); 
                }",
            ],
            [
                'CgpaPercentageMarksL', 'required', 'when' => function ($model) {
                    return ($model->ResultModeL == 1 && $model->IsLateral == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeL :selected').val()==1 && $('#IsLateral').val()==1); 
                }",
            ],
            // $MaxGradePointL, $ObtainedCGPAL, $CGPAPercentageL;
            [
                'MaxGradePointL', 'required', 'when' => function ($model) {
                    return ($model->ResultModeL == 2 && $model->IsLateral == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeL :selected').val()==2 && $('#IsLateral').val()==1); 
                }",
            ],
            [
                'ObtainedCGPAL', 'required', 'when' => function ($model) {
                    return ($model->IsLateral == 1 && $model->ResultModeL == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeL :selected').val()==2 && $('#IsLateral').val()==1); 
                }",
            ],
            [
                'CGPAPercentageL', 'required', 'when' => function ($model) {
                    return ($model->IsLateral == 1 && $model->ResultModeL == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeL :selected').val()==2 && $('#IsLateral').val()==1); 
                }",
            ],

            //cgpa
            [
                'MaxGradePointL',
                'compare',
                'compareValue' => 1, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max grade point must be greater than or equal to 1',
                'when' => function ($model) {
                    return ($model->ResultModeL == 2 && $model->IsLateral == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeL :selected').val()==2 && $('#IsLateral').val()==1);
                }",
            ],
            [
                'MaxGradePointL',
                'compare',
                'compareValue' => 10.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max grade point must be less than or equal to 10.0',
                'when' => function ($model) {
                    return ($model->ResultModeL == 2 && $model->IsLateral == 1);
                },
                'whenClient' => "function (attribute, value) { 
                    return ($('#ResultModeL :selected').val()==2 && $('#IsLateral').val()==1);
                }",
            ],
            [
                'CGPAPercentageL',
                'compare',
                'compareValue' => 40, // Minimum value
                'operator' => '>=', // Greater than or equal to
                'message' => 'Max Cgpa Percentag Marks must be greater than or equal to 40',
                'when' => function ($model) {
                    return ($model->ResultModeL == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultModeL :selected').val()==2 ; 
                }",
            ],
            [
                'CGPAPercentageL',
                'compare',
                'compareValue' => 100.0, // Maximum value
                'operator' => '<=', // Less than or equal to
                'message' => 'Max Cgpa Percentage Marks must be less than or equal to 100.0',
                'when' => function ($model) {
                    return ($model->ResultModeL == 2);
                },
                'whenClient' => "function (attribute, value) { 
                    return $('#ResultModeL :selected').val()==2 ; 
                }",
            ],

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CandidateID' => 'Candidate ID',
            'PassStatus10' => 'Pass Status',
            'PassingYear10' => 'Passing Year',
            'QualifyingExam10' => 'Qualifying Exam',
            'PlaceOfSchooling10' => 'Place Of Schooling',
            'TypeOfSchoolCollage10' => 'Type Of School Collage',
            'QualifyingState10' => 'Qualifying State',
            'QualifyingDistrict10' => 'Qualifying District',
            'ResultMode10' => 'Result Mode',
            'TotalMarks10' => 'Total Marks',
            'MarksObtained10' => 'Marks Obtained',
            'CgpaPercentageMarks10' => 'CGPA Percentage Marks',
            'RollNumber10' => 'Roll Number',
            'SchoolNameAddress10' => 'School Name Address',
            'SchoolPincode10' => 'School Pincode',
            'PassStatus12' => 'Pass Status',
            'PassingYear12' => 'Passing Year',
            'QualifyingExam12' => 'Qualifying Exam',
            'PlaceOfSchooling12' => 'Place Of Schooling',
            'TypeOfSchoolCollage12' => 'Type Of School Collage',
            'QualifyingState12' => 'Qualifying State',
            'QualifyingDistrict12' => 'Qualifying District',
            'ResultMode12' => 'Result Mode',
            'TotalMarks12' => 'Total Marks',
            'MarksObtained12' => 'Marks Obtained',
            'CgpaPercentageMarks12' => 'CGPA Percentage Marks',
            'RollNumber12' => 'Roll Number',
            'SchoolNameAddress12' => 'School Name Address',
            'SchoolPincode12' => 'School Pincode',
            'PassStatusG' => 'Pass Status',
            'PassingYearG' => 'Passing Year',
            'QualifyingExamG' => 'Qualifying Exam',
            'ExaminationFromG' => 'Examination From',
            'UniversityInstituteG' => 'University Institute',
            'OtherUniversityInstituteG' => 'Other University Institute',
            'ResultModeG' => 'Result Mode',
            'TotalMarksG' => 'Total Marks',
            'MarksObtainedG' => 'Marks Obtained',
            'CgpaPercentageMarksG' => 'CGPA Percentage Marks',
            'InstituteNameG' => 'Institute Name',
            'InstitutePincodeG' => 'Institute Pincode',
            'CreateDate' => 'Create Date',
            'IsActive' => 'Is Active',
            'SchoolBoard10' => 'School Board',
            'OtherSchoolBoard10' => 'Other School Board',
            'SchoolBoard12' => 'School Board',
            'OtherSchoolBoard12' => 'Other School Board',
            'TotalMarksOT' => 'Total Marks',
            'MarksObtainedOT' => 'Marks Obtained',
            'percentageOT' => 'Percentage',
            'TotalMarksOTW' => 'Total Marks',
            'MarksObtainedOTW' => 'Marks Obtained',
            'percentageOTW' => 'Percentage',
            'TotalMarksU' => 'Total Marks',
            'MarksObtainedU' => 'Marks Obtained',
            'percentageU' => 'Percentage',
            'CourseStreamG' => 'Course Stream',
            'IsDiploma' => 'Diploma',
            'ResultModeD' => 'Result Mode',
            'TotalMarksD' => 'Total Marks',
            'MarksObtainedD' => 'Marks Obtained',
            'CgpaPercentageMarksD' => 'CGPA Percentage Marks',
            'IsLateral' => 'IsLateral',
            'ResultModeL' => 'Result Mode',
            'TotalMarksL' => 'Total Marks',
            'MarksObtainedL' => 'Marks Obtained',
            'CgpaPercentageMarksL' => 'CGPA Percentage Marks',
            'MaxGradePointD' => 'Max Grade Point',
            'ObtainedCGPAD' => 'Obtained CGPA',
            'CGPAPercentageD' => 'CGPA Percentage Marks',
            'MaxGradePointL' => 'MaxGrade Point',
            'ObtainedCGPAL' => 'Obtained CGPA',
            'CGPAPercentageL' => 'CGPA Percentage Marks',
            'DiplomaCollegeName' => 'Name of School/College',
            'DiplomaBoard' => 'Name of Board/University',
        ];
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    public function checkGraduationYearGapValidation()
    {
        if (!empty($this->PassingYear12) && !empty($this->PassingYear10) ) {
            $YearGap = $this->PassingYear12 - $this->PassingYear10;
            if ($YearGap < 2) {
                $this->addError('PassingYear12', 'Minimum Year Gap between 10th and 12th should be 2 year.');
            }
        }
    }

    
}
