<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateTbl".
 *
 * @property int $ID
 * @property string|null $ApplicationNumber
 * @property string|null $CandidateName
 * @property string|null $CandidateEmail
 * @property string|null $CandidateMobile
 * @property string|null $AlternateMobile
 * @property string|null $Password
 * @property string|null $FatherName
 * @property string|null $MotherName
 * @property string|null $DOB
 * @property string|null $GenderID
 * @property string|null $IdentityID
 * @property string|null $IdentityNumber
 * @property string|null $SecurityQuestionID
 * @property string|null $SecurityAnswer
 * @property int|null $IsAadharNumber
 * @property string|null $AadharNumber
 * @property string|null $NameOnAadhar
 * @property string|null $DOBOnAadhar
 * @property string|null $GenderOnAadharID
 * @property int|null $IsAadharOptions
 * @property string|null $AadharSelectedOption
 * @property string|null $NationalityID
 * @property string|null $CastCategoryID
 * @property int|null $PhysicalDisability
 * @property int|null $IsDiabetic
 * @property int|null $AnnualIncome
 * @property int|null $MinorityCommunity
 * @property string|null $QuestionPaperMediumID
 * @property int|null $IsConfirm
 * @property string|null $RegisteredDate
 * @property string|null $ApplicationSubmitDate
 * @property string|null $LastLoginDate
 * @property string|null $ModifyBy
 * @property string|null $ModifyDate
 * @property string|null $CandidateIP
 * @property int|null $IsActive
 * @property string $AuthKey
 * @property string $VerificationToken
 * @property int $Status
 * @property int $created_at
 * @property int $updated_at
 * @property string|null $PasswordResetToken
 *
 * @property CandidateAddressTbl[] $candidateAddressTbls
 * @property CandidateAddressTbl[] $candidateAddressTbls0
 * @property CandidateApplyCourseTbl[] $candidateApplyCourseTbls
 * @property CandidateApplyCourseTbl[] $candidateApplyCourseTbls0
 * @property CandidateApplySubjectTbl[] $candidateApplySubjectTbls
 * @property CandidateApplySubjectTbl[] $candidateApplySubjectTbls0
 * @property CandidateChoiceExamCenterTbl[] $candidateChoiceExamCenterTbls
 * @property CandidateChoiceExamCenterTbl[] $candidateChoiceExamCenterTbls0
 * @property CandidateDocumentTbl[] $candidateDocumentTbls
 * @property CandidateDocumentTbl[] $candidateDocumentTbls0
 * @property CandidateOtpTbl[] $candidateOtpTbls
 * @property CandidateOtpTbl[] $candidateOtpTbls0
 * @property CandidatePassedSubjectTbl[] $candidatePassedSubjectTbls
 * @property CandidateQualificationDetailsTbl[] $candidateQualificationDetailsTbls
 * @property CandidateQualificationDetailsTbl[] $candidateQualificationDetailsTbls0
 * @property ParentGardienOccupationTbl[] $parentGardienOccupationTbls
 * @property ParentGardienOccupationTbl[] $parentGardienOccupationTbls0
 * @property ParentGardienQualificationTbl[] $parentGardienQualificationTbls
 * @property ParentGardienQualificationTbl[] $parentGardienQualificationTbls0
 * @property PaymentTranscationTbl[] $paymentTranscationTbls
 * @property PaymentTranscationTbl[] $paymentTranscationTbls0
 */
class CandidateTbl extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return 'CandidateTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['IsAadharNumber', 'IsAadharOptions', 'PhysicalDisability', 'IsDiabetic', 'AnnualIncome', 'MinorityCommunity', 'IsConfirm', 'IsActive', 'Status', 'created_at', 'updated_at'], 'integer'],
            [['RegisteredDate', 'ApplicationSubmitDate', 'LastLoginDate', 'ModifyDate'], 'safe'],
            [['AuthKey', 'VerificationToken', 'Status', 'created_at', 'updated_at'], 'required'],
            [['ApplicationNumber', 'AadharNumber', 'DOBOnAadhar', 'AadharSelectedOption', 'AuthKey'], 'string', 'max' => 50],
            [['CandidateName', 'FatherName', 'MotherName', 'IdentityNumber', 'SecurityAnswer'], 'string', 'max' => 100],
            [['CandidateEmail', 'Password', 'NameOnAadhar', 'ModifyBy'], 'string', 'max' => 150],
            [['CandidateMobile', 'AlternateMobile'], 'string', 'max' => 15],
            [['DOB'], 'string', 'max' => 30],
            [['GenderID', 'IdentityID', 'SecurityQuestionID', 'GenderOnAadharID', 'NationalityID', 'CastCategoryID', 'QuestionPaperMediumID'], 'string', 'max' => 10],
            [['CandidateIP'], 'string', 'max' => 70],
            [['VerificationToken', 'PasswordResetToken'], 'string', 'max' => 225],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'ApplicationNumber' => 'Application Number',
            'CandidateName' => 'Candidate Name',
            'CandidateEmail' => 'Candidate Email',
            'CandidateMobile' => 'Candidate Mobile',
            'AlternateMobile' => 'Alternate Mobile',
            'Password' => 'Password',
            'FatherName' => 'Father Name',
            'MotherName' => 'Mother Name',
            'DOB' => 'Dob',
            'GenderID' => 'Gender ID',
            'IdentityID' => 'Identity ID',
            'IdentityNumber' => 'Identity Number',
            'SecurityQuestionID' => 'Security Question ID',
            'SecurityAnswer' => 'Security Answer',
            'IsAadharNumber' => 'Is Aadhar Number',
            'AadharNumber' => 'Aadhar Number',
            'NameOnAadhar' => 'Name On Aadhar',
            'DOBOnAadhar' => 'Dob On Aadhar',
            'GenderOnAadharID' => 'Gender On Aadhar ID',
            'IsAadharOptions' => 'Is Aadhar Options',
            'AadharSelectedOption' => 'Aadhar Selected Option',
            'NationalityID' => 'Nationality ID',
            'CastCategoryID' => 'Cast Category ID',
            'PhysicalDisability' => 'Physical Disability',
            'IsDiabetic' => 'Is Diabetic',
            'AnnualIncome' => 'Annual Income',
            'MinorityCommunity' => 'Minority Community',
            'QuestionPaperMediumID' => 'Question Paper Medium ID',
            'IsConfirm' => 'Is Confirm',
            'RegisteredDate' => 'Registered Date',
            'ApplicationSubmitDate' => 'Application Submit Date',
            'LastLoginDate' => 'Last Login Date',
            'ModifyBy' => 'Modify By',
            'ModifyDate' => 'Modify Date',
            'CandidateIP' => 'Candidate Ip',
            'IsActive' => 'Is Active',
            'AuthKey' => 'Auth Key',
            'VerificationToken' => 'Verification Token',
            'Status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'PasswordResetToken' => 'Password Reset Token',
        ];
    }

    /**
     * Gets query for [[CandidateAddressTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateAddressTbls()
    {
        return $this->hasMany(CandidateAddressTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateAddressTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateAddressTbls0()
    {
        return $this->hasMany(CandidateAddressTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateApplyCourseTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateApplyCourseTbls()
    {
        return $this->hasMany(CandidateApplyCourseTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateApplyCourseTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateApplyCourseTbls0()
    {
        return $this->hasMany(CandidateApplyCourseTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateApplySubjectTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateApplySubjectTbls()
    {
        return $this->hasMany(CandidateApplySubjectTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateApplySubjectTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateApplySubjectTbls0()
    {
        return $this->hasMany(CandidateApplySubjectTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateChoiceExamCenterTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateChoiceExamCenterTbls()
    {
        return $this->hasMany(CandidateChoiceExamCenterTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateChoiceExamCenterTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateChoiceExamCenterTbls0()
    {
        return $this->hasMany(CandidateChoiceExamCenterTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateDocumentTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateDocumentTbls()
    {
        return $this->hasMany(CandidateDocumentTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateDocumentTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateDocumentTbls0()
    {
        return $this->hasMany(CandidateDocumentTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateOtpTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateOtpTbls()
    {
        return $this->hasMany(CandidateOtpTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateOtpTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateOtpTbls0()
    {
        return $this->hasMany(CandidateOtpTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidatePassedSubjectTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidatePassedSubjectTbls()
    {
        return $this->hasMany(CandidatePassedSubjectTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateQualificationDetailsTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateQualificationDetailsTbls()
    {
        return $this->hasMany(CandidateQualificationDetailsTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateQualificationDetailsTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateQualificationDetailsTbls0()
    {
        return $this->hasMany(CandidateQualificationDetailsTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienOccupationTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienOccupationTbls()
    {
        return $this->hasMany(ParentGardienOccupationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienOccupationTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienOccupationTbls0()
    {
        return $this->hasMany(ParentGardienOccupationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienQualificationTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienQualificationTbls()
    {
        return $this->hasMany(ParentGardienQualificationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienQualificationTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienQualificationTbls0()
    {
        return $this->hasMany(ParentGardienQualificationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[PaymentTranscationTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentTranscationTbls()
    {
        return $this->hasMany(PaymentTranscationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[PaymentTranscationTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentTranscationTbls0()
    {
        return $this->hasMany(PaymentTranscationTbl::class, ['CandidateID' => 'ID']);
    }
}
