<?php

namespace app\modules\application\models;

use Yii;

class CandidateTblUpdate extends \yii\db\ActiveRecord
{
    /**
     * This is the model class for table "CandidateTbl".
     *
     * @property string|null $CandidateEmail
     * @property string|null $CandidateMobile
     * @property string|null $AlternateMobile
     */
    public $mobileopt;
    public static function tableName()
    {
        return 'CandidateTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            ['CandidateMobile', 'required'],
            [
                ['CandidateMobile', 'AlternateMobile'],
                'match', 'pattern' => "/^[0-9]{10}$/",
                'message' => 'Please enter only numeric value and should be 10 digits.'
            ],
            [['CandidateMobile', 'AlternateMobile'], 'string', 'min' => 10, 'max' => 10, 'message' => 'Candidate valid mobile number.'],
            ['AlternateMobile', 'compare', 'compareAttribute' => 'CandidateMobile', 'operator' => '!=', 'message' => 'Mobile number and alternate mobile number should not be same.'],
            ['CandidateMobile', 'compare', 'compareAttribute' => 'AlternateMobile', 'operator' => '!=', 'message' => 'Mobile number and alternate mobile number should not be same.'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return ['CandidateMobile'=> 'CandidateMobile',
                'AlternateMobile' => 'AlternateMobile',      
                ];
    }
}
