<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CityMst".
 *
 * @property int $ID
 * @property int|null $StateID
 * @property string|null $CityCode
 * @property string|null $CityName
 * @property int|null $IsActive
 *
 * @property CandidateChoiceExamCenterTbl[] $candidateChoiceExamCenterTbls
 * @property CandidateChoiceExamCenterTbl[] $candidateChoiceExamCenterTbls0
 * @property ExamCenterMst[] $examCenterMsts
 * @property ExamCenterMst[] $examCenterMsts0
 * @property StateMst $state
 * @property StateMst $state0
 * @property StateMst $state1
 * @property StateMst $state2
 * @property StateMst $state3
 */
class CityMst extends \yii\db\ActiveRecord
{

    public static function tableName()
    {
        return 'CityMst';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['StateID', 'IsActive'], 'integer'],
            [['CityCode'], 'string', 'max' => 10],
            [['CityName'], 'string', 'max' => 50],
            [['StateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['StateID' => 'ID']],
            [['StateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['StateID' => 'ID']],
            [['StateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['StateID' => 'ID']],
            [['StateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['StateID' => 'ID']],
            [['StateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['StateID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'StateID' => 'State ID',
            'CityCode' => 'City Code',
            'CityName' => 'City Name',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[CandidateChoiceExamCenterTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateChoiceExamCenterTbls()
    {
        return $this->hasMany(CandidateChoiceExamCenterTbl::class, ['ExamCenterCityID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateChoiceExamCenterTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateChoiceExamCenterTbls0()
    {
        return $this->hasMany(CandidateChoiceExamCenterTbl::class, ['ExamCenterCityID' => 'ID']);
    }

    /**
     * Gets query for [[ExamCenterMsts]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterMsts()
    {
        return $this->hasMany(ExamCenterMst::class, ['CenterCityID' => 'ID']);
    }

    /**
     * Gets query for [[ExamCenterMsts0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterMsts0()
    {
        return $this->hasMany(ExamCenterMst::class, ['CenterCityID' => 'ID']);
    }

    /**
     * Gets query for [[State]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getState()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'StateID']);
    }

    /**
     * Gets query for [[State0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getState0()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'StateID']);
    }

    /**
     * Gets query for [[State1]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getState1()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'StateID']);
    }

    /**
     * Gets query for [[State2]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getState2()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'StateID']);
    }

    /**
     * Gets query for [[State3]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getState3()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'StateID']);
    }
}
