<?php

namespace app\modules\application\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\modules\application\models\ContactDetails;

/**
 * ContactDetailsSearch represents the model behind the search form of `app\modules\application\models\ContactDetails`.
 */
class ContactDetailsSearch extends ContactDetails
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['ID', 'CandidateID', 'CountryID', 'StateUTID', 'DistrictID', 'AddressType', 'IsActive'], 'integer'],
            [['PremisesName', 'SubLocality', 'Locality', 'PinCode', 'CreateDate'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = ContactDetails::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'ID' => $this->ID,
            'CandidateID' => $this->CandidateID,
            'CountryID' => $this->CountryID,
            'StateUTID' => $this->StateUTID,
            'DistrictID' => $this->DistrictID,
            'AddressType' => $this->AddressType,
            'CreateDate' => $this->CreateDate,
            'IsActive' => $this->IsActive,
        ]);

        $query->andFilterWhere(['like', 'PremisesName', $this->PremisesName])
            ->andFilterWhere(['like', 'SubLocality', $this->SubLocality])
            ->andFilterWhere(['like', 'Locality', $this->Locality])
            ->andFilterWhere(['like', 'PinCode', $this->PinCode]);

        return $dataProvider;
    }
}
