<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CountryMst".
 *
 * @property int $ID
 * @property string|null $CountryCode
 * @property string|null $CountryName
 * @property int|null $IsActive
 *
 * @property StateMst[] $stateMsts
 * @property StateMst[] $stateMsts0
 */
class CountryMst extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CountryMst';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['ID'], 'required'],
            [['ID', 'IsActive'], 'integer'],
            [['CountryCode'], 'string', 'max' => 10],
            [['CountryName'], 'string', 'max' => 100],
            [['ID'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CountryCode' => 'Country Code',
            'CountryName' => 'Country Name',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[StateMsts]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getStateMsts()
    {
        return $this->hasMany(StateMst::class, ['CountryID' => 'ID']);
    }

    /**
     * Gets query for [[StateMsts0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getStateMsts0()
    {
        return $this->hasMany(StateMst::class, ['CountryID' => 'ID']);
    }
}
