<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "DistrictMst".
 *
 * @property int $ID
 * @property int|null $StateID
 * @property string|null $DistrictCode
 * @property string|null $DistrictName
 * @property int|null $IsActive
 *
 * @property StateMst $state
 * @property StateMst $state0
 */
class DistrictMst extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'DistrictMst';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['StateID', 'IsActive'], 'integer'],
            [['DistrictCode'], 'string', 'max' => 10],
            [['DistrictName'], 'string', 'max' => 100],
            [['StateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['StateID' => 'ID']],
            [['StateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['StateID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'StateID' => 'State ID',
            'DistrictCode' => 'District Code',
            'DistrictName' => 'District Name',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[State]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getState()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'StateID']);
    }

    /**
     * Gets query for [[State0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getState0()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'StateID']);
    }
}
