<?php

namespace frontend\modules\application\models;

use Yii;
use yii\base\Model;
use yii\web\UploadedFile;

/**
 * This is the model class for table "DocumentMst".
 *
 * @property int $ID
 * @property string|null $DocumentCode
 * @property string|null $DocumentName
 * @property int|null $IsActive
 *
 * @property CandidateDocumentTbl[] $candidateDocumentTbls
 * @property CandidateDocumentTbl[] $candidateDocumentTbls0
 */
class DocumentMst extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public $D0001;
    public $D0002;
    public $D0003;
    public $D0004;
    public $D0005;
    public $D0006;
    public $D0007;
    // public $ids;

    public static function tableName()
    {
        return 'DocumentMst';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            //  [['DocumentCode'], 'string', 'max' => 200],
            //   [['ids'], 'integer'],
            //   [['ids'], 'required'], 
            ['D0001', 'file', 'extensions' => ['jpg', 'jpeg', 'JPG', 'JPEG'], 'minSize' => 10 * 1024, 'maxSize' => yii::$app->params['photoMaxSize'] * yii::$app->params['byteSize']], //max 200 kb, min 10 kb 
            ['D0002', 'file', 'extensions' => ['jpg', 'jpeg', 'JPG', 'JPEG'], 'minSize' => yii::$app->params['signatureMinSize'] * yii::$app->params['byteSize'], 'maxSize' => yii::$app->params['signatureMaxSize'] * yii::$app->params['byteSize']],    // max 30 kb , min 4 kb
            ['D0003', 'file', 'extensions' => ['pdf'], 'minSize' => yii::$app->params['pdfMinSize'] * yii::$app->params['byteSize'], 'maxSize' => yii::$app->params['pdfMaxSize'] * yii::$app->params['byteSize']],  //max 300 kb, min 50 kb
            ['D0004', 'file', 'extensions' => ['pdf'], 'minSize' => yii::$app->params['pdfMinSize'] * yii::$app->params['byteSize'], 'maxSize' => yii::$app->params['pdfMaxSize'] * yii::$app->params['byteSize']],    //max 300 kb, min 50 kb
            ['D0005', 'file', 'extensions' => ['pdf'], 'minSize' => yii::$app->params['pdfMinSize'] * yii::$app->params['byteSize'], 'maxSize' => yii::$app->params['pdfMaxSize'] * yii::$app->params['byteSize']], //max 300 kb, min 50 kb
            ['D0006', 'file', 'extensions' => ['pdf'], 'minSize' => yii::$app->params['pdfMinSize'] * yii::$app->params['byteSize'], 'maxSize' => yii::$app->params['pdfMaxSize'] * yii::$app->params['byteSize']],    //max 300 kb, min 50 kb
            ['D0007', 'file', 'extensions' => ['pdf'], 'minSize' => yii::$app->params['pdfMinSize'] * yii::$app->params['byteSize'], 'maxSize' => yii::$app->params['pdfMaxSize'] * yii::$app->params['byteSize']],  //max 300 kb, min 50 kb
            [
                'D0001', 'required', 'when' => function ($model) {
                    return $model->D0001;
                },
            ],
            [
                'D0002', 'required', 'when' => function ($model) {
                    return $model->D0002;
                },
            ],
            [
                'D0003', 'required', 'when' => function ($model) {
                    return $model->D0003;
                },
            ],
            [
                'D0004', 'required', 'when' => function ($model) {
                    return $model->D0004;
                },
            ],
            [
                'D0005', 'required', 'when' => function ($model) {
                    return $model->D0005;
                },
            ],
            [
                'D0006', 'required', 'when' => function ($model) {
                    return $model->D0006;
                },
            ],
            [
                'D0007', 'required', 'when' => function ($model) {
                    return $model->D0007;
                },
            ],

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'D0001' => 'Photo',
            'D0002' => 'Sign',
            'D0003' => 'SC_ST',
            'D0004' => 'Is Active',
            'D0005' => 'NCL',
            'D0006' => 'PWD',
            'D0007' => 'SCRIBE',
            // 'ids'   => 'checking Custom field',

        ];
    }

    /**
     * Gets query for [[CandidateDocumentTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    // public function getCandidateDocumentTbls()
    // {
    //     return $this->hasMany(CandidateDocumentTbl::class, ['DocumentID' => 'ID']);
    // }

    /**
     * Gets query for [[CandidateDocumentTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    // public function getCandidateDocumentTbls0()
    // {
    //     return $this->hasMany(CandidateDocumentTbl::class, ['DocumentID' => 'ID']);
    // }

}
