<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateChoiceExamCenterTbl".
 *
 * @property int $ID
 * @property int|null $CandidateID
 * @property int|null $ExamCenterStateID
 * @property int|null $ExamCenterCityID
 * @property int|null $ExamCenterPriorty
 * @property int|null $IsActive
 *
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 * @property CityMst $examCenterCity
 * @property CityMst $examCenterCity0
 * @property StateMst $examCenterState
 * @property StateMst $examCenterState0
 */
class ExamCenterDetails extends \yii\db\ActiveRecord

{

    public $ApplyFor,
    $SubjectOptedNet,
    $QuestionPaperMedium,
    $FstChoiceForExamCity,
    $SndChoiceForExamCity,
    $ThrdChoiceForExamCity,
    $ForthChoiceForExamCity,
    $FatherGuardianOccupation,
    $FatherGuardianQualification,
    $MotherGuardianOccupation,
    $MotherGuardianQualification,
    $FstChoiceForExamState,
    $SndChoiceForExamState,
    $ThrdChoiceForExamState,
    $verifyCode,
    $check_confirmation,
    $LanguageID,
    $ForthChoiceForExamState,
    $MphilCourse,
    $UniversityName,
    $AdmissionYear,
    $DegreeCourse,
    $ResultAwaited,
    $SubjectSpecialization,
    $OtherSubjectSpecialization,
    $IsArtisanSonDoughter,
    $ArtisanDetails,
    $ArtisanNumber, 
    $ArtisanParentCardNumber,
    $ArtisanConfirmation,
    $Day,
    $Month,
    $Year,
    $DateOfIssue,
    $TradeOfArtisan;
    // $SndChoiceForExamStateC,  
    // $SndChoiceForExamCityC,        
    // $FstChoiceForExamStateC, 
    // $FstChoiceForExamCityC,     
    // $ThrdChoiceForExamStateC, 
    // $ThrdChoiceForExamCityC,      
    // $ForthChoiceForExamStateC, 
    // $ForthChoiceForExamCityC;



    // $IsCheckedName,
    // $IsCheckedDOB,
    // $IsCheckedFatherName,
    // $IsCheckedMotherName,
    //  $IsCheckedGender,
    // $IsCheckedAddress,
    //  $IsCheckedMobile,
    //  $IsCheckedEmail,
    //  $Centercity,
    //  $Course,
    
   // 'FstChoiceForExamStateC','FstChoiceForExamCityC','SndChoiceForExamStateC', 'SndChoiceForExamCityC','ThrdChoiceForExamStateC', 
  // 'ThrdChoiceForExamCityC','ForthChoiceForExamStateC','ForthChoiceForExamCityC'


  //FstChoiceForExamState', 'SndChoiceForExamState', 'ThrdChoiceForExamState',
  //'ForthChoiceForExamState', 'FstChoiceForExamCity', 'SndChoiceForExamCity', 'ThrdChoiceForExamCity', 'ForthChoiceForExamState', 'ForthChoiceForExamCity',
    public static function tableName()
    {
        return 'CandidateChoiceExamCenterTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CandidateID', 'ExamCenterStateID', 'ExamCenterCityID', 'ExamCenterPriorty', 'IsActive'], 'integer'],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['ExamCenterStateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['ExamCenterStateID' => 'ID']],
            [['ExamCenterStateID'], 'exist', 'skipOnError' => true, 'targetClass' => StateMst::class, 'targetAttribute' => ['ExamCenterStateID' => 'ID']],
            [['ExamCenterCityID'], 'exist', 'skipOnError' => true, 'targetClass' => CityMst::class, 'targetAttribute' => ['ExamCenterCityID' => 'ID']],
            [['ExamCenterCityID'], 'exist', 'skipOnError' => true, 'targetClass' => CityMst::class, 'targetAttribute' => ['ExamCenterCityID' => 'ID']],
            [['ApplyFor', 'SubjectSpecialization', 'QuestionPaperMedium',  'FatherGuardianOccupation', 'FatherGuardianQualification', 'MotherGuardianOccupation', 'MotherGuardianQualification',
                'check_confirmation', 'verifyCode'], 'required'],
            [['Day','Month','Year'], 'required'],

            ['verifyCode', 'captcha', 'captchaAction' => '/application/exam-center/captcha'],

            [
                'OtherSubjectSpecialization', 'required', 'when' => function ($model) {
                    return ($model->SubjectSpecialization == 0);

                },
                'whenClient' => "function (attribute, value) {
                    return $('#SubjectSpecialization option:selected').text() == 'OTHER';
                }",
                'message' => "Other Subject Specialization  cannot be blank.",
            ],
            
            [
                'IsArtisanSonDoughter', 'required', 'when' => function ($model) {
                    return ( ($model->SubjectSpecialization==10074));
                }, 
                'whenClient' => "function (attribute, value) { 
                    return (($('#Courses :selected').val()==10074)); 
                }",
            ],
            [
                'ArtisanDetails', 'required', 'when' => function ($model) {
                    return ( ($model->IsArtisanSonDoughter==1 && $model->SubjectSpecialization==10074));
                }, 
                'whenClient' => "function (attribute, value) { 
                    return (($('#IsArtisanSonDoughter :selected').val()==1) && $('#Courses :selected').val()==10074); 
                }",
            ],
            // [
            //     'ArtisanConfirmation', 'required', 'when' => function ($model) {
            //         return ( ($model->IsArtisanSonDoughter==1 && $model->SubjectSpecialization==10074));
            //     }, 
            //     'whenClient' => "function (attribute, value) { 
            //         return (($('#IsArtisanSonDoughter :selected').val()==1) && $('#Courses :selected').val()==10074); 
            //     }",
            // ],
            [
                'TradeOfArtisan', 'string', 'min' => 2, 'max' => 50, 'when' => function ($model) {
                    return ( ($model->IsArtisanSonDoughter==1 && $model->SubjectSpecialization==10074));
                }, 
                'whenClient' => "function (attribute, value) { 
                    return (($('#IsArtisanSonDoughter :selected').val()==1) && $('#Courses :selected').val()==10074); 
                }",
            ],
            [
                'TradeOfArtisan', 'required', 'when' => function ($model) {
                    return ( ($model->IsArtisanSonDoughter==1 && $model->SubjectSpecialization==10074));
                }, 
                'whenClient' => "function (attribute, value) { 
                    return (($('#IsArtisanSonDoughter :selected').val()==1) && $('#Courses :selected').val()==10074); 
                }",
            ],

            [
                'ArtisanNumber', 'string', 'min' => 2, 'max' => 50, 'when' => function ($model) {
                    return ( ($model->ArtisanDetails==1 && $model->SubjectSpecialization==10074));
                }, 
                'whenClient' => "function (attribute, value) { 
                    return (($('#ArtisanDetails :selected').val()==1) && $('#Courses :selected').val()==10074); 
                }",
            ],
            [
                'ArtisanNumber', 'required', 'when' => function ($model) {
                    return ( ($model->ArtisanDetails==1 && $model->SubjectSpecialization==10074));
                }, 
                'whenClient' => "function (attribute, value) { 
                    return (($('#ArtisanDetails :selected').val()==1) && $('#Courses :selected').val()==10074); 
                }",
            ],

            [
                'ArtisanParentCardNumber', 'string', 'min' => 2, 'max' => 50, 'when' => function ($model) {
                    return ( ($model->ArtisanDetails==2 && $model->SubjectSpecialization==10074));
                }, 
                'whenClient' => "function (attribute, value) { 
                    return (($('#ArtisanDetails :selected').val()==2) && $('#Courses :selected').val()==10074); 
                }",
            ],
            [
                'ArtisanParentCardNumber', 'required', 'when' => function ($model) {
                    return ( ($model->ArtisanDetails==2 && $model->SubjectSpecialization==10074));
                }, 
                'whenClient' => "function (attribute, value) { 
                    return (($('#ArtisanDetails :selected').val()==2) && $('#Courses :selected').val()==10074); 
                }",
            ],

            [['FstChoiceForExamState', 'FstChoiceForExamCity', 'SndChoiceForExamState',  'SndChoiceForExamCity', 'ThrdChoiceForExamState', 'ThrdChoiceForExamCity','ForthChoiceForExamState', 'ForthChoiceForExamCity'], 'required'],
            
        ];
    }
    // public function ageCriteria()
    // {
    //     if ($this->ApplyFor == 1) {
    //         if (isset($this->ApplyFor) && !Yii::$app->AgeCandidateCondition->CandidateAgeCondition($this->ApplyFor)) {
    //             $this->addError('ApplyFor', 'You are not full filling the max age criteria of NIFT.');
    //         }
    //     }
    // }
    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CandidateID' => 'Candidate ID',
            'ExamCenterStateID' => 'Exam Center State ID',
            'ExamCenterCityID' => 'Exam Center City ID',
            'ExamCenterPriorty' => 'Exam Center Priorty',
            'IsActive' => 'Is Active',
            'ApplyFor' => 'Apply For',
            'SubjectOptedNet' => 'Subject Opted Net',
            'SubjectSpecialization' => 'Courses',
            'QuestionPaperMedium' => 'Question Paper Medium',
            'FstChoiceForExamState' => '1st Choice For Exam',
            'SndChoiceForExamState' => '2nd Choice For Exam',
            'ThrdChoiceForExamState' => '3rd Choice For Exam',
            'ForthChoiceForExamState' => '4th Choice For Exam',
            'FstChoiceForExamCity' => '1st Choice For Exam',
            'SndChoiceForExamCity' => '2nd Choice For Exam',
            'ThrdChoiceForExamCity' => '3rd Choice For Exam',
            'ForthChoiceForExamCity' => '4th Choice For Exam',
            'FatherGuardianOccupation' => 'Father Guardian Occupation',
            'FatherGuardianQualification' => 'Father Guardian Qualification',
            'MotherGuardianOccupation' => 'Mother Guardian Occupation',
            'MotherGuardianQualification' => 'Mother Guardian Qualification',
            'verifyCode' => 'Verification Code',
            'check_confirmation' => 'I AGREE',
            'MphilCourse' => 'Mphil Phd Course',
            'UniversityName' => 'University Name',
            'AdmissionDate' => 'Date of Admission TO MPHIL/Ph.D',
            'DegreeCourse' => 'Master Degree course ',
            'ResultAwaited' => 'Result Awaited',
            'FstChoiceForExamStateC'=>'Campus ',
            'SndChoiceForExamStateC'=>'Campus ',
            'ThrdChoiceForExamStateC'=>'Campus ',
            'ForthChoiceForExamStateC'=>'Campus ',
            'FstChoiceForExamCityC'=>'NIFT Campus ',
            'SndChoiceForExamCityC'=>'NIFT Campus ',
            'ThrdChoiceForExamCityC'=>'NIFT Campus ',
            'ForthChoiceForExamCityC'=>'NIFT Campus ',
        ];
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[ExamCenterCity]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterCity()
    {
        return $this->hasOne(CityMst::class, ['ID' => 'ExamCenterCityID']);
    }

    /**
     * Gets query for [[ExamCenterCity0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterCity0()
    {
        return $this->hasOne(CityMst::class, ['ID' => 'ExamCenterCityID']);
    }

    /**
     * Gets query for [[ExamCenterState]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterState()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'ExamCenterStateID']);
    }

    /**
     * Gets query for [[ExamCenterState0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getExamCenterState0()
    {
        return $this->hasOne(StateMst::class, ['ID' => 'ExamCenterStateID']);
    }

    // public function getAgeAsOnDate($course_id)
    // {
    //     $courseData = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
    //         ->bindValue(':select', 'CourseCode')
    //         ->bindValue(':input', 'WHERE IsActive=1 AND ID=' . $course_id)
    //         ->bindValue(':table', 'CourseMst')
    //         ->queryOne();
    //     if (isset($courseData) && !empty($courseData)) {
    //         $apply_course_code = $courseData['CourseCode'];
    //         if ($apply_course_code == 'C002') {
    //             $cand_dob = date('Y-m-d', strtotime(Yii::$app->user->identity->DOB));
    //             $max_age_as_on_time_of_registration_date = date('Y-m-d', strtotime(yii::$app->params['MAX_AGE_AS_ON_TIME_OF_REGISTRATION_DATE']));
    //             $cand_age_calculated_as_on_date = Yii::$app->masterdata->ageCalculatorAsOnGivendate($cand_dob, $max_age_as_on_time_of_registration_date);
    //             $max_age_35 = yii::$app->params['MAX_AGE_AS_ON_DATE_FOR_ANY'];
    //             $checkMaxAgeAsOnDate_35 = Yii::$app->masterdata->checkAgeAsOnDate($cand_age_calculated_as_on_date, $max_age_35);
    //             if ($checkMaxAgeAsOnDate_35) {
    //                 return true;
    //             } else {
    //                 return false;
    //             }
    //         } else {
    //             return true;
    //         }
    //     } else {
    //         return false;
    //     }
    // }

    // public function test($attribute)
    // {
    //     $ApplyFor = $this->$attribute;

    //     if ($ApplyFor == '2') {
    //         $this->addError($attribute, "Error Test");
    //     }
    // }

}