<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "PaymentGatewayMst".
 *
 * @property int $ID
 * @property string|null $GatewayCode
 * @property string|null $GatewayName
 * @property int|null $IsActive
 *
 * @property PaymentTranscationTbl[] $paymentTranscationTbls
 * @property PaymentTranscationTbl[] $paymentTranscationTbls0
 */
class PaymentGatewayMst extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public $payment_gateway_id;
    public static function tableName()
    {
        return 'PaymentGatewayMst';
    }

    /**
     * {@inheritdoc}
     */

    public function rules()
    {
        return [
            [['IsActive'], 'integer'],
            [['GatewayCode'], 'string', 'max' => 10],
            [['GatewayName'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'GatewayCode' => 'Gateway Code',
            'GatewayName' => 'Gateway Name',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[PaymentTranscationTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentTranscationTbls()
    {
        return $this->hasMany(PaymentTranscationTbl::class, ['PaymentGatewayID' => 'ID']);
    }

    /**
     * Gets query for [[PaymentTranscationTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentTranscationTbls0()
    {
        return $this->hasMany(PaymentTranscationTbl::class, ['PaymentGatewayID' => 'ID']);
    }
}
