<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "PaymentTranscationTbl".
 *
 * @property int $ID
 * @property string|null $InvoiceCode
 * @property int|null $CandidateID
 * @property int|null $ActualExamFee
 * @property int|null $LateFeeAmount
 * @property int|null $PaidAmount
 * @property int|null $PaymentModeID
 * @property int|null $TranscationID
 * @property string|null $TranscationDate
 * @property string|null $PaymentStatus
 * @property int|null $PaymentGatewayID
 * @property string|null $RequestCode
 * @property string|null $ResponseCode
 * @property string|null $PaymentSubmitDate
 * @property string|null $PaymentSucessDate
 *
 * @property CandidateTbl $candidate
 * @property CandidateTbl $candidate0
 * @property PaymentGatewayMst $paymentGateway
 * @property PaymentGatewayMst $paymentGateway0
 * @property PaymentModeMst $paymentMode
 * @property PaymentModeMst $paymentMode0
 */
class PaymentTranscationTbl extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'PaymentTranscationTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CandidateID', 'ActualExamFee', 'LateFeeAmount', 'PaidAmount', 'PaymentModeID', 'TranscationID', 'PaymentGatewayID'], 'integer'],
            [['TranscationDate', 'PaymentSubmitDate', 'PaymentSucessDate'], 'safe'],
            [['InvoiceCode'], 'string', 'max' => 50],
            [['PaymentStatus'], 'string', 'max' => 30],
            [['RequestCode', 'ResponseCode'], 'string', 'max' => 250],
            [['PaymentGatewayID'], 'exist', 'skipOnError' => true, 'targetClass' => PaymentGatewayMst::class, 'targetAttribute' => ['PaymentGatewayID' => 'ID']],
            [['PaymentGatewayID'], 'exist', 'skipOnError' => true, 'targetClass' => PaymentGatewayMst::class, 'targetAttribute' => ['PaymentGatewayID' => 'ID']],
            [['PaymentModeID'], 'exist', 'skipOnError' => true, 'targetClass' => PaymentModeMst::class, 'targetAttribute' => ['PaymentModeID' => 'ID']],
            [['PaymentModeID'], 'exist', 'skipOnError' => true, 'targetClass' => PaymentModeMst::class, 'targetAttribute' => ['PaymentModeID' => 'ID']],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
            [['CandidateID'], 'exist', 'skipOnError' => true, 'targetClass' => CandidateTbl::class, 'targetAttribute' => ['CandidateID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'InvoiceCode' => 'Invoice Code',
            'CandidateID' => 'Candidate ID',
            'ActualExamFee' => 'Actual Exam Fee',
            'LateFeeAmount' => 'Late Fee Amount',
            'PaidAmount' => 'Paid Amount',
            'PaymentModeID' => 'Payment Mode ID',
            'TranscationID' => 'Transcation ID',
            'TranscationDate' => 'Transcation Date',
            'PaymentStatus' => 'Payment Status',
            'PaymentGatewayID' => 'Payment Gateway ID',
            'RequestCode' => 'Request Code',
            'ResponseCode' => 'Response Code',
            'PaymentSubmitDate' => 'Payment Submit Date',
            'PaymentSucessDate' => 'Payment Sucess Date',
        ];
    }

    /**
     * Gets query for [[Candidate]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[Candidate0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidate0()
    {
        return $this->hasOne(CandidateTbl::class, ['ID' => 'CandidateID']);
    }

    /**
     * Gets query for [[PaymentGateway]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentGateway()
    {
        return $this->hasOne(PaymentGatewayMst::class, ['ID' => 'PaymentGatewayID']);
    }

    /**
     * Gets query for [[PaymentGateway0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentGateway0()
    {
        return $this->hasOne(PaymentGatewayMst::class, ['ID' => 'PaymentGatewayID']);
    }

    /**
     * Gets query for [[PaymentMode]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentMode()
    {
        return $this->hasOne(PaymentModeMst::class, ['ID' => 'PaymentModeID']);
    }

    /**
     * Gets query for [[PaymentMode0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentMode0()
    {
        return $this->hasOne(PaymentModeMst::class, ['ID' => 'PaymentModeID']);
    }
}
