<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "CandidateTbl".
 *
 * @property int $ID
 * @property string|null $ApplicationNumber
 * @property string|null $CandidateName
 * @property string|null $CandidateEmail
 * @property string|null $CandidateMobile
 * @property string|null $AlternateMobile
 * @property string|null $Password
 * @property string|null $FatherName
 * @property string|null $MotherName
 * @property string|null $DOB
 * @property string|null $GenderID
 * @property string|null $IdentityID
 * @property string|null $IdentityNumber
 * @property string|null $SecurityQuestionID
 * @property string|null $SecurityAnswer
 * @property int|null $IsAadharNumber
 * @property string|null $AadharNumber
 * @property string|null $NameOnAadhar
 * @property string|null $DOBOnAadhar
 * @property string|null $GenderOnAadharID
 * @property int|null $IsAadharOptions
 * @property string|null $AadharSelectedOption
 * @property string|null $NationalityID
 * @property string|null $CastCategoryID
 * @property int|null $SubCategory
 * @property int|null $PhysicalDisability 
 * @property int|null $IsUDIDNumber
 * @property int|null $UDIDNumber
 * @property int|null $IsDiabetic
 * @property int|null PlaceOfResidence
 * @property int|null $AnnualIncome
 * @property int|null $MinorityCommunity
 * @property string|null $QuestionPaperMediumID
 * @property int|null $IsConfirm
 * @property string|null $RegisteredDate
 * @property string|null $ApplicationSubmitDate
 * @property string|null $LastLoginDate
 * @property string|null $ModifyBy
 * @property string|null $ModifyDate
 * @property string|null $CandidateIP
 * @property string|null $scribeName
 * @property string|null $adharNumberScribe
 * @property int|null $qualificationScribe
 * @property int|null $IsActive
 * @property string $AuthKey
 * @property string $VerificationToken
 * @property int $Status
 * @property int $created_at
 * @property int $updated_at
 * @property int $DisabilyType
 * @property int $NeedScribe
 * @property string|null $PasswordResetToken
 * @property string|null $DayScribe
 * @property string|null $MonthScribe
 * @property string|null $YearScribe
 *
 * @property CandidateAddressTbl[] $candidateAddressTbls
 * @property CandidateAddressTbl[] $candidateAddressTbls0
 * @property CandidateApplyCourseTbl[] $candidateApplyCourseTbls
 * @property CandidateApplyCourseTbl[] $candidateApplyCourseTbls0
 * @property CandidateApplySubjectTbl[] $candidateApplySubjectTbls
 * @property CandidateApplySubjectTbl[] $candidateApplySubjectTbls0
 * @property CandidateChoiceExamCenterTbl[] $candidateChoiceExamCenterTbls
 * @property CandidateChoiceExamCenterTbl[] $candidateChoiceExamCenterTbls0
 * @property CandidateDocumentTbl[] $candidateDocumentTbls
 * @property CandidateDocumentTbl[] $candidateDocumentTbls0
 * @property CandidateOtpTbl[] $candidateOtpTbls
 * @property CandidateOtpTbl[] $candidateOtpTbls0
 * @property CandidatePassedSubjectTbl[] $candidatePassedSubjectTbls
 * @property CandidateQualificationDetailsTbl[] $candidateQualificationDetailsTbls
 * @property CandidateQualificationDetailsTbl[] $candidateQualificationDetailsTbls0
 * @property ParentGardienOccupationTbl[] $parentGardienOccupationTbls
 * @property ParentGardienOccupationTbl[] $parentGardienOccupationTbls0
 * @property ParentGardienQualificationTbl[] $parentGardienQualificationTbls
 * @property ParentGardienQualificationTbl[] $parentGardienQualificationTbls0
 * @property PaymentTranscationTbl[] $paymentTranscationTbls
 * @property PaymentTranscationTbl[] $paymentTranscationTbls0
 */
class PersonalDetails extends \yii\db\ActiveRecord
{
	public $verifyCode,$Day,$Month,$Year,$SubjectID,$checkboxName,
    $CategoryCertificateDay,
    $CategoryCertificateMonth,
    $CategoryCertificateYear,
    $DayScribe,$MonthScribe,$YearScribe,$DisabilyTypeTwo,
    $adharNumberScribeCnfrm,$IsNameChangeStatus,$CreateDate;
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['updated_at'], 'integer'],
            [['RegisteredDate', 'ApplicationSubmitDate', 'LastLoginDate', 'ModifyDate','DisabilyType'], 'safe'],
            //[['DisabilyType','NeedScribe'], 'required'], 
            //[['CandidateName', 'created_at', 'Day', 'Month', 'Year', 'SubjectID', 'FatherName', 'MotherName',  'PhysicalDisability', 'AnnualIncome', 'MinorityCommunity', 'verifyCode','checkboxName','GenderID'], 'required'],
            //[['SubjectID', 'FatherName', 'MotherName', 'AnnualIncome', 'verifyCode','checkboxName'], 'required'],
            [['CandidateName', 'FatherName', 'MotherName','adharNumberScribe'], 'filter', 'filter' => 'trim'],
            [['CandidateName', 'FatherName', 'MotherName',], 'string', 'min' => 2, 'max' => 100],
            [['GenderID', 'NationalityID', 'CastCategoryID'], 'string', 'max' => 10],

            //[['SubCategory'], 'string', 'max' => 20],

            ['NationalityID','required',  'message' => 'Please select Nationality'],
            
            //[['IdentityNumber'], 'string', 'min' => 2, 'max' => 20, 'message' => 'Valid Identity Number.'],
            ['IdentityID','required',  'message' => 'Please select identity type'],
            ['IdentityNumber','required',  'message' => 'Identity Number cannot be blank'],
            [['DisabilityPercentage'], 'integer'],

            //artisan code
            // ['IsArtesianOrSonOrDaughterOfArtisian','required','message'=>'Please select field required'],
            // [['IsArtesianOrSonOrDaughterOfArtisian', 'ArtesianCardDetail'], 'integer'],
            // [['ArtesianCardIDNumber','ParentsArtesianCardIDNumber'], 'filter', 'filter' => 'trim'],
            // [['ArtesianCardIDNumber', 'ParentsArtesianCardIDNumber'], 'string', 'max' => 50],
            //artisan code end
            
            ['IdentityNumber','match', 'pattern' => "/^([a-zA-Z]){5}([0-9]){4}([a-zA-Z]){1}?$/", 'message'=>'Please enter valid PAN Number(example:-BNZAA2318J).','when' => function ($model) {
                    return $model->IdentityID == 1;
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 1}"
            ],
            [
                'IdentityNumber', 'match', 'pattern' => "/^[a-zA-Z0-9]{2,20}$/",  'message' => 'Please enter valid Document Issued By Govt Authority Number(example:-Enter character or numeric min 2 , max 20).', 'when' => function ($model) {
                    return $model->IdentityID == 2;
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 2}"
            ],
            [
                'IdentityNumber', 'match', 'pattern' => "/^[a-zA-Z0-9]{2,20}$/",  'message' => 'Please enter valid Document Issued By Govt Authority Number(example:-Enter character or numeric min 2 , max 20).', 'when' => function ($model) {
                    return $model->IdentityID == 3;
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 3}"
            ],

            [
                'IdentityNumber', 'match', 'pattern' => "/^[a-zA-Z0-9]{2,20}$/",  'message' => 'Please enter valid Document Issued By Govt Authority Number(example:-Enter character or numeric min 2 , max 20).', 'when' => function ($model) {
                    return $model->IdentityID == 4;
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 4}"
            ],
            [
                'IdentityNumber', 'match', 'pattern' => "/^[a-zA-Z0-9]{2,20}$/",  'message' => 'Please enter valid Document Issued By Govt Authority Number(example:-Enter character or numeric min 2 , max 20).', 'when' => function ($model) {
                    return $model->IdentityID == 5;
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 5}"
            ],
            [
                'IdentityNumber', 'match', 'pattern' => "/^[a-zA-Z0-9]{2,20}$/",  'message' => 'Please enter valid Document Issued By Govt Authority Number(example:-Enter character or numeric min 2 , max 20).', 'when' => function ($model) {
                    return $model->IdentityID == 6;
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 6}"
            ],
            [
                'IdentityNumber', 'match', 'pattern' => "/^[a-zA-Z0-9]{2,20}$/",  'message' => 'Please enter valid Document Issued By Govt Authority Number(example:-Enter character or numeric min 2 , max 20).', 'when' => function ($model) {
                    return $model->IdentityID == 7;
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 7}"
            ],
                        
            ['IdentityNumber','match', 'pattern' => "/^[a-zA-Z0-9_]*$/", 'message'=>'Please enter valid COLLEGE/UNIVERSITY ID (example:- Enter character or numeric).','when' => function ($model) {
                return $model->IdentityID == 1001; 
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 1001}"
            ],
            ['IdentityNumber','match', 'pattern' => "/^[a-zA-Z0-9_]*$/", 'message'=>'Please enter valid QUALIFYING EXAMINATION ADMIT CARD WITH PHOTOGRAPH (example:- Enter character or numeric).','when' => function ($model) {
                return $model->IdentityID == 1002; 
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 1002}"
            ],
            /*['IdentityNumber','match', 'pattern' => "/^[a-zA-Z0-9_]$/", 'message'=>'Please enter valid Aadhaar Number (example:- Enter Aahaar number 12 digit).','when' => function ($model) {*/
           /* ['IdentityNumber','string', 'min' => 14, 'max' => 14, 'message'=>'Please enter valid Aadhaar Number (example:- Enter Aahaar number 12 digit).','when' => function ($model) { */
            ['IdentityNumber', 'match', 'pattern' => "/^[a-zA-Z0-9 ]{14}$/",  'message' => 'Please enter valid Aadhaar Number (example:- Enter Aadhaar number 12 digit).', 'when' => function ($model) {
                return $model->IdentityID == 1003; 
                }, 'whenClient' => "function (attribute, value) { return $('#Identity_ID').val() == 1003}"
            ],

            ['CandidateName','required',  'message' => 'Candidate Name cannot be blank'],
            ['Day','required',  'message' => 'Please select Date'],
            ['Month','required',  'message' => 'Please select Month '],
            ['Year','required',  'message' => 'Please select Year'],
            ['PhysicalDisability','required',  'message' => 'Physical Disability cannot be blank'],
            ['AnnualIncome','required',  'message' => 'Please select Annual Income'],
            ['GenderID','required',  'message' => 'Please select gender'],
            ['checkboxName','required',  'message' => 'Please confirm Declaration'],
            ['CastCategoryID','required',  'message' => 'Please select Cast Category'],
            ['ConfirmCastCategoryID','required',  'message' => 'Please select Confirm Cast Category'],
            ['KashmiriMigrant','required',  'message' => 'Please select Kashmiri Migrant'],
            //['DomicileState','required',  'message' => 'Please select Domicile State'],
            ['IsDiabetic','required',  'message' => 'Please select Diabetic'],
            ['PlaceOfResidence','required',  'message' => 'Please select Place Of Residence'],
            ['verifyCode','required'],
            ['CandidateName','match', 'pattern' => "/^[A-Za-z]+[A-Za-z ]*$/", 'message' => 'Candidate Name can only contain Alphabet and Spaces only'],
            ['FatherName','match', 'pattern' => '/^[A-Za-z]+[A-Za-z ]*$/', 'message' => 'FatherName can only contain Alphabet and Spaces only'],
            ['MotherName','match', 'pattern' => '/^[A-Za-z]+[A-Za-z ]*$/', 'message' => 'MotherName can only contain Alphabet and Spaces only'],
            ['verifyCode', 'captcha','captchaAction' => '/application/personal/captcha'],
           
            
            ['ConfirmCastCategoryID', 'compare', 'compareAttribute' => 'CastCategoryID', 'message' => 'Confirm Category Not Matched.'],
             
            

            [
                'adharNumberScribeCnfrm', 'compare', 'compareAttribute' => 'adharNumberScribe', 'message' => 'Confirm Aadhar Not Matched.',
                'when' => function ($model) {
                    return $model->NeedScribe == 2;
                },
                'whenClient' => "function (attribute, value) {
                    return $('#NeedScribeR :selected').val() == '2';
                }"
            ],

            [
                'adharNumberScribe', 
                'match', 
                'pattern' => "/^[a-zA-Z0-9 ]{14}$/", 
                'message' => 'Please enter valid Aadhaar Number (example:- Enter Aadhaar number 12 digit).',
                'when' => function ($model) {
                    return $model->NeedScribe == 2;  // Apply validation only if NeedScribe is 2
                },
                'whenClient' => "function (attribute, value) {
                    return $('#NeedScribeR :selected').val() == '2';  // Apply validation on client-side if NeedScribe is 2
                }"
            ],

            [
                'adharNumberScribeCnfrm', 
                'match', 
                'pattern' => "/^[a-zA-Z0-9 ]{14}$/", 
                'message' => 'Please enter valid Aadhaar Number (example:- Enter Aadhaar number 12 digit).',
                'when' => function ($model) {
                    return $model->NeedScribe == 2;  // Apply validation only if NeedScribe is 2
                },
                'whenClient' => "function (attribute, value) {
                    return $('#NeedScribeR :selected').val() == '2';  // Apply validation on client-side if NeedScribe is 2
                }"
            ],

            // ['adharNumberScribe', 'match', 'pattern' => "/^[a-zA-Z0-9 ]{14}$/",  'message' => 'Please enter valid Aadhaar Number (example:- Enter Aadhaar number 12 digit).'],
            // ['adharNumberScribeCnfrm', 'match', 'pattern' => "/^[a-zA-Z0-9 ]{14}$/",  'message' => 'Please enter valid Confirm Aadhaar Number (example:- Enter Confirm Aadhaar number 12 digit).'],
           

            

            [
                ['CatCertificateNumber', 'CategoryCertificateDay', 'CategoryCertificateMonth', 'CategoryCertificateYear', 'CertificateAuthorityName'], 'required', 'message' => 'Please Enter {attribute}',
                'when' => function ($model) { 
                    return $model->ConfirmCastCategoryID != 1; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#ConfirmCastCategoryID :selected').val() != '1'; 
                }"
            ],

            [
                'SubCategory', 'string', 'min' => 2, 'max' => 50, 'message' => 'Please Enter Sub Category',
                'when' => function ($model) { 
                    return $model->CastCategoryID == 5; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#CastCategoryID :selected').val() == '5'; 
                }"
            ],
            [
                'SubCategory', 'required', 'message' => 'Please Enter Sub Category',
                'when' => function ($model) { 
                    return $model->CastCategoryID == 5; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#CastCategoryID :selected').val() == '5'; 
                }"
            ],

            // [
            //     'DisabilyType', 'required', 'message' => 'Please select Type of Disability',
            //     'when' => function ($model) { 
            //         return $model->PhysicalDisability == 1; 
            //     }, 
            //     'whenClient' => "function (attribute, value) { 
            //         return $('#PhysicalDisability :selected').val() == '1'; 
            //     }"
            // ],
            
            // [
            //     'DisabilyTypeTwo', 'required', 'message' => 'Please select type of disability',
            //     'when' => function ($model) { 
            //         return $model->PhysicalDisability == 2; 
            //     }, 
            //     'whenClient' => "function (attribute, value) { 
            //         return $('#PhysicalDisability :selected').val() == '2'; 
            //     }"
            // ],

            [
                'DayScribe', 'required', 'message' => 'Please select date',
                'when' => function ($model) { 
                    return $model->NeedScribe == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#NeedScribeR :selected').val() == '2'; 
                }"
            ],
            
            [
                'MonthScribe', 'required', 'message' => 'Please select month',
                'when' => function ($model) { 
                    return $model->NeedScribe == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#NeedScribeR :selected').val() == '2'; 
                }"
            ],
            
            [
                'YearScribe', 'required', 'message' => 'Please select year',
                'when' => function ($model) { 
                    return $model->NeedScribe == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#NeedScribeR :selected').val() == '2'; 
                }"
            ],
            
            [
                'scribeName', 
                'required', 
                'message' => 'Please enter scribe name',
                'when' => function ($model) { 
                    return $model->NeedScribe == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#NeedScribeR :selected').val() == '2'; 
                }"
            ],

            [
                'qualificationScribe', 
                'required', 
                'message' => 'Please Select Qualification',
                'when' => function ($model) { 
                    return $model->NeedScribe == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#NeedScribeR :selected').val() == '2'; 
                }"
            ],
            
            [
                'adharNumberScribe', 
                'required', 
                'message' => 'Please Enter Aadhar Number',
                'when' => function ($model) { 
                    return $model->NeedScribe == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#NeedScribeR :selected').val() == '2'; 
                }"
            ],
            [
                'adharNumberScribeCnfrm', 
                'required', 
                'message' => 'Please Enter Confirm Aadhar Number',
                'when' => function ($model) { 
                    return $model->NeedScribe == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#NeedScribeR :selected').val() == '2'; 
                }"
            ],
            
           
            

           
            // [
            //     'adharNumberScribe', 
            //     'integer',  // Ensures only integers are allowed
            //     'message' => 'Aadhar Number must be an integer.',
            //     'when' => function ($model) { 
            //         return $model->NeedScribe == 2; 
            //     },
            //     'whenClient' => "function (attribute, value) { 
            //         return $('#NeedScribeR :selected').val() == '2'; 
            //     }"
            // ],

            // ['IsUDIDNumber', 'required', 'message'=>'Do You have UDID Number cannot be blank','when' => function ($model) {
            //     return ($model->PhysicalDisability == 1 OR $model->PhysicalDisability == 2); 
            //    }, 'whenClient' => "function (attribute, value) { 
            //     return ($('#PhysicalDisability').val() == 1 || $('#PhysicalDisability').val() == 2);
            //     }"
            // ],
            
            // ['UDIDNumber', 'string', 'min' => 2, 'max' => 50,'when' => function ($model) {
            //     return ($model->IsUDIDNumber == 1); 
            //    }, 'whenClient' => "function (attribute, value) { 
            //     return ($('#IsUDIDNumber').val() == 1);
            //     }"
            // ],
            // ['UDIDNumber', 'required', 'message'=>'Your Unique Disability ID (UDID) Number cannot be blank','when' => function ($model) {
            //     return ($model->IsUDIDNumber == 1); 
            //    }, 'whenClient' => "function (attribute, value) { 
            //     return ($('#IsUDIDNumber').val() == 1);
            //     }"
            // ],
            

            ['DisabilityPercentage', 'required', 'message'=>'Disability cannot be blank','when' => function ($model) {
                return ($model->PhysicalDisability == 1 OR $model->PhysicalDisability == 2); 
               }, 'whenClient' => "function (attribute, value) { 
                return ($('#PhysicalDisability').val() == 1 || $('#PhysicalDisability').val() == 2);
                }"
            ],
            [
                'NeedScribe', 'required', 'message' => 'Please select Need a Scribe',
                'when' => function ($model) { 
                    return $model->PhysicalDisability == 1; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#PhysicalDisability :selected').val() == '1'; 
                }"
            ],
            [
                'NeedScribe', 'required', 'message' => 'Please select Need a Scribe',
                'when' => function ($model) { 
                    return $model->PhysicalDisability == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#PhysicalDisability :selected').val() == '2'; 
                }"
            ],
            [
                'IsSIngleGirlChild', 'required', 'message' => 'Please select SIngle Girl Child',
                'when' => function ($model) { 
                    return $model->GenderID == 5; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#GenderID :selected').val() == '5'; 
                }"
            ],
            
            [
                'DomicileCategory', 'required', 'message' => 'Please select Domicile Category',
                'when' => function ($model) { 
                    return $model->KashmiriMigrant == 1; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#KashmiriMigrant :selected').val() == '1'; 
                }"
            ],

            [
                'DomicileState', 'required', 'message' => 'Please select Domicile State',
                'when' => function ($model) { 
                    return $model->KashmiriMigrant == 0; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#KashmiriMigrant :selected').val() == '0'; 
                }"
            ],

            [
                'DomicileState', 'required', 'message' => 'Please select Domicile State',
                'when' => function ($model) { 
                    return $model->DomicileCategory == 2; 
                }, 
                'whenClient' => "function (attribute, value) { 
                    return $('#DomicileCategory :selected').val() == '2'; 
                }"
            ],

            //['FatherName','required',  'message' => 'Father Name cannot be blank.'],
            //['MotherName','required',  'message' => 'Mother Name cannot be blank.'],
            [['DisabilityPercentage'], 'checkUniq'], 
            ['FatherName', 'required', 'when' => function ($model) {
                return $model->MotherName == '';
            }, 'whenClient' => "function (attribute, value) {
                return $('#personaldetails-mothername').val() == '';
            }"],
            ['MotherName', 'required', 'when' => function ($model) {
                return $model->FatherName == '';
            }, 'whenClient' => "function (attribute, value) {
                return $('#personaldetails-fathername').val() == '';
            }"],

            [['CategoryCertificateYear'], 'CertificateIssueDateData'],
                
            //artisan code start
            // [    
            //     'ArtesianCardDetail', 'required', 'message'=>'Please select field required',
            //     'when' => function ($model) {
            //         return $model->IsArtesianOrSonOrDaughterOfArtisian == 1;
            //     }, 'whenClient' => "function (attribute, value) { 
            //         return $('#IsArtesianOrSonOrDaughterOfArtisian :selected').val() == 1;
            //     }"
            // ],
            // [    
            //     'ArtesianCardIDNumber', 'required', 'message'=>'Please Enter Artesian card ID Number',
            //     'when' => function ($model) {
            //         return $model->ArtesianCardDetail == 1;
            //     }, 'whenClient' => "function (attribute, value) { 
            //         return $('#ArtesianCardDetail :selected').val() == 1;
            //     }"
            // ],
            // [    
            //     'ParentsArtesianCardIDNumber', 'required', 'message'=>'Please Enter Parents Artesian Card ID Number',
            //     'when' => function ($model) {
            //         return $model->ArtesianCardDetail == 2;
            //     }, 'whenClient' => "function (attribute, value) { 
            //         return $('#ArtesianCardDetail :selected').val() == 2;
            //     }"
            // ],
            //artisan code end


//            ['DisabilityPercentage', 'when' => function ($model) {
//                //return ($model->PhysicalDisability == 1 OR $model->PhysicalDisability == 2); 
//                   
//               }, 'whenClient' => "function (attribute, value) { 
//                return ($('#PhysicalDisability').val() == 1 || $('#PhysicalDisability').val() == 2);
//                }"
//            ],
			  		
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
             'ID' => 'ID',
            'CandidateName' => 'Candidate Name',
            'FatherName' => 'Father Name',
            'MotherName' => 'Mother Name',
            'GenderID' => 'Gender ID', 
            'NationalityID' => 'Nationality ID',
            'IdentityID' => 'Identity ID',
            'IdentityNumber' => 'Identity Number',
            'CastCategoryID' => 'Cast Category ID',
            'PhysicalDisability' => 'Physical Disability',
            'UDIDNumber' => 'Unique Disability ID Number',
            'KashmiriMigrant' => 'Kashmiri Migrant',
            'DomicileCategory' => 'Domicile Category',
            'DomicileState' => 'Domicile State',
            'IsDiabetic' => 'Is Diabetic',
            'PlaceOfResidence' => 'Place Of Residence',
            'AnnualIncome' => 'Annual Income',
//            'MinorityCommunity' => 'Minority Community',
            'IsConfirm' => 'Is Confirm',
            'ModifyDate' => 'Modify Date',
            'Status' => 'Status',
            'updated_at' => 'Updated At',
            'Day' => 'Birth Day',
            //'CandidateIP' => 'Candidate Ip',
            'Month' => 'Birth Month',
            'Year' => 'Birth Year',

            'DayScribe' => 'Date',
            'MonthScribe' => 'Month',
            'YearScribe' => 'Year',
//            'SubjectID' => 'SubjectID',
            'DisabilyType' => 'Type of Disability',
            'NeedScribe' => 'NeedScribe',
            'verifyCode' => 'Verification Code',
            'checkboxName' =>'checkboxName',
            'DisabilityPercentage' => 'DisabilityPercentage',
            'adharNumberScribe'=>'Adhar Number Scribe should contain at least 12 characters.',
            'adharNumberScribeCnfrm'=>'Confirm Adhar Number Scribe should contain at least 12 characters.',

            // 'IsArtesianOrSonOrDaughterOfArtisian' => 'Is Artisian Or Son Or Daughter Of Artisian',
            // 'ArtesianCardDetail' => 'Artisian Card Detail',
            // 'ArtesianCardIDNumber' => 'Artisian Card Id Number',
            // 'ParentsArtesianCardIDNumber' => 'Parents Artisian Card Id Number',
        ];
    }

    /**
     * Gets query for [[CandidateAddressTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateAddressTbls()
    {
        return $this->hasMany(CandidateAddressTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateAddressTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateAddressTbls0()
    {
        return $this->hasMany(CandidateAddressTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateApplyCourseTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateApplyCourseTbls()
    {
        return $this->hasMany(CandidateApplyCourseTbl::class, ['CandidateID' => 'ID']);
    }

    
    /**
     * Gets query for [[CandidateApplySubjectTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function CandidateApplySubjectTbls()
    {
        return $this->hasMany(CandidateApplySubjectTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateApplySubjectTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateApplySubjectTbls0()
    {
        return $this->hasMany(CandidateApplySubjectTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateChoiceExamCenterTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateChoiceExamCenterTbls()
    {
        return $this->hasMany(CandidateChoiceExamCenterTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateChoiceExamCenterTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateChoiceExamCenterTbls0()
    {
        return $this->hasMany(CandidateChoiceExamCenterTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateDocumentTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateDocumentTbls()
    {
        return $this->hasMany(CandidateDocumentTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateDocumentTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateDocumentTbls0()
    {
        return $this->hasMany(CandidateDocumentTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateOtpTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateOtpTbls()
    {
        return $this->hasMany(CandidateOtpTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateOtpTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateOtpTbls0()
    {
        return $this->hasMany(CandidateOtpTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidatePassedSubjectTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidatePassedSubjectTbls()
    {
        return $this->hasMany(CandidatePassedSubjectTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateQualificationDetailsTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateQualificationDetailsTbls()
    {
        return $this->hasMany(CandidateQualificationDetailsTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[CandidateQualificationDetailsTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCandidateQualificationDetailsTbls0()
    {
        return $this->hasMany(CandidateQualificationDetailsTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienOccupationTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienOccupationTbls()
    {
        return $this->hasMany(ParentGardienOccupationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienOccupationTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienOccupationTbls0()
    {
        return $this->hasMany(ParentGardienOccupationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienQualificationTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienQualificationTbls()
    {
        return $this->hasMany(ParentGardienQualificationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienQualificationTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienQualificationTbls0()
    {
        return $this->hasMany(ParentGardienQualificationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[PaymentTranscationTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentTranscationTbls()
    {
        return $this->hasMany(PaymentTranscationTbl::class, ['CandidateID' => 'ID']);
    }

    /**
     * Gets query for [[PaymentTranscationTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentTranscationTbls0()
    {
        return $this->hasMany(PaymentTranscationTbl::class, ['CandidateID' => 'ID']);
    }
    
    public function checkUniq($attribute, $params,$model)
    {
//        echo "<pre>";
//        print_r($model->method[0]['PhysicalDisability']);die;
        $PhysicalDisability = (isset($model->method[0]['PhysicalDisability']) && !empty($model->method[0]['PhysicalDisability']))?$model->method[0]['PhysicalDisability']:'';
        $DisabilityPercentage = $this->{$attribute};
        //echo "DisabilityPercentage=".$DisabilityPercentage.'PhysicalDisability='.$PhysicalDisability; die;
        if($PhysicalDisability!='' && $DisabilityPercentage!=''){
            if((strlen($PhysicalDisability)==3) && ($PhysicalDisability==1) && ($DisabilityPercentage > 100)){
                $this->addError($attribute,'Disability Percentage between 40 to 100');
                return false;
            }else if((strlen($PhysicalDisability)>=1) && ($PhysicalDisability==1) && ($DisabilityPercentage < 40)){    
                $this->addError($attribute,'Disability Percentage between 40 to 100');
                return false;
            }else if($PhysicalDisability==2 && (($DisabilityPercentage==0) || ($DisabilityPercentage > 39)) ){
                $this->addError($attribute,'Disability Percentage between 1 to 39');
                return false;
            }
        }
//        $this->addError($attribute, 'Candidate email address already exists.');
//        return false;
//        $user = self::find()
//            ->where(['CandidateEmail' =>  $this->{$attribute}])->one();
//        if (isset($user)) {
//            $this->addError($attribute, 'Candidate email address already exists.');
//            return false;
//        } else {
//            return true;
//        }
    }

    public function CertificateIssueDateData()
    {
        if (isset($this->CastCategoryID) && $this->CastCategoryID != 1) {

            $dobDate = $this->Year . '-' . $this->Month . '-' . $this->Day;
            $currentCertificateDate = $this->CategoryCertificateYear . '-' . $this->CategoryCertificateMonth . '-' . $this->CategoryCertificateDay;
            
            if (strtotime($dobDate) > strtotime($currentCertificateDate)) {
                $this->addError('CasteYear', 'Certificate issue date  must greater than DOB.');
                Yii::$app->session->setFlash('error', 'Certificate issue date  must greater than DOB.');
            }
        }
    }
   
}
