<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "QualificationMst".
 *
 * @property int $ID
 * @property string|null $QualificationCode
 * @property string|null $QualificationName
 * @property int|null $IsActive
 *
 * @property ParentGardienQualificationTbl[] $parentGardienQualificationTbls
 * @property ParentGardienQualificationTbl[] $parentGardienQualificationTbls0
 */
class QualificationMst extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'QualificationMst';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['IsActive'], 'integer'],
            [['QualificationCode'], 'string', 'max' => 10],
            [['QualificationName'], 'string', 'max' => 100],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'QualificationCode' => 'Qualification Code',
            'QualificationName' => 'Qualification Name',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[ParentGardienQualificationTbls]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienQualificationTbls()
    {
        return $this->hasMany(ParentGardienQualificationTbl::class, ['QualificationCodeID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienQualificationTbls0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getParentGardienQualificationTbls0()
    {
        return $this->hasMany(ParentGardienQualificationTbl::class, ['QualificationCodeID' => 'ID']);
    }
}
