<?php

namespace app\modules\application\models;

use Yii;

/**
 * This is the model class for table "RelationshipMst".
 *
 * @property int $ID
 * @property string|null $RelationshipCode
 * @property string|null $RelationshipName
 * @property int|null $IsActive
 *
 * @property ParentGardienQualificationTbl[] $parentGardienQualificationTbls
 * @property ParentGardienQualificationTbl[] $parentGardienQualificationTbls0
 */
class RelationshipMst extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'RelationshipMst';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['IsActive'], 'integer'],
            [['RelationshipCode'], 'string', 'max' => 10],
            [['RelationshipName'], 'string', 'max' => 30],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'RelationshipCode' => 'Relationship Code',
            'RelationshipName' => 'Relationship Name',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[ParentGardienQualificationTbls]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getParentGardienQualificationTbls()
    {
        return $this->hasMany(ParentGardienQualificationTbl::class, ['CandidateRelationID' => 'ID']);
    }

    /**
     * Gets query for [[ParentGardienQualificationTbls0]].
     *
     * @return \yii\db\ActiveQuery|yii\db\ActiveQuery
     */
    public function getParentGardienQualificationTbls0()
    {
        return $this->hasMany(ParentGardienQualificationTbl::class, ['CandidateRelationID' => 'ID']);
    }

    /**
     * {@inheritdoc}
     * @return RelationshipMstQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new RelationshipMstQuery(get_called_class());
    }
}
