<?php

namespace app\modules\application\models;
use Yii;

/**
 * This is the model class for table "StateMst".
 *
 * @property int $ID
 * @property int|null $CountryID
 * @property string|null $StateCode
 * @property string|null $StateName
 * @property int|null $IsActive
 *
 * @property CityMst[] $cityMsts
 * @property CityMst[] $cityMsts0
 * @property CountryMst $country
 * @property CountryMst $country0
 * @property DistrictMst[] $districtMsts
 * @property DistrictMst[] $districtMsts0
 */
class StateMst extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return 'StateMst';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CountryID', 'IsActive'], 'integer'],
            [['StateCode'], 'string', 'max' => 10],
            [['StateName'], 'string', 'max' => 100],
            [['CountryID'], 'exist', 'skipOnError' => true, 'targetClass' => CountryMst::class, 'targetAttribute' => ['CountryID' => 'ID']],
            [['CountryID'], 'exist', 'skipOnError' => true, 'targetClass' => CountryMst::class, 'targetAttribute' => ['CountryID' => 'ID']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CountryID' => 'Country ID',
            'StateCode' => 'State Code',
            'StateName' => 'State Name',
            'IsActive' => 'Is Active',
        ];
    }

    /**
     * Gets query for [[CityMsts]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCityMsts()
    {
        return $this->hasMany(CityMst::class, ['StateID' => 'ID']);
    }

    /**
     * Gets query for [[CityMsts0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCityMsts0()
    {
        return $this->hasMany(CityMst::class, ['StateID' => 'ID']);
    }

    /**
     * Gets query for [[Country]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCountry()
    {
        return $this->hasOne(CountryMst::class, ['ID' => 'CountryID']);
    }

    /**
     * Gets query for [[Country0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCountry0()
    {
        return $this->hasOne(CountryMst::class, ['ID' => 'CountryID']);
    }

    /**
     * Gets query for [[DistrictMsts]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getDistrictMsts()
    {
        return $this->hasMany(DistrictMst::class, ['StateID' => 'ID']);
    }

    /**
     * Gets query for [[DistrictMsts0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getDistrictMsts0()
    {
        return $this->hasMany(DistrictMst::class, ['StateID' => 'ID']);
    }
}
