<?php

use yii\bootstrap5\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;

/** @var yii\web\View $this */
/** @var app\modules\application\models\AadharDetails $model */
/** @var yii\widgets\ActiveForm $form */

use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();

?>
<style>
    .invalid-feedback {
        display: block
    }

    .field-checkboxName {
        margin-bottom: 0 !important
    }

    #my-captcha-image-image img {
        float: left;
    }

    .field-my-captcha-image a {
        float: right;
    }

    select[readonly] {
        background: #eee;
        pointer-events: none;
        touch-action: none;
    }
</style>
<div class="content-body">


    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color">Aadhaar Detail</h6>
        </div>
        <div class="card-body">

            <?php $form = ActiveForm::begin(['id' => 'aadhar-form']); ?>
            <?php //echo $form->errorSummary($model) 
            ?>
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>
            <?php
            $oldDate = $aadharDetail->DOB;
            $arr = explode('-', $oldDate);
            $newDay = @$arr[0];
            $newMonth = @$arr[1];
            $newYear = @$arr[2];
            $dobOnAdhar = $aadharDetail->DOBOnAadhar;
            $arrDOB = explode('-', $dobOnAdhar);
            $DOBDay = @$arrDOB[0];
            $DOBMonth = @$arrDOB[1];
            $DOBYear = @$arrDOB[2];  
            ?>
            <?php //} else { ?>
                <div class="row mb-3">
                    <label class="col-5 text-end"><?= Yii::$app->params['HaveAadhar'] ?> <span class="astric-sign">*</span></label>
                    <div class="col-1 text-center"><strong>:</strong> </div>
                    <div class="col-6 ">
                        <?= $form->field($model, 'IsAadharNumber')->dropDownList(
                            ['' => '--Select--', 1 => 'Yes', 0 => 'No',],
                            [
                                'options' => [
                                    $aadharDetail->IsAadharNumber => ['selected' => true]
                                ],
                                'id' => 'IsAadharNumber', 'class' => 'form-select form-select-sm'
                            ]
                        )->label(false) ?>
                    </div>
                    <hr>
                </div>
                <div id="showhiderad" style="display:none">
                    <div class="row mb-3">
                        <label class="col-5 text-end"><?= Yii::$app->params['ApplicationNumber'] ?></label>
                        <div class="col-1 text-center"><strong>:</strong> </div>
                        <div class="col-6 "><?php echo $aadharDetail->ApplicationNumber; ?></div>
                    </div>
                    <div class="row mb-3">
                        <label class="col-5 text-end"><?= Yii::$app->params['CandidateName'] ?></label>
                        <div class="col-1 text-center"><strong>:</strong> </div>
                        <div class="col-6 "><?php echo $aadharDetail->CandidateName; ?></div>
                    </div>
                    <div class="row mb-3">
                        <label class="col-5 text-end"><?= Yii::$app->params['Gender'] ?></label>
                        <div class="col-1 text-center"><strong>:</strong> </div>
                        <div class="col-6 ">
                            <?php
                            foreach ($genders as $key => $value) {
                                if ($key == $aadharDetail->GenderID) {
                                    echo $value;
                                }
                            }
                            ?>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <label class="col-5 text-end"><?= Yii::$app->params['Dob'] ?></label>
                        <div class="col-1 text-center"><strong>:</strong> </div>
                        <div class="col-6 "><?php echo ((isset($aadharDetail->DOB) && !empty($aadharDetail->DOB)) ? date("d-m-Y", strtotime($aadharDetail->DOB)) : 'NA') ?></div>
                    </div>
                    <input type="hidden" id="AadharSelectedOptionhidden" value="<?= @$aadharDetail->AadharSelectedOption;?>">
                    <div class="row mb-3">
                        <label class="col-5 text-end"><?= Yii::$app->params['AadhaarSelectMessage'] ?></label>
                        <div class="col-1 text-center"><strong>:</strong> </div>
                        <div class="col-6 "> <?php echo $model->AadharSelectedOption;?>
                            <?php 
                            $model->AadharSelectedOption= $aadharDetail->AadharSelectedOption;
                            echo $form->field($model, 'AadharSelectedOption')->radioList(
                                [
                                    '0' => ' Voluntarily Agree To Share My Aadhaar Number And I Am Aware That It Will Be Used To Establish My Identity For NIFT ADMISSIONS-2024 Examination By Matching My Personal Identification Details Available In Aadhaar Records Of UIDAI.',
                                    '1' => ' My information on Aadhaar is not the same as entered in the application form.',
                                    '2' => ' I am not willing to share my Aadhaar number.',
                                ],
                                [
                                    'item' => function ($index, $label, $name, $checked, $value) {
                             

                                        $return = '<label style="margin-bottom:10px">';
                                        $return .= '<input class="inputbox inputindex_' . (++$index) . '" type="radio" id ="adharSelection" name="' . $name . '" value="' . $value . '" ' . ($checked ? "checked" : "") . '>';
                                        $return .= ucwords($label);
                                        $return .= '</label>';
                                        return $return;
                                    },

                                ]
                            )->label(false);
                            ?>
                        </div>
                    </div>
                    <hr>
                    <div id="adharID" style="display:none">
                        <h6 class="m-0 font-weight-normal text-head-color"><?= Yii::$app->params['DetailsAspPerAadhaar'] ?></h6>
                        <hr>
                        <div class="row mb-3">
                            <label class="col-5 text-end"><?= Yii::$app->params['AadharNumber'] ?> <span class="astric-sign">*</span></label>
                            <div class="col-1 text-center"><strong>:</strong> </div>
                            <div class="col-6 ">
                                <?php $AadharNumber = (isset($aadharDetail->AadharNumber) && ($aadharDetail->AadharNumber!=''))?$aadharDetail->AadharNumber:''; ?>
                                <?= $form->field($model, 'AadharNumber')
                                    ->textInput(['id' => 'AadharNumber', 'maxlength' => true, 'placeholder' => 'Enter Aadhaar No', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isNumber(event)","value"=>"$AadharNumber"])
                                    ->label(false) ?>
                            </div>
                        </div>
                    </div>
                    <div id="adharIDO" style="display:none">
                        <div class="row mb-3">
                            <label class="col-5 text-end"><?= Yii::$app->params['CandidateName'] ?> <span class="astric-sign">*</span></label>
                            <div class="col-1 text-center"><strong>:</strong> </div>
                            <div class="col-6 ">
                                <?php $NameOnAadhar = (isset($aadharDetail->NameOnAadhar) && ($aadharDetail->NameOnAadhar!=''))?$aadharDetail->NameOnAadhar:''; ?>
                                <?= $form->field($model, 'NameOnAadhar')
                                    ->textInput(['id' => 'NameOnAadhar', 'value'=>"$aadharDetail->NameOnAadhar", 'maxlength' => 100, 'placeholder' => 'Enter Candidate\'s Name', 'class' => 'form-control form-control-sm text-uppercase', 'onkeypress' => "return lettersOnly(event)"])
                                    ->label(false) ?>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label class="col-5 text-end"><?= Yii::$app->params['Gender'] ?> <span class="astric-sign">*</span></label>
                            <div class="col-1 text-center"><strong>:</strong> </div>
                            <div class="col-6 ">
                                <?= $form->field($model, 'GenderOnAadharID')->dropDownList(
                                    $genders,
                                    ['options' => [
                                        @$aadharDetail->GenderOnAadharID => ['selected' => true],
                                    ], 'prompt' => '--Select--', 'class' => 'form-select form-select-sm',]
                                )->label(false) ?>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label class="col-5 text-end"><?= Yii::$app->params['Dob'] ?> <span class="astric-sign">*</span></label>
                            <div class="col-1 text-center"><strong>:</strong> </div>
                            <div class="col-2 ">
                                <?= $form->field($model, 'AadharDay')->dropDownList(
                                    $DobDate,
                                    [
                                        'options' => [
                                            @$DOBDay => ['selected' => true]                                        
                                        ],
                                        'prompt' => '--Date--',
                                        'id' => 'AadharDay',
                                        'onchange' => "return lastdayofmonth()",
                                        'class' => "form-select form-select-sm",
                                        'onchange' => "return lastdayofmonth()",
                                    ]
                                )->label(false) ?>
                            </div>
                            <div class="col-2 ">
                                <?= $form->field($model, 'AadharMonth')->dropDownList(
                                    $DobMonth,
                                    [
                                        'options' => [
                                            @$DOBMonth => ['selected' => true],

                                        ], 'prompt' => '--Month--',
                                        'id' => 'AadharMonth',
                                        'onchange' => "return lastdayofmonth()",
                                        'class' => "form-select form-select-sm",
                                        'onchange' => "return lastdayofmonth()",
                                    ],
                                )->label(false) ?>
                            </div>
                            <div class="col-2 ">
                                <?= $form->field($model, 'AadharYear')->dropDownList(
                                    $DobYear,
                                    [
                                        'options' => [
                                            @$DOBYear => ['selected' => true],

                                        ], 'prompt' => '--Year--',
                                        'id' => 'AadharYear',
                                        'class' => "form-select form-select-sm",
                                        'onchange' => "return lastdayofmonth()",
                                    ]
                                )->label(false) ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row mb-3 justify-content-center">
                    <label class="col-sm-1 col-form-label">Captcha <span class="astric-sign">*</span></label>
                    <div class="col-sm-6 col-form-label">
                        <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                            'captchaAction' => '/application/aadhar/captcha',
                            'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-6">{input}</div></div>',
                            'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm'],
                        ])->label(false)  ?>
                    </div>
                </div>
                <div class="row mb-3 ">
                   <div class="col-sm-12">
                    <?php
                    echo $form->field($model, 'Declaration')
                        ->checkBox(['label' => false, 'uncheck' => null, 'label' => Yii::$app->params['AgreeLable'], 'id' => 'checkboxName', 'class' => "chk1"]);
                    ?>
                    <?= Yii::$app->params['IundertakeText'] ?><br>
                    <?=Yii::$app->params['AgreeText']?>
                   </div>
                </div>
            <?php //} ?>
            <div class="col-md-12 mb-3 mt-5 justify-content-center">
                <?= Html::a('Back', ['../' . $backLink], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important', 'data-modulename' => 'Aadhar-Details', 'data-activityname' => 'Previous-Button']) ?>
                <?php if ($aadharDetail->IsAadharNumber >= 0 and !is_null($aadharDetail->IsAadharNumber)) { ?>
                    <?= Html::submitButton('Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right', 'id' => 'nextbtn']) ?>
                    <?php //echo Html::a('Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', '../exam-center/index', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right', 'id' => 'nextbtn']) ?>
                <?php } else { ?>
                    <?= Html::submitButton('Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right', 'id' => 'nextbtn']) ?>
                <?php } ?>

                <br />
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>
<?php
$this->registerJs('
        $(document).ready(function() {
            $("#aadhar-form").on("beforeSubmit", function(event, messages) {
                SimpleLoading.start();
                return true;
            });
//            $("#nextbtn").on("click", function(event, messages) {
//                SimpleLoading.start();
//                return true;
//            });
        });
        
        ');

?>
<?php
$this->registerJs('
    $(document).ready(function () {
        var AadharSelectedOptionhidden = $("#AadharSelectedOptionhidden").val();
        if (AadharSelectedOptionhidden == 0) {
            $("#adharID").css("display","block");
            $("#adharIDO").css("display","none");
        } else if (AadharSelectedOptionhidden == 1) {
            $("#adharID").css("display","block");
            $("#adharIDO").css("display","block");
        } else if (AadharSelectedOptionhidden == 2) {
            $("#adharID").css("display","none");
            $("#adharIDO").css("display","none");
            $("#AadharNumber").val("");
            $("#NameOnAadhar").val("");
            $("#aadhardetails-genderonaadharid").val("");
            $("#AadharDay").val("");
            $("#AadharMonth").val("");
            $("#AadharYear").val("");
        }
        
        $("#refresh_captcha").click(function (event) {
            event.preventDefault();
            $(this).parent().children(\'img\').click();
        })

        $("#AadharMonth").change(function (event) {
            var AadharMonth = $(this).val();
            var AadharDay = $("#AadharDay").val();
            if(AadharMonth=="02" && AadharDay>28){
                $("#AadharDay").val("");
            }
        });
        $("#AadharDay").change(function (event) {
            var AadharDay = $(this).val();
            var AadharMonth = $("#AadharMonth").val();
            if(AadharMonth=="02" && AadharDay>28){
                $("#AadharDay").val("");
            }
        });
    });
    ');
?>

<script>
    /*** function ***/
    function openSelect(optionSelect) {
        if (optionSelect == 0) {
            $('#adharID').show();
            $('#adharIDO').hide();
        } else if (optionSelect == 1) {
            $('#adharID').show();
            $('#adharIDO').show();
        } else if (optionSelect == 2) {
            $('#adharID').hide();
            $('#adharIDO').hide();
            $("#AadharNumber").val('');
            $("#NameOnAadhar").val('');
            $("#aadhardetails-genderonaadharid").val('');
            $("#AadharDay").val('');
            $("#AadharMonth").val('');
            $("#AadharYear").val('');
        }
    }

    jQuery(document).ready(function() {
        /***/
        var isAdhar = $('#IsAadharNumber :selected').val();
        //alert(isAdhar);
        if (isAdhar == 1) {
            $('#showhiderad').show();
        } else {
            $('#showhiderad').hide();
        }
        var optionSelect = $('input[name="AadharDetails[AadharSelectedOption]"]:checked').val();
        openSelect(optionSelect);

        $('input[name="AadharDetails[AadharSelectedOption]').on('change', function() {
            var upperCheck = $('input[name="AadharDetails[AadharSelectedOption]"]:checked').val();
            openSelect(upperCheck);

            $('#AadharNumber').val('');
            $('#NameOnAadhar').val('');
            $('#aadhardetails-genderonaadharid').val('');
            $('#AadharDay').val('');
            $('#AadharMonth').val('');
            $('#AadharYear').val('');
        });

        $('#IsAadharNumber').on('change', function() {
            var isAdhar = $('#IsAadharNumber').val();
            if (isAdhar == 1) {
                $('#showhiderad').show();
            } else {
                $('input[type="radio"]').prop('checked', false);
                $('#showhiderad').hide();
                $('.inputindex_1').prop('checked', false);
                $('.inputindex_2').prop('checked', false);
                $('.inputindex_3').prop('checked', false);
                $('#IsAadharNumber').blur();
                if ($("#AadharNumber").hasClass("is-invalid")) {
                    $("#AadharNumber").removeClass("is-invalid");
                    $("#AadharNumber").blur();
                }
                if ($("#NameOnAadhar").hasClass("is-invalid")) {
                    $("#NameOnAadhar").removeClass("is-invalid");
                    $("#NameOnAadhar").blur();
                }
                if ($("#aadhardetails-genderonaadharid").hasClass("is-invalid")) {
                    $("#aadhardetails-genderonaadharid").removeClass("is-invalid");
                    $("#aadhardetails-genderonaadharid").blur();
                }
                if ($("#AadharDay").hasClass("is-invalid")) {
                    $("#AadharDay").removeClass("is-invalid");
                    $("#AadharDay").blur();
                }
                if ($("#AadharMonth").hasClass("is-invalid")) {
                    $("#AadharMonth").removeClass("is-invalid");
                    $("#AadharMonth").blur();
                }
                if ($("#AadharYear").hasClass("is-invalid")) {
                    $("#AadharYear").removeClass("is-invalid");
                    $("#AadharYear").blur();
                }
                $('#adharID').hide();
                $('#adharIDO').hide();
            }
        });
    });
</script>

<script>
    jQuery(function($) { // DOM ready and $ alias secured
        let aadhaar = "";
        let aadhaarStack = [];
        let maskStack = [];
        let flag = 0;

        $('#AadharNumber').on('input', function(e) {
            let key = e.which || this.value.substr(-1).charCodeAt(0);
            if (this.value.length < aadhaarStack.length) {
                aadhaarStack.pop();
                maskStack.pop();
            } else {
                key = String.fromCharCode(key);
                if (aadhaarStack.filter(i => i !== " ").length <= 27 && !isNaN(key)) {
                    if (aadhaarStack.length > 1 && (aadhaarStack.filter(i => i !== " ").length) % 4 === 0) {
                        aadhaarStack.push(" ");
                        aadhaarStack.push(key);
                        maskStack.push(" ");
                        if (aadhaarStack.filter(i => i !== " ").length > 8) {
                            maskStack.push(key);
                        } else {
                            maskStack.push("X");
                        }
                    } else {
                        aadhaarStack.push(key);
                        if (aadhaarStack.filter(i => i !== " ").length > 8) {
                            maskStack.push(key);
                        } else {
                            maskStack.push("X");
                        }
                    }
                }
            }

            updateUi();
        });

        function updateUi() {
            setTimeout(function() {
                aadhaar = maskStack.join("");
                $('#AadharNumber').val(aadhaar);
            }, 100);
        }
    });
</script>