<?php

use yii\helpers\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
use edwinhaq\simpleloading\SimpleLoading;
use yii\helpers\Url;

SimpleLoading::widget();

/** @var yii\web\View $this */
/** @var app\models\StudentQualification $model */
/** @var ActiveForm $form */
$this->title = 'NTA - National Testing Agency';

$baseurl = Url::base();

?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Additional Details</h6>
        </div>
        <?php $form = ActiveForm::begin(['id' => 'additional-form', 'options' => ['autocomplete' => 'off']]); ?>
        <div class="card-body">
         
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>

            <h6>Doctorate Details</h6>
            <hr />
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Whether Already a Doctoral Student ?<span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-5">
                    <?= $form->field($model, 'DoctorateOptions')->dropDownList(yii::$app->params['DoctorateStudent'],
                        [
                            'prompt' => '--Select--', 'id' => 'DoctorateOptionsID', 'class' => 'form-select form-select-sm'
                        ]
                    )->label(false) ?>
                </div>
            </div>
            <div id="doctorateSection" style="display:none" ;>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">University Name Where The Admission Has Been Taken <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'DoctotateUnversityName')->input('text', ['placeholder' => "Enter University Name", 'onkeypress' => "return lettersOnly(event)", 'class' => 'form-control form-control-sm', 'id' => 'DoctotateUnversityName'])->label(false) ?>
                    </div>
                </div>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Exam Year <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'DoctotateExamYear')->dropDownList($examYear,
                                ['prompt' => '--Select--', 'id' => 'DoctotateExamYear', 'class' => 'form-select form-select-sm',
                                ])->label(false) ?>
                    </div>
                </div>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Department Name Where The Admission Has Been Taken <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'DepartmentNameInAdmission')->input('text', ['placeholder' => "Enter Department Name", 'class' => 'form-control form-control-sm', 'id' => 'DepartmentNameInAdmission', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                    </div>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <!--<span class="astric-sign">*</span>-->
                    <label class="">Specialization If Any (Optional)</label>
                </div>
                <div class="col-sm-5">
                    <?= $form->field($model, 'Specilization')->input('text', ['placeholder' => "Enter Specialization If Any", 'onkeypress' => "return lettersOnly(event)", 'class' => 'form-control form-control-sm', 'id' => 'Specilization'])->label(false) ?>
                </div>
            </div>
            <h6>Minority Details</h6>
            <hr />
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Do You Belong To Minority Community ? <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-5">
                     <?= $form->field($model, 'MinorityCommunity')->dropDownList(yii::$app->params['MinorityCommunity'], [
                        'prompt' => '--Select--', 'id' => 'MinorityCommunity', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>
            </div>
            <div id="Community" style="display:none" ;>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Name of Minority Community <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'CommunityID')->dropDownList(yii::$app->params['MinorityCommunitylist'], [
                            'prompt' => '--Select--', 'id' => 'CommunityID', 'class' => 'form-select form-select-sm',
                        ])->label(false) ?>
                    </div>
                </div>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Whether The Annual Income From All Sources Of Your Parents/Guardian Does Not Exceed Rs. 6.0 lakh.<span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'CommunityAnnualIncomeID')->dropDownList(yii::$app->params['CommunityAnnualIncome'], [
                        'prompt' => '--Select--', 'id' => 'CommunityAnnualIncomeID', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                    </div>
                </div>
            </div>
            <h6>Security Pin</h6>
            <hr />
            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                <div class="col-sm-5">
                    <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                        'captchaAction' => '/application/additional/captcha',
                        'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                        'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                    ])->label(false)  ?>

                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <?= $form->field($model, 'clarification')
                        ->checkbox(
                            ['uncheck' => null, 'label' => 'I AGREE', 'id' => 'checkboxName', 'class' => "chk1"],
                        ); ?>
                    I hereby declare that I have filled up this online application after carefully reading the Bulletin and fully understanding the provision/procedures mentioned therein. I further declare that all the particulars given by me in this application are true to the best of my knowledge and belief. I agree that my result may be withheld/not declared/ my candidature may stand cancelled. In case it is found at any point of time in future that false information has been furnished in this application. I shall abide by these terms and conditions as well as those laid down in the Information Bulletin, Public Notice and Advisories issued by NTA regarding this exam time to time.
                </div>
            </div>
            <div class="row mb-3 justify-content-center">
                <div class="col-md-12 mb-3 mt-5 justify-content-center">
                    <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['../' . $backLink], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important','data-modulename'=>'Additional-Details','data-activityname'=>'Previous-Button']) ?>
                    <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'id' => 'submButton', 'style' => 'float:right']) ?>
                </div>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
</div>

<?php
$this->registerJs('
    $(document).ready(function() {
        $("#additional-form").on("beforeSubmit", function(event, messages) {
            SimpleLoading.start();
            return true;
        });
        var value = $("#DoctorateOptionsID").val();
        if (value == 1) {
            $("#doctorateSection").show();
        } else {
            $("#doctorateSection").hide();
        }
        var value = $("#MinorityCommunity").val();
        if (value == 1) {
            $("#Community").css("display","block");
        } else {
            $("#Community").css("display","none");
        }
    });
    $(document).ready(function() {
        $("#DoctorateOptionsID").on("change", function() {
            var value = $("#DoctorateOptionsID").val();
            if (value == 1) {
                $("#doctorateSection").show();
            } else {
                $("#doctorateSection").hide();
                $("#DoctotateUnversityName").val("");
                $("#DoctotateExamYear").val("");
                $("#DepartmentNameInAdmission").val("");
            }
        });
        $("#MinorityCommunity").on("change", function() {
            var value = $("#MinorityCommunity").val();
            if (value == 1) {
                $("#Community").css("display","block");
            } else {
                $("#Community").css("display","none");
                $("#CommunityID").val("");
                $("#CommunityAnnualIncomeID").val("");
            }
        });
    });
   
');

?>