<?php

use yii\helpers\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
use edwinhaq\simpleloading\SimpleLoading;
use yii\helpers\Url;

SimpleLoading::widget();

/** @var yii\web\View $this */
/** @var app\models\StudentQualification $model */
/** @var ActiveForm $form */
$this->title = 'NTA - National Testing Agency';

$baseurl = Url::base();

?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Additional Details</h6>
        </div>
        <?php $form = ActiveForm::begin(['id' => 'additional-form', 'options' => ['autocomplete' => 'off']]); ?>
        <div class="card-body">

            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>

            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Are you Artisan/Son or Daughter of Artisian ?<span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-5">
                    <?= $form->field($model, 'IsArtesianOrSonOrDaughterOfArtisian')->dropDownList(
                        yii::$app->params['IsArtesianOrSonOrDaughterOfArtisian'],
                        [
                            'prompt' => '--Select--', 'id' => 'IsArtesianOrSonOrDaughterOfArtisian', 'class' => 'form-select form-select-sm'
                        ]
                    )->label(false) ?>
                </div>
            </div>
            <div id="IsArtesianOrSonOrDaughterOfArtisianSection" style="display:none" ;>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Artisian Card detail <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'ArtesianCardDetail')->dropDownList(
                            yii::$app->params['ArtesianCardDetail'],
                            [
                                'prompt' => '--Select--', 'id' => 'ArtesianCardDetail', 'class' => 'form-select form-select-sm',
                            ]
                        )->label(false) ?>
                    </div>
                </div>

                <div class="row mb-3" id="ArtesianCardIDNumberSection" style="display:none" ;>
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Artisian card ID Number <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'ArtesianCardIDNumber')->input('text', ['placeholder' => "Enter Artesian card ID Number", 'class' => 'form-control form-control-sm text-upper', 'id' => 'ArtesianCardIDNumber', 'maxlength' => true, 'onkeypress' => "return blockSpecialChar(event,'alphanumeric')"])->label(false) ?>
                    </div>
                </div>

                <div class="row mb-3" id="ParentsArtesianCardIDNumberSection" style="display:none" ;>
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Parents Artisian Card ID Number <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'ParentsArtesianCardIDNumber')->input('text', ['placeholder' => "Enter Parents Artesian Card ID Number", 'class' => 'form-control form-control-sm text-upper', 'id' => 'ParentsArtesianCardIDNumber', 'maxlength' => true, 'onkeypress' => "return blockSpecialChar(event,'alphanumeric')"])->label(false) ?>
                    </div>
                </div>

            </div>


            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                <div class="col-sm-5">
                    <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                        'captchaAction' => '/application/additional/captcha',
                        'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                        'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                    ])->label(false)  ?>

                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <?= $form->field($model, 'clarification')
                        ->checkbox(
                            ['uncheck' => null, 'label' => 'I AGREE', 'id' => 'checkboxName', 'class' => "chk1"],
                        ); ?>
                    I hereby declare that I have filled up this online application after carefully reading the Bulletin and fully understanding the provision/procedures mentioned therein. I further declare that all the particulars given by me in this application are true to the best of my knowledge and belief. I agree that my result may be withheld/not declared/ my candidature may stand cancelled. In case it is found at any point of time in future that false information has been furnished in this application. I shall abide by these terms and conditions as well as those laid down in the Information Bulletin, Public Notice and Advisories issued by NTA regarding this exam time to time.
                </div>
            </div>
            <div class="row mb-3 justify-content-center">
                <div class="col-md-12 mb-3 mt-5 justify-content-center">
                    <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['../' . $backLink], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important', 'data-modulename' => 'Additional-Details', 'data-activityname' => 'Previous-Button']) ?>
                    <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'id' => 'submButton', 'style' => 'float:right']) ?>
                </div>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
</div>

<?php
$this->registerJs('
    $(document).ready(function() {
        $("#additional-form").on("beforeSubmit", function(event, messages) {
            SimpleLoading.start();
            return true;
        });
        var value = $("#IsArtesianOrSonOrDaughterOfArtisian").val();
        if (value == 1) {
            $("#IsArtesianOrSonOrDaughterOfArtisianSection").show();
        } else {
            $("#IsArtesianOrSonOrDaughterOfArtisianSection").hide();
        }
        var value = $("#ArtesianCardDetail").val();
            if (value == 1) {
                $("#ParentsArtesianCardIDNumberSection").hide();
                $("#ParentsArtesianCardIDNumber").val("");
                $("#ArtesianCardIDNumberSection").show();
            }else if (value == 2) {
                $("#ArtesianCardIDNumberSection").hide();
                $("#ArtesianCardIDNumber").val("");
                $("#ParentsArtesianCardIDNumberSection").show();
            } else {
                $("#ArtesianCardIDNumberSection").hide();
                $("#ArtesianCardIDNumber").val("");
                $("#ParentsArtesianCardIDNumberSection").hide();
                $("#ParentsArtesianCardIDNumber").val("");
            }
    });

    $(document).ready(function() {
        $("#IsArtesianOrSonOrDaughterOfArtisian").on("change", function() {
            var value = $("#IsArtesianOrSonOrDaughterOfArtisian").val();
            if (value == 1) {
                $("#IsArtesianOrSonOrDaughterOfArtisianSection").show();
            } else {
                $("#IsArtesianOrSonOrDaughterOfArtisianSection").hide();
                $("#ArtesianCardDetail").val("");
                $("#ArtesianCardIDNumber").val("");
                $("#ParentsArtesianCardIDNumber").val("");
            }
        });

        $("#ArtesianCardDetail").on("change", function() {
            var value = $("#ArtesianCardDetail").val();
            if (value == 1) {
                $("#ParentsArtesianCardIDNumberSection").hide();
                $("#ParentsArtesianCardIDNumber").val("");
                $("#ArtesianCardIDNumberSection").show();
            }else if (value == 2) {
                $("#ArtesianCardIDNumberSection").hide();
                $("#ArtesianCardIDNumber").val("");
                $("#ParentsArtesianCardIDNumberSection").show();
            } else {
                $("#ArtesianCardIDNumberSection").hide();
                $("#ArtesianCardIDNumber").val("");
                $("#ParentsArtesianCardIDNumberSection").hide();
                $("#ParentsArtesianCardIDNumber").val("");
            }
        });
    });
   
');

?>