<?php

use yii\helpers\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
use edwinhaq\simpleloading\SimpleLoading;
use yii\helpers\Url;

SimpleLoading::widget();

/** @var yii\web\View $this */
/** @var app\models\StudentQualification $model */
/** @var ActiveForm $form */
$this->title = 'NTA - National Testing Agency';

$baseurl = Url::base();
?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Additional Details</h6>
        </div>
        <?php $form = ActiveForm::begin(['id' => 'additional-form', 'options' => ['autocomplete' => 'off']]); ?>
        <div class="card-body">
            
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>

            <h6>M.Phil Details</h6>
            <hr />
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Whether Admitted in M.Phil <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-5">
                    <?= $form->field($model, 'MPhilOptions')->dropDownList(['' => '--Select--', '1' => 'Yes', '0' => 'No'], ['class' => 'form-select form-select-sm', 'id' =>'MPhilOptions'])->label(false) ?>
                </div>
            </div>
            <div id="mphil" style="display:none" ;>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">University <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'MPhilUnversityName')->input('text', ['placeholder' => "Enter University Name", 'onkeypress' => "return lettersOnly(event)", 'class' => 'form-control form-control-sm', 'id' => 'MPhilUnversityName'])->label(false) ?>
                    </div>
                </div>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Year of Admission / Passed <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'MPhilAddmissionYear')->input('text', ['placeholder' => "Enter Year", 'maxlength' => "4", 'class' => 'form-control form-control-sm', 'id' => 'MPhilAddmissionYear', 'onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                    </div>
                </div>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Subject <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'MPhilSubject')->input('text', ['placeholder' => "Enter Subject", 'class' => 'form-control form-control-sm', 'id' => 'MPhilSubject', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                    </div>
                </div>
            </div>
            <h6>Ph.D. Details</h6>
            <hr />
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Whether Admitted in Ph.D. <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-5">
                    <?= $form->field($model, 'PhdOptions')->dropDownList(['' => '--Select--', '1' => 'Yes', '0' => 'No'], ['class' => 'form-select form-select-sm', 'id' => 'PhdOptions'])->label(false) ?>
                </div>
            </div>
            <div id="phd" style="display:none" ;>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">University <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'PhdUniversityName')->input('text', ['placeholder' => "Enter University Name", 'class' => 'form-control form-control-sm', 'id' => 'PhdUniversityName', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                    </div>
                </div>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Year of Admission / Passed <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'PhdAddmissionYear')->input('text', ['placeholder' => "Enter Year", 'maxlength' => "4", 'class' => 'form-control form-control-sm', 'id' => 'PhdAddmissionYear', 'onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                    </div>
                </div>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Whether master lavel examination has been completed by 19th set 1991 in-respective of date of declaration. <span class="astric-sign">*</span> </label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'PhdMasterLevelTimeDateConfirmation')->dropDownList(['' => '--Select--', '1' => 'Yes', '0' => 'No'], ['class' => 'form-select form-select-sm', 'id' => 'PhdMasterLevelTimeDateConfirmation'])->label(false) ?>
                    </div>
                </div>

            </div>
            <h6>Research / Ex-Serviceman Details</h6>
            <hr />
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Specilization, If Any</label>
                </div>
                <div class="col-sm-5">
                    <?= $form->field($model, 'ReasearchExServicemanDetailsSpecilization')->input('text', ['placeholder' => "Enter Specilization", 'class' => 'form-control form-control-sm', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Whether you Possess Research Experience in the subject of PG Degree <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-5">
                    <?= $form->field($model, 'PGReaseachConfirmation')->dropDownList(['' => '--Select--', '1' => 'Yes', '0' => 'No'], ['class' => 'form-select form-select-sm', 'id' => 'PGReaseachConfirmation'])->label(false) ?>
                </div>
            </div>
            <div id="pg" style="display:none" ;>
                <div class="row mb-3 ">
                    <div class="col-sm-4 text-end col-form-label">
                        <label class="">Research Experience (In Years) <span class="astric-sign">*</span></label>
                    </div>
                    <div class="col-sm-5">
                        <?= $form->field($model, 'ReasearchExServicemanPGExperience')->input('text', ['placeholder' => "Enter Research Experience Years", 'class' => 'form-control form-control-sm', 'id' => 'ReasearchExServicemanPGExperience', 'maxlength' => '2', 'onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                    </div>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Whether you Ex-Serviceman <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-5">
                    <?= $form->field($model, 'ReasearchExServiceman')->dropDownList(['' => '--Select--', '1' => 'Yes', '0' => 'No'], ['class' => 'form-select form-select-sm'])->label(false) ?>
                </div>
            </div>
            <h6>Security Pin</h6>
            <hr />
            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                <div class="col-sm-5">
                    <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                        'captchaAction' => '/application/application/captcha',
                        'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                        'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                    ])->label(false)  ?>

                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <?= $form->field($model, 'clarification')
                        ->checkbox(
                            ['uncheck' => null, 'label' => 'I AGREE', 'id' => 'checkboxName', 'class' => "chk1 userActivityBtn", 'data-modulename' => 'Additional-Details', 'data-activityname' => 'Check-Mark'],
                        ); ?>
                    I hereby declare that I have filled up this online application after carefully reading the Bulletin and fully understanding the provision/procedures mentioned therein. I further declare that all the particulars given by me in this application are true to the best of my knowledge and belief. I agree that my result may be withheld/not declared/ my candidature may stand cancelled. In case it is found at any point of time in future that false information has been furnished in this application. I shall abide by these terms and conditions as well as those laid down in the Information Bulletin, Public Notice and Advisories issued by NTA regarding this exam time to time.
                </div>
            </div>
            <div class="row mb-3 justify-content-center">
                <div class="col-md-12 mb-3 mt-5 justify-content-center">
                    <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['application/postgraduation'], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important','data-modulename'=>'Additional-Details','data-activityname'=>'Previous-Button']) ?>
                    <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'id' => 'submButton', 'style' => 'float:right']) ?>
                </div>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
</div>

<?php
$this->registerJs('
        $(document).ready(function() {
            $("#additional-form").on("beforeSubmit", function(event, messages) {
                SimpleLoading.start();
                return true;
            });
        });
 
    $(document).ready(function() {
        var value = $("#MPhilOptions").val();
        if (value == 1) {
            $("#mphil").show();
        }

        var value = $("#PhdOptions").val();
        if (value == 1) {
            $("#phd").show();
        }
        var value = $("#PGReaseachConfirmation").val();
        if (value == 1) {
            $("#pg").show();
        }

        $("#MPhilOptions").on("change", function() {
            var value = $("#MPhilOptions").val();
            if (value == 1) {
                $("#MPhilAddmissionYear").val("");
                $("#mphil").show();
            } else {
                $("#mphil").hide();
            }
        });

        $("#PhdOptions").on("change", function() {
            var value = $("#PhdOptions").val();
            if (value == 1) {
                $("#PhdAddmissionYear").val("");
                $("#PhdMasterLevelTimeDateConfirmation").val("");
                $("#phd").show();
            } else {
                $("#phd").hide();
            }
        });
        $("#PGReaseachConfirmation").on("change", function() {
            var value = $("#PGReaseachConfirmation").val();
            if (value == 1) {
                $("#ReasearchExServicemanPGExperience").val("");
                $("#pg").show();
            } else {
                $("#pg").hide();
            }
        });
    });
   
      
      ');

?>