<?php

use yii\helpers\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
//use yii\captchaPDetail\captchaPDetail;
use app\modules\application\models\GenderMst;
use app\modules\application\models\CountryMst;
use app\modules\application\models\CasteCategoryMst;
use app\modules\application\models\SubjectMst;
use app\modules\application\models\CandidatePassedSubjectTbl;
use app\modules\application\models\ContactDetails;
use app\modules\application\models\DistrictMst;
use app\modules\application\models\StateMst;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();
/** @var yii\web\View $this */
/** @var app\modules\application\models\AadharDetails $model */
/** @var yii\widgets\ActiveForm $form */
$this->title = 'NTA - National Testing Agency';
$baseurl = Url::base();
?>
<!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
<script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jquery/1.4/jquery.min.js'></script> -->
<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Contact Details</h6>
        </div>
        <div class="card-body">
            <div class="row col-md-12 justify-content-md-center">                
                <?php if(Yii::$app->session->get('success'))
                {
                    echo "<div class='pt-1 pb-1 alert alert-success '>";
                    echo Yii::$app->session->get('success');Yii::$app->session->remove('success');
                    echo "</div>";
                }
                ?>              
            </div> 
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>
            <div class="col-md-12 mb-0">
                <b>Present Address</b>
            </div>
            <hr>
            <?php $form = ActiveForm::begin(['id' => 'contact-form', 'options' => ['autocomplete' => 'off']]); ?>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Premises No/Name <span class="astric-sign">*</span>:</label>
                </div>
                <div class="col-sm-6">
                    <?= $form->field($model, 'PremisesName')->textInput(['placeholder' => 'Enter Premises No/Name', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper uncheckedPerA', 'id' => 'pr_Premises_Name','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Locality <span class="astric-sign">*</span>:</label>
                </div>
                <div class="col-sm-6">
                    <?= $form->field($model, 'Locality')->textInput(['placeholder' => 'Enter Locality', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper uncheckedPerA', 'id' => 'pr_Locality','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Sub-Locality(Optional) :</label>
                </div>
                <div class="col-sm-6">
                    <?= $form->field($model, 'SubLocality')->textInput(['placeholder' => 'Enter Sub-Locality(Optional)', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper uncheckedPerA', 'id' => 'pr_SubLocality','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Country: <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-6">

                    <?= $form->field($model, 'CountryID',)->dropDownList(ArrayHelper::map(
                        CountryMst::find()->where(['IsActive' => 1])->OrderBy(['CountryName' => SORT_ASC])->all(),
                        'ID',
                        'CountryName'
                    ), [
                        'prompt' => '--Select--', 'class' => 'form-select form-select-sm uncheckedPerA', 'id' => 'pr_CountryID',
                        'onchange' => '
                    $.post( "' . Yii::$app->urlManager->createUrl('application/resultmode?id=') . '"+$(this).val(), function( data ) {
                        // $( "select#contactdetails-stateutid" ).html( data );
                        // $("#contactdetails-districtid").empty(data);
                        $( "select#pr_StateUTID" ).html( data );
                        $("#pr_DistrictID").empty(data);
                        $("#pr_DistrictID").append("<option>--Select--</option>");
                    });
                '
                    ])->label(false);  ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">State/UT: <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-6">
                    <?php echo $form->field($model, 'StateUTID',)->dropDownList(
                        $countryState,
                        [
                            'prompt' => '--Select--', 'class' => 'form-select form-select-sm uncheckedPerA', 'id' => 'pr_StateUTID',
                            'onchange' => '
                            $.post( "' . Yii::$app->urlManager->createUrl('application/resultmode-distict?id=') . '"+$(this).val(), function( data ) {
                              //$( "#contactdetails-districtid" ).html( data );
                              $( "#pr_DistrictID" ).html( data );
                            });'
                        ]
                    )->label(false);  ?>

                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">District: <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-6">
                    <?php echo $form->field($model, 'DistrictID',)->dropDownList($stateDistrict, ['prompt' => '--Select--', 'class' => 'form-select form-select-sm uncheckedPerA', 'id' => 'pr_DistrictID'])->label(false);  ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Pin Code: <span class="astric-sign">*</span></label>
                </div>
                <div class="col-sm-6">
                    <?= $form->field($model, 'PinCode')->textInput(['placeholder' => 'Enter Pin Code', 'maxlength' => true, 'class' => 'form-control form-control-sm uncheckedPerA', 'id' => 'pr_PinCode','onkeypress'=> "return blockSpecialChar(event,'alphanumeric')"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Email Address: </label>
                </div>
                <div class="col-sm-6">
                    <?php echo $condidate['CandidateEmail'] ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Mobile Number:</label>
                </div>
                <div class="col-sm-6">
                    <?php echo $condidate['CandidateMobile'] ?>
                </div>
            </div>
            <!-- <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Alternate Contact No. (Optional):</label>
                </div>
                <div class="col-sm-6">
                    <?php //echo $condidate['AlternateMobile'] ?>
                </div>
            </div> -->

            <!-------------------------------------Permanent Address------------------------------------------------>
            <div class="col-md-12 mb-0">
                <b>Permanent Address</b>
            </div>
            <hr>
            <div class="col-sm-12">
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault">
                    <label class="form-check-label" for="flexCheckDefault"> Same As Present Address</label>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Premises No/Name <span class="astric-sign">*</span>:</label>
                </div>
                <div class="col-md-6">
                    <?= $form->field($model, 'PermanentPremisesName')->textInput(['placeholder' => 'Enter Premises No/Name', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper', 'id' => 'p_Premises_Name','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Locality <span class="astric-sign">*</span>:</label>
                </div>
                <div class="col-md-6">
                    <?= $form->field($model, 'PermanentLocality')->textInput(['placeholder' => 'Enter Locality', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper', 'id' => 'p_Locality','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Sub-Locality(Optional) :</label>
                </div>
                <div class="col-md-6">
                    <?= $form->field($model, 'PermanentSubLocality')->textInput(['placeholder' => 'Enter Sub-Locality(Optional', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper', 'id' => 'p_SubLocality','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Country: <span class="astric-sign">*</span></label>
                </div>
                <div class="col-md-6">

                    <?= $form->field($model, 'PermanentCountryID',)->dropDownList(ArrayHelper::map(
                        CountryMst::find()->where(['IsActive' => 1])->OrderBy(['CountryName' => SORT_ASC])->all(),
                        'ID',
                        'CountryName'
                    ), [
                        'prompt' => '--Select--', 'class' => 'form-select form-select-sm', 'id' => 'p_CountryID',
                        'onchange' => '
                    $.post( "' . Yii::$app->urlManager->createUrl('application/resultmode?id=') . '"+$(this).val(), function( data ) {

                        // $( "select#contactdetails-permanentstateutid" ).html( data );
                        // $("#contactdetails-permanentdistrictid").empty(data);

                        $( "select#p_StateUTID" ).html( data );
                        $("#p_DistrictID").empty(data);

                    });
                '
                    ])->label(false);  ?>
                </div>
            </div>
            <div class="row mb-3 ">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">State/UT: <span class="astric-sign">*</span></label>
                </div>
                <div class="col-md-6">
                    <?php echo $form->field($model, 'PermanentStateUTID',)->dropDownList(
                        $countryState,
                        [
                            'prompt' => '--Select--', 'class' => 'form-select form-select-sm', 'id' => 'p_StateUTID',
                            'onchange' => '
                             $.post( "' . Yii::$app->urlManager->createUrl('application/resultmode-distict?id=') . '"+$(this).val(), function( data ) {
                            //  $( "#contactdetails-permanentdistrictid" ).html( data );
                            $( "#p_DistrictID" ).html( data );
                             });'
                        ]
                    )->label(false);  ?>

                </div>
            </div>
            <div class="row mb-3">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">District: <span class="astric-sign">*</span></label>
                </div>
                <div class="col-md-6">

                    <?php echo $form->field($model, 'PermanentDistrictID',)->dropDownList($stateDistrict, ['class' => 'form-select form-select-sm','id'=>'p_DistrictID'])->label(false);  ?>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-sm-4 text-end col-form-label">
                    <label class="">Pin Code: <span class="astric-sign">*</span></label>
                </div>
                <div class="col-md-6">
                    <?= $form->field($model, 'PermanentPinCode')->textInput(['placeholder' => 'Enter Pin Code', 'maxlength' => true, 'class' => 'form-control form-control-sm', 'id' => 'p_PinCode','onkeypress'=> "return blockSpecialChar(event,'alphanumeric')"])->label(false) ?>
                </div>
            </div>
            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                        'captchaAction' => '/application/application/captcha',
                        'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                        'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                    ])->label(false)  ?>

                </div>
            </div>
            <div class="form-group">
                <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['application/personaldetailsform'], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important', 'data-modulename' => 'Contact-Details', 'data-activityname' => 'Previous-Button']) ?>
                <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'id'=>'saveContactDetail', 'style' => 'float:right']) ?>
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>

</div>
<?php
$this->registerJs('
        $(document).ready(function() {
            $("#contact-form").on("beforeSubmit", function(event, messages) {
                SimpleLoading.start();
                return true;
            });
        });

        var currentInputVal = $("#pr_Premises_Name").val();
        if(currentInputVal){
            $("#flexCheckDefault").click();
        }
 
    ');
?>