<?php

use app\modules\application\models\AadharDetails;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var app\modules\application\models\AadharDetailsSearch $searchModel */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Aadhar Details';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="aadhar-details-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Create Aadhar Details', ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'ID',
            'ApplicationNumber',
            'CandidateName',
            'CandidateEmail:email',
            'CandidateMobile',
            //'AlternateMobile',
            //'Password',
            //'FatherName',
            //'MotherName',
            //'DOB',
            //'GenderID',
            //'IdentityID',
            //'IdentityNumber',
            //'SecurityQuestionID',
            //'SecurityAnswer',
            //'IsAadharNumber',
            //'AadharNumber',
            //'NameOnAadhar',
            //'DOBOnAadhar',
            //'GenderOnAadharID',
            //'IsAadharOptions',
            //'AadharSelectedOption',
            //'NationalityID',
            //'CastCategoryID',
            //'PhysicalDisability',
            //'IsDiabetic',
            //'AnnualIncome',
            //'MinorityCommunity',
            //'QuestionPaperMediumID',
            //'IsConfirm',
            //'RegisteredDate',
            //'ApplicationSubmitDate',
            //'LastLoginDate',
            //'ModifyBy',
            //'ModifyDate',
            //'CandidateIP',
            //'IsActive',
            //'AuthKey',
            //'VerificationToken',
            //'Status',
            //'created_at',
            //'updated_at',
            //'PasswordResetToken',
            [
                'class' => ActionColumn::className(),
                'urlCreator' => function ($action, AadharDetails $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'ID' => $model->ID]);
                 }
            ],
        ],
    ]); ?>


</div>
