<?php

use yii\helpers\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
//use yii\captchaPDetail\captchaPDetail;
use app\modules\application\models\GenderMst;
use app\modules\application\models\CountryMst;
use app\modules\application\models\CasteCategoryMst;
use app\modules\application\models\SubjectMst;
use app\modules\application\models\CandidatePassedSubjectTbl;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;

use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();
/** @var yii\web\View $this */
/** @var app\modules\application\models\AadharDetails $model */
/** @var yii\widgets\ActiveForm $form */

$baseurl = Url::base();

$this->title = 'NTA - National Testing Agency';

?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Personal Details</h6>
        </div>
        <div class="card-body">
            <div class="row col-md-12 justify-content-md-center">                
                <?php if(Yii::$app->session->get('success'))
                {
                    echo "<div class='pt-1 pb-1 alert alert-success '>";
                    echo Yii::$app->session->get('success');Yii::$app->session->remove('success');
                    echo "</div>";
                }
                ?>              
            </div> 
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>
            <?php $form = ActiveForm::begin(['id' => 'personal-form', 'options' => ['autocomplete' => 'off']]); ?>
            <div class="row mb-3">
                <label class="col-sm-4 text-end col-form-label">Candidate`s Name <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'CandidateName')->textInput(['placeholder' => 'Enter Candidate Name', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>

                </div>
            </div>

            <div class="row mb-3">
                <label class="col-sm-4 text-end col-form-label">Date of Birth <span class="astric-sign">*</span>:</label>
                <div class="col-sm-2">

                    <?php
                    $oldDate = $model->DOB;
                    if(isset($oldDate)){
                        $arr = explode('-', $oldDate);
                        $newDay = $arr[0];
                        $newMonth = $arr[1];
                        $newYear = $arr[2];
                    }else{
                        $newDay = '';
                        $newMonth = '';
                        $newYear = '';
                    }
              

                    ?>
                    <?= $form->field($model, 'Day')->dropDownList(
                        $DobDate,
                        [
                            'prompt' => '--Date--', 'id' => 'Day', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newDay) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()',
                        ],
                    )->label(false) ?>

                </div>
                <div class="col-sm-2">
                    <?= $form->field($model, 'Month')->dropDownList(
                        $DobMonth,
                        [
                            'prompt' => '--Month--', 'id' => 'Month', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newMonth) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()'

                        ],
                    )->label(false) ?>
                </div>
                <div class="col-sm-2">
                    <?= $form->field($model, 'Year')->dropDownList(
                        $DobYear,
                        [
                            'prompt' => '--Year--', 'id' => 'Year', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newYear) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()'
                        ],
                    )->label(false) ?>
                </div>
            </div>

            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Gender <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'GenderID')->dropDownList(
                        ArrayHelper::map(GenderMst::find()->all(), 'ID', 'Gender'),
                        [
                            'prompt' => '--Select--', 'id' => 'GenderID', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>


                </div>
            </div>

            <div class="row mb-3">
                <label class="col-sm-4 text-end col-form-label">Father's/ Guardian’s Name<span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'FatherName')->textInput(['placeholder' => 'Enter Father Name', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                </div>
            </div>

            <div class="row mb-3">
                <label class="col-sm-4 text-end col-form-label">Mother's/ Guardian’s Name <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'MotherName')->textInput(['placeholder' => 'Enter Mother Name', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                </div>
            </div>

            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Nationality <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'NationalityID')->dropDownList(
                        ArrayHelper::map(CountryMst::find()->where(['IsActive' => 1])->OrderBy(['CountryName' => SORT_ASC])->all(), 'ID', 'CountryName'),
                        [
                            'prompt' => '--Select--', 'id' => 'NationalityID', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>
            </div>

            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Category <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'CastCategoryID')->dropDownList(
                        ArrayHelper::map(CasteCategoryMst::find()->where(['IsActive' => 1])->OrderBy(['Sequence' => SORT_ASC])->all(), 'ID', 'CategoryName'),
                        [
                            'prompt' => '--Select--', 'id' => 'CastCategoryID', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>
            </div>


            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">If you are a PwD candidate, do you have benchmark disability (40% or more/severe where percentage is not defined)? <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">

                    <?= $form->field($model, 'PhysicalDisability')->dropDownList([1 => 'Yes', 0 => 'No'], [
                        'prompt' => '--Select--', 'id' => 'PhysicalDisability', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>
            </div>

            <div class="row mb-4" id="typeDisability">
                <label class="col-sm-4 text-end col-form-label">Type of Disability <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">

                    <?= $form->field($model, 'DisabilyType')->dropDownList(['1' => 'Locomotor disability as specified in the Schedule of RPWD Act, 2016', '2' => 'Visual impairment as specified in the Schedule of RPWD Act, 2016', '3' => 'Hearing impairment as specified in the Schedule of RPWD Act, О 2016', '4' => 'Speech & language disability as specified in the Schedule of RPWD Act, 2016', '5' => 'Intellectual disabilities as specified in the Schedule of RPWD Act, 2016', '6' => 'Mental illness', '7' => 'Disabilities caused due to chronic neurological conditions  and blood disorder', '8' => 'Multiple disabilities including deaf blindness'], [
                        'prompt' => '--Select--', 'id' => 'DisabilyType', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>
            </div>

            <div class="row mb-4" id="bulletinScribe">
                <label class="col-sm-4 text-end col-form-label">Do you need a scribe (as the criteria given in the Information Bulletin) <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">

                    <?= $form->field($model, 'NeedScribe')->dropDownList(['1' => 'No', '2' => 'Yes I will arrange by my own', '3' => 'yes I want NTA to arrange scribe'], [
                        'prompt' => '--Select--', 'id' => 'NeedScribeR', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>
            </div>


            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Are You Diabetic ? <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'IsDiabetic')->dropDownList(['1' => 'Yes', '0' => 'No'], [
                        'prompt' => '--Select--', 'id' => 'IsDiabetic', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>
            </div>


            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Annual Income of the Parents/Guardian <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">

                    <?= $form->field($model, 'AnnualIncome')->dropDownList(['1' => '500000', '2' => '500000 - 700000', '3' => '700000 - 1000000'], [
                        'prompt' => '--Select--', 'id' => 'AnnualIncome', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>
            </div>


            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Do You belong to Minority Community ? <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'MinorityCommunity')->dropDownList(['1' => 'Yes', '0' => 'No'], [
                        'prompt' => '--Select--', 'id' => 'MinorityCommunity', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>

                </div>
            </div>

            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Subject Name in Post Graduate Exam <span class="astric-sign">*</span>:</label>
                <div class="col-sm-6">
                    <?php echo $form->field($model, 'SubjectID')->dropDownList(
                        ArrayHelper::map(SubjectMst::find()->where(['IsActive' => 1])->OrderBy(['SubjectName' => SORT_ASC])->all(), 'ID', 'SubjectName'),
                        [
                            'prompt' => '--Select--', 'class' => 'form-select form-select-sm', 'options' => [
                                @$PasSubj['SubjectID'] => ['selected' => true],
                            ],
                        ],
                    )->label(false) ?>

                </div>
            </div>

            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                        'captchaAction' => '/application/application/captcha',
                        'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                        'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                    ])->label(false)  ?>

                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <?= $form->field($model, 'checkboxName')
                        ->checkbox(
                            ['uncheck' => null, 'label' => 'I AGREE', 'id' => 'checkboxName', 'class' => "chk1 userActivityBtn", 'data-modulename' => 'Personal-Details', 'data-activityname' => 'Check-Mark'],
                        ); ?>
                    I hereby declare that I have filled up this online application after carefully reading the Bulletin and fully understanding the provision/procedures mentioned therein. I further declare that all the particulars given by me in this application are true to the best of my knowledge and belief. I agree that my result may be withheld/not declared/ my candidature may stand cancelled. In case it is found at any point of time in future that false information has been furnished in this application. I shall abide by these terms and conditions as well as those laid down in the Information Bulletin, Public Notice and Advisories issued by NTA regarding this exam time to time.
                </div>

            </div>
            <div class="form-group">
                <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right']) ?>
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>
<?php
$this->registerJs('
    
    $(document).ready(function() {
        $("#personal-form").on("beforeSubmit", function(event, messages) {
            SimpleLoading.start();
            return true;
        });
    });

    jQuery(document).ready(function() {
        $("#typeDisability").hide();
        $("#bulletinScribe").hide();
        var PhysicalDisability = $("#PhysicalDisability :selected").val();
        if (PhysicalDisability == 1) {
            $("#typeDisability").show();
            $("#bulletinScribe").show();
            $("#NeedScribeR").prop("required", true);
            $("#DisabilyType").prop("required", true);
        } else {
            $("#typeDisability").hide();
            $("#bulletinScribe").hide();
            $("#NeedScribeR").prop("required", false);
            $("#DisabilyType").prop("required", false);
            $("#DisabilyType").val("");
            $("#NeedScribeR").val("");
        }
        jQuery("#PhysicalDisability").on("change", function() {
            var PhysicalDisability = $("#PhysicalDisability :selected").val();
            if (PhysicalDisability == 1) {
                $("#typeDisability").show();
                $("#bulletinScribe").show();
            } else {
                $("#typeDisability").hide();
                $("#bulletinScribe").hide();
                $("#NeedScribeR").prop("required", false);
                $("#DisabilyType").prop("required", false);
                $("#DisabilyType").val("");
                $("#NeedScribeR").val("");
            }

        });
    });
    ');
?>