<?php

use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\bootstrap5\ActiveForm;
use app\modules\application\models\CourseMst;
use frontend\modules\application\models\UniversityMst;
use frontend\modules\application\models\StateMst;
use app\modules\application\models\CountryMst;
use yii\captcha\Captcha;
use edwinhaq\simpleloading\SimpleLoading;
SimpleLoading::widget();
use yii\helpers\Url;

/** @var yii\web\View $this */
/** @var app\models\CandidateQualificationDetailsTbl $model */
/** @var ActiveForm $form */

$this->title = 'NTA - National Testing Agency';
$baseurl = Url::base(); 
?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Qualification Details</h6>
        </div>
        <div class="card-body">
            <div class="row col-md-12 justify-content-md-center">                
                <?php if(Yii::$app->session->get('success'))
                {
                    echo "<div class='pt-1 pb-1 alert alert-success '>";
                    echo Yii::$app->session->get('success');Yii::$app->session->remove('success');
                    echo "</div>";
                }
                ?>              
            </div> 
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>
            <?php $form = ActiveForm::begin(['id' => 'qualification-form', 'options' => ['autocomplete' => 'off']]); ?>
            <div class="row justify-content-md-center">
                <div class="col-md-12">                 
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Pass Status <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'PassStatus')->dropDownList(['' => '--Select--', 1 => 'Passed', 2 => 'Appearing'], ['class' => 'form-select form-select-sm'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Passing of Year/Appearing <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'YearOfPassing')->dropDownList($appeaR, ['class' => 'form-select form-select-sm', '' => '--Select--'])->label(false) ?>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Course/Stream <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'CourseID')->dropDownList(ArrayHelper::map(CourseMst::find()->where(['IsActive' => 1, 'OptCourse' => 0])->OrderBy(['CourseName' => SORT_ASC])->all(), 'ID', 'CourseName'), ['class' => 'form-select form-select-sm', 'prompt' => '--Select-- '])->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Whether in Final Year/Final Year Result Awaited <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'FinalResultAwating')->dropDownList($finalR, ['class' => 'form-select form-select-sm', '' => '--Select--'])->label(false) ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Qualifying Examination From <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'QualifyingExamPlaceID',)->dropDownList(ArrayHelper::map(
                                CountryMst::find()->where(['IsActive' => 1])->OrderBy(['CountryName' => SORT_ASC])->all(),
                                'ID',
                                'CountryName'
                            ), [
                                'class' => 'form-select form-select-sm', 'prompt' => '--Select--',
                                'onchange' => '
                           $.post( "' . Yii::$app->urlManager->createUrl('application/resultmode?id=') . '"+$(this).val(), function( data ) {
                           $( "select#candidatequalificationdetailstbl-qualificationexamstateid" ).html( data );
                           });'
                            ])->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Qualifying Examination State <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'QualificationExamStateID')->dropDownList($countryState, ['class' => 'form-select form-select-sm', 'prompt' => '--Select--'])->label(false) ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Result Mode <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'ResultMode',)->dropDownList(['' => '--Select--', '1' => 'Percentage', '2' => 'CGPA'], ['id' => 'resultmode', 'class' => 'form-select form-select-sm'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Board/University Name <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'UniversityBoardID')->dropDownList(ArrayHelper::map(
                                UniversityMst::find()->where(['IsActive' => 1])->OrderBy(['UniversityBoardName' => SORT_ASC])->all(),
                                'ID',
                                'UniversityBoardName'
                            ), ['class' => 'form-select form-select-sm', 'prompt' => '--Select-- '])->label(false); ?>
                        </div>
                    </div>
                    <div id="hideMode" style="display:none">
                        <div class="row">
                            <div class="col-md-6">
                            </div>
                        </div>
                        <div id="resultR" style="display:none">
                            <div class="row">
                                <div class="col-md-4">
                                    <label class="">Total Marks <span class="astric-sign">*</span></label>
                                    <?= $form->field($model, 'TotalMarks', ['inputOptions' => ['id' => 'totalmark', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Total Mark"])->label(false) ?>
                                </div>
                                <div class="col-md-4">
                                    <label class="">Obtained Marks <span class="astric-sign">*</span></label>
                                    <?= $form->field($model, 'MarksObtained', ['inputOptions' => ['class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained Marks"])->label(false); ?>
                                </div>
                                <div class="col-md-4">
                                    <label id="changeMark"></label>
                                    <?= $form->field($model, 'CgpaPercentageMarks', ['inputOptions' => ['id' => 'marktype', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'rearonly' => 'rearonly']])->input('text', ['placeholder' => "CGPA/Percentage"])->label(false) ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="row mb-4">
                            <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                            <div class="col-sm-6">
                                <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                                    'captchaAction' => '/application/application/captcha',
                                    'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                                    'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                                ])->label(false)  ?>

                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <?= $form->field($model, 'clarification')
                                ->checkbox(
                                    ['uncheck' => null, 'label' => 'I AGREE', 'id' => 'clarification', 'class' => "chk1 userActivityBtn", 'data-modulename'=>'Qualification-Details','data-activityname'=>'Check-Mark']
                                ); ?>
                            I hereby declare that I have filled up this online application after carefully reading the Bulletin and fully understanding the provision/procedures mentioned therein. I further declare that all the particulars given by me in this application are true to the best of my knowledge and belief. I agree that my result may be withheld/not declared/ my candidature may stand cancelled. In case it is found at any point of time in future that false information has been furnished in this application. I shall abide by these terms and conditions as well as those laid down in the Information Bulletin, Public Notice and Advisories issued by NTA regarding this exam time to time.
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 mt-5">
                            <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['application/examcenterdetailsform'], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important','data-modulename'=>'Qualification-Details','data-activityname'=>'Previous-Button']) ?>
                            <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right', 'onClick' => 'return submitFormMessage("qualification-form","refresh_captcha","clarification")']) ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>

<?php
$this->registerJs('
        $(document).ready(function() {
            $("#qualification-form").on("beforeSubmit", function(event, messages) {
                SimpleLoading.start();
                return true;
            });
        });
        ');
        ?>
<script>

    jQuery(document).ready(function() {
        $("#marktype").prop('readonly', true);
        jQuery('#totalmark').on('keyup', function() {
            if ($("#candidatequalificationdetailstbl-marksobtained").val() > $(this).val()) {
                $("#candidatequalificationdetailstbl-marksobtained").val('');
                $("#marktype").val('')
            }
        });

        var passed = $('#candidatequalificationdetailstbl-passstatus :selected').val();
        var pass = (passed != '') ? parseInt(passed) : 0;
        //show hide div
        //alert(pass);
        if (pass == 1) {
            $('#hideMode').show();
        } else {
            $('#hideMode').hide();
        }
        if (pass > 0) {
            //alert(pass);
            $.ajax({
                url: '<?php echo Yii::$app->request->baseUrl . '/application/passyear' ?>',
                type: 'get',
                data: {
                    pass: pass
                },
                success: function(data) {
                    console.log(data);
                    if (data != '') {
                        var totaldata = JSON.parse(data);
                        //$('#candidatequalificationdetailstbl-yearofpassing').html(data);
                        if (pass == 1) {
                            var i = 0;
                            $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
                            $.each(totaldata, function(key, value) {

                                $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                                i++;
                            });

                            $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="2">Not Applicable</option>');
                        } else {
                            var i = 0;
                            $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
                            $.each(totaldata, function(key, value) {

                                $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                                $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                                i++;
                            });
                        }
                    }
                }
            });
        }

        /*----------------------------------------------*/

        jQuery('#candidatequalificationdetailstbl-passstatus').on('change', function() {
            var pass = $('#candidatequalificationdetailstbl-passstatus :selected').val();
            //alert(pass);
            $("#totalmark").val('');
            $("#candidatequalificationdetailstbl-marksobtained").val('');
            $("#marktype").val('');
            if (pass == 1) {
                $('#hideMode').show();
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
            } else if (!pass) {
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
                $('#candidatequalificationdetailstbl-yearofpassing').html('<option value="">--Select--</option>');
                $('#candidatequalificationdetailstbl-finalresultawating').html('<option value="">--Select--</option>');
            } else {
                $('#hideMode').hide();
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
            }

            $.ajax({
                url: '<?php echo Yii::$app->request->baseUrl . '/application/passyear' ?>',
                type: 'post',
                data: {
                    pass: pass
                },
                success: function(data) {
                    console.log(data);
                    var totaldata = JSON.parse(data);
                    //$('#candidatequalificationdetailstbl-yearofpassing').html(data);
                    //alert(165);
                    //alert(pass);
                    if (pass == 1) {

                        var i = 0;
                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
                        $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
                        $.each(totaldata, function(key, value) {

                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            i++;
                        });

                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="2">Not Applicable</option>');
                    } else {
                        var i = 0;
                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
                        $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
                        $.each(totaldata, function(key, value) {

                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            i++;
                        });
                    }

                }
            });

        });
        /*-----------------select payment mode----------------- */
        jQuery(document).ready(function() {
            var Resultmode = $('#resultmode').val();
            if (Resultmode == 1) {
                $('#resultR').show();
            }
        });
        jQuery('#resultmode').on('change', function() {
            var Resultmode = $('#resultmode').val();
            if (Resultmode != '') {
                if (Resultmode == 1) {
                    $('#changeMark').text('Marks(%)');
                } else {
                    $('#changeMark').text('Marks(CGPA)');
                }
                $('#resultR').show();
            } else {
                $('#resultR').hide();
            }
        });
    });

    /********calculate**********/
    jQuery(document).ready(function() {
        jQuery('#candidatequalificationdetailstbl-marksobtained').on('keyup', function() {
            var total = parseInt($('#totalmark').val());
            var obtain = parseInt($('#candidatequalificationdetailstbl-marksobtained').val());
            if (total > 0 && total >= obtain) {
                // alert(total);
                // alert(obtain);
                var percentage = obtain / (total / 100);
                var getamt = parseFloat(percentage).toFixed(2);
                $('#marktype').val(getamt);
            } else {
                $('#candidatequalificationdetailstbl-marksobtained').val('');

            }

        });
    });

</script>