<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/** @var yii\web\View $this */
/** @var app\modules\application\models\AadharDetails $model */

$this->title = $model->ID;
$this->params['breadcrumbs'][] = ['label' => 'Aadhar Details', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="aadhar-details-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'ID' => $model->ID], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'ID' => $model->ID], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'ID',
            'ApplicationNumber',
            'CandidateName',
            'CandidateEmail:email',
            'CandidateMobile',
            'AlternateMobile',
            'Password',
            'FatherName',
            'MotherName',
            'DOB',
            'GenderID',
            'IdentityID',
            'IdentityNumber',
            'SecurityQuestionID',
            'SecurityAnswer',
            'IsAadharNumber',
            'AadharNumber',
            'NameOnAadhar',
            'DOBOnAadhar',
            'GenderOnAadharID',
            'IsAadharOptions',
            'AadharSelectedOption',
            'NationalityID',
            'CastCategoryID',
            'PhysicalDisability',
            'IsDiabetic',
            'AnnualIncome',
            'MinorityCommunity',
            'QuestionPaperMediumID',
            'IsConfirm',
            'RegisteredDate',
            'ApplicationSubmitDate',
            'LastLoginDate',
            'ModifyBy',
            'ModifyDate',
            'CandidateIP',
            'IsActive',
            'AuthKey',
            'VerificationToken',
            'Status',
            'created_at',
            'updated_at',
            'PasswordResetToken',
        ],
    ]) ?>

</div>
