<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\captcha\Captcha;
//use yii\captchaPDetail\captchaPDetail;
use app\modules\application\models\GenderMst;
use app\modules\application\models\CountryMst;
use app\modules\application\models\CasteCategoryMst;
use app\modules\application\models\SubjectMst;
use app\modules\application\models\CandidatePassedSubjectTbl;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;

/** @var yii\web\View $this */
/** @var app\modules\application\models\AadharDetails $model */
/** @var yii\widgets\ActiveForm $form */
$baseurl = Url::base();
if (isset(yii::$app->params['IsdocumentuploadAPI']) && !empty(yii::$app->params['IsdocumentuploadAPI'])) {
    $documemntPath = yii::$app->params['documentPathAPI'];
} else {
    $documemntPath = Url::base();
}
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Review Confirmation Page</title>
<style>
/*this css work on print page default date time and page title print on page */
@page { size: auto;  margin: 5mm 5mm; }
/*End of this css work on print page default date time and page title print on page */
body {
	font-family:Arial, Helvetica, sans-serif;
	font-size:12px;
	line-height:14px;
	color:#000;
}
.logo {
	float:left;
	margin-right:10px;
}
.logo_name {
	float:left;
	margin-top:13px;
	font-size:14px;
	font-weight:bold;
}
table tr td {
	padding:2px;
}
/* this css work on page break to nest page */
@media print {
	table { page-break-inside:auto }
	tr { page-break-inside:avoid; page-break-after:auto }
}
/* End of this css work on page break to nest page */
p, td { font-family: freeserif; }
</style>

</head>

<body>
    <?php
        $Income =  Yii::$app->params['AnnualIncome'];       
    ?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <th align="left" scope="col"><img src="<?php echo Url::base()?>/images/education-logo.jpg" width="188" height="40"></th>
    <td align="center" scope="col" style="font-size:14px;"><strong style="font-size:16px;">JOINT CSIR-UGC DECEMBER 2023</strong><br>
    <!-- <strong>Session -1</strong><br> -->
      <span style="color: #0000FF"><strong style="font-size:13px;">Confirmation Page</strong></span></td>
    <th align="right" scope="col"><img src="<?php echo Url::base()?>/images/CSIR-NTA-logo.png" width="251" height="40"></th>
  </tr>
</table>
<table width="100%" border="1" cellspacing="0" cellpadding="5" style="border-collapse: collapse; border-color: #000;">
    <tr>
   	<td style="font-size:16px;"><strong>Application Number</strong></td>
        <td style="font-size:16px;"><strong><?= (isset($model['ApplicationNumber']) && !empty($model['ApplicationNumber'])) ? @$model['ApplicationNumber'] : 'NA'; ?></strong></td>
        <td colspan="2" align="right">
            <?php
                $apId=isset($model['ApplicationNumber'])?trim($model['ApplicationNumber']):'';    
            ?>
            <div class="barcodecell"><barcode code="<?php echo $apId;?>" type="C39" class="barcode" /></div>
        </td>
    </tr>
    <tr>
        <td colspan="4" align="center"><strong>Do Not Send this Page to National Testing Agency (NTA).</strong></td>
    </tr>
    <tr>
        <td colspan="4">Candidate is requested to retain the printout of Confirmation page for future Reference.</td>
    </tr>
    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>व्यक्तिगत ब्योरा (Personal Detail)</strong></td>
    </tr>
    <tr>
        <td><strong>उम्मीदवार का नाम (Candidate Name)</strong></td>
        <td><?= (isset($model['CandidateName']) && !empty($model['CandidateName'])) ? strtoupper($model['CandidateName']) : 'NA'; ?></td>

        <td><strong>उम्मीदवार की जन्म तिथि (Candidate Date of Birth)</strong></td>
        <td><?= (isset($model['DOB']) && !empty($model['DOB'])) ? date('d-m-Y', strtotime($model['DOB'])) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>लिंग (Gender)</strong></td>
        <td><?= (isset($model['Gender']) && !empty($model['Gender'])) ? strtoupper($model['Gender']) : 'NA'; ?></td>

        <td><strong>पिता/अभिभावक का नाम (Father/Guardian Name)</strong></td>
        <td><?= (isset($model['FatherName']) && !empty($model['FatherName'])) ? strtoupper($model['FatherName']) : 'NA'; ?></td>

    </tr>
    <?php if(isset($model['GenderID']) && !empty($model['GenderID']) && ($model['GenderID'] ==5)) { ?>
    <tr>
        <td colspan="3"><strong>क्या आपके परिवार में भाई या बहन के बिना अकेली लड़की है? (Are You a Single Girl Child In Your Family WithOut Brother Or Sister ?)</strong></td>
        <td colspan="1"><?= (isset($model['IsSIngleGirlChild']) && !empty($model['IsSIngleGirlChild'])) ? 'YES' : 'NO' ; ?></td>
    
    </tr>
    <?php } ?>
    <tr>
        <td><strong>माता/अभिभावक का नाम (Mother/Guardian Name)</strong></td>
        <td><?= (isset($model['MotherName']) && !empty($model['MotherName'])) ? strtoupper($model['MotherName']) : 'NA'; ?></td>
        <td><strong>राष्ट्रीयता (Nationality)</strong></td>
        <td><?= (isset($model['CountryName']) && !empty($model['CountryName'])) ? strtoupper($model['CountryName']) : 'NA'; ?></td>

    </tr>
    <tr>
        <td><strong>पहचान का प्रकार (Identity Type)</strong></td>
        <td><?= (isset($model['IdentityName']) && !empty($model['IdentityName'])) ? strtoupper($model['IdentityName']) : 'NA'; ?></td>
        <td><strong>पहचान संख्या (Identification Number)</strong></td> 
        <td><?= (isset($model['IdentityNumber']) && !empty($model['IdentityNumber'])) ? strtoupper($model['IdentityNumber']) : 'NA'; ?></td>
    </tr>
    
    <tr>
        <td><strong>वर्ग (Category)</strong></td>
        <td><?= (isset($model['CategoryName']) && !empty($model['CategoryName'])) ? strtoupper($model['CategoryName']) : 'NA'; ?></td>
    </tr>
    <?php
        $DisabilityPercentage=''; 
        $DisabilityPercentage = Yii::$app->params['DisabilityPercentage'];
    ?>
    <tr>
        <td colspan="3"><strong>क्या आप आरपीडब्ल्यूडी अधिनियम 2016 के प्रावधानों के अनुसार पीडब्ल्यूडी उम्मीदवार हैं? (Are you a PwD candidate as per the provisions of the RPwD Act 2016 ?)</strong></td>
        <td><?= (isset($model['PhysicalDisability']) && !empty($model['PhysicalDisability'])) ? strtoupper($DisabilityPercentage[$model['PhysicalDisability']]) : 'NA'; ?></td>
    </tr>


    <?php 
        if(isset($model['PhysicalDisability']) && ($model['PhysicalDisability'] != '3')){
    ?>
        <tr>
            <td><strong>अक्षम का प्रकार चुनें (Type of Disability)</strong></td>
            <!-- <td><?php //(isset($model['DisabilyTypeName'])) == 1 ? 'Less than 40% and having a limitation in writing under section 2(s)' : '40% or more (benchmark disability)'; ?></td> -->
            <td><?= (isset($model['DisabilyTypeName']) && !empty($model['DisabilyTypeName'])) ? strtoupper($model['DisabilyTypeName']) : 'NA'; ?></td>

            <td><strong>विकलांगता का % (% of Disability)</strong></td>
            <td><?= (isset($model['DisabilityPercentage']) && !empty($model['DisabilityPercentage'])) ? strtoupper($model['DisabilityPercentage']) : 'NA'; ?></td>
        </tr>
        <tr>
            <td colspan="3"><strong>क्या आपको लेखक की आवश्यकता है (सूचना बुलेटिन में दिए गए मानदंड के अनुसार) Do you need a scribe (as the criteria given in the Information Bulletin)</strong></td>
            <td>
            <?php 
            if(isset($model['NeedScribe']) && $model['NeedScribe']== 1){
                //echo "No - I do not need a Scribe";
                echo strtoupper(Yii::$app->params['NeedScribe'][1]);
            }else if(isset($model['NeedScribe']) && ($model['NeedScribe'] == 2)){
                //echo 'Yes - I will bring my own Scribe';
                echo strtoupper(Yii::$app->params['NeedScribe'][2]);
            }else if(isset($model['NeedScribe']) && ($model['NeedScribe'] == 3)){
                //echo 'Yes - I would like NTA to provide a Scribe';
                echo strtoupper(Yii::$app->params['NeedScribe'][3]);
            }else{
                echo "NA";
            }
            ?>
            </td>
        </tr>
    <?php } ?>

    <tr>
        <td><strong>क्या आपको मधुमेह हैं? (Are you Diabetic?)</strong></td>
        <td><?= (isset($model['IsDiabetic']) && $model['IsDiabetic'] == 1) ? 'YES' : 'NO'; ?></td>
        <td><strong>वार्षिक पारिवारिक आय (Annual Family Income)</strong></td>
        <td>Rs. <?php if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==1)){
                        echo 'Up To 100000';
                    }else if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==2)){
                        echo '100001 – 200000';
                    }else if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==3)){
                        echo '200001 – 300000';
                    }else if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==4)){
                        echo '300001 – 400000';
                    }else if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==5)){
                        echo '400001 – 500000';
                    }else if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==6)){
                        echo '500001 – 600000';
                    }else if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==7)){
                        echo '600001 – 700000';
                    }else if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==8)){
                        echo '700001 – 800000';
                    }else if(isset($model['AnnualIncome']) && ($model['AnnualIncome']==9)){
                        echo '800001 AND ABOVE';
                    }else{
                        echo "NA";
                    }
        ?></td>        
    </tr>
   

    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>संपर्क ब्योरा वर्तमान पता (Contact Details Present Address)</strong></td>
    </tr>

    <tr>
        <td><strong>परिसर संख्या / नाम (Premises No/Name)</strong></td>
        <td><?= (isset($model['PremisesName']) && !empty($model['PremisesName'])) ? strtoupper($model['PremisesName']) : 'NA'; ?></td>
        <td><strong>क्षेत्र (Locality)</strong></td>
        <td><?= (isset($model['Locality']) && !empty($model['Locality'])) ? strtoupper($model['Locality']) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>उप-मोहल्ला (Sub-Locality(Optional))</strong></td>
        <td><?= (isset($model['SubLocality']) && !empty($model['SubLocality'])) ? strtoupper($model['SubLocality']) : 'NA'; ?></td>
        <td><strong>देश (Country)</strong></td>
        <td><?= (isset($model['CountryName']) && !empty($model['CountryName'])) ? strtoupper($model['CountryName']) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>राज्य/संघ (State/UT)</strong></td>
        <td><?= (isset($model['StateName']) && !empty($model['StateName'])) ? strtoupper($model['StateName']) : 'NA'; ?></td>
        <td><strong>ज़िला (District)</strong></td>
        <td><?= (isset($model['DistrictName']) && !empty($model['DistrictName'])) ? strtoupper($model['DistrictName']) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>पिन कोड (Pin Code)</strong></td>
        <td><?= (isset($model['PinCode']) && !empty($model['PinCode'])) ? $model['PinCode'] : 'NA'; ?></td>
        <td><strong>मेल पता (Email Address)</strong></td>
        <td><?= (isset($model['CandidateEmail']) && !empty($model['CandidateEmail'])) ? $model['CandidateEmail'] : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>मोबाइल नंबर (Mobile Number)</strong></td>
        <td><?= (isset($model['CandidateMobile']) && !empty($model['CandidateMobile'])) ? strtoupper($model['CandidateMobile']) : 'NA'; ?></td>
        <td></td>
        <td></td>
    </tr>
    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>स्थायी पता (Permanent Address)</strong></td>
    </tr>
    <tr>
        <td><strong>परिसर संख्या / नाम (Premises No/Name)</strong></td>
        <td><?= (isset($model['PermanentPremisesName']) && !empty($model['PermanentPremisesName'])) ? strtoupper($model['PermanentPremisesName']) : 'NA'; ?></td>
        <td><strong>क्षेत्र (Locality)</strong></td>
        <td><?= (isset($model['PermanentLocality']) && !empty($model['PermanentLocality'])) ? strtoupper($model['PermanentLocality']) : 'NA'; ?></td>

    </tr>
    <tr>
        <td><strong>उप-मोहल्ला (Sub-Locality(Optional))</strong></td>
        <td><?= (isset($model['PermanentSubLocality']) && !empty($model['PermanentSubLocality'])) ? strtoupper($model['PermanentSubLocality']) : 'NA'; ?></td>
        <td><strong>देश (Country)</strong></td>
        <td><?= (isset($model['PermanentCountryName']) && !empty($model['PermanentCountryName'])) ? strtoupper($model['PermanentCountryName']) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>राज्य/संघ (State/UT)</strong></td>
        <td><?= (isset($model['PermanentStateName']) && !empty($model['PermanentStateName'])) ? strtoupper($model['PermanentStateName']) : 'NA'; ?></td>
        <td><strong>ज़िला (District)</strong></td>
        <td><?= (isset($model['PermanentDistrictName']) && !empty($model['PermanentDistrictName'])) ? strtoupper($model['PermanentDistrictName']) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>पिन कोड (Pin Code)</strong></td>
        <td><?= (isset($model['PermanentPinCode']) && !empty($model['PermanentPinCode'])) ? $model['PermanentPinCode'] : 'NA'; ?></td>
        <td><strong>वैकल्पिक मोबाइल नंबर (Alternate Mobile Number)</strong></td>
        <td><?= (isset($model['AlternateMobile']) && !empty($model['AlternateMobile'])) ? $model['AlternateMobile'] : 'NA'; ?></td>
    </tr>
    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>आधार ब्योरा (Aadhar Details)</strong></td>
    </tr>
    <tr>
        <td><strong>आधार चयनित ( Aadhaar Selected )</strong></td>
        <td><?= (isset($model['IsAadharNumber']) && $model['IsAadharNumber']==1) ? 'YES' : 'NO'; ?></td>

        <?php if(isset($model['IsAadharNumber'], $model['AadharSelectedOption']) && $model['IsAadharNumber'] == 1 && $model['AadharSelectedOption'] == 0){ ?>       
            <td><strong>आधार संख्या(Aadhar No)</strong></td>
            <td><?= (isset($model['AadharNumber']) && !empty($model['AadharNumber'])) ? $model['AadharNumber'] : 'NA'; ?></td>
        <?php } ?>
    </tr>
    <?php if(isset($model['IsAadharNumber'],$model['AadharSelectedOption']) && $model['IsAadharNumber'] == 1 && $model['AadharSelectedOption'] == 1){ ?>
    <tr>
        <td><strong>आधार संख्या(Aadhar No)</strong></td>
        <td><?= (isset($model['AadharNumber']) && !empty($model['AadharNumber'])) ? $model['AadharNumber'] : 'NA'; ?></td>
        <td><strong>आधार पर नाम (Name on Aadhar)</strong></td>
        <td><?= (isset($model['NameOnAadhar']) && !empty($model['NameOnAadhar'])) ? strtoupper($model['NameOnAadhar']) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>आधार पर लिंग (Gender on Aadhar)</strong></td>
        <td><?= (isset($model['AdhaarGenderName']) && !empty($model['AdhaarGenderName'])) ? strtoupper($model['AdhaarGenderName']) : 'NA'; ?></td>
        <td><strong>आधार जन्म तिथि (Aadhar Date of Birth)</strong></td>
        <td><?= (isset($model['DOBOnAadhar']) && !empty($model['DOBOnAadhar'])) ? $model['DOBOnAadhar'] : 'NA'; ?></td>
    </tr>
   <?php } ?>      
    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>स्नातक योग्यता विवरण (Graduation Qualification Details )</strong></td>
    </tr>
    <tr>
        <td><strong>पास की स्थिति (Pass Status)</strong></td>
        <td><?= (isset($model['PassStatus']) && ($model['PassStatus'] == 1))? 'PASSED' : 'APPEARING'; ?></td>
        <td><strong>उत्तीर्ण वर्ष/उपस्थिति (Passing of Year/Appearing)</strong></td>
        <td><?= (isset($model['YearOfPassing']) && !empty($model['YearOfPassing'])) ? @$model['YearOfPassing'] : 'NA'; ?></td>
    </tr> 
    <tr>
        <td><strong>कोर्स / स्ट्रीम (Course/Stream)</strong></td>
        <td><?= (isset($model['coursestream']) && !empty($model['coursestream'])) ? strtoupper(@$model['coursestream']) : 'NA'; ?></td>
        <?php if(isset($model['CourseID']) && @$model['CourseID'] == 10064) { ?>
        <td ><strong>Bsc 4 years-Equivalent Course/Stream</strong></td>
        <td><?= (isset($model['GraduateBscFourYrsEquivCourseName']) && !empty($model['GraduateBscFourYrsEquivCourseName'])) ? strtoupper(@$model['GraduateBscFourYrsEquivCourseName']) : 'NA'; ?></td>      
        <?php } else if (isset($model['CourseID']) && @$model['CourseID'] == 10073) { ?>
            <td ><strong>Other Course/Stream</strong></td>
            <td><?= (isset($model['OtherCourseName']) && !empty($model['OtherCourseName'])) ? strtoupper(@$model['OtherCourseName']) : 'NA'; ?></td>      
        <?php } else { ?>   
            <td ></td>
            <td ></td>
        <?php } ?>       
    </tr> 
            <tr>

            <td ><strong>योग्यता परीक्षा से (Qualifying Examination From)</strong></td>
            <td><?= (isset($model['qulifyplace']) && !empty($model['qulifyplace']))  ? strtoupper(@$model['qulifyplace']) : 'NA'; ?></td>
            <?php if (@$model['QualifyingExamPlaceID'] == 1385) { ?>
             <td><strong>योग्यता परीक्षा राज्य(Qualifying Examination State)</strong></td>
             <td>OTHER</td>
            <?php }else{ ?>
                <td ></td>
                <td ></td>
            <?php } ?>
            </tr>
  
            <?php if (isset($model['QualifyingExamPlaceID']) && @$model['QualifyingExamPlaceID'] == 1385) { ?>
                <tr>
                <td><strong>योग्यता परीक्षा राज्य(Board/University Name)</strong></td>
                <td>OTHER</td>
                <td> Other Board/University Name</td>
                <td><?= (isset($model['GraduateOtherUniversityName']) && !empty($model['GraduateOtherUniversityName']) )? strtoupper(@$model['GraduateOtherUniversityName']) : 'NA'; ?></td>
                </tr> 
             
            <?php }else{ ?>
            <tr>
                <td><strong>योग्यता परीक्षा राज्य(Qualifying Examination State)</strong></td>
                <td><?= (isset($model['qulifystate']) && !empty($model['qulifystate'])) ? @$model['qulifystate'] : 'NA'; ?></td>
                <?php if (isset($model['UniversityBoardID']) && @$model['UniversityBoardID'] == 0) { ?>
                    <td><strong>योग्यता परीक्षा से (Board/University Name )</strong></td>
                    <td>OTHER</td>
                <?php }else{ ?>
                    <td><strong>योग्यता परीक्षा से (Board/University Name )</strong></td>
                    <td><?= (isset($model['UniversityBoardName']) && !empty($model['UniversityBoardName']) )? strtoupper(@$model['UniversityBoardName']).' ('.strtoupper(@$model['UniversityAddress']).')' : 'NA'; ?></td>       
                <?php } ?>
            </tr>
            <?php if(isset($model['UniversityBoardID']) && ($model['UniversityBoardID']==0)){  ?>
            <tr>
                <td><strong>अन्य विश्वविद्यालय का नाम(Other University Name)</strong></td>
                <td><?= (isset($model['GraduateOtherUniversityName']) && !empty($model['GraduateOtherUniversityName'])) ? strtoupper(@$model['GraduateOtherUniversityName']) : 'NA'; ?></td>
                <td></td>
                <td></td>
            </tr>
            <?php } ?>
            
        <?php } ?>
        <tr>
        <td><strong>संस्थान का नाम और पता (Institute Name And Address )</strong></td>
        <td><?= (isset($model['GraduateInstituteNameAndAddress'])&& !empty($model['GraduateInstituteNameAndAddress'])) ? strtoupper(@$model['GraduateInstituteNameAndAddress']) : 'NA'; ?></td>
            <td><strong>संस्थान पिनकोड (Institute Pincode )</strong></td>
            <td><?= (isset($model['GraduateInstitutePincode']) && !empty($model['GraduateInstitutePincode']))? @$model['GraduateInstitutePincode'] : 'NA'; ?></td>     
        </tr>
        <?php 
//        $totalMark = preg_replace('/\.(\d{2}).*/', '.$1', @$model['TotalMarks']); 
//        $MarksObtained = preg_replace('/\.(\d{2}).*/', '.$1', @$model['MarksObtained']); 
//        $CgpaPercentageMarks = preg_replace('/\.(\d{2}).*/', '.$1', @$model['CgpaPercentageMarks']); 
        ?>
    <?php if($model['PassStatus'] == 1 && $model['ResultMode']==1){  ?>     
        <tr>
            <td><strong>परिणाम मोड (Result Mode)</strong></td>
            <td><?= (isset($model['ResultMode']) && ($model['ResultMode'] == 1)) ? 'PERCENTAGE' : 'CGPA'; ?></td>
            <td><strong>कुल अंक (Total Marks)</strong></td>
            <td><?= (isset($model['TotalMarks']) && !empty($model['TotalMarks'])) ? floatval(@$model['TotalMarks']) : 'NA'; ?></td>
        </tr> 
        <tr>
            <td><strong>प्राप्त अंक(Obtained Marks)</strong></td>
            <td><?= (isset($model['MarksObtained']) && !empty($model['MarksObtained'])) ? floatval(@$model['MarksObtained']) : 'NA'; ?></td>
            <td><strong>प्रतिशत (Percentage)</strong></td>
            <td><?= (isset($model['CgpaPercentageMarks']) && !empty($model['CgpaPercentageMarks']) )? floatval(@$model['CgpaPercentageMarks']) : 'NA'; ?></td>
        </tr> 
    <?php } ?>
   <?php if($model['PassStatus'] == 1 && $model['ResultMode']==2){  ?>     
        <tr>
            <td><strong>परिणाम मोड (Result Mode)</strong></td>
            <td><?= (isset($model['ResultMode']) && ($model['ResultMode'] == 2)) ? 'CGPA' : 'PERCENTAGE'; ?></td>            
            <td><strong>अधिकतम ग्रेड प्वाइंट (Max Grade Point)</strong></td>
            <td><?= (isset($model['TotalMarks']) && !empty($model['TotalMarks'])) ? floatval(@$model['TotalMarks']) : 'NA'; ?></td>
        </tr> 
        <tr>
            <td><strong>सीजीपीए प्राप्त किया(Obtained CGPA)</strong></td>
            <td><?= (isset($model['MarksObtained']) && !empty($model['TotalMarks']))? floatval(@$model['MarksObtained']) : 'NA'; ?></td>
            <td><strong>सीजीपीए प्रतिशत (CGPA Percentage)</strong></td>
            <td><?= (isset($model['CgpaPercentageMarks']) && !empty($model['CgpaPercentageMarks'])) ? floatval(@$model['CgpaPercentageMarks']) : 'NA'; ?></td>
<!--            <td><strong>सीजीपीए (CGPA)</strong></td>
            <td><?php //echo (isset($model['Cgpa']) && !empty($model['Cgpa'])) ? number_format(@$model['Cgpa'], 2, '.', '') : 'NA'; ?></td>            -->
        </tr> 
        
    <?php } ?>

    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>स्नातकोत्तर योग्यता विवरण (Post Graduation Qualification Details )</strong></td>
    </tr>
    <tr>
        <td><strong>पास की स्थिति (Pass Status)</strong></td>
        <td><?= (isset($model['PostGraduatePassStatus']) && ($model['PostGraduatePassStatus'] == 1))  ? 'PASSED' : 'RESULT AWAITED'; ?></td>
        <td><strong>उत्तीर्ण वर्ष/उपस्थिति (Passing of Year/Appearing)</strong></td>
        <td><?= (isset($model['PostGraduateYearOfPassing']) && !empty($model['PostGraduateYearOfPassing'])) ? @$model['PostGraduateYearOfPassing'] : 'NA'; ?></td>
    </tr> 
    <tr>
        <td><strong>कोर्स / स्ट्रीम (Course/Stream)</strong></td>
        <td><?= (isset($model['PostGraduateCourseName']) && !empty($model['PostGraduateCourseName'])) ? strtoupper(@$model['PostGraduateCourseName']) : 'NA'; ?></td>
        
        <td><strong>योग्यता परीक्षा से (Qualifying Examination From)</strong></td>
        <td><?= (isset($model['PostGCountryName']) && !empty($model['PostGCountryName'])) ? strtoupper(@$model['PostGCountryName']) : 'NA'; ?></td>
    </tr>  

    <?php if (@$model['PostGraduateCourseID'] == 10068) { ?>
    <tr>
        <td colspan="2"><strong>एमएससी-समकक्ष पाठ्यक्रम/स्ट्रीम (Msc-Equivalent Course/Stream)</strong></td>
        <td colspan="2"><?= (isset($model['PostGraduateMscEquivCourseName']) && !empty($model['PostGraduateMscEquivCourseName'])) ? strtoupper(@$model['PostGraduateMscEquivCourseName']) : 'NA'; ?></td>      
    </tr>  
    <?php } ?>

    <?php if (isset($model['PostGraduateCourseID']) && @$model['PostGraduateCourseID'] == 10072) { ?>
    <tr>
        <td><strong>अन्य कोर्स/स्ट्रीम (Other Course/Stream)</strong></td>
        <td><?= (isset($model['PostGraduateOtherCourseName']) && !empty($model['PostGraduateOtherCourseName'])) ? strtoupper(@$model['PostGraduateOtherCourseName']) : 'NA'; ?></td>        
    </tr>              
   <?php } ?>
    
    <?php if (@$model['PostGraduateQualifyingExamPlaceID'] == 1385) { ?>
    <tr>
        <td><strong>योग्यता परीक्षा राज्य(Qualifying Examination State)</strong></td>
        <td>OTHER</td>
        <td><strong>बोर्ड/विश्वविद्यालय का नाम(Board/University Name)</strong></td>
        <td>OTHER</td>
        
    </tr> 
    <tr>
    <td><strong>अन्य विश्वविद्यालय का नाम (Other University Name)</strong></td>
    <td><?= (isset($model['PostGraduateOtherUniversityName']) && !empty($model['PostGraduateOtherUniversityName']) )? strtoupper( @$model['PostGraduateOtherUniversityName']) : 'NA'; ?></td>

    </tr>
    <?php } else{ ?>
        <tr>
            <td><strong>योग्यता परीक्षा राज्य(Qualifying Examination State)</strong></td>
            <td><?= (isset($model['PostGStateName']) && !empty($model['PostGStateName'])) ? @$model['PostGStateName'] : 'NA'; ?></td>
            <?php if (isset($model['PostGraduateUniversityBoardID']) && @$model['PostGraduateUniversityBoardID'] == 0) { ?>
                <td><strong>बोर्ड/विश्वविद्यालय का नाम (Board/University Name )</strong></td>
                <td>OTHER</td>
            <?php }else{ ?>
                <td><strong>बोर्ड/विश्वविद्यालय का नाम (Board/University Name )</strong></td>
                <td><?= (isset($model['PostGUniversityBoardName']) && !empty($model['PostGUniversityBoardName']) )? strtoupper(@$model['PostGUniversityBoardName']).'('.strtoupper(@$model['PostGUniversityAddress']).')' : 'NA'; ?></td>
            <?php } ?>    
        </tr>
        <?php if(isset($model['PostGraduateUniversityBoardID']) && ($model['PostGraduateUniversityBoardID']==0)){  ?>
        <tr>
            <td><strong>अन्य विश्वविद्यालय का नाम(Other University Name)</strong></td>
            <td><?= (isset($model['PostGraduateOtherUniversityName']) && !empty($model['PostGraduateOtherUniversityName'])) ? strtoupper(@$model['PostGraduateOtherUniversityName']) : 'NA'; ?></td>
            <td></td>
            <td></td>
        </tr>
        <?php } ?>
    <?php }?>
    <tr>       
        <td><strong>संस्थान का नाम और पता (Institute Name And Address )</strong></td>
        <td><?= (isset($model['PostGraduateInstituteNameAndAddress'])&& !empty($model['PostGraduateInstituteNameAndAddress'])) ? strtoupper(@$model['PostGraduateInstituteNameAndAddress']) : 'NA'; ?></td>
        <td><strong>संस्थान पिनकोड (Institute Pincode )</strong></td>
        <td><?= (isset($model['PostGraduateInstitutePincode']) && !empty($model['PostGraduateInstitutePincode']))? @$model['PostGraduateInstitutePincode'] : 'NA'; ?></td>
    </tr>
    <?php
//        $PostGraduateTotalMarks =  preg_replace('/\.(\d{2}).*/', '.$1', @$model['PostGraduateTotalMarks']);
//        $PostGraduateMarksObtained = preg_replace('/\.(\d{2}).*/', '.$1', @$model['PostGraduateMarksObtained']); 
//        $PostGraduatePercentageMarks = preg_replace('/\.(\d{2}).*/', '.$1', @$model['PostGraduatePercentageMarks']);                  
    ?>
    <?php if($model['PostGraduatePassStatus'] == 1 && $model['PostGraduateResultMode']==1){  ?>     
        <tr>
            <td><strong>परिणाम मोड (Result Mode)</strong></td>
            <td><?= (isset($model['PostGraduateResultMode']) && ($model['PostGraduateResultMode'] == 1)) ? 'PERCENTAGE' : 'CGPA'; ?></td>
            <td><strong>कुल अंक (Total Marks)</strong></td>
            <td><?= (isset($model['PostGraduateTotalMarks']) && !empty($model['PostGraduateTotalMarks'])) ? floatval(@$model['PostGraduateTotalMarks']) : 'NA'; ?></td>
        </tr> 
        <tr>
            <td><strong>प्राप्त अंक(Obtained Marks)</strong></td>
            <td><?= (isset($model['PostGraduateMarksObtained']) && !empty($model['PostGraduateMarksObtained'])) ? floatval(@$model['PostGraduateMarksObtained']) : 'NA'; ?></td>
            <td><strong>प्रतिशत (Percentage)</strong></td>
            <td><?= (isset($model['PostGraduatePercentageMarks']) && !empty($model['PostGraduatePercentageMarks']) )? floatval(@$model['PostGraduatePercentageMarks']) : 'NA'; ?></td>
        </tr> 
    <?php } ?>
   <?php if($model['PostGraduatePassStatus'] == 1 && $model['PostGraduateResultMode']==2){  ?>     
        <tr>
            <td><strong>परिणाम मोड (Result Mode)</strong></td>
            <td><?= (isset($model['PostGraduateResultMode']) && ($model['PostGraduateResultMode'] == 2))  ? 'CGPA' : 'Percentage'; ?></td>            
            <td><strong>अधिकतम ग्रेड प्वाइंट (Max Grade Point)</strong></td>
            <td><?= (isset($model['PostGraduateTotalMarks']) && !empty($model['PostGraduateTotalMarks'])) ? floatval(@$model['PostGraduateTotalMarks']) : 'NA'; ?></td>
        </tr> 
        <tr>
            <td><strong>सीजीपीए प्राप्त किया(Obtained CGPA)</strong></td>
            <td><?= (isset($model['PostGraduateMarksObtained']) && !empty($model['PostGraduateMarksObtained'])) ? floatval(@$model['PostGraduateMarksObtained']) : 'NA'; ?></td>            
            <td><strong>सीजीपीए प्रतिशत (CGPA Percentage)</strong></td>
            <td><?= (isset($model['PostGraduatePercentageMarks']) && !empty($model['PostGraduatePercentageMarks'])) ? floatval(@$model['PostGraduatePercentageMarks']) : 'NA'; ?></td>
        </tr> 
        
    <?php } ?>
    

    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>अतिरिक्त ब्योरा (Additional Details)</strong></td>
    </tr>
    <tr>
        <!-- <td colspan="4"><strong>एम.फिल ब्योरा (M.Phil Details)</strong></td> -->
        <td colspan="4"><strong>डॉक्टरेट ब्योरा (Doctorate Details)</strong></td>
    </tr>
    <tr>
        <td colspan="2"><strong> क्या डॉक्टरेट में प्रवेश लिया है (Whether Already a Doctoral Student )</strong></td>
        <td colspan="2"><?= (isset($model['DoctorateOptions'])) && $model['DoctorateOptions'] == 1 ? 'YES' : 'NO' ?></td>
    </tr>
   
    <?php if(isset($model['DoctorateOptions']) && $model['DoctorateOptions']==1) { ?>
        <tr>
            <td><strong>विश्वविद्यालय(University Name Where The Admission Has Been Taken)</strong></td>
            <td><?= (isset($model['DoctotateUnversityName']) && !empty($model['DoctotateUnversityName'])) ? strtoupper($model['DoctotateUnversityName']) : 'NA'; ?></td>


            <td><strong>प्रवेश का वर्ष / उत्तीर्ण (Exam Year)</strong></td>
            <td><?= (isset($model['DoctotateExamYear']) && !empty($model['DoctotateExamYear'])) ? $model['DoctotateExamYear'] : 'NA'; ?></td>
        </tr> 
        <tr>
            <td colspan="2"><strong>विषय (Department Name Where The Admission Has Been Taken )</strong></td>
            <td colspan="2"><?= (isset($model['DepartmentNameInAdmission']) && !empty($model['DepartmentNameInAdmission'])) ? strtoupper($model['DepartmentNameInAdmission']) : 'NA'; ?></td>
               
        </tr>
        <?php }?>
        <tr>
            <td colspan="2"><strong>विशेषज्ञता यदि कोई हो (Specialization If Any)</strong></td>
            <td colspan="2"><?php //echo (isset($model['Specilization']) && !empty($model['Specilization'])) ? $model['Specilization'] : 'NA'; ?>
                <?= (isset($model['DoctorateSpecilization']) && !empty($model['DoctorateSpecilization'])) ? strtoupper(@$model['DoctorateSpecilization']) : 'NA'; ?>
            </td>    
        </tr>
        <tr>
            <td colspan="4"><strong>अल्पसंख्यक ब्योरा (Minority Details)</strong></td>
        </tr>
        <tr>
            <td colspan="2"><strong> क्या आप अल्पसंख्यक समुदाय से हैं। (Do You Belong To Minority Community ?)</strong></td>
            <td colspan="2"><?= (isset($model['DoctorateMinorityCommunity']) && $model['DoctorateMinorityCommunity'] == 1) ? 'YES' : 'NO' ?></td>
        </tr>
        <?php if(isset($model['DoctorateMinorityCommunity']) && $model['DoctorateMinorityCommunity']==1){ ?>
        <tr>
            <td><strong>अल्पसंख्यक समुदाय का नाम (Name of Minority Community)</strong></td>
            <td>
                <?php
                    if(isset($model['DoctorateCommunityID']) && $model['DoctorateCommunityID'] == 1){
                        echo "MUSLIM";
                    }else if(isset($model['DoctorateCommunityID']) && $model['DoctorateCommunityID'] == 2){
                        echo "SIKH";
                    }
                    else if(isset($model['DoctorateCommunityID']) && $model['DoctorateCommunityID'] == 3){
                        echo "CHRISTIAN";
                    }
                    else if(isset($model['DoctorateCommunityID']) && $model['DoctorateCommunityID'] == 4){
                        echo "BUDDHIST";
                    }
                    else if(isset($model['DoctorateCommunityID']) && $model['DoctorateCommunityID'] == 5){
                        echo "PARSI";
                    }
                    else if(isset($model['DoctorateCommunityID']) && $model['DoctorateCommunityID'] == 6){
                        echo "JAIN";
                    } else{
                          echo "";
                    }
                 ?>
            </td>
            <td>
                <!--<strong>प्रवेश का वर्ष / उत्तीर्ण (Year of Addimission / Passed)</strong>-->
            </td>
            <td><?php //echo (isset($model['PhdAddmissionYear']) && !empty($model['PhdAddmissionYear'])) ? @$model['PhdAddmissionYear'] : 'NA'; ?></td>
        </tr> 
<!--        <tr>
            <td colspan="2"><strong>विषय (Whether master level examination has been completed by 19th sept 1991 in-respective of date of declaration.)</strong></td>
            <td><?php //echo (isset($model['PhdMasterLevelTimeDateConfirmation'])) == 1 ? "Yes" : 'NO'; ?></td>
            <td></td>    
        </tr>-->
        <tr>
            <td colspan="2"><strong>क्या आपके माता-पिता/अभिभावक की सभी स्रोतों से वार्षिक आय रुपये से अधिक नहीं है। 6.0 लाख. (Whether The Annual Income From All Sources Of Your Parents/Guardian Does Not Exceed Rs. 6.0 lakh.)</strong></td>
            <td>
                <?php
                    if(isset($model['DoctorateCommunityAnnualIncomeID']) && $model['DoctorateCommunityAnnualIncomeID']=='1'){
                        echo "YES";
                    }else{
                        echo "NO";
                    }
                    ?>
            </td>
            <td></td>    
        </tr>
        <?php } ?>




<!--        <tr>
            <td colspan="4"><strong>अनुसंधान / भूतपूर्व सैनिक ब्योरा (Research / Ex-Serviceman Details)</strong></td>
        </tr>-->
<!--        <tr>
            <td><strong>विशिष्टता, यदि कोई हो(Specilization, If Any)</strong></td>
            <td><?php //echo (isset($model['ReasearchExServicemanDetailsSpecilization']) && !empty($model['ReasearchExServicemanDetailsSpecilization'])) ? @$model['ReasearchExServicemanDetailsSpecilization'] : 'NA'; ?></td>
            <td><strong>क्या आप पीजी डिग्री के विषय में अनुसंधान का अनुभव रखते हों (Whether you Possess Research Experience in the subject of PG Degree )</strong></td>
            <td><?php //echo (isset($model['PGReaseachConfirmation'])) == 1 ? 'YES' : 'NO'; ?></td>
        </tr> -->
<!--        <tr>
            <?php //if(@$model['PGReaseachConfirmation']==1){ ?>
            <td><strong>अनुसंधान अनुभव (वर्षों में) Research Experience (In Years)</strong></td>
            <td><?php //echo (isset($model['ReasearchExServicemanPGExperience']) && !empty($model['ReasearchExServicemanPGExperience'])) ? @$model['ReasearchExServicemanPGExperience'] : 'NA'; ?></td>
            <?php //} ?>
            <td><strong>क्या आप भूतपूर्व सैनिक हों (Whether you Ex-Serviceman)</strong></td>
            <td><?php //echo (isset($model['ReasearchExServiceman'])) && $model['ReasearchExServiceman']== 1 ? 'YES' : 'NO'; ?></td>
        </tr> -->
        <?php //if((isset($model['ReasearchExServiceman'])) && $model['ReasearchExServiceman']== 1){ ?>
<!--        <tr>
            <td><strong>भूतपूर्व सैनिक अनुभव (वर्षों में) Ex-Serviceman Experience (In Years)</strong></td>
            <td><?php //echo (isset($model['ReasearchExServiceman']) && !empty($model['ReasearchExServicemanPGExperience'])) ? $model['ExServicemanExperience']: 'NA'; ?></td>
        </tr> -->
        <?php //} ?>
    <tr>
     <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>उम्मीदवार द्वारा अपलोड की गई छवियां (Images Upload by Candidate)</strong></td>
   </tr>
   <tr>
     <td colspan="2" style="background:#cef0ff" align="center"><strong>Photo</strong></td>
     <td colspan="2" align="center" style="background:#cef0ff"><strong>Signature</strong></td>
   </tr>  
   <?php
   
   if (isset($documentUpload) && !empty($documentUpload)) {      
      $i = 0;
      foreach ($documentUpload as $data) { 
        $imageshow = 0;
        $pdfShow = 0;
        if (isset($data['DocumentType']) && isset($data['UploadDocument']) && !empty($data['DocumentType']) && !empty($data['UploadDocument'])) {
          $documentString = $data['DocumentType'];
          $extensionFile = pathinfo($data['UploadDocument'], PATHINFO_EXTENSION);
          if (strtolower($extensionFile) == 'pdf') {
            $pdfShow = 1;
          } else {
            $imageshow = 1;
          }
        }
        if (isset($imageshow) && $imageshow == 1) {
    ?>
        <tr>
            <td align="center"><strong><?= ((isset($data['DocumentName']) && !empty('DocumentName')) ? strtoupper($data['DocumentName']) : '-'); ?></strong></td>
            <td colspan='3' align="center">
                <?php if (isset($data['UploadDocument']) && !empty($data['UploadDocument'])) {
                  echo Html::img($documemntPath . '/uploads/' . $data['UploadDocument'], ['alt' => $data['DocumentName'], 'height' => '150', 'width' => '100']);
                } ?>
            </td>
        </tr>
        <?php } else if (isset($pdfShow) && $pdfShow == 1) { ?>
        <tr>
            <td align="center"><strong><?= ((isset($data['DocumentName']) && !empty('DocumentName')) ? strtoupper($data['DocumentName']) : '-'); ?></strong></td>
            <td colspan='3' align="center">
              <?php if (isset($data['UploadDocument']) && !empty($data['UploadDocument'])) {
                  //echo Html::a('View', Url::base() . '/final-reviews/file-download?FileName=' . Yii::$app->encryptdecrypt->encrypt($data['UploadDocument']), ['target' => '_blank']);
                  echo Html::a('View', Url::base() . '/final-reviews/file-download?Status=1&FileName=' . $data['UploadDocument'], ['target' => '_blank']);
                } ?>
            </td>
        </tr>
    <?php
        }
      }
    } 
    ?>
    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>के लिए आवेदन (Apply For)</strong></td>
    </tr>
    <tr>
        <td><strong>के लिए आवेदन (Apply For)</strong></td>
        <td colspan="3">
        <?= (isset($model['CourseName']) && !empty($model['CourseName'])) ? strtoupper(@$model['CourseName']) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>विषय चुना नेट (Subject Opted Net)</strong></td>
        <td><?= (isset($model['SubjectName']) && !empty($model['SubjectName']) ) ? strtoupper(@$model['SubjectName']) : 'NA'; ?></td>
        <td><strong>प्रश्न पत्र माध्यम (Question Paper Medium)</strong></td>
        <td><?= (isset($model['LanguageName']) && !empty($model['LanguageName'])) ? strtoupper(@$model['LanguageName']) : 'NA'; ?></td>
    </tr>
    <tr>
        <td><strong>विषय विशिष्टता (Subject Specilization)</strong></td>
        <?php  if(isset($model['SubjecSpecializationMstID']) && $model['SubjecSpecializationMstID'] == 0) { ?> 

        <td><?php echo "OTHER" ?></td>
        <?php }elseif(isset($model['SubjecSpecializationMstID']) && $model['SubjecSpecializationMstID'] != 0) {?>
        <td colspan="3"><?= (!empty($model['SubjecSpecializationName'])) ? strtoupper(@$model['SubjecSpecializationName'])  : 'NA'; ?></td>
        <?php }?>   
        <?php  if (isset($model['SubjecSpecializationMstID']) && $model['SubjecSpecializationMstID'] == 0) { ?> 
        <td><strong>अन्य विशेषज्ञता विषय (Other Specialization Subject)</strong></td>
        <td><?= (isset($model['OtherSubjectSpecialization']) && !empty($model['OtherSubjectSpecialization'])) ? strtoupper(@$model['OtherSubjectSpecialization']) : 'NA'; ?></td>
        <?php } ?>
    </tr>


    <tr>  
        <td><strong>परीक्षा राज्य / शहर-पहली पसंद (Exam State/City-1st Choice)</strong></td>    
        <?php if(isset($examcdata[0]['ExamCenterPriorty']) && $examcdata[0]['ExamCenterPriorty'] == 1) {?>
            <td><?= (isset($examcdata[0]['CityName']) && !empty($examcdata[0]['CityName'])) ? (strtoupper(@$examcdata[0]['CityName']) . ' (' . strtoupper(@$examcdata[0]['StateName']) . ')') : 'NA'; ?></td>        
        <?php } ?>     
        <td><strong>परीक्षा राज्य / शहर-दूसरी पसंद (Exam State/City-2nd Choice)</strong></td>
        <?php if(isset($examcdata[1]['ExamCenterPriorty']) && $examcdata[1]['ExamCenterPriorty'] == 2) {?>
            <td><?= (isset($examcdata[1]['CityName']) && !empty($examcdata[1]['CityName']) ) ? (strtoupper(@$examcdata[1]['CityName']) . ' (' . strtoupper(@$examcdata[1]['StateName']) . ')') : 'NA'; ?></td>
        <?php } ?>    
    </tr>
    <tr>  
        <td><strong>परीक्षा राज्य / शहर-तीसरी पसंद (Exam State/City-3rd Choice)</strong></td>    
        <?php if(isset($examcdata[2]['ExamCenterPriorty']) && $examcdata[2]['ExamCenterPriorty'] == 3) { ?>
            <td><?= (isset($examcdata[2]['CityName']) && !empty($examcdata[2]['CityName'])) ? (strtoupper(@$examcdata[2]['CityName']) . ' (' . strtoupper(@$examcdata[2]['StateName']) . ')') : 'NA'; ?></td>        
        <?php } ?>     
        <td><strong>परीक्षा राज्य / शहर-चौथी पसंद (Exam State/City-4th Choice)</strong></td>
        <?php if(isset($examcdata[3]['ExamCenterPriorty']) && $examcdata[3]['ExamCenterPriorty'] == 4) {?>
            <td><?= (isset($examcdata[3]['CityName']) && !empty($examcdata[3]['CityName'])) ? (strtoupper(@$examcdata[3]['CityName']) . ' (' . strtoupper(@$examcdata[3]['StateName']) . ')') : 'NA'; ?></td>
        <?php } ?>    
    </tr>
    <tr>
        <td><strong>पिता/अभिभावक का व्यवसाय (Father/Guardian Occupation)</strong></td>
        <?php if( isset($examParentOcup[0]['OccupationName']) && !empty($examParentOcup[0]['OccupationName'])) {?>
        <td><?= (isset($examParentOcup[0]['OccupationName']) && !empty($examParentOcup[0]['OccupationName'])) ? strtoupper(@$examParentOcup[0]['OccupationName']) : 'NA'; ?></td>
        <?php } ?>      
        <td><strong>पिता/अभिभावक की योग्यता (Father /Guardian Qualification)</strong></td>
        <?php if(isset($parentQulificat[0]['QualificationName']) && !empty($parentQulificat[0]['QualificationName'])) {?>
        <td><?= (isset($parentQulificat[0]['QualificationName']) && !empty($parentQulificat[0]['QualificationName'])) ? strtoupper(@$parentQulificat[0]['QualificationName']) : 'NA'; ?></td>
        <?php } ?>     
    </tr>
    <tr>
        <td><strong>माता/अभिभावक का व्यवसाय (Mother/Guardian Occupation)</strong></td>
        <?php if(isset($examParentOcup[1]['OccupationName']) && !empty($examParentOcup[1]['OccupationName'])) {?>
        <td><?= (isset($examParentOcup[1]['OccupationName']) && !empty($examParentOcup[1]['OccupationName'])) ? strtoupper(@$examParentOcup[1]['OccupationName']) : 'NA'; ?></td>
        <?php } ?>  
        <td><strong>माता/अभिभावक योग्यता (Mother /Guardian Qualification)</strong></td>
        <?php if(isset($parentQulificat[1]['QualificationName']) && !empty($parentQulificat[1]['QualificationName'])) {?>
        <td><?= (isset($parentQulificat[1]['QualificationName']) && !empty($parentQulificat[1]['QualificationName'])) ? strtoupper(@$parentQulificat[1]['QualificationName']) : 'NA'; ?></td>
        <?php } ?>  
    </tr>


    <tr>
        <td colspan="3"><strong>क्या आपने नियमित एम.फिल/पीएचडी पाठ्यक्रम में प्रवेश लिया है? (Whether you have taken Admission in regular M.PHIL/Ph.D course ?)</strong></td>      
        <td> <?= (isset($model['OtherMphilCourse']) && $model['OtherMphilCourse'] == 1)  ? 'YES' : 'NO' ?></td>
     
    </tr>
    <?php if(isset($model['OtherMphilCourse']) && $model['OtherMphilCourse'] == 1) { ?>  
    <tr>
        <td><strong>विश्वविद्यालय/शैक्षणिक संस्थान का नाम (Name of University/ Academic Insititution)</strong></td>
        <?php if(!empty($model['OtherUniversityName'])) {?>
        <td><?= (isset($model['OtherUniversityName']) && !empty($model['OtherUniversityName']))  ? strtoupper(@$model['OtherUniversityName']) : 'NA'; ?></td>
        <?php } ?>  
        <td><strong>एमफिल/पीएचडी में प्रवेश वर्ष (Admission Year TO MPHIL/Ph.D)</strong></td>
        <?php if(!empty($model['OtherAdmissionYear'])) {?>
            <td><?= (isset($model['OtherAdmissionYear']) && !empty($model['OtherAdmissionYear']))  ? @$model['OtherAdmissionYear'] : 'NA'; ?></td>
        <?php } ?>  
    </tr>
    <?php } ?> 
    <?php if(isset($model['OtherMphilCourse']) && $model['OtherMphilCourse'] == 0) { ?>   
    <tr>
        <td><strong>चाहे आपने मास्टर डिग्री पाठ्यक्रम या समकक्ष पाठ्यक्रम पूरा कर लिया हो (Whether you have completed MASTER'S Degree course or Equivalent course)</strong></td>
        
            <td><?= (isset($model['OtherDegreeCourse']) && $model['OtherDegreeCourse'] == 1)  ? 'YES' : 'NO' ?></td>
     
        <td><strong>क्या आपके मास्टर डिग्री पाठ्यक्रम के अंतिम वर्ष या मास्टर डिग्री के परिणाम की प्रतीक्षा है? (WHETHER YOUR FINAL YEAR OF MASTER'S DEGREE COURSE OR MASTER DEGREE RESULT IS AWAITED ?)</strong></td>
        
            <td><?= (isset($model['OtherResultAwaited']) && $model['OtherResultAwaited'] == 1)  ? 'YES' : 'NO' ?></td>
        
    </tr>
    <?php } ?>  


    <tr>
        <td colspan="4" style="color:#3366FF; font-size:14px;"><strong>भुगतान विवरण (Payment Details)</strong></td>
    </tr>
    <?php if($IsPwd == 'yes'): ?>
        <tr>
            <td colspan="4"><strong>Not Applicable</strong></td>
        </tr>
    <?php endif; ?>
    <?php if($IsPwd == 'no'): ?>
        <?php if (isset($GetTransactionData) && !empty($GetTransactionData) && is_array($GetTransactionData)) { 
            ?>
           
            <?php foreach($GetTransactionData as $GetTransactionDatas){?>
            <tr>
                <td><strong>Order ID</strong></td>
                <td class="text-upper"><?= (isset($GetTransactionDatas['InvoiceCode']) && !empty($GetTransactionDatas['InvoiceCode'])) ? $GetTransactionDatas['InvoiceCode'] : 'NA' ?></td>
                <td><strong>Transcation ID</strong></td>
                <td class="text-upper"><?= (isset($GetTransactionDatas['TranscationID']) && !empty($GetTransactionDatas['TranscationID'])) ? $GetTransactionDatas['TranscationID'] : 'NA' ?></td>
            </tr>
            <tr>
                <td><strong>Exam Fee</strong></td>
                <td><?= (isset($GetTransactionDatas['ActualExamFee']) && !empty($GetTransactionDatas['ActualExamFee'])) ? $GetTransactionDatas['ActualExamFee'] : 'NA' ?></td>
                <td><strong>Paid Amount</strong></td>
                <td><?= (isset($GetTransactionDatas['PaidAmount']) && !empty($GetTransactionDatas['PaidAmount'])) ? $GetTransactionDatas['PaidAmount'] : 'NA' ?></td>
            </tr>
            <tr>
                <td><strong>Payment Gateway</strong></td>
                <td class="text-upper"><?= (isset($GetTransactionDatas['GatewayName']) && !empty($GetTransactionDatas['GatewayName'])) ? $GetTransactionDatas['GatewayName'] : 'NA' ?></td>
                <td><strong>Payment Submit Date</strong></td>
                <td><?= (isset($GetTransactionDatas['PaymentSubmitDate']) && !empty($GetTransactionDatas['PaymentSubmitDate'])) ? date('d-m-Y', strtotime($GetTransactionDatas['PaymentSubmitDate'])) : 'NA' ?></td>
            </tr>
            <tr>
                <td><strong>Payment Response Date</strong></td>
                <td><?= (isset($GetTransactionDatas['PaymentSucessDate']) && !empty($GetTransactionDatas['PaymentSucessDate'])) ? date('d-m-Y', strtotime($GetTransactionDatas['PaymentSucessDate'])) : 'NA' ?></td>
                <td><strong>Payment Status</strong></td>
                <td>
                    <?= (isset($GetTransactionDatas['PaymentStatus']) && !empty($GetTransactionDatas['PaymentStatus'])) ? "<b class='text-success'>" . $GetTransactionDatas['PaymentStatus'] . "</b>" : "<b class='text-danger'>NA</b>" ?>
                </td>
            </tr>
            <tr><td colspan='4'>&nbsp;</td></tr>
           
        <?php }} ?>
    <?php endif; ?>
    
</table>

</body>
</html>
