<?php

use yii\helpers\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
use yii\helpers\Url;
use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();
/** @var yii\web\View $this */
/** @var app\modules\application\models\AadharDetails $model */
/** @var yii\widgets\ActiveForm $form */
$this->title = 'NTA - National Testing Agency';
$baseurl = Url::base();
?>
<style>
    .field-flexCheckDefault11{
        margin-bottom: 0!important;
    }
    .form-check{
        padding-left: 0px!important;
    }
</style>
<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Contact Details  <?= (isset($correctionStatus) && !empty($correctionStatus)) ? '<span class="astric-sign">' . '('.Yii::$app->params['correctionWindowHeading'].')' . '</span>' : ''; ?></h6>
        </div>
        <div class="card-body">
            <div class="row col-md-12 justify-content-md-center">                
               
            </div> 
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>
            <div class="col-md-12 mb-0">
                <b>Present Address</b>
            </div>
            <hr>
            <?php $form = ActiveForm::begin(['id' => 'contact-form', 'options' => ['autocomplete' => 'off']]); ?>

            <?php // echo $form->errorSummary($model); ?>

            <div class="row">
                
                <div class="col-sm-6">
                    <label class="">Premises No/Name <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'PremisesName')->textInput(['placeholder' => 'Enter Premises No/Name', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper uncheckedPerA', 'readonly' => 'true','id' => 'pr_Premises_Name','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Locality <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'Locality')->textInput(['placeholder' => 'Enter Locality', 'maxlength' => true, 'readonly' => 'true','class' => 'form-control form-control-sm text-upper uncheckedPerA', 'id' => 'pr_Locality','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Sub-Locality(Optional) :</label>
                    <?= $form->field($model, 'SubLocality')->textInput(['placeholder' => 'Enter Sub-Locality(Optional)', 'maxlength' => true,'readonly' => 'true', 'class' => 'form-control form-control-sm text-upper uncheckedPerA', 'id' => 'pr_SubLocality','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Country <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'CountryID',)->dropDownList($country, [
                        'prompt' => '--Select--','readonly' => 'true', 'class' => 'form-select form-select-sm uncheckedPerA', 'id' => 'pr_CountryID',
                        
                    ])->label(false);  ?>
                </div>

                <div class="col-sm-6">
                    <label class="">State/UT: <span class="astric-sign">*</span>:</label>
                    <?php echo $form->field($model, 'StateUTID',)->dropDownList(
                        $countryState,
                        [
                            'prompt' => '--Select--','readonly' => 'true', 'class' => 'form-select form-select-sm uncheckedPerA', 'id' => 'pr_StateUTID',
                            
                        ]
                    )->label(false);  ?>
                </div>

                <div class="col-sm-6">
                    <label class="">District <span class="astric-sign">*</span>:</label>
                    <?php echo $form->field($model, 'DistrictID',)->dropDownList($stateDistrict, ['prompt' => '--Select--','readonly' => 'true', 'class' => 'form-select form-select-sm uncheckedPerA', 'id' => 'pr_DistrictID'])->label(false);  ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Pin Code <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'PinCode')->textInput(['placeholder' => 'Enter Pin Code', 'maxlength' => true,'readonly' => 'true', 'class' => 'form-control form-control-sm uncheckedPerA', 'id' => 'pr_PinCode', 'onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Mobile Number <span class="astric-sign">*</span>:</label>
                    <?php if($isMobileVerified == 'yes'): ?>
                        <?= $form->field($model, 'CandidateMobile')->textInput(['readonly'=>true,'id' => 'CandidateMobile','readonly' => 'true', 'class' => "form-control form-control-sm ", 'maxlength' => true, 'onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                    <?php else: ?>
                        <?= $form->field($model, 'CandidateMobile')->textInput(['id' => 'CandidateMobile', 'class' => "form-control form-control-sm uncheckedPerA", 'readonly' => 'true','maxlength' => true, 'onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                    <?php endif; ?>
                    
                </div>

                <div class="col-sm-6">
                    <label class="">Email Address:</label>
                    <input type="text" value="<?= $candidate['CandidateEmail']; ?>" class="form-control form-control-sm text-upper uncheckedPerA" readonly>
                    <?php // echo $candidate['CandidateEmail'] ?>
                </div>            
            </div> 
            <!-------------------------------------Permanent Address------------------------------------------------>
           <br>
           <hr>
            <div class="col-md-12 mb-0">
                <b>Permanent Address</b>
            </div>
            <hr>          
            <div class="col-sm-12">
                <div class="form-check">
                    <?= $form->field($model, 'IsAddressIdentical')
                        ->checkbox(
                    ['uncheck' => null,'label'=> 'Same as present address','disabled'=>true, 'id' => "flexCheckDefault", 'class' => "chk1"],
                ); ?>
                </div>
            </div>
<?php 
$sameAscheckedCss='';
if($model->IsAddressIdentical==1){
    $sameAscheckedCss = 'pointer-events: none; background-color: rgb(233, 236, 239); opacity: 1;';
}
 ?>           
            <br>
            <div class="row">
                <div class="col-sm-6">
                    <label class="">Premises No/Name <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'PermanentPremisesName')->textInput(['placeholder' => 'Enter Premises No/Name', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper uncheckedPersent','style'=>$sameAscheckedCss, 'readonly' => 'true','id' => 'p_Premises_Name','onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Locality <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'PermanentLocality')->textInput(['placeholder' => 'Enter Locality','readonly' => 'true','maxlength' => true, 'class' => 'form-control form-control-sm text-upper uncheckedPersent', 'id' => 'p_Locality','style'=>$sameAscheckedCss,'onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Sub-Locality(Optional):</label>
                    <?= $form->field($model, 'PermanentSubLocality')->textInput(['placeholder' => 'Enter Sub-Locality(Optional', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper uncheckedPersent', 'id' => 'p_SubLocality','readonly' => 'true','style'=>$sameAscheckedCss,'onkeypress'=> "return blockSpecialChar(event,'characterNumericAndAllowSomespecials')"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Country<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'PermanentCountryID',)->dropDownList($country, [
                        'prompt' => '--Select--','readonly' => 'true', 'class' => 'form-select form-select-sm uncheckedPersent','style'=>$sameAscheckedCss, 'id' => 'p_CountryID',
                        ])->label(false);  ?>
                </div>

                <div class="col-sm-6">
                    <label class="">State/UT<span class="astric-sign">*</span>:</label>
                    <?php echo $form->field($model, 'PermanentStateUTID',)->dropDownList(
                        $countryState,
                        [
                            'prompt' => '--Select--','readonly' => 'true', 'class' => 'form-select form-select-sm uncheckedPersent','style'=>$sameAscheckedCss, 'id' => 'p_StateUTID',
                            
                        ]
                    )->label(false);  ?>
                </div>

                <div class="col-sm-6">
                    <label class="">District<span class="astric-sign">*</span>:</label>
                    <?php echo $form->field($model, 'PermanentDistrictID',)->dropDownList($PermanentStateDistrict, ['prompt' => '--Select--','style'=>$sameAscheckedCss,'class' => 'form-select form-select-sm uncheckedPersent','readonly' => 'true','id'=>'p_DistrictID'])->label(false);  ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Pin Code<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'PermanentPinCode')->textInput(['placeholder' => 'Enter Pin Code', 'style'=>$sameAscheckedCss,'maxlength' => true, 'class' => 'form-control form-control-sm uncheckedPersent', 'id' => 'p_PinCode', 'readonly' => 'true','onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                </div>
                <div class="col-sm-6">
                    <label class="">Alternate Mobile Number:</label>
                    <?= $form->field($model, 'AlternateMobile')->textInput(['id' => 'CandidateAlternateMobile', 'class' => "form-control form-control-sm", 'readonly' => 'true','maxlength' => true, 'onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                </div>
            </div> 
            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                        'captchaAction' => '/application/contact/captcha',
                        'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                        'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                    ])->label(false)  ?>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-sm-12">
                    <?= $form->field($model, 'checkboxName')
                        ->checkbox(
                            ['uncheck' => null, 'label' => Yii::$app->params['AgreeLable'], 'id' => 'checkboxName', 'class' => "chk1"],
                        ); ?>
                        <?= Yii::$app->params['IundertakeText'] ?><br>
                    <?=Yii::$app->params['AgreeText']?>
                </div>
            </div>
            <div class="form-group">
                
                <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'id'=>'saveContactDetail', 'style' => 'float:right']) ?>
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>
<?php $this->registerJsFile('@web/js/checkbox.js?v='.rand().''); ?>
<?php
$this->registerJs('
        $(document).ready(function() {
            $("#contact-form").on("beforeSubmit", function(event, messages) {
                SimpleLoading.start();
                return true;
            });
        });

        //var currentInputVal = $("#pr_Premises_Name").val();
        //if(currentInputVal){
        //    $("#flexCheckDefault").click();
        //}
 
    ');
?>
<script>
$(document).on("change", "#pr_StateUTID",function(){
    var pr_StateUTID = $(this).val();    
    $("#pr_DistrictID").html( `<option value=''>--Select--</option>` );  
    $.ajax({
        type: "POST",
        url: '../contact/get-districts?id=' + pr_StateUTID,
        data: { 'pr_StateUTID' : pr_StateUTID },
        beforeSend: function(msg){
            $(".loader").show();
        },
        always: function(msg){
            $(".loader").hide();
        },
        success: function (response) {
            $("#pr_DistrictID").html( response );
            $(".loader").hide();
           },
        error: function (errormessage) {
            $(".loader").hide();
        }
    });
});
</script>
<script>
$(document).on("change", "#p_StateUTID",function(){
    var p_StateUTID = $(this).val();    
    $("#p_DistrictID").html( `<option value=''>--Select--</option>` );  
    $.ajax({
        type: "POST",
        url: '../contact/get-districts?id=' + p_StateUTID,
        data: { 'p_StateUTID' : p_StateUTID },
        beforeSend: function(msg){
            $(".loader").show();
        },
        always: function(msg){
            $(".loader").hide();
        },
        success: function (response) {
            $("#p_DistrictID").html( response );
            $(".loader").hide();
           },
        error: function (errormessage) {
            $(".loader").hide();
        }
    });
});
</script>