<?php

use yii\bootstrap5\ActiveForm;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\Pjax;
use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();

/** @var yii\web\View $this */
/** @var app\models\CandidateQualificationDetailsTbl $model */
/** @var ActiveForm $form */
$k = 0;

$baseurl = Url::base();
$this->title = 'NTA - National Testing Agency';
// print_r($documentUpload);
// if (array_key_exists("D0006",$documentUpload))
//   {
//   echo $documentUpload['D0006'];
//   }
?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Document upload</h6>
        </div>
        <div class="card-body">
            <div class="row col-md-12 justify-content-md-center">                
                <?php if(Yii::$app->session->get('success'))
                {
                    echo "<div class='pt-1 pb-1 alert alert-success '>";
                    echo Yii::$app->session->get('success');Yii::$app->session->remove('success');
                    echo "</div>";
                }
                ?>              
            </div> 

            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>
            <div class="row col-md-12 justify-content-md-center">                
                       
                    <?php foreach($doc_fields as $key => $val){
                     $form = ActiveForm::begin(['id' => $val['docCode']."-form", 'options' => ['enctype' => 'multipart/form-data'],]) ?> 
                         <table class="table table-responsive table-bordered">
                            <?php if($key == 0){ ?>
                    <tr>
                        <th width="5%">S.No.</th>
                        <th width="20%">Require Document</th>
                        <th width="25%">Document Specifications</th>
                        <th width="20%">Upload</th>
                        <th width="15%">View</th>
                    </tr>             
                    <?php } ?>
                    <tr>
                        <td width="5%"><?= $key + 1 ?></td>
                        <td width="20%"> <?= $val['docName']; ?><span class="astric-sign">*</span></td>
                        <td width="25%">Document Format:<?= $val['format']; ?> </br> Min Size(KB):<?= $val['minSize']; ?></br> Max Size(KB):<?= $val['maxSize']; ?></td>
                        <td width="20%">
                            <?= $form->field($model, $val['docCode'])->fileInput(['maxlength' => true, 'required' => true, 'data' => $val['docCode'].'-form'])->label(false); ?>                          
                        </td>
                        
                        <td width="15%">
                            <?php 
                           if(isset($documentUpload) && !empty($documentUpload)){
                                if ('D0001' == $val['docCode'] || 'D0002' == $val['docCode'])                   
                                {       
                                    //echo '<a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#studentsign">';
                                    if( $val['docCode']=='D0002'){
                                        echo '<a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#studentsign">';   
                                    }else{
                                        echo '<a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#studentpic">';   
                                    }
                                    if(@$documentUpload[$val['docCode']]!=''){
                                        echo Html::img(Url::base() . '/uploads/' . @$documentUpload[$val['docCode']] ?? '', ['alt' => 'user pic', 'height' => '80', 'width' => '80']);
                                    }
                                    echo '</a>';
                                }else if (array_key_exists($val['docCode'] ,$documentUpload)){
                                    echo Html::a('View', Url::base() . "/uploads/" . $documentUpload[$val['docCode']], ['target' => '_blank']);
                                }
                            }
                             ?>
                        </td>
                    </tr>
                    </table>                 
                    <?php 
                    ActiveForm::end();
                    } 
                    ?> 
               
                    <div class="col-md-12 mb-3 mt-5 justify-content-center">
                        <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['../' . $backLink], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important', 'data-modulename' => 'Document-Upload', 'data-activityname' => 'Previous-Button']) ?>
                        <?php
                        if (isset($documentUpload) && !empty($documentUpload) && (count($documentUpload) == count($doc_fields))) { ?>
                            <?php echo Html::a('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', '../document-upload/submit-document', ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:right', 'id' => 'docbtn', 'data-modulename' => 'Document-Upload', 'data-activityname' => 'Next-Button']) ?>
                        <?php } ?>
                    </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="studentpic">
    <div class="modal-dialog modal-sm modal-dialog-centered">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Photograph</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal">x</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body text-center">
                <?php if (isset($documentUpload['D0001'])) {
                    echo Html::img(Url::base() . '/uploads/' . $documentUpload['D0001'], ['alt' => 'user pic', 'height' => '150', 'width' => '150']);
                    $k = 0;
                    ++$k;
                } ?>
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-sm btn-success" data-bs-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>

<div class="modal fade" id="studentsign">
    <div class="modal-dialog modal-sm modal-dialog-centered">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Signature</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal">x</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body text-center">
                <?php if (isset($documentUpload['D0002'])) {
                    echo Html::img(Url::base() . '/uploads/' . $documentUpload['D0002'], ['alt' => 'user pic', 'height' => '150', 'width' => '150']);
                    ++$k;
                } ?>
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-sm btn-success" data-bs-dismiss="modal">Close</button>
            </div>

        </div>
    </div>

</div>


<?php
$this->registerJs('
     
        $("form").on("beforeSubmit", function(event, messages) {
            SimpleLoading.start();
            return true;
        });
        $(document).on("change",":file",  function() {
            var formId = $(this).attr("data");   
            $("#"+formId).submit();
        });
        
        $(document).ready(function() {          
            $("#docbtn").on("click", function(event, messages) {
                SimpleLoading.start();
                return true;
            });
        });
        ');
?>
