<?php

use yii\bootstrap5\ActiveForm;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\Pjax;
use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();

/** @var yii\web\View $this */
/** @var app\models\CandidateQualificationDetailsTbl $model */
/** @var ActiveForm $form */
$k = 0;

$baseurl = Url::base();
$this->title = 'NTA - National Testing Agency';
if (isset(yii::$app->params['IsdocumentuploadAPI']) && !empty(yii::$app->params['IsdocumentuploadAPI'])) {
    $documemntPath= yii::$app->params['documentPathAPI'];
}else{
    $documemntPath =Url::base();

}
if (isset($finalArray) && !empty($finalArray)) {
    $finalArrayForJS = array_column($finalArray, 'DocumentCode');
    $finalArrayForJS = json_encode($finalArrayForJS);
}

?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color">Document upload<?= (isset($correctionStatus) && !empty($correctionStatus)) ? ' (' . \Yii::$app->params['CorrectionWindowText'] . ')' : ''; ?></h6>
        </div>
        <div class="card-body">
     
         
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>

            <div class="row col-md-12 justify-content-md-center">

                <?php
                if (isset($finalArray) && !empty($finalArray) && count($finalArray) > 0) {
                    function checkValidExtenstion($extensionString, $filePath)
                    {
                        if (isset($extensionString) && isset($filePath) && !empty($extensionString) && !empty($filePath)) {
                            $extensionArray = explode(',', trim($extensionString));
                            $extensionOfFile = pathinfo(trim($filePath), PATHINFO_EXTENSION);
                            if (isset($extensionArray) && isset($extensionOfFile) && is_array($extensionArray) && in_array($extensionOfFile, $extensionArray)) {
                                return true;
                            }
                        }
                        return false;
                    }
                    function formatfileConvertsize($value)
                    {
                        //convert Kilobytes Logic
                        if (isset($value) && !empty($value) && $value < 1024000) {
                            return round((trim($value) / 1024), 1);
                        }
                    }
                ?>

                    <table class="table table-responsive table-bordered">
                        <tr>
                            <th width="5%">S.No.</th>
                            <th width="20%">Required Documents</th>
                            <th width="25%">Document Specifications</th>
                            <th width="30%">Upload</th>
                            <th width="20%">View</th>
                        </tr>
                        <?php
                        $i = 0;
                        foreach ($finalArray as $data) {
                        ?>
                            <tr>
                                <td><?php echo ++$i; ?></td>
                                <td><?= (isset($data['DocumentName']) && !empty($data['DocumentName'])) ? $data['DocumentName'] : '' ?> <span class="astric-sign"><?php if (isset($data['IsRequired']) && !empty($data['IsRequired'])) { ?>*<?php } ?></span></td>
                                <td>Document Format:<?= (isset($data['DocumentType']) && !empty($data['DocumentType'])) ? strtoupper(implode(',', array_unique(explode(',', strtolower($data['DocumentType']))))) : '' ?> </br> Min Size(KB):<?= (isset($data['DocumentMinSize']) && !empty($data['DocumentMinSize'])) ? formatfileConvertsize($data['DocumentMinSize']) : '' ?></br> Max Size(KB):<?= (isset($data['DocumentMaxSize']) && !empty($data['DocumentMaxSize'])) ? formatfileConvertsize($data['DocumentMaxSize']) : '' ?></td>
                                <td>
                                    <?php
                                    $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data'], 'id' => $data['DocumentCode'] . "-form"]);
                                    echo  $form->field($model, $data['DocumentCode'])->fileInput(['data' => $data['DocumentCode'] . "-form"])->label(false);
                                    ?>
                                    <input type="hidden" id="<?php echo $data['DocumentCode']; ?>" value="<?php echo isset($data['UploadDocument']) ? substr($data['UploadDocument'], strrpos($data['UploadDocument'], '/') + 1) : ''; ?>" />
                                    <?php ActiveForm::end(); ?>
                                </td>
                                <?php if (isset($data['UploadDocument']) && isset($data['DocumentType']) && !empty($data['DocumentType']) && !empty($data['UploadDocument']) && checkValidExtenstion($data['DocumentType'], $data['UploadDocument']) && ($extension = pathinfo($data['UploadDocument'], PATHINFO_EXTENSION) == 'pdf' || $extension = pathinfo($data['UploadDocument'], PATHINFO_EXTENSION) == 'PDF')) { ?>
                                    <td width="20%">
                                        <?php if (isset($data['UploadDocument'])) {
                                                //echo Html::a('View', Url::base() . '/final-reviews/file-download?FileName=' . base64_encode($data['UploadDocument']), ['target' => '_blank']);
                                                $lastTwoSegments = implode('/', array_slice(array_filter(explode('/', parse_url($data['UploadDocument'], PHP_URL_PATH))), -2));

                                                echo Html::a('View', Url::to(['document-upload/download-file', 'FileContent' => $lastTwoSegments]), ['target' => '_blank']);
                                        
                                        } ?>
                                    </td>
                                <?php   } else if (isset($data['UploadDocument']) && isset($data['DocumentType']) && !empty($data['DocumentType']) && !empty($data['UploadDocument']) && checkValidExtenstion($data['DocumentType'], $data['UploadDocument'])) { ?>
                                    <td><a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#studentpic_<?php echo $data['DocumentCode'] ?>">
                                            <?php if (isset($data['UploadDocument'])) {
                                                if (isset(yii::$app->params['IsdocumentuploadAPI']) && !empty(yii::$app->params['IsdocumentuploadAPI'])) {
                                                    // echo Html::img($data['UploadDocument'],['alt' => $data['DocumentName'], 'height' => '80', 'width' => '80']);
                                                    $lastTwoSegments = implode('/', array_slice(array_filter(explode('/', parse_url($data['UploadDocument'], PHP_URL_PATH))), -2));
                                                    echo Html::img(Url::to(['document-upload/image', 'FileContent' => $lastTwoSegments]), ['alt' => $data['DocumentName'], 'height' => '80', 'width' => '80']);
                                                } else {
                                                    echo Html::img(Url::base() . '/uploads'.'/'. $data['UploadDocument'], ['alt' => $data['DocumentName'], 'height' => '80', 'width' => '80']);
                                                }
                                            }
                                            ?>
                                        </a></td>
                                    <div class="modal fade" id="studentpic_<?php echo $data['DocumentCode'] ?>">
                                        <div class="modal-dialog modal-sm modal-dialog-centered">
                                            <div class="modal-content">

                                                <!-- Modal Header -->
                                                <div class="modal-header">
                                                    <h4 class="modal-title"><?php echo $data['DocumentName']; ?> </h4>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal">x</button>
                                                </div>

                                                <!-- Modal body -->
                                                <div class="modal-body text-center">
                                                    <?php if (isset($data['UploadDocument'])) {
                                                        if (isset(yii::$app->params['IsdocumentuploadAPI']) && !empty(yii::$app->params['IsdocumentuploadAPI'])) {

                                                            $lastTwoSegments = implode('/', array_slice(array_filter(explode('/', parse_url($data['UploadDocument'], PHP_URL_PATH))), -2));
                                                echo Html::img(Url::to(['document-upload/image', 'FileContent' => $lastTwoSegments]), ['alt' => $data['DocumentName'], 'height' => '80', 'width' => '80']);
                                                            // echo Html::img($data['UploadDocument'], ['alt' => $data['DocumentName'], 'height' => '80', 'width' => '80']);
                                                        } else {
                                                            echo Html::img(Url::base() . '/uploads'.'/' . $data['UploadDocument'], ['alt' => $data['DocumentName'], 'height' => '80', 'width' => '80']);
                                                        }
                                                    } ?>
                                                  
                                                </div>

                                                <!-- Modal footer -->
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-sm btn-success" data-bs-dismiss="modal">Close</button>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                <?php   }  ?>
                            </tr>
                        <?php
                        } ?>
                    </table>
                <?php  }
                ?>
                <div class="col-md-12 mb-3 mt-5 justify-content-center">
                    <?= Html::a('<i class="ri-arrow-left-circle-line ms-1"></i> Back', ['../' . $backLink], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important', 'data-modulename' => 'Document-Upload', 'data-activityname' => 'Previous-Button']) ?>
                    <?php
                    if (isset($nextbuttonvisible) && $nextbuttonvisible == 1) { ?>
                        <?php echo Html::a('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', '../document-upload/submit-document', ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:right', 'id' => 'docbtn', 'data-modulename' => 'Document-Upload', 'data-activityname' => 'Next-Button']) ?>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
$this->registerJs('

        // $("form").on("beforeSubmit", function(event, messages) {
        //     SimpleLoading.start();
        //     return true;
        // });
        $("input[type=file]").click(function(){
            if($("#"+this.id).parent().find(".is-invalid").length > 0 ){
                $("#"+this.id).val("");
                //alert($("#"+this.id).parent().find(".is-invalid").length);
            }
        });
        $(document).on("change",":file",  function() {
            var formId = $(this).attr("data");
              var form2 = $("#"+formId);
             SimpleLoading.start();
            $("#"+formId).submit();
            setTimeout(function(){
                if(form2.find(".is-invalid").length){
                       SimpleLoading.stop();
                    }
            },1000)  
        });
        
        // $(document).ready(function() {          
        //     $("#docbtn").on("click", function(event, messages) {
        //         SimpleLoading.start();
        //         return true;
        //     });
        // });

        $(document).ready(function(){
            $("#form").on("beforeSubmit", function() {
           SimpleLoading.start();
            return true;
        });
    });
    $(document).ready(function(){
        $("#docbtn").on("click", function() {
           SimpleLoading.start();
            return true;
        }); 
    });    
');
?>

<script>
    let finalArrayForJS = <?php echo $finalArrayForJS; ?>;
    finalArrayForJS.forEach(function(item, index) {
        let datasforID = item.toLowerCase();
        const fileInput1 = document.querySelector("#dynamicmodel-" + datasforID);
        const myFile1 = new File([""], $("#" + item).val(), {
            type: "pdf",
        });
        const dataTransfer1 = new DataTransfer();
        if (myFile1["name"]) {
            dataTransfer1.items.add(myFile1);
            fileInput1.files = dataTransfer1.files;
        } else {
            dataTransfer1.items.add("No File Chosen");
            fileInput1.files = dataTransfer1.files;
        }
    })
</script>
