<?php

use yii\helpers\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
//use yii\captchaPDetail\captchaPDetail;
use app\modules\application\models\GenderMst;
use app\modules\application\models\CountryMst;
use app\modules\application\models\CasteCategoryMst;
use app\modules\application\models\SubjectMst;
use app\modules\application\models\CandidatePassedSubjectTbl;
use app\modules\Auth\models\IdentityMst;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;

use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();
/** @var yii\web\View $this */
/** @var app\modules\application\models\AadharDetails $model */
/** @var yii\widgets\ActiveForm $form */

$baseurl = Url::base();

$this->title = 'NTA - National Testing Agency';

$typeofdisability = Yii::$app->masterdata->DisabilityList(); 
?>

<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Personal Details <?= (isset($correctionStatus) && !empty($correctionStatus)) ? '<span class="astric-sign">' . '('.Yii::$app->params['correctionWindowHeading'].')' . '</span>' : ''; ?></h6>
        </div>
        <div class="card-body">
            <div class="row col-md-12 justify-content-md-center">
                <?php if (Yii::$app->session->get('success')) {
                    echo "<div class='pt-1 pb-1 alert alert-success '>";
                    echo Yii::$app->session->get('success');
                    Yii::$app->session->remove('success');
                    echo "</div>";
                }
                ?>
            </div>
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>
            <?php $form = ActiveForm::begin(['id' => 'personal-form', 'options' => ['autocomplete' => 'off']]); ?>
            <?php // echo $form->errorSummary($model); ?>
            <div class="row">
                <div class="col-sm-6">
                    <label class="">Candidate`s Name <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'CandidateName')->textInput(['placeholder' => 'Enter Candidate Name', 'maxlength' => true, 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                </div>
                <div class="col-sm-2">
                    <label class="">Date of Birth <span class="astric-sign">*</span>:</label>
                    <?php
                    $oldDate = $model->DOB;
                    if (isset($oldDate)) {
                        $arr = explode('-', $oldDate);
                        $newYear = $arr[0];
                        $newMonth = $arr[1];
                        $newDay = $arr[2];
                    } else {
                        $newDay = '';
                        $newMonth = '';
                        $newYear = '';
                    }
                    ?>
                    <?= $form->field($model, 'Day')->dropDownList(
                        $DobDate,
                        [
                            'prompt' => '--Date--', 'id' => 'Day', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newDay) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()',
                        ],
                    )->label(false) ?>
                </div>

                <div class="col-sm-2">
                    <label class=""></label>
                    <?= $form->field($model, 'Month')->dropDownList(
                        $DobMonth,
                        [
                            'prompt' => '--Month--', 'id' => 'Month', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newMonth) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()'

                        ],
                    )->label(false) ?>
                </div>
                <div class="col-sm-2">
                    <label class=""></label>
                    <?= $form->field($model, 'Year')->dropDownList(
                        $DobYear,
                        [
                            'prompt' => '--Year--', 'id' => 'Year', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newYear) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()'
                        ],
                    )->label(false) ?>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-6">
                    <label class="">Gender <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'GenderID')->dropDownList(
                        ArrayHelper::map(GenderMst::find()->where(['IsActive' => 1])->all(), 'ID', 'Gender'),
                        [
                            'prompt' => '--Select--', 'id' => 'GenderID', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>
                <div class="col-sm-6" id="SingleChildGirlID" style="display:none;">
                    <label class="">Are You a Single Girl Child In Your Family WithOut Brother Or Sister ?<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'IsSIngleGirlChild')->dropDownList(
                        Yii::$app->params['SingleChildGirl'],
                        [
                            'prompt' => '--Select--', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>
                <div class="col-sm-6">
                    <label class="">Father's/ Guardian’s Name <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'FatherName')->textInput(['placeholder' => 'Enter Father Name', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Mother's/ Guardian’s Name <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'MotherName')->textInput(['placeholder' => 'Enter Mother Name', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return lettersOnly(event)"])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Nationality <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'NationalityID')->dropDownList(
                        $Country_data,
                        [
                            'prompt' => '--Select--', 'id' => 'NationalityID', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Are you a Kashmiri Migrants?(Note:Kasmiri Migrants who obtained domicile of kashmir as per the Jammu and kashmir Reorganisation Act 2020 will only be considered)<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'KashmiriMigrant')->dropDownList(
                        yii::$app->params['KashmiriMigrant'],
                        [
                            'prompt' => '--Select--', 'id' => 'KashmiriMigrant', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>

                <div class="col-sm-6" id="DomicileCategorySection" style="display:none" ;>
                    <label class="">Domicile Category<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'DomicileCategory')->dropDownList(
                        Yii::$app->params['DomicileCategory'],
                        [
                            'prompt' => '--Select--', 'id' => 'DomicileCategory', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>

                <div class="col-sm-6" id="KM_NO_12THCLASSDOMICILESTATE_SHOW" style="display:none" ;>
                    <label class="">State/ UT from where 12th/Equivalent Passed/ Appearing<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'DomicileState')->dropDownList(
                        $DomicileState,
                        [
                            'prompt' => '--Select--', 'id' => 'DomicileState', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Identity Type <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'IdentityID')->dropDownList($IdentityIDs, ['prompt' => '--Select--', 'id' => 'Identity_ID', 'class' => 'form-select form-select-sm'],)->label(false) ?>
                </div>
                <div class="col-sm-6">
                    <label class="">Identification Number <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'IdentityNumber')->textInput(['placeholder' => 'Identification Number', 'class' => "form-control form-control-sm text-upper", 'id' => 'Identity_Number', 'onkeypress' => "return blockSpecialChar(event,'alphanumeric')", 'maxlength' => false])->label(false) ?>
                </div>

                <!-- <div class="col-sm-6">
                    <label class="">Category <span class="astric-sign">*</span>:</label> -->
                    <?php 
                    // $form->field($model, 'CastCategoryID')->dropDownList(
                    //     $CategoryArray,
                    //     [
                    //         'prompt' => '--Select--', 'id' => 'CastCategoryID', 'class' => 'form-select form-select-sm',
                    //     ]
                    // )->label(false) 
                    
                    ?>
                <!-- </div> -->


                <div class="col-sm-6">
                    <label class="">Category <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'CastCategoryID')->dropDownList(
                        $CategoryArray,
                        [
                            'prompt' => '--Select--', 'id' => 'CastCategoryID', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Confirm Category <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'ConfirmCastCategoryID')->dropDownList(
                        $CategoryArray,
                        [
                            'prompt' => '--Select--', 'id' => 'ConfirmCastCategoryID', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                    <span id ="errorConfirmCate" style="color: red;"></span>
                </div>

                            
                <!--If PWD Yes Start-->
                <div class="col-sm-6" id="SubCategoryDiv">
                    <label class="">Sub Category <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'SubCategory')->textInput(['placeholder' => 'Enter Sub Category', 'id' => 'SubCategory', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return blockSpecialChar(event,'alpha')", 'maxlength' => true])->label(false) ?>
                </div>

                <div class="col-sm-6 categoryDetailsDiv" id="">
                    <label class="">Category Certificate ID / Number <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'CatCertificateNumber')->textInput(['placeholder' => 'Enter Sub Category', 'id' => 'CatCertificateNumber', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return blockSpecialChar(event,'alphanumeric')", 'maxlength' => true])->label(false) ?>
                </div>
               
                <div class="col-sm-2 categoryDetailsDiv" id="">
                      <label class="">Category Certificate</label>
                      <?php
                        $oldCategoryCertificateDate = $model->CategoryCertificateDate;
                        if (isset($oldCategoryCertificateDate)) {
                            $arr = explode('-', $oldCategoryCertificateDate);
                            $newCategoryCertificateYear = $arr[0];
                            $newCategoryCertificateMonth = $arr[1];
                            $newCategoryCertificateDay = $arr[2];
                        } else {
                            $newCategoryCertificateDay = '';
                            $newCategoryCertificateMonth = '';
                            $newCategoryCertificateYear = '';
                        }
                        ?>
                        <?= $form->field($model, 'CategoryCertificateDay')->dropDownList(
                            $DobDate,
                            [
                                'prompt' => '--Date--', 'id' => 'CategoryCertificateDay', 'class' => 'form-select form-select-sm', 'options' => [
                                    trim($newCategoryCertificateDay) => ['selected' => true],
                                ],
                                'onchange' => 'return lastdayofmonth()',
                            ],
                        )->label(false) ?>
                    </div>

                    <div class="col-sm-2 categoryDetailsDiv" id="">
                        <label class="">Issue Date <span class="astric-sign">*</span>:</label>
                        <?= $form->field($model, 'CategoryCertificateMonth')->dropDownList(
                            $DobMonth,
                            [
                                'prompt' => '--Month--', 'id' => 'CategoryCertificateMonth', 'class' => 'form-select form-select-sm', 'options' => [
                                    trim($newCategoryCertificateMonth) => ['selected' => true],
                                ],
                                'onchange' => 'return lastdayofmonth()'

                            ],
                        )->label(false) ?>
                    </div>
                    <div class="col-sm-2 categoryDetailsDiv" id="">
                        <label class=""></label>
                        <?= $form->field($model, 'CategoryCertificateYear')->dropDownList(
                            $CertificateYear,
                            [
                                'prompt' => '--Year--', 'id' => 'CategoryCertificateYear', 'class' => 'form-select form-select-sm', 'options' => [
                                    trim($newCategoryCertificateYear) => ['selected' => true],
                                ],
                                'onchange' => 'return lastdayofmonth()'
                            ],
                        )->label(false) ?>
                    </div>

                 
                <div class="col-sm-6 categoryDetailsDiv" id="">
                    <label class="">Name of the authority issuing the category certificate<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'CertificateAuthorityName')->textInput(['placeholder' => 'Enter Certificate Authority Name', 'id' => 'CertificateAuthorityName', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return blockSpecialChar(event,'alphanumeric')", 'maxlength' => true])->label(false) ?>
                </div>
                
                <!--If PWD Yes Start-->

                <div class="col-sm-6">
                    <label class="">Are you a PwD / PwBD candidate having a valid and live Disability Certificate issued by Medical Board of Govt ? <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'PhysicalDisability')->dropDownList(yii::$app->params['DisabilityPercentage'], [
                        'prompt' => '--Select--', 'id' => 'PhysicalDisability', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>
                

                <?php
                    $PwDisabilityGreaterForty = yii::$app->params['PwDisabilityGreaterForty']; 
                ?>
                <div class="col-sm-6" id="DisabilyType_Greater_1" style="display:none">
                    <label class="">Type of Disability as per certificate1 <span class="astric-sign">*</span>:</label>
                    
                    <?= $form->field($model, 'DisabilyType')->dropDownList(yii::$app->params['PwDisabilityGreaterForty'], [
                        'prompt' => '--Select--', 'id' => 'DisabilyType', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                    
                </div>

                <div class="col-sm-6 " id="DisabilyType_less_2" style="display:none">
                    <label class="">Type of Disability as per certificate2 <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'DisabilyTypeTwo')->dropDownList(yii::$app->params['PwDisabilityLessForty'], [
                       'prompt' => '--Select--', 'id' => 'DisabilyTypeTwo', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div> 


                <div class="col-sm-6" id="bulletinScribe">
                    <label class="">Do you need scribe (as per the criteria given in the Information Bulletin)<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'NeedScribe')->dropDownList(yii::$app->params['NeedScribe'], [
                        'prompt' => '--Select--', 'id' => 'NeedScribeR', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>

                <div class="col-sm-6" id="scribeNameHideshow" >
                    <label class="">Name of Scribe <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'scribeName')->textInput(['placeholder' => 'Enter Name of Scribe', 'id' => 'scribeName', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return blockSpecialChar(event,'alphanumeric')", 'maxlength' => true])->label(false) ?>
                </div>
                        
                <div class="col-sm-6" id="dateOfIssesScribe">
                        <div class="row">
            
                    <div class="col-sm-4">
                    <label class="">Date of Birth of Scribe <span class="astric-sign">*</span>:</label>
                    <?php
                    $oldDate = $model->dateOfIssesScribe;
                    if (isset($oldDate)) {
                        $arr = explode('-', $oldDate);
                        $newYear = $arr[0];
                        $newMonth = $arr[1];
                        $newDay = $arr[2];
                    } else {
                        $newDay = '';
                        $newMonth = '';
                        $newYear = '';
                    }
                    ?>
                    <?= $form->field($model, 'DayScribe')->dropDownList(
                        $DobDate,
                        [
                            'prompt' => '--Date--', 'id' => 'DayScribe', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newDay) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()',
                        ],
                    )->label(false) ?>
                </div>

                <div class="col-sm-4">
                    <label class=""></label>
                    <?= $form->field($model, 'MonthScribe')->dropDownList(
                        $DobMonth,
                        [
                            'prompt' => '--Month--', 'id' => 'MonthScribe', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newMonth) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()'

                        ],
                    )->label(false) ?>
                </div>
                <div class="col-sm-4">
                    <label class=""></label>
                    <?= $form->field($model, 'YearScribe')->dropDownList(
                        yii::$app->params['birthOfScribe'],
                        [
                            'prompt' => '--Year--', 'id' => 'YearScribe', 'class' => 'form-select form-select-sm', 'options' => [
                                trim($newYear) => ['selected' => true],
                            ],
                            'onchange' => 'return lastdayofmonth()'
                        ],
                    )->label(false) ?>
                </div>   
                </div>
                </div>

                <div class="col-sm-6" id="adharNumberScribeHideshow">
                    <label class="">Aadhaar Number of Scribe <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'adharNumberScribe')->textInput(['placeholder' => 'Enter Aadhaar Number', 'id' => 'adharNumberScribe', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return blockSpecialChar(event,'alphanumeric')", 'maxlength' => true])->label(false) ?>
                </div>

                <div class="col-sm-6" id="confirmAdharNumberScribeHideshow">
                    <label class="">Confirm Aadhaar Number of Scribe <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'adharNumberScribeCnfrm')->textInput(['placeholder' => 'Enter Confirm Aadhaar Number', 'id' => 'confirmAdharNumberScribe', 'class' => 'form-control form-control-sm text-upper', 'onkeypress' => "return blockSpecialChar(event,'alphanumeric')", 'maxlength' => true])->label(false) ?>
                </div>

                <div class="col-sm-6" id="qualificationScribeHideShow"> 
                    <label class="">Qualification of Scribe <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'qualificationScribe')->dropDownList(yii::$app->params['QualificationScribe'], [
                        'prompt' => '--Select--', 'id' => 'qualificationScribe', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>
                
                <div class="col-sm-6" id="DisabilityPercentageDiv">
                    <label class="">Percentage of disability as per certificate<span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'DisabilityPercentage')->textInput(['placeholder' => '% of Disability', 'maxlength' => 3, 'class' => "form-control form-control-sm", 'id' => 'DisabilityPercentage', 'onkeypress' => "return blockSpecialChar(event,'numeric')"])->label(false) ?>
                </div>



               
                <!--PWD  End-->
                
                

                <div class="col-sm-6">
                    <label class="">Are You Diabetic ? <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'IsDiabetic')->dropDownList(yii::$app->params['IsDiabetic'], [
                        'prompt' => '--Select--', 'id' => 'IsDiabetic', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Place of Residence <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'PlaceOfResidence')->dropDownList(yii::$app->params['PlaceOfResidence'], [
                        'prompt' => '--Select--', 'id' => 'PlaceOfResidence', 'class' => 'form-select form-select-sm',
                    ])->label(false) ?>
                </div>

                <div class="col-sm-6">
                    <label class="">Annual Income of the Parents/Guardian <span class="astric-sign">*</span>:</label>
                    <?= $form->field($model, 'AnnualIncome')->dropDownList(
                        yii::$app->params['AnnualIncome'],
                        [
                            'prompt' => '--Select--', 'id' => 'AnnualIncome', 'class' => 'form-select form-select-sm',
                        ]
                    )->label(false) ?>
                </div>

            </div>

            <!--artisan start code-->

            <!--artisan code end-->

            <div class="row mb-4">
                <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                <div class="col-sm-6">
                    <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                        'captchaAction' => '/application/personal/captcha',
                        'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                        'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                    ])->label(false)  ?>

                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <?= $form->field($model, 'checkboxName')
                        ->checkbox(
                            ['uncheck' => null, 'label' => Yii::$app->params['AgreeLable'], 'id' => 'checkboxName', 'class' => "chk1"],
                        ); ?>
                        <?= Yii::$app->params['IundertakeText'] ?><br>
                    <?=Yii::$app->params['AgreeText']?>
                </div>

            </div>
            <div class="form-group">
                 <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['../' . $backLink], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important', 'data-modulename' => 'Contact-Details', 'data-activityname' => 'Previous-Button']) ?>

                <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right']) ?>
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>
<?php
$this->registerJs('

    $(document).ready(function() {
        $("#personal-form").on("beforeSubmit", function(event, messages) {
            SimpleLoading.start();
            return true;
        });

        var KashmiriMigrantValue = $("#KashmiriMigrant").val();
        if (KashmiriMigrantValue == 1) {
            $("#DomicileCategorySection").show();
        } else {
            $("#DomicileCategorySection").hide();
            $("#DomicileCategory").val("");
            $("#KM_NO_12THCLASSDOMICILESTATE_SHOW").show();
        }

        var DomicileCategoryValue = $("#DomicileCategory").val();
        if ((DomicileCategoryValue == 2) || (KashmiriMigrantValue == 0)) {
            $("#KM_NO_12THCLASSDOMICILESTATE_SHOW").show();
        }else{
            $("#KM_NO_12THCLASSDOMICILESTATE_SHOW").hide();
            $("#DomicileState").val("");
        }
        

    });

    jQuery("#KashmiriMigrant").on("change", function() {
        var KashmiriMigrant = $("#KashmiriMigrant :selected").val();
        if (KashmiriMigrant == 1) {
            $("#DomicileCategorySection").show();
            $("#KM_NO_12THCLASSDOMICILESTATE_SHOW").hide();
        } else {
            $("#DomicileCategorySection").hide();
            $("#DomicileCategory").val("");
            $("#KM_NO_12THCLASSDOMICILESTATE_SHOW").show();
        }
    });

    jQuery("#DomicileCategory").on("change", function() {
        var DomicileCategory = $("#DomicileCategory :selected").val();
        if (DomicileCategory == 2) {
            $("#KM_NO_12THCLASSDOMICILESTATE_SHOW").show();
        } else {
            $("#KM_NO_12THCLASSDOMICILESTATE_SHOW").hide();
            $("#DomicileState").val("");
        }
    });

    

    jQuery(document).ready(function() {
        $("#typeDisability").hide();
        $("#IsUDIDNumberDiv").hide();
        $("#bulletinScribe").hide();
        $("#PercentageDisability").hide();
        // $("#DisabilyType_less").hide();
        // $("#DisabilyType_Greater").hide();
        $("#DisabilityPercentageDiv").hide();



        $("#scribeNameHideshow").hide();
        $("#dateOfIssesScribe").hide();
        $("#adharNumberScribeHideshow").hide();
        $("#confirmAdharNumberScribeHideshow").hide();
        $("#qualificationScribeHideShow").hide(); 

        var PhysicalDisability = $("#PhysicalDisability :selected").val();

        var NeedScribeRS = $("#NeedScribeR :selected").val();
       

        if (PhysicalDisability == 1){
            $("#DisabilyType_Greater_1").css("display", "block");
            $("#DisabilyType_less_2").css("display", "none");
        } else if(PhysicalDisability == 2){
            $("#DisabilyType_less_2").css("display", "block");
            $("#DisabilyType_Greater_1").css("display", "none");
        } else {
            $("#DisabilyType_Greater_1").css("display", "none");
            $("#DisabilyType_less_2").css("display", "none");
        }

        if (PhysicalDisability == 1 || PhysicalDisability == 2) {
           
            $("#IsUDIDNumberDiv").show();
            $("#typeDisability").show();
            $("#bulletinScribe").show();
            $("#PercentageDisability").show();
            //$("#NeedScribeR").prop("required", true);
            //$("#DisabilyType").prop("required", true);
            // $("#DisabilityPercentage").prop("required", true);

             if(NeedScribeRS !=2){
                $("#scribeNameHideshow").hide();
                $("#dateOfIssesScribe").hide();
                $("#adharNumberScribeHideshow").hide();
                $("#confirmAdharNumberScribeHideshow").hide();
                $("#qualificationScribeHideShow").hide(); 
            }else{
                $("#scribeNameHideshow").show();
                $("#dateOfIssesScribe").show();
                $("#adharNumberScribeHideshow").show();
                $("#confirmAdharNumberScribeHideshow").show();
                $("#qualificationScribeHideShow").show();          
            }

          $("#DisabilityPercentageDiv").show();

        } else {
            $("#IsUDIDNumberDiv").hide();
            $("#typeDisability").hide();
            $("#PercentageDisability").hide();
            $("#bulletinScribe").hide();
            //$("#NeedScribeR").prop("required", false);
            //$("#DisabilyType").prop("required", false);
            //$("#DisabilityPercentage").prop("required", false);
            $("#IsUDIDNumber").val("");
            $("#UDIDNumber").val("");
            $("#DisabilyType").val("");
            $("#NeedScribeR").val("");
            $("#DisabilityPercentageDiv").hide();

            $("#scribeName").val(" ");
            $("#adharNumberScribe").val(" ");
            $("#confirmAdharNumberScribe").val(" ");
            $("#qualificationScribe").val(" ");
            $("#YearScribe").val(" ");
            $("#MonthScribe").val(" ");
            $("#DayScribe").val("");
            $("#DisabilityPercentage").val("");


        }
        jQuery("#PhysicalDisability").on("change", function() {
            var PhysicalDisability = $("#PhysicalDisability :selected").val();
            if (PhysicalDisability == 1){
                $("#DisabilyType_Greater_1").css("display", "block");
                $("#DisabilyType_less_2").css("display", "none");
            } else if(PhysicalDisability == 2){
                $("#DisabilyType_less_2").css("display", "block");
                $("#DisabilyType_Greater_1").css("display", "none");
            } else {
                $("#DisabilyType_Greater_1").css("display", "none");
                $("#DisabilyType_less_2").css("display", "none");
            }


            if (PhysicalDisability == 1 || PhysicalDisability == 2) {
                
                $("#IsUDIDNumberDiv").show();
                $("#typeDisability").show();
                $("#bulletinScribe").show();
                $("#PercentageDisability").show();
                
                $("#scribeNameHideshow").hide();
                $("#dateOfIssesScribe").hide();
                $("#adharNumberScribeHideshow").hide();
                $("#confirmAdharNumberScribeHideshow").hide();
                $("#qualificationScribeHideShow").hide();

                $("#DisabilityPercentageDiv").show();

                $("#scribeName").val(" ");
                $("#adharNumberScribe").val(" ");
                $("#confirmAdharNumberScribe").val(" ");
                $("#qualificationScribe").val(" ");
                $("#YearScribe").val(" ");
                $("#MonthScribe").val(" ");
                $("#DayScribe").val(" ");

                $("#NeedScribeR").val("");
                $("#DisabilyType").val("");

                

            } else {
                $("#IsUDIDNumberDiv").hide();
                $("#UDIDNumberDiv").hide();
                $("#typeDisability").hide();
                $("#bulletinScribe").hide();

                $("#scribeNameHideshow").hide();
                $("#dateOfIssesScribe").hide();
                $("#adharNumberScribeHideshow").hide();
                $("#confirmAdharNumberScribeHideshow").hide();
                $("#qualificationScribeHideShow").hide();
               

                $("#scribeName").val(" ");
                $("#adharNumberScribe").val(" ");
                $("#confirmAdharNumberScribe").val(" ");
                $("#qualificationScribe").val(" ");
                $("#YearScribe").val(" ");
                $("#MonthScribe").val(" ");
                $("#DayScribe").val(" ");

                $("#PercentageDisability").hide();
                $("#NeedScribeR").prop("required", false);
                $("#DisabilyType").prop("required", false);
                $("#DisabilityPercentage").prop("required", false);
                
                $("#IsUDIDNumber").val("");
                $("#UDIDNumber").prop("required", false);
                $("#UDIDNumber").val("");

                $("#DisabilyType").val("");
                $("#NeedScribeR").val("");

                $("#DisabilityPercentageDiv").hide();
                $("#DisabilityPercentage").val("");
            }

            if (PhysicalDisability == 1){
                $("#DisabilyType_Greater").show();              
                $("#DisabilyType_less").hide();          
            }else if(PhysicalDisability == 2){
                $("#DisabilyType_Greater").hide();              
                $("#DisabilyType_less").show(); 
            }else{
                $("#DisabilyType_Greater").hide();              
                $("#DisabilyType_less").hide(); 
            }
            

        });


        $("#UDIDNumberDiv").hide();
        var IsUDIDNumber = $("#IsUDIDNumber :selected").val();
        if (IsUDIDNumber == 1) {
            $("#UDIDNumberDiv").show();
        } else {
            $("#UDIDNumberDiv").hide();
            $("#UDIDNumber").prop("required", false);
            $("#UDIDNumber").val("");
        }

        jQuery("#IsUDIDNumber").on("change", function() {
            var IsUDIDNumber = $("#IsUDIDNumber :selected").val();
            if (IsUDIDNumber == 1) {
                $("#UDIDNumberDiv").show();
            } else {
                $("#UDIDNumberDiv").hide();
                $("#UDIDNumber").prop("required", false);
                $("#UDIDNumber").val("");
            }

        });


        $("#SubCategoryDiv").hide();
        var CastCategoryID = $("#CastCategoryID :selected").val();
        if (CastCategoryID == 5) {
            $("#SubCategoryDiv").show();
        } else {
            $("#SubCategoryDiv").hide();
            $("#SubCategory").prop("required", false);
            $("#SubCategory").val("");
        }

        jQuery("#CastCategoryID").on("change", function() {
            var CastCategoryID = $("#CastCategoryID :selected").val();
            if (CastCategoryID == 5) {
                $("#SubCategoryDiv").show();
            } else {
                $("#SubCategoryDiv").hide();
                $("#SubCategory").prop("required", false);
                $("#SubCategory").val("");
            }

        });

        jQuery("#NeedScribeR").on("change", function() {
            var NeedScribeR = $("#NeedScribeR :selected").val();
            if (NeedScribeR == 2) {
                $("#scribeNameHideshow").show();
                $("#dateOfIssesScribe").show();
                $("#adharNumberScribeHideshow").show();
                $("#confirmAdharNumberScribeHideshow").show();
                $("#qualificationScribeHideShow").show();
            } else {
                $("#scribeNameHideshow").hide();
                $("#dateOfIssesScribe").hide();
                $("#adharNumberScribeHideshow").hide();
                $("#confirmAdharNumberScribeHideshow").hide();
                $("#qualificationScribeHideShow").hide();

                $("#scribeName").val("");
                $("#dateOfIssesScribe").val("");
                $("#adharNumberScribe").val("");
                $("#confirmAdharNumberScribe").val("");
                $("#qualificationScribe").val("");
                $("#YearScribe").val("");
                $("#MonthScribe").val("");
                $("#DayScribe").val("");

            }   

        });

        

    });

    jQuery(document).ready(function() {
        var GenderID = $("#GenderID :selected").val();
        if (GenderID == 5) {
            $("#SingleChildGirlID").show(); 
        } else {
            $("#SingleChildGirlID").hide();
        }
        //$("#Community").hide();      
        var MinorityCommunity = $("#MinorityCommunity :selected").val();
        if (MinorityCommunity == 1) {
            $("#Community").show(); 
            $("#CommunityAnnualIncome").show();
        } else {
            $("#Community").hide();
            $("#CommunityAnnualIncome").hide();
        }
        jQuery("#MinorityCommunity").on("change", function() {
            var MinorityCommunity = $("#MinorityCommunity :selected").val();
            if (MinorityCommunity == 1) {
                $("#Community").show();
                $("#CommunityID").removeClass("is-invalid").attr("aria-invalid", false);
                $("#CommunityID").next(".invalid-feedback").html("");
                $("#CommunityID").removeClass("is-valid").attr("aria-valid", false);
                $("#CommunityAnnualIncome").show();
                $("#CommunityAnnualIncome").removeClass("is-invalid").attr("aria-invalid", false);
                $("#CommunityAnnualIncome").next(".invalid-feedback").html("");
                $("#CommunityAnnualIncome").removeClass("is-valid").attr("aria-valid", false);
            } else {
                $("#CommunityID").removeClass("is-invalid").attr("aria-invalid", false);
                $("#CommunityID").next(".invalid-feedback").html("");
                $("#CommunityID").removeClass("is-valid").attr("aria-valid", false);
                $("#Community").hide();
                $("#CommunityAnnualIncome").removeClass("is-invalid").attr("aria-invalid", false);
                $("#CommunityAnnualIncome").next(".invalid-feedback").html("");
                $("#CommunityAnnualIncome").removeClass("is-valid").attr("aria-valid", false);
                $("#CommunityAnnualIncome").hide();
            }
        });
    });

    jQuery("#GenderID").on("change", function() {
        var GenderID = $("#GenderID :selected").val();
        if (GenderID == 5) {
            $("#SingleChildGirlID").show();
            $("#SingleChildGirlID").removeClass("is-invalid").attr("aria-invalid", false);
            $("#SingleChildGirlID").next(".invalid-feedback").html("");
            $("#SingleChildGirlID").removeClass("is-valid").attr("aria-valid", false);
        } else {
            $("#SingleChildGirlID").removeClass("is-invalid").attr("aria-invalid", false);
            $("#SingleChildGirlID").next(".invalid-feedback").html("");
            $("#SingleChildGirlID").removeClass("is-valid").attr("aria-valid", false);
            $("#SingleChildGirlID").hide();
        }
    });

    jQuery("#Identity_ID").on("change", function() {       
        $("#Identity_Number").val("");
    });
    
    jQuery("#DisabilityPercentage").on("blur mouseout focusout", function() {
        var PhysicalDisability = $("#PhysicalDisability :selected").val();
        var disabilityPercentVal = $(this).val();   
        if((disabilityPercentVal.length==3) && (PhysicalDisability==1) && (disabilityPercentVal > 100)){
            $("#DisabilityPercentage").val("");
        }else if((disabilityPercentVal.length>=1) && (PhysicalDisability==1) && (disabilityPercentVal < 40)){        
            $("#DisabilityPercentage").val("");
        }else if(PhysicalDisability==2 && (disabilityPercentVal==0 || disabilityPercentVal > 39) ){
            $("#DisabilityPercentage").val("");
        }

    });
');

?>


<script>


jQuery(document).ready(function() {
            var ConfirmCastCategoryID = $("#ConfirmCastCategoryID :selected").val();
            var CastCategoryID =  $("#CastCategoryID :selected").val();

            if(ConfirmCastCategoryID == '1'){
                $(".categoryDetailsDiv").hide();
            } else if(ConfirmCastCategoryID == CastCategoryID){
                $(".categoryDetailsDiv").show();
                if (ConfirmCastCategoryID == 5) {
                    $("#SubCategoryDiv").show();
                } else {
                    $("#SubCategoryDiv").hide();
                    $("#SubCategory").prop("required", false);
                    $("#SubCategory").val("");
                }
            } else if (ConfirmCastCategoryID != CastCategoryID){
                $("#SubCategoryDiv").hide();
                $(".categoryDetailsDiv").hide();
            }  
        });  

        
    jQuery("#ConfirmCastCategoryID").on("change", function() {
          var ConfirmCastCategoryID = $("#ConfirmCastCategoryID :selected").val();
          var CastCategoryID =  $("#CastCategoryID :selected").val();
          if(ConfirmCastCategoryID == '1'){

                $(".categoryDetailsDiv").hide();
                $('#CatCertificateNumber').val('');
                $('#CategoryCertificateDay').val('');
                $('#CategoryCertificateMonth').val('');
                $('#CategoryCertificateYear').val('');
                $('#CertificateAuthorityName').val('');

          } else if(ConfirmCastCategoryID == CastCategoryID){
              $(".categoryDetailsDiv").show();

              if (ConfirmCastCategoryID == 5) {
                  $("#SubCategoryDiv").show();
              } else {
                  $("#SubCategoryDiv").hide();
                  $("#SubCategory").prop("required", false);
                  $("#SubCategory").val("");
              }
          } else if (ConfirmCastCategoryID != CastCategoryID){
                $("#SubCategoryDiv").hide();
                $(".categoryDetailsDiv").hide();
                $('#CatCertificateNumber').val('');
                $('#CategoryCertificateDay').val('');
                $('#CategoryCertificateMonth').val('');
                $('#CategoryCertificateYear').val('');
                $('#CertificateAuthorityName').val('');
          } 
    });

    jQuery("#CastCategoryID").on("change", function() {
        var ConfirmCastCategoryID = $("#ConfirmCastCategoryID :selected").val();
        var CastCategoryID =  $("#CastCategoryID :selected").val();

        $('#ConfirmCastCategoryID').val('');

        if(ConfirmCastCategoryID == '1'){
            $(".categoryDetailsDiv").hide();

           
            $('#CatCertificateNumber').val('');
            $('#CategoryCertificateDay').val('');
            $('#CategoryCertificateMonth').val('');
            $('#CategoryCertificateYear').val('');
            $('#CertificateAuthorityName').val('');

        } else if(ConfirmCastCategoryID == CastCategoryID){
            $(".categoryDetailsDiv").show();
            if (ConfirmCastCategoryID == 5) {
                $("#SubCategoryDiv").show();
            } else {
                $("#SubCategoryDiv").hide();
                $("#SubCategory").prop("required", false);
                $("#SubCategory").val("");
            }
        } else if (ConfirmCastCategoryID != CastCategoryID){
            $("#SubCategoryDiv").hide();
            $(".categoryDetailsDiv").hide();
            $("#ConfirmCastCategoryID").removeClass("is-valid");
            $("#ConfirmCastCategoryID").addClass("is-invalid").attr("aria-invalid", true);
        } 
    });

    $(document).on("keyup", "#adharNumberScribe", function() {
        var adharNumberScribe = $("#adharNumberScribe").val();
        var confirmAdharNumberScribe = $("#confirmAdharNumberScribe").val();
        confirmAdharNumberScribe.val('');


    });
   $(document).on("keyup", "#adharNumberScribe,#confirmAdharNumberScribe", function() {
        // var adharNumberScribe = $("#adharNumberScribe").val();
        // var confirmAdharNumberScribe = $("#confirmAdharNumberScribe").val();
        
        
        
        // var cgpaObtained = $(this).val();
        // cgpaObtained = parseFloat(cgpaObtained);
        // if (cgpaObtained !== '' && maxGradePoint !== '') {
        //     if (cgpaObtained > maxGradePoint) {
        //         $("#adharNumberScribe").val('');
        //         $("#confirmAdharNumberScribe").val('');
        //     }
        // }
    });


    jQuery(document).ready(function() {
        $("#Identity_ID").on('change', function() {
            if ($("#Identity_ID").val() != '') {
                $("#Identity_Number").val('');
            } else {
                $("#Identity_Number").val('');
            }

        });
    });
    
    jQuery(function($) { // DOM ready and $ alias secured
        let aadhaar = "";
        let aadhaarStack = [];
        let maskStack = [];
        let flag = 0;

        $('#Identity_Number').on('input', function(e) {

            var Identity_value = $("#Identity_ID").val();
        
            let key = e.which || this.value.substr(-1).charCodeAt(0);

            if(Identity_value == 1003){

                if (this.value.length < aadhaarStack.length) {
                    aadhaarStack.pop();
                    maskStack.pop();
                } else {
                    key = String.fromCharCode(key);
                    if (aadhaarStack.filter(i => i !== " ").length <= 27 && !isNaN(key)) {
                        if (aadhaarStack.length > 1 && (aadhaarStack.filter(i => i !== " ").length) % 4 === 0) {
                            aadhaarStack.push(" ");
                            aadhaarStack.push(key);
                            maskStack.push(" ");
                            if (aadhaarStack.filter(i => i !== " ").length > 8) {
                                maskStack.push(key);
                            } else {
                                maskStack.push("X");
                            }
                        } else {
                            aadhaarStack.push(key);
                            if (aadhaarStack.filter(i => i !== " ").length > 8) {
                                maskStack.push(key);
                            } else {
                                maskStack.push("X");
                            }
                        }
                    }
                }

                updateUi();
        }
           
        
        });

        function updateUi() {
            setTimeout(function() {
                aadhaar = maskStack.join("");
                $('#Identity_Number').val(aadhaar);
            }, 100);
        }
    });
</script>
<script>
jQuery(function($) { // DOM ready and $ alias secured
        let aadhaar_scribe = "";
        let aadhaarStack_scribe = [];
        let maskStack_scribe = [];
        let flag = 0;

        $('#adharNumberScribe').on('input', function(e) {
            let key = e.which || this.value.substr(-1).charCodeAt(0);

                if (this.value.length < aadhaarStack_scribe.length) {
                    aadhaarStack_scribe.pop();
                    maskStack_scribe.pop();
                } else {
                    key = String.fromCharCode(key);
                    if (aadhaarStack_scribe.filter(i => i !== " ").length <= 27 && !isNaN(key)) {
                        if (aadhaarStack_scribe.length > 1 && (aadhaarStack_scribe.filter(i => i !== " ").length) % 4 === 0) {
                            aadhaarStack_scribe.push(" ");
                            aadhaarStack_scribe.push(key);
                            maskStack_scribe.push(" ");
                            if (aadhaarStack_scribe.filter(i => i !== " ").length > 8) {
                                maskStack_scribe.push(key);
                            } else {
                                maskStack_scribe.push("X");
                            }
                        } else {
                            aadhaarStack_scribe.push(key);
                            if (aadhaarStack_scribe.filter(i => i !== " ").length > 8) {
                                maskStack_scribe.push(key);
                            } else {
                                maskStack_scribe.push("X");
                            }
                        }
                    }
                }

                updateUi();
           
        
        });

        function updateUi() {
            setTimeout(function() {
                aadhaar_scribe = maskStack_scribe.join("");
                $('#adharNumberScribe').val(aadhaar_scribe);
            }, 100);
        }
    });
</script>
<script>
jQuery(function($) { // DOM ready and $ alias secured
        let aadhaar_scribe_cnfrm = "";
        let aadhaarStack_scribe_cnfrm = [];
        let maskStack_scribe_cnfrm = [];
        let flag = 0;

        $('#confirmAdharNumberScribe').on('input', function(e) {
            let key = e.which || this.value.substr(-1).charCodeAt(0);

                if (this.value.length < aadhaarStack_scribe_cnfrm.length) {
                    aadhaarStack_scribe_cnfrm.pop();
                    maskStack_scribe_cnfrm.pop();
                } else {
                    key = String.fromCharCode(key);
                    if (aadhaarStack_scribe_cnfrm.filter(i => i !== " ").length <= 27 && !isNaN(key)) {
                        if (aadhaarStack_scribe_cnfrm.length > 1 && (aadhaarStack_scribe_cnfrm.filter(i => i !== " ").length) % 4 === 0) {
                            aadhaarStack_scribe_cnfrm.push(" ");
                            aadhaarStack_scribe_cnfrm.push(key);
                            maskStack_scribe_cnfrm.push(" ");
                            if (aadhaarStack_scribe_cnfrm.filter(i => i !== " ").length > 8) {
                                maskStack_scribe_cnfrm.push(key);
                            } else {
                                maskStack_scribe_cnfrm.push("X");
                            }
                        } else {
                            aadhaarStack_scribe_cnfrm.push(key);
                            if (aadhaarStack_scribe_cnfrm.filter(i => i !== " ").length > 8) {
                                maskStack_scribe_cnfrm.push(key);
                            } else {
                                maskStack_scribe_cnfrm.push("X");
                            }
                        }
                    }
                }

                updateUi();
           
        
        });

        function updateUi() {
            setTimeout(function() {
                aadhaar_scribe_cnfrm = maskStack_scribe_cnfrm.join("");
                $('#confirmAdharNumberScribe').val(aadhaar_scribe_cnfrm);
            }, 100);
        }
    });
    $(document).ready(function(){
        var adharNumberScribe = $("#adharNumberScribe").val();
        if(adharNumberScribe != ''){
            $('#confirmAdharNumberScribe').val(adharNumberScribe);
        }
    });
</script>