<?php

use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\bootstrap5\ActiveForm;
use app\modules\application\models\CourseMst;
use frontend\modules\application\models\UniversityMst;
use frontend\modules\application\models\StateMst;
use app\modules\application\models\CountryMst;
use yii\captcha\Captcha;
use edwinhaq\simpleloading\SimpleLoading;
SimpleLoading::widget();
use yii\helpers\Url;

/** @var yii\web\View $this */
/** @var app\models\CandidateQualificationDetailsTbl $model */
/** @var ActiveForm $form */

$this->title = 'NTA - National Testing Agency';
$baseurl = Url::base(); 


?>
<style>
    /*#candidatequalificationdetailstbl-universityboardid option {text-transform: uppercase};*/
</style>
<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Qualification Details</h6>
        </div>
        <div class="card-body">
  
            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span> </div>
            </div>
            <?php $form = ActiveForm::begin(['id' => 'qualification-form', 'options' => ['autocomplete' => 'off']]); ?>
            
            <div class="row justify-content-md-center">
                <div class="col-md-12">
                <!--Graduation Qualification Detail-->
                    <div class="col-md-12 mb-1"><b>Graduation Qualification Detail</b></div>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Pass Status <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'PassStatus')->dropDownList(yii::$app->params['PassStatus'], [
                                'prompt' => '--Select--', 'class' => 'form-select form-select-sm'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Passing of Year/Appearing <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'YearOfPassing')->dropDownList($appeaR, ['class' => 'form-select form-select-sm', '' => '--Select--'])->label(false) ?>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Course/Stream <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'CourseID')->dropDownList($graduateCourseMst, 
                                    ['class' => 'form-select form-select-sm', 'prompt' => '--Select-- ']
                            )->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Whether in Final Year/Final Year Result Awaited <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'FinalResultAwating')->dropDownList($finalR, 
                                [
                                    'class' => 'form-select form-select-sm', '' => '--Select--',
                                    
                            ])->label(false) ?>
                        <!--'onchange' => '$('#candidatequalificationdetailstbl-courseid :selected').text() == "OTHER"? $("#otherCourseStreamName").css("display","block") : $("#otherCourseStreamName").css("display","none");'-->

                        </div>
                    </div>
                    <!--IF SELECTED OTHER IN COURSE /STREAM-->
                    <div class="row" id="otherCourseStreamName" style="display:none;">
                        <div class="col-md-6">
                            <label class="">Other Course/Stream </label>
                            <?= $form->field($model, 'OtherCourseName')->textInput(['onkeypress' => "return blockSpecialChar(event,'alpha')",'placeholder' => 'Enter Other Course/Stream Name', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                        </div>
                    </div>
                    <!--IF SELECTED Bsc 4 years-Equivalent IN COURSE /STREAM-->
                    <div class="row" id="graduateBscFourYrsEquivCourseStreamName" style="display:none;">
                        <div class="col-md-6">
                            <label class="">Bsc 4 years-Equivalent Course/Stream </label>
                            <?= $form->field($model, 'GraduateBscFourYrsEquivCourseName')->textInput(['onkeypress' => "return blockSpecialChar(event,'alpha')",'placeholder' => 'Enter Bsc 4 years-Equivalent Course/Stream', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Qualifying Examination From <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'QualifyingExamPlaceID',)->dropDownList(ArrayHelper::map(
                                CountryMst::find()->where(['IsActive' => 1])->OrderBy(['CountryName' => SORT_ASC])->all(),
                                'ID',
                                'CountryName'
                            ), [
                                'class' => 'form-select form-select-sm', 'prompt' => '--Select--','id'=>'qualifying-exam-country_type'
//                                'onchange' => '
//                           $.post( "' . Yii::$app->urlManager->createUrl('qualification/state-by-country?id=') . '"+$(this).val(), function( data ) {
//                           $( "select#qualifying-examination-state" ).html( data );
//                           $( "select#board-university-name" ).html( ` `);
//                           $( "select#board-university-name" ).append(`<option value="">--Select--</option><option value="0">Other</option>`);
//                           });'
                            ])->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Qualifying Examination State <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'QualificationExamStateID')->dropDownList($countryState, 
                                [
                                    'class' => 'form-select form-select-sm', 'prompt' => '--Select--','id'=>'qualifying-examination-state',
//                                    'onchange' => '
//                                        $.post( "' . Yii::$app->urlManager->createUrl('qualification/board-university-by-stateid?id=') . '"+$(this).val(), function( data ) {
//                                        $( "select#board-university-name" ).html( data );
//                                    });'
                            ])->label(false) ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Board/University Name <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'UniversityBoardID')->dropDownList($universityMst, 
                                    ['class' => 'form-select form-select-sm', 'prompt' => '--Select-- ','id'=>'board-university-name'])->label(false); ?>
                        </div>
                        <!--IF SELECTED OTHER IN COURSE /STREAM-->
                        <div class="col-md-6" id="OtherUniversityName" style="display:none;">
                            <label class="">Other University Name </label>
                            <?= $form->field($model, 'OtherUniversityName')->textInput(['placeholder' => 'Enter Other University Name', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                        </div>

                        <div class="col-md-6" id="resultModeDropdown" style="display:none">
                            <label class="">Result Mode <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'ResultMode',)->dropDownList(yii::$app->params['ResultMode'], [
                                'prompt' => '--Select--', 'id' => 'resultmode', 'class' => 'form-select form-select-sm'])->label(false) ?>
                        </div>
                        
                    </div>


                             <!--IF SELECTED OTHER IN COURSE /STREAM-->
                    <!--<div class="row" id="OtherUniversityName" style="display:none;">
                        <div class="col-md-6">
                            <label class="">Other University Name </label>
                            <?php //echo $form->field($model, 'OtherUniversityName')->textInput(['placeholder' => 'Enter Other University Name', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                        </div>
                    </div>-->
                 
                    
                    <div id="hideModecgpa" style="display:none">
                        <div class="row">
                            <div class="col-md-3">
                                <label class="">Max Grade Point <span class="astric-sign">*</span></label>
                                <?= $form->field($model, 'MaxGradePoint', ['inputOptions' => ['id' => 'maxGradePoint', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '2']])->input('text', ['placeholder' => "Max Grade Point"])->label(false) ?>
                            </div>
                            <div class="col-md-3">
                                <label class="">Obtained CGPA <span class="astric-sign">*</span></label>
                                <?= $form->field($model, 'CgpaObtained', ['inputOptions' => ['id'=>'cgpaObtained','class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained CGPA"])->label(false); ?>
                            </div>
<!--                            <div class="col-md-3">
                                <label id="changeMark">CGPA</label>
                                <?php //echo $form->field($model, 'Cgpa', ['inputOptions' => ['id' => 'cgpa', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "CGPA"])->label(false) ?>
                            </div>-->
                            <div class="col-md-3">
                                <label id="changeMark">CGPA Percentage</label>
                                <?= $form->field($model, 'CgpaPercentage', ['inputOptions' => ['id' => 'cgpaPercentage', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "CGPA Percentage"])->label(false) ?>
                            </div>
                        </div>
                    </div>
                    <div id="hideModePercentage" style="display:none">
                        <div class="row">
                            <div class="col-md-4">
                                <label class="">Total Marks <span class="astric-sign">*</span></label>
                                <?= $form->field($model, 'TotalMarks', ['inputOptions' => ['id' => 'totalMarks', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Total Mark"])->label(false) ?>
                            </div>
                            <div class="col-md-4">
                                <label class="">Obtained Marks <span class="astric-sign">*</span></label>
                                <?= $form->field($model, 'MarksObtained', ['inputOptions' => ['id'=>'marksObtained','class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained Marks"])->label(false); ?>
                            </div>
                            <div class="col-md-4">
                                <label id="changeMark">Percentage(%)</label>
                                <?= $form->field($model, 'PercentageMarks', ['inputOptions' => ['id' => 'percentageMarks', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "Percentage"])->label(false) ?>
                            </div>
                        </div>
                    </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="">Institute Name And Address <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'GraduateInstituteNameAndAddress')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)",'placeholder' => 'Enter Institute Name And Address', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                    </div>
                    <div class="col-md-6">
                        <label class="">Institute Pincode <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'GraduateInstitutePincode')->textInput(['onkeypress' => "return blockSpecialChar(event,'numeric')",'placeholder' => 'Enter Institute Pincode', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                    </div>
                </div>
            <!--Post Graduation Qualification Detail-->    
                <div class="col-md-12 mb-1 mt-2"><b>Post Graduation Qualification Detail</b></div>
                <hr>
                <div class="row">
                    <div class="col-md-6">
                        <label class="">Pass Status <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduatePassStatus')->dropDownList($PostGraduatePassStatus, [
                            'prompt' => '--Select--', 'class' => 'form-select form-select-sm'])->label(false) ?>
                    </div>
                    <div class="col-md-6">
                        <label class="">Passing of Year/Appearing <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateYearOfPassing')->dropDownList($postGraduateAppeaR, ['class' => 'form-select form-select-sm', '' => '--Select--'])->label(false) ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="">Course/Stream <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateCourseID')->dropDownList($postGraduateCourseMst, 
                                ['class' => 'form-select form-select-sm', 'prompt' => '--Select-- ']
                        )->label(false); ?>
                    </div>
                    <div class="col-md-6">
                        <label class="">Whether in Final Year/Final Year Result Awaited <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateFinalResultAwating')->dropDownList($postGraduateFinalR, 
                            [
                                'class' => 'form-select form-select-sm', '' => '--Select--',

                        ])->label(false) ?>
                    <!--'onchange' => '$('#candidatequalificationdetailstbl-courseid :selected').text() == "OTHER"? $("#otherCourseStreamName").css("display","block") : $("#otherCourseStreamName").css("display","none");'-->

                    </div>
                </div>
                <!--IF SELECTED OTHER IN COURSE /STREAM-->
                <div class="row" id="pgOtherCourseStreamName" style="display:none;">
                    <div class="col-md-6">
                        <label class="">Other Course/Stream </label>
                        <?= $form->field($model, 'PostGraduateOtherCourseName')->textInput(['onkeypress' => "return blockSpecialChar(event,'alpha')",'placeholder' => 'Enter Other Course/Stream Name', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                    </div>
                </div>
                <!--IF SELECTED Bsc 4 years-Equivalent IN COURSE /STREAM-->
                <div class="row" id="pGMscEquivCourseStreamName" style="display:none;">
                    <div class="col-md-6">
                        <label class="">Bsc 4 years-Equivalent Course/Stream </label>
                        <?= $form->field($model, 'PostGraduateMscEquivCourseName')->textInput(['onkeypress' => "return blockSpecialChar(event,'alpha')",'placeholder' => 'Enter Msc-Equivalent Course/Stream', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="">Qualifying Examination From <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateQualifyingExamPlaceID',)->dropDownList(ArrayHelper::map(
                            CountryMst::find()->where(['IsActive' => 1])->OrderBy(['CountryName' => SORT_ASC])->all(),
                            'ID',
                            'CountryName'
                        ), [
                            'class' => 'form-select form-select-sm', 'prompt' => '--Select--','id'=>'pg-qualifying-exam-country_type'
                        ])->label(false); ?>
                    </div>
                    <div class="col-md-6">
                        <label class="">Qualifying Examination State <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateQualificationExamStateID')->dropDownList($countryState, 
                            [
                                'class' => 'form-select form-select-sm', 'prompt' => '--Select--','id'=>'pg-qualifying-examination-state',
                        ])->label(false) ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="">Board/University Name <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateUniversityBoardID')->dropDownList($universityMst, 
                                ['class' => 'form-select form-select-sm', 'prompt' => '--Select-- ','id'=>'pg-board-university-name'])->label(false); ?>
                    </div>
                    <!--IF SELECTED OTHER IN COURSE /STREAM-->
                    <div class="col-md-6" id="PgOtherUniversityName" style="display:none;">
                        <label class="">Other University Name </label>
                        <?= $form->field($model, 'PostGraduateOtherUniversityName')->textInput(['placeholder' => 'Enter Other University Name', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                    </div>

                    <div class="col-md-6" id="pgResultModeDropdown" style="display:none">
                        <label class="">Result Mode <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateResultMode',)->dropDownList(yii::$app->params['ResultMode'], [
                            'prompt' => '--Select--', 'id' => 'pgResultmode', 'class' => 'form-select form-select-sm'])->label(false) ?>
                    </div>
                </div>
                <div id="pgHideModecgpa" style="display:none">
                    <div class="row">
                        <div class="col-md-3">
                            <label class="">Max Grade Point <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'PgMaxGradePoint', ['inputOptions' => ['id' => 'pgMaxGradePoint', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '2']])->input('text', ['placeholder' => "Max Grade Point"])->label(false) ?>
                        </div>
                        <div class="col-md-3">
                            <label class="">Obtained CGPA <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'PgCgpaObtained', ['inputOptions' => ['id'=>'pgCgpaObtained','class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained CGPA"])->label(false); ?>
                        </div>
                        <div class="col-md-3">
                            <label id="pgchangeMark">CGPA Percentage</label>
                            <?= $form->field($model, 'PgCgpaPercentage', ['inputOptions' => ['id' => 'pgCgpaPercentage', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "CGPA Percentage"])->label(false) ?>
                        </div>
                    </div>
                </div>
                <div id="pGHideModePercentage" style="display:none">
                    <div class="row">
                        <div class="col-md-4">
                            <label class="">Total Marks <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'PgTotalMarks', ['inputOptions' => ['id' => 'totalMarks', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Total Mark"])->label(false) ?>
                        </div>
                        <div class="col-md-4">
                            <label class="">Obtained Marks <span class="astric-sign">*</span></label>
                            <?= $form->field($model, 'PgMarksObtained', ['inputOptions' => ['id'=>'marksObtained','class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained Marks"])->label(false); ?>
                        </div>
                        <div class="col-md-4">
                            <label id="changeMark">Percentage(%)</label>
                            <?= $form->field($model, 'PgPercentageMarks', ['inputOptions' => ['id' => 'percentageMarks', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "Percentage"])->label(false) ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="">Institute Name And Address <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateInstituteNameAndAddress')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)",'placeholder' => 'Enter Institute Name And Address', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                    </div>
                    <div class="col-md-6">
                        <label class="">Institute Pincode <span class="astric-sign">*</span></label>
                        <?= $form->field($model, 'PostGraduateInstitutePincode')->textInput(['onkeypress' => "return blockSpecialChar(event,'numeric')",'placeholder' => 'Enter Institute Pincode', 'maxlength' => true,'class' => 'form-control form-control-sm'])->label(false) ?>
                    </div>
                </div>
                
                
                

                    <div class="row">
                        <div class="row mb-4">
                            <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span></label>
                            <div class="col-sm-6">
                                <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                                    'captchaAction' => '/application/qualification/captcha',
                                    'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                                    'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm']
                                ])->label(false)  ?>

                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <?= $form->field($model, 'clarification')
                                ->checkbox(
                                    ['uncheck' => null, 'label' => 'I AGREE', 'id' => 'clarification', 'class' => "chk1"]
                                ); ?>
                            I hereby declare that I have filled up this online application after carefully reading the Bulletin and fully understanding the provision/procedures mentioned therein. I further declare that all the particulars given by me in this application are true to the best of my knowledge and belief. I agree that my result may be withheld/not declared/ my candidature may stand cancelled. In case it is found at any point of time in future that false information has been furnished in this application. I shall abide by these terms and conditions as well as those laid down in the Information Bulletin, Public Notice and Advisories issued by NTA regarding this exam time to time.
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 mt-5">
                            <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['../' . $backLink], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important','data-modulename'=>'Qualification-Details','data-activityname'=>'Previous-Button']) ?>
                            <?php // Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right', 'onClick' => 'return submitFormMessage("qualification-form","refresh_captcha","clarification")']) ?>
                            <?php echo Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right']) ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>

<?php
$this->registerJs('
        $(document).ready(function() {
            $("#qualification-form").on("beforeSubmit", function(event, messages) {
                SimpleLoading.start();
                return true;
            });
        });
        ');
        ?>
<script>
    //$(".loader").show();
    jQuery(document).ready(function() {
        //$(".loader").hide();
        var defaultCourse =  $('#candidatequalificationdetailstbl-courseid :selected').text();
            defaultCourse === "OTHER"? $("#otherCourseStreamName").css("display","block") : $("#otherCourseStreamName").css("display","none");
        jQuery("#candidatequalificationdetailstbl-courseid").on("change", function(){
            $("#candidatequalificationdetailstbl-othercoursename").val('');
           var course =  $('#candidatequalificationdetailstbl-courseid :selected').text();
            course === "OTHER"? $("#otherCourseStreamName").css("display","block") : $("#otherCourseStreamName").css("display","none");
        });

        /* University display other */
        var university =  $('#board-university-name :selected').text();
        university === "OTHER"? $("#OtherUniversityName").css("display","block") : $("#OtherUniversityName").css("display","none");
        jQuery("#board-university-name").on("change", function(){
            $("#OtherUniversityName").val('');
           var university =  $('#board-university-name :selected').text();
          
           university === "OTHER"? $("#OtherUniversityName").css("display","block") : $("#OtherUniversityName").css("display","none");
        });




        //on Document ready:Graduate
        var passStatus = $('#candidatequalificationdetailstbl-passstatus :selected').val();
        var resultMode = $('#resultmode :selected').val();
        if(passStatus == 2){
            $("#resultModeDropdown").css('display','none');
            $("#hideModecgpa").css('display','none');
            $("#hideModePercentage").css('display','none');
            $("#maxGradePoint").val('');
            $("#cgpaObtained").val('');
            //$("#cgpa").val('');
            $("#cgpaPercentage").val('');
            $("#totalMarks").val('');
            $("#marksObtained").val('');
            $("#percentageMarks").val('');
        } else if ((passStatus == 1) && (resultMode == 1)) {
            $("#resultModeDropdown").css('display','block');
            $("#hideModecgpa").css('display','none');
            $("#hideModePercentage").css('display','block');
        } else if ((passStatus == 1) && (resultMode == 2)) {
            $("#resultModeDropdown").css('display','block');
            $("#hideModePercentage").css('display','none');
            $("#hideModecgpa").css('display','block');
        } else {
            $("#resultModeDropdown").css('display','none');
            $("#hideModecgpa").css('display','none');
            $("#hideModePercentage").css('display','none');
            $("#maxGradePoint").val('');
            $("#cgpaObtained").val('');
            //$("#cgpa").val('');
            $("#cgpaPercentage").val('');
            $("#totalMarks").val('');
            $("#marksObtained").val('');
            $("#percentageMarks").val('');
        }
        
        //on Document ready:Post Graduate
        var pGpassStatus = $('#candidatequalificationdetailstbl-postgraduatepassstatus :selected').val();
        var resultMode = $('#resultmode :selected').val();
        if(pGpassStatus == 2){
            $("#resultModeDropdown").css('display','none');
            $("#hideModecgpa").css('display','none');
            $("#hideModePercentage").css('display','none');
            $("#maxGradePoint").val('');
            $("#cgpaObtained").val('');
            //$("#cgpa").val('');
            $("#cgpaPercentage").val('');
            $("#totalMarks").val('');
            $("#marksObtained").val('');
            $("#percentageMarks").val('');
        } else if ((pGpassStatus == 1) && (resultMode == 1)) {
            $("#resultModeDropdown").css('display','block');
            $("#hideModecgpa").css('display','none');
            $("#hideModePercentage").css('display','block');
        } else if ((pGpassStatus == 1) && (resultMode == 2)) {
            $("#resultModeDropdown").css('display','block');
            $("#hideModePercentage").css('display','none');
            $("#hideModecgpa").css('display','block');
        } else {
            $("#resultModeDropdown").css('display','none');
            $("#hideModecgpa").css('display','none');
            $("#hideModePercentage").css('display','none');
            $("#maxGradePoint").val('');
            $("#cgpaObtained").val('');
            //$("#cgpa").val('');
            $("#cgpaPercentage").val('');
            $("#totalMarks").val('');
            $("#marksObtained").val('');
            $("#percentageMarks").val('');
        }
        
        
        //Pass Status on change:
        $("#candidatequalificationdetailstbl-passstatus").on("change", function(){
            var pass_status = $('#candidatequalificationdetailstbl-passstatus :selected').val();
            var result_mode = $('#resultmode :selected').val();
            if(pass_status == 1){
                $("#resultmode option:selected").prop("selected", false);
                //Result mode required
                $("#resultModeDropdown").css('display','block');
                $("#hideModecgpa").css('display','none');
                $("#hideModePercentage").css('display','none');
            } else {
                //Result mode not required
                $("#resultModeDropdown").css('display','none');
                $("#hideModecgpa").css('display','none');
                $("#hideModePercentage").css('display','none');
            }
            
            //old code:
            //var pass = $('#candidatequalificationdetailstbl-passstatus :selected').val();
            $("#totalmark").val('');
            $("#candidatequalificationdetailstbl-marksobtained").val('');
            $("#marktype").val('');
            if(pass_status !== ''){
                $(".loader").show();
            }
            if (pass_status == 1) {
                $(".loader").show();
                $('#hideMode').show();
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
            } else if (!pass_status) {
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
                $('#candidatequalificationdetailstbl-yearofpassing').html('<option value="">--Select--</option>');
                $('#candidatequalificationdetailstbl-finalresultawating').html('<option value="">--Select--</option>');
            } else {
                $('#hideMode').hide();
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
            }
            
            $.ajax({
                url: '<?php echo Yii::$app->request->baseUrl . '/qualification/passyear' ?>',
                type: 'post',
                data: {
                    pass: pass_status
                },
                success: function(response) {
                    var totaldata = JSON.parse(response);
                    if (pass_status == 1) {
                        var i = 0;
                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
                        $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
                        $.each(totaldata, function(key, value) {

                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            i++;
                        });

                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="2">Not Applicable</option>');
                    } else {
                        var i = 0;
                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
                        $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="1">Yes</option><option value="0">No</option>');
                        $.each(totaldata, function(key, value) {
                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            //$('#candidatequalificationdetailstbl-finalresultawating').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            i++;
                        });
                    }
                    $(".loader").hide();
                }
            });
             
        });
        //Post Graduate:
        ////Pass Status on change:
        $("#candidatequalificationdetailstbl-postgraduatepassstatus").on("change", function(){
            var pg_pass_status = $('#candidatequalificationdetailstbl-postgraduatepassstatus :selected').val();
            //var result_mode = $('#resultmode :selected').val();
            if(pg_pass_status == 1){
                $("#pgResultmode option:selected").prop("selected", false);
                //Result mode required
                $("#pgResultModeDropdown").css('display','block');
                $("#pgHideModecgpa").css('display','none');
                $("#pgHideModePercentage").css('display','none');
            } else {
                //PG Result mode not required
                $("#pgResultModeDropdown").css('display','none');
                $("#pgHideModecgpa").css('display','none');
                $("#pgHideModePercentage").css('display','none');
            }
            
            //old code:
            //var pass = $('#candidatequalificationdetailstbl-passstatus :selected').val();
            $("#totalmark").val('');
            $("#candidatequalificationdetailstbl-marksobtained").val('');
            $("#marktype").val('');
            if(pg_pass_status !== ''){
                $(".loader").show();
            }
            if (pg_pass_status == 1) {
                $(".loader").show();
                $('#hideMode').show();
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
            } else if (!pg_pass_status) {
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
                $('#candidatequalificationdetailstbl-yearofpassing').html('<option value="">--Select--</option>');
                $('#candidatequalificationdetailstbl-finalresultawating').html('<option value="">--Select--</option>');
            } else {
                $('#hideMode').hide();
                $('#candidatequalificationdetailstbl-yearofpassing').html('');
                $('#candidatequalificationdetailstbl-finalresultawating').html('');
            }
            
            $.ajax({
                url: '<?php echo Yii::$app->request->baseUrl . '/qualification/pg-passyear' ?>',
                type: 'post',
                data: {
                    pass: pg_pass_status
                },
                success: function(response) {
                    var totaldata = JSON.parse(response);
                    if (pg_pass_status == 1) {
                        var i = 0;
                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
                        $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
                        $.each(totaldata, function(key, value) {

                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            i++;
                        });

                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="2">Not Applicable</option>');
                    } else {
                        var i = 0;
                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
                        $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
                        $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="1">Yes</option><option value="0">No</option>');
                        $.each(totaldata, function(key, value) {
                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            //$('#candidatequalificationdetailstbl-finalresultawating').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
                            i++;
                        });
                    }
                    $(".loader").hide();
                }
            });
             
        });
        //Result mode on change:
        $("#resultmode").on("change", function(){
            //remove (is-valid or is-invalid):
            //is-invalid
            $("#maxGradePoint").removeClass("is-invalid").attr("aria-invalid", false);
            $("#cgpaObtained").removeClass("is-invalid").attr("aria-invalid", false);
            $("#totalMarks").removeClass("is-invalid").attr("aria-invalid", false);
            $("#marksObtained").removeClass("is-invalid").attr("aria-invalid", false);
            $("#maxGradePoint").next(".invalid-feedback").html('');
            $("#cgpaObtained").next(".invalid-feedback").html('');
            $("#totalMarks").next(".invalid-feedback").html('');
            $("#marksObtained").next(".invalid-feedback").html('');
            //is-valid
            $("#maxGradePoint").removeClass("is-valid").attr("aria-valid", false);
            $("#cgpaObtained").removeClass("is-valid").attr("aria-valid", false);
            $("#totalMarks").removeClass("is-valid").attr("aria-valid", false);
            $("#marksObtained").removeClass("is-valid").attr("aria-valid", false);
            
            var pass_status = $('#candidatequalificationdetailstbl-passstatus :selected').val();
            var result_mode = $('#resultmode :selected').val();
            if(result_mode == 1){ //Percentage
                $("#hideModecgpa").css('display','none');
                $("#hideModePercentage").css('display','block');
                $("#maxGradePoint").val('');
                $("#cgpaObtained").val('');
                //$("#cgpa").val('');
                $("#cgpaPercentage").val('');
                $("#totalMarks").val('');
                $("#marksObtained").val('');
                $("#percentageMarks").val('');
            
            } else if (result_mode == 2) { //CGPA
                $("#hideModePercentage").css('display','none');
                $("#hideModecgpa").css('display','block');
                $("#maxGradePoint").val('');
                $("#cgpaObtained").val('');
                //$("#cgpa").val('');
                $("#cgpaPercentage").val('');
                $("#totalMarks").val('');
                $("#marksObtained").val('');
                $("#percentageMarks").val('');   
            } else {
                $("#hideModecgpa").css('display','none');
                $("#hideModePercentage").css('display','none');
                $("#maxGradePoint").val('');
                $("#cgpaObtained").val('');
                //$("#cgpa").val('');
                $("#cgpaPercentage").val('');
                $("#totalMarks").val('');
                $("#marksObtained").val('');
                $("#percentageMarks").val('');
            }
        });
        //Post Graduate Result mode (CGPA/Percentage):
        $("#pGResultmode").on("change", function(){
            $("#pgMaxGradePoint").removeClass("is-invalid").attr("aria-invalid", false);
            $("#pgCgpaObtained").removeClass("is-invalid").attr("aria-invalid", false);
            $("#pgTotalMarks").removeClass("is-invalid").attr("aria-invalid", false);
            $("#pgMarksObtained").removeClass("is-invalid").attr("aria-invalid", false);
            $("#pgMaxGradePoint").next(".invalid-feedback").html('');
            $("#pgCgpaObtained").next(".invalid-feedback").html('');
            $("#pgTotalMarks").next(".invalid-feedback").html('');
            $("#pgMarksObtained").next(".invalid-feedback").html('');
            //is-valid
            $("#pgMaxGradePoint").removeClass("is-valid").attr("aria-valid", false);
            $("#pgCgpaObtained").removeClass("is-valid").attr("aria-valid", false);
            $("#pgTotalMarks").removeClass("is-valid").attr("aria-valid", false);
            $("#pgMarksObtained").removeClass("is-valid").attr("aria-valid", false);
            
            //var pg_pass_status = $('#candidatequalificationdetailstbl-passstatus :selected').val();
            var pg_result_mode = $('#resultmode :selected').val();
            if(pg_result_mode == 1){ //Percentage
                $("#hideModecgpa").css('display','none');
                $("#hideModePercentage").css('display','block');
                $("#maxGradePoint").val('');
                $("#cgpaObtained").val('');
                //$("#cgpa").val('');
                $("#cgpaPercentage").val('');
                $("#totalMarks").val('');
                $("#marksObtained").val('');
                $("#percentageMarks").val('');
            
            } else if (pg_result_mode == 2) { //CGPA
                $("#pgHideModePercentage").css('display','none');
                $("#pgHideModecgpa").css('display','block');
                $("#pgMaxGradePoint").val('');
                $("#pgCgpaObtained").val('');
                //$("#cgpa").val('');
                $("#pgCgpaPercentage").val('');
                $("#pgTotalMarks").val('');
                $("#pgMarksObtained").val('');
                $("#pgPercentageMarks").val('');   
            } else {
                $("#pgHideModecgpa").css('display','none');
                $("#pgHideModePercentage").css('display','none');
                $("#pgMaxGradePoint").val('');
                $("#pgCgpaObtained").val('');
                //$("#cgpa").val('');
                $("#pgCgpaPercentage").val('');
                $("#pgTotalMarks").val('');
                $("#pgMarksObtained").val('');
                $("#pgPercentageMarks").val('');
            }
        });
        function toFixed(num, fixed) {
            var re = new RegExp('^-?\\d+(?:\.\\d{0,' + (fixed || -1) + '})?');
            return num.toString().match(re)[0];
        }
        //Percentage total calculation:
        jQuery(document).on("keyup", "#totalMarks,#marksObtained", function() {
            var totalMarks = parseInt($('#totalMarks').val());
            var marksObtained = parseInt($('#marksObtained').val());
            if (totalMarks > 0 && totalMarks >= marksObtained) {
                var percentage = (marksObtained * 100) / totalMarks;
                    //percentage = parseFloat(percentage).toFixed(2);
                    percentage = parseFloat(percentage);
                    var percentFixedTo = toFixed(percentage, 2);
                $('#percentageMarks').val(percentFixedTo);
            } else {
                $('#percentageMarks').val('');
            }
        });
        //CGPA total calculation:
        jQuery(document).on("keyup", "#maxGradePoint,#cgpaObtained", function() {
            var maxGradePoint = parseFloat($('#maxGradePoint').val());
            var cgpaObtained = parseFloat($('#cgpaObtained').val());
            if (maxGradePoint > 0 && maxGradePoint >= cgpaObtained) {
                var cgpa = (cgpaObtained * 10) / maxGradePoint;
                var cgpaPercentage = (cgpa * 9.5);
                    //cgpaPercentage = parseFloat(cgpaPercentage).toFixed(2);
                    cgpaPercentage = parseFloat(cgpaPercentage);
                    //cgpa = parseFloat(cgpa).toFixed(1);
                    cgpa = parseFloat(cgpa);
                    var cgpaFixedTo = toFixed(cgpa, 1);
                    var cgpaPercentageFixedTo = toFixed(cgpaPercentage, 2);
                //$('#cgpa').val(cgpaFixedTo);
                $('#cgpaPercentage').val(cgpaPercentageFixedTo);
            } else {
                //$('#cgpa').val('');
                $('#cgpaPercentage').val('');
            }
        });
        
        
        
//        $("select option").each(function() {
//            var Abthis = $(this);
//            Abthis.text(Abthis.text().charAt(0).toUpperCase() + Abthis.text().slice(1));
//        });
        
        
        $("#marktype").prop('readonly', true);
        jQuery('#totalmark').on('keyup', function() {
            if ($("#candidatequalificationdetailstbl-marksobtained").val() > $(this).val()) {
                $("#candidatequalificationdetailstbl-marksobtained").val('');
                $("#marktype").val('')
            }
        });

        //var passed = $('#candidatequalificationdetailstbl-passstatus :selected').val();
        //var pass = (passed != '') ? parseInt(passed) : 0;
        //show hide div
        //alert(pass);
//        if (pass == 1) {
//            $('#hideMode').show();
//        } else {
//            $('#hideMode').hide();
//        }
//        if (pass > 0) {
//            //alert(pass);
//            $.ajax({
//                url: '<?php //echo Yii::$app->request->baseUrl . '/qualification/passyear' ?>',
//                type: 'get',
//                data: {
//                    pass: pass
//                },
//                success: function(data) {
//                    if (data != '') {
//                        var totaldata = JSON.parse(data);
//                        //$('#candidatequalificationdetailstbl-yearofpassing').html(data);
//                        if (pass == 1) {
//                            var i = 0;
//                            $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
//                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
//                            $.each(totaldata, function(key, value) {
//
//                                $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
//                                i++;
//                            });
//
//                            $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="2">Not Applicable</option>');
//                        } else {
//                            var i = 0;
//                            $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="">--Select--</option>');
//                            $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="">--Select--</option>');
//                            $.each(totaldata, function(key, value) {
//
//                                $('#candidatequalificationdetailstbl-yearofpassing').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
//                                $('#candidatequalificationdetailstbl-finalresultawating').append('<option value="' + totaldata[i] + '">' + totaldata[i] + '</option>');
//                                i++;
//                            });
//                        }
//                    }
//                }
//            });
//        }

        /*-----------------select payment mode----------------- */
        jQuery(document).ready(function() {
            var Resultmode = $('#resultmode').val();
            if (Resultmode == 1) {
                $('#resultR').show();
            }
        });

    });

    /********calculate**********/
    jQuery(document).ready(function() {
        jQuery('#candidatequalificationdetailstbl-marksobtained').on('keyup', function() {
            var total = parseInt($('#totalmark').val());
            var obtain = parseInt($('#candidatequalificationdetailstbl-marksobtained').val());
            if (total > 0 && total >= obtain) {
                // alert(total);
                // alert(obtain);
                var percentage = obtain / (total / 100);
                var getamt = parseFloat(percentage).toFixed(2);
                $('#marktype').val(getamt);
            } else {
                $('#candidatequalificationdetailstbl-marksobtained').val('');

            }

        });
    });
    $(document).on("change", "#qualifying-exam-country_type, #qualifying-examination-state",function(){
        var val = $(this).val();
        $("#candidatequalificationdetailstbl-otheruniversityname").val('');
        $("#OtherUniversityName").css('display', 'none');
    });
    $(document).on("change", "#board-university-name",function(){
        var val = $(this).val();
        if(val == ''){
            $("#candidatequalificationdetailstbl-otheruniversityname").val('');
            $("#OtherUniversityName").css('display', 'none');
        }
    });
$(document).on("change", "#qualifying-exam-country_type",function(){
    var qualifying_exam_country_type_id = $(this).val();     
    $("#qualifying-examination-state").html( `<option value=''>--Select--</option>` );
    $("#board-university-name").html( `<option value=''>--Select--</option>` );  
   
    $.ajax({
        type: "POST",
        url: '../qualification/state-by-country?id=' + qualifying_exam_country_type_id,
        data: { 'state_id' : qualifying_exam_country_type_id },
        beforeSend: function(msg){
            $(".loader").show();
        },
        always: function(msg){
            $(".loader").hide();
        },
        success: function (response) {
            $("#qualifying-examination-state").html( response );
                if(qualifying_exam_country_type_id !=''){
                $("#OtherUniversityName").hide();
                }
            $(".loader").hide();
           
           },
        error: function (errormessage) {
            $(".loader").hide();
        }
    });
});
$(document).on("change", "#pg-qualifying-exam-country_type",function(){
    var pg_qualifying_exam_country_type_id = $(this).val();     
    $("#pg-qualifying-examination-state").html( `<option value=''>--Select--</option>` );
    $("#pg-board-university-name").html( `<option value=''>--Select--</option>` );  
   
    $.ajax({
        type: "POST",
        url: '../qualification/state-by-country?id=' + pg_qualifying_exam_country_type_id,
        data: { 'state_id' : pg_qualifying_exam_country_type_id },
        beforeSend: function(msg){
            $(".loader").show();
        },
        always: function(msg){
            $(".loader").hide();
        },
        success: function (response) {
            $("#pg-qualifying-examination-state").html( response );
                if(pg_qualifying_exam_country_type_id !=''){
                $("#PgOtherUniversityName").hide();
                }
            $(".loader").hide();
           
           },
        error: function (errormessage) {
            $(".loader").hide();
        }
    });
});
$(document).on("change", "#qualifying-examination-state",function(){
    var qualifying_examination_state_id = $(this).val();    
    $("#board-university-name").html( `<option value=''>--Select--</option>` );  
    $.ajax({
        type: "POST",
        url: '../qualification/board-university-by-stateid?id=' + qualifying_examination_state_id,
        data: { 'state_id' : qualifying_examination_state_id },
        beforeSend: function(msg){
            $(".loader").show();
        },
        always: function(msg){
            $(".loader").hide();
        },
        success: function (response) {
            $("#board-university-name").html( response ); 
//            if(qualifying_examination_state_id==0) {
//                $("#board-university-name").append( `<option value=''>--Select--</option>` );
//            }
                       
            $("#board-university-name").append( `<option value='0'>OTHER</option>` );
            $(".loader").hide();
           },
        error: function (errormessage) {
            $(".loader").hide();
        }
    });
});
$(document).on("change", "#pg-qualifying-examination-state",function(){
    var pg_qualifying_examination_state_id = $(this).val();    
    $("#pg-board-university-name").html( `<option value=''>--Select--</option>` );  
    $.ajax({
        type: "POST",
        url: '../qualification/board-university-by-stateid?id=' + pg_qualifying_examination_state_id,
        data: { 'state_id' : pg_qualifying_examination_state_id },
        beforeSend: function(msg){
            $(".loader").show();
        },
        always: function(msg){
            $(".loader").hide();
        },
        success: function (response) {
            $("#pg-board-university-name").html( response );        
            $("#pg-board-university-name").append( `<option value='0'>OTHER</option>` );
            $(".loader").hide();
           },
        error: function (errormessage) {
            $(".loader").hide();
        }
    });
});
//Percentage Validation:
$(document).on("blur", "#marksObtained", function(){
    var totalMarks = $("#totalMarks").val();
    var marksObtained = $(this).val();
        marksObtained = parseFloat(marksObtained);
    if(marksObtained !== '' && totalMarks !== ''){
        if(marksObtained > totalMarks){
            $("#marksObtained").val('');
        }
    } 
});
$(document).on("blur", "#totalMarks", function(){
    var marksObtained = $("#marksObtained").val();
    var totalMarks = $(this).val();
    if(marksObtained !== '' && totalMarks !== ''){
        if(marksObtained > totalMarks){
            $("#marksObtained").val('');
        }
    } 
});
//CGPA Validation:
$(document).on("blur", "#cgpaObtained", function(){
    var maxGradePoint = $("#maxGradePoint").val();
    var cgpaObtained = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
    if(cgpaObtained !== '' && maxGradePoint !== ''){
        if(cgpaObtained > maxGradePoint){
            $("#cgpaObtained").val('');
        }
    } 
});
$(document).on("blur", "#maxGradePoint", function(){
    var cgpaObtained = $("#cgpaObtained").val();
    var maxGradePoint = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
    if(cgpaObtained !== '' && maxGradePoint !== ''){
        if(cgpaObtained > maxGradePoint){
            $("#cgpaObtained").val('');
        }
    } 
});
$( document ).on("change", "#candidatequalificationdetailstbl-courseid", function(){
    var GraduateCourseId = $(this).val();
    $.ajax({
        type: "POST",
        url: '../qualification/check-graduate-course',
        data: { 'GraduateCourseId' : GraduateCourseId },
        beforeSend: function(msg){
            $(".loader").show();
        },
        always: function(msg){
            $(".loader").hide();
        },
        success: function (response) {
            var returnedData = JSON.parse(response);
            if(returnedData.is_graduate_bs_four_yrs_equiv == 'yes'){
                $("#candidatequalificationdetailstbl-graduatebscfouryrsequivcoursename").val('');
                $("#graduateBscFourYrsEquivCourseStreamName").css('display', 'block');
            }
            if(returnedData.is_graduate_bs_four_yrs_equiv == 'no'){
                $("#candidatequalificationdetailstbl-graduatebscfouryrsequivcoursename").val('');
                $("#graduateBscFourYrsEquivCourseStreamName").css('display', 'none');
            }
            $(".loader").hide();
           },
        error: function (errormessage) {
            $(".loader").hide();
        }
    });
});
$( document ).on("change", "#candidatequalificationdetailstbl-postgraduate-courseid", function(){
    $.ajax({
        type: "POST",
        url: '../qualification/check-graduate-course',
        data: { 'postgraduate_course_id' : postgraduate_course_id },
        beforeSend: function(msg){
            $(".loader").show();
        },
        always: function(msg){
            $(".loader").hide();
        },
        success: function (response) {
            $("#board-university-name").html( response ); 

            $(".loader").hide();
           },
        error: function (errormessage) {
            $(".loader").hide();
        }
    });
});
</script>