<?php

use app\modules\application\models\CountryMst;
use edwinhaq\simpleloading\SimpleLoading;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

SimpleLoading::widget();

use yii\helpers\Url;

/** @var yii\web\View $this */
/** @var app\models\CandidateQualificationDetailsTbl $model */
/** @var ActiveForm $form */

$this->title = 'NTA - National Testing Agency';
$baseurl = Url::base();

?>
<style>
    .customeFontE {
        font-size: 12.2px;
        margin-top: -12px;
        margin-bottom: 20px;
    }

    .right_pad {
        padding-right: 11px;
    }
</style>
<?php

$fromDate = Yii::$app->params['QualificationMaxAgeFrom'];
$toDate10 = Yii::$app->params['QualificationMinAgeFrom10'];
$toDateOther = Yii::$app->params['QualificationMinAgeFromOther'];
$dateRange10 = array();
$dateRangeOther = array();
for ($i = $fromDate; $i <= $toDate10; $i++) {
    $dateRange10[$i] = $i;
}
for ($i = $fromDate; $i <= $toDateOther; $i++) {
    $dateRangeOther[$i] = $i;
}
?>
<div class="content-body">
    <div class="card card-white mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-normal text-head-color"><i class="fa fa-edit"></i> Qualification Details <?= (isset($CorrectionWindowStatus) && !empty($CorrectionWindowStatus)) ? Yii::$app->params['CorrectionWindowHeading'] : ''; ?></h6>
        </div>
        <div class="card-body">

            <div class="formwizard">
                <div class="form-header d-flex mb-4"> <span class="stepIndicator finish">Registration</span> <span class="stepIndicator active">Application</span> <span class="stepIndicator">Payment</span>
                </div>
            </div>
            <?php $form = ActiveForm::begin(['id' => 'qualification-form', 'options' => ['autocomplete' => 'off']]); ?>
            <?php //echo $form->errorSummary($model) 
            ?>
            <div class="row justify-content-md-center">
                <div class="col-md-12">
                    <!--Graduation Qualification Detail-->
                    <div class="col-md-12 mb-1"><b> 10th or equivalent Qualification Details</b></div>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Pass Status <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'PassStatus10')->dropDownList(Yii::$app->params['PassStatus10'], ['prompt' => '--Select--', 'id' => 'PassStatus10', 'class' => 'form-select form-select-sm'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Passing/Appearing of Year <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'PassingYear10')->dropDownList($dateRange10, ['class' => 'form-select form-select-sm', 'id' => 'PassingYear10', 'prompt' => '--Select--'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Qualifying Exam <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'QualifyingExam10')->dropDownList(Yii::$app->params['QualifyingExam'], ['class' => 'form-select form-select-sm', 'id' => 'QualifyingExam10', 'prompt' => '--Select-- '])->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Place of Schooling <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'PlaceOfSchooling10',)->dropDownList(Yii::$app->params['PlaceOfResidence'], ['class' => 'form-select form-select-sm', 'prompt' => '--Select--', 'id' => 'PlaceOfSchooling10'])->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Type of School / College <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'TypeOfSchoolCollage10',)->dropDownList(
                                Yii::$app->params['TypeOfSchoolCollege'],
                                ['class' => 'form-select form-select-sm', 'prompt' => '--Select--', 'id' => 'TypeOfSchoolCollage10']
                            )->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Qualifying Examination State <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'QualifyingState10')->dropDownList(
                                $StateNameAll,
                                [
                                    'class' => 'form-select form-select-sm', 'prompt' => '--Select--', 'id' => 'QualifyingState10',
                                ]
                            )->label(false) ?>
                        </div>
                        <div class="col-md-6" id="QualifyingDistrictDiv10" style="<?= ($model->QualifyingState10 == 0) ? 'display:none' : '' ?>">
                            <label class="">Qualifying Examination District <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'QualifyingDistrict10')->dropDownList(
                                $District10,
                                [
                                    'class' => 'form-select form-select-sm', 'prompt' => '--Select--', 'id' => 'QualifyingDistrict10',
                                ]
                            )->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">School Board Name <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'SchoolBoard10')->dropDownList(
                                $boardAll10,
                                ['class' => 'form-select form-select-sm', 'prompt' => '--Select-- ', 'id' => 'SchoolBoard10']
                            )->label(false); ?>
                        </div>
                        <div class="col-md-6" id="OtherSchoolBoard10" style="<?= ($model->SchoolBoard10 == 0) ? '' : 'display:none' ?>">
                            <label class="">Other School Board Name<span class="astric-sign">*</span>: </label>
                            <?= $form->field($model, 'OtherSchoolBoard10')->textInput(['placeholder' => 'Other School Board Name', 'onkeypress' => "return blockSpecialChar(event,'alpha')", 'maxlength' => true, 'class' => 'form-control form-control-sm'])->label(false) ?>
                        </div>
                        <div class="col-md-6 ResultMode10DIVID">
                            <label class="">Result Mode <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'ResultMode10',)->dropDownList(yii::$app->params['ResultMode'], [
                                'prompt' => '--Select--', 'id' => 'ResultMode10', 'class' => 'form-select form-select-sm'
                            ])->label(false) ?>
                        </div>
                        <!-- </div> -->
                        <!-- 
                        <p id="resultModeDiv10" style="<?= ($model->ResultMode10 == 2) ? '' : 'display:none' ?>"> -->
                        <!-- <div class="row"> -->
                        <div class="col-md-6 resultModeDiv10" style="<?= ($model->ResultMode10 == 2) ? '' : 'display:none' ?>">
                            <label class="">Max Grade Point <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'TotalMarks10', ['inputOptions' => ['id' => 'TotalMarks10', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => 4]])->input('text', ['placeholder' => "Max Grade Point"])->label(false) ?>
                        </div>
                        <div class="col-md-6 resultModeDiv10" style="<?= ($model->ResultMode10 == 2) ? '' : 'display:none' ?>">
                            <label class="">Obtained CGPA <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'MarksObtained10', ['inputOptions' => ['id' => 'MarksObtained10', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained CGPA"])->label(false); ?>
                        </div>
                        <div class="col-md-6 resultModeDiv10" style="<?= ($model->ResultMode10 == 2) ? '' : 'display:none' ?>">
                            <label id="changeMark">CGPA Percentage</label>
                            <?= $form->field($model, 'CgpaPercentageMarks10', ['inputOptions' => ['id' => 'CgpaPercentageMarks10', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '5']])->input('text', ['placeholder' => "CGPA Percentage"])->label(false) ?>
                            <div class="text-danger customeFontE">
                                <?php if (Yii::$app->session->hasFlash('error_percentage_criteria')) {
                                    echo Yii::$app->session->getFlash('error_percentage_criteria');
                                } ?>
                            </div>
                        </div>
                        <!-- </p> -->
                        <!-- </div> -->
                        <!-- <p id="resultModePerDiv10" style="<?= ($model->ResultMode10 == 1) ? '' : 'display:none' ?>"> -->
                        <!-- <div class="row"> -->
                        <div class="col-md-6 resultModePerDiv10" style="<?= ($model->ResultMode10 == 1) ? '' : 'display:none' ?>">
                            <label class="">Total Marks <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'TotalMarksOT', ['inputOptions' => ['id' => 'TotalMarksOT', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Total Mark"])->label(false) ?>
                        </div>
                        <div class="col-md-6 resultModePerDiv10" style="<?= ($model->ResultMode10 == 1) ? '' : 'display:none' ?>">
                            <label class="">Obtained Marks <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'MarksObtainedOT', ['inputOptions' => ['id' => 'MarksObtainedOT', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained Marks"])->label(false); ?>
                        </div>
                        <div class="col-md-6 resultModePerDiv10" style="<?= ($model->ResultMode10 == 1) ? '' : 'display:none' ?>">
                            <label id="changeMark">Percentage(%)</label>
                            <?= $form->field($model, 'percentageOT', ['inputOptions' => ['id' => 'percentageOT', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "Percentage"])->label(false) ?>
                            <div class="text-danger customeFontE">
                                <?php if (Yii::$app->session->hasFlash('error_percentage_criteria')) {
                                    echo Yii::$app->session->getFlash('error_percentage_criteria');
                                } ?>
                            </div>
                        </div>
                        <!-- </p> -->
                        <!-- </div> -->
                        <!-- <div class="row"> -->
                        <div class="col-md-6">
                            <label class="">Roll Number/Enrollment Number as per 10th Certificate <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'RollNumber10')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'maxlength' => true, 'placeholder' => 'Roll Number/Enrollment Number as per 10th Certificate', 'id' => 'RollNumber10', 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">School / College Name & Address <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'SchoolNameAddress10')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'maxlength' => true, 'placeholder' => 'School / College Name & Address', 'id' => 'SchoolNameAddress10', 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                        </div>
                        <!-- </div> -->
                        <!-- </div> -->
                        <!-- <div class="row"> -->
                        <div class="col-md-6">
                            <label class="">School / College Pincode <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'SchoolPincode10')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'placeholder' => 'School / College Pincode', 'maxlength' => true, 'id' => 'SchoolPincode10', 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                            <p style="margin-top:-10px" class="text-danger" id="SchoolPincode10Error"></p>
                        </div>
                        <!-- </div> -->
                        <!-- </div> -->
                        <!-- <div class="row"> -->
                        <div class="col-md-6" style="<?php if ($subjectSplization == 10062 || $subjectSplization == 10063) {
                                                            echo '';
                                                        } else {
                                                            echo 'display:none';
                                                        } ?>">
                            <label class="">Have you Completed 3 or 4 year Diploma after passing 10th or 12th <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'IsDiploma')->dropDownList(
                                ['' => '--Select--', 1 => 'Yes', 0 => 'No',],
                                [
                                    'id' => 'IsDiploma', 'class' => 'form-select form-select-sm'
                                ]
                            )->label(false) ?>

                        </div>
                    </div>
                </div>
                <div id="IsDiplomaYes" style="<?= ($model->IsDiploma == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063)  ? '' : 'display:none' ?>">
                    <div class="row">
                        <?php if (!empty($DiplomaCourseData)) { ?>
                            <div class="col-md-6">
                                <label class="">Diploma Course Name <span class="astric-sign pgHidemode">*</span>:</label>
                                <?= $form->field($model, 'DiplomaCourseName')->dropDownList(
                                    $DiplomaCourseData,
                                    [
                                        'id' => 'DiplomaCourseName', 'prompt' => '--Select--', 'class' => 'form-select form-select-sm'
                                    ]
                                )->label(false) ?>
                            </div>
                        <?php } ?>
                        <div class="col-md-6">
                            <label class="">Name of School/College <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'DiplomaCollegeName')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'maxlength' => true, 'placeholder' => 'Name of School/College', 'id' => 'DiplomaCollegeName', 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Name of Board/University <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'DiplomaBoard')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'maxlength' => true, 'placeholder' => 'Name of Board/University', 'id' => 'DiplomaBoard', 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Result Mode <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'ResultModeD',)->dropDownList(yii::$app->params['ResultMode'], [
                                'prompt' => '--Select--', 'id' => 'ResultModeD', 'class' => 'form-select form-select-sm'
                            ])->label(false) ?>
                        </div>
                    </div>

                    <div id="ResultModeDCGPA" style="<?= ($model->ResultModeD == 2) && ($subjectSplization == 10062 || $subjectSplization == 10063)  ? '' : 'display:none' ?>">
                        <div class="row">
                            <div class="col-md-6">
                                <label class="">Max Grade Point <span class="astric-sign">*</span>:</label>
                                <?= $form->field($model, 'MaxGradePointD', ['inputOptions' => ['id' => 'MaxGradePointD', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => 4]])->input('text', ['placeholder' => "Max Grade Point"])->label(false) ?>
                            </div>
                            <div class="col-md-6">
                                <label class="">Obtained CGPA <span class="astric-sign">*</span>:</label>
                                <?= $form->field($model, 'ObtainedCGPAD', ['inputOptions' => ['id' => 'ObtainedCGPAD', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained CGPA"])->label(false); ?>
                            </div>
                            <div class="col-md-6">
                                <label id="changeMark">CGPA Percentage</label>
                                <?= $form->field($model, 'CGPAPercentageD', ['inputOptions' => ['id' => 'CGPAPercentageD', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '5']])->input('text', ['placeholder' => "CGPA Percentage"])->label(false) ?>
                                <div class="text-danger customeFontE"><?php if (Yii::$app->session->hasFlash('error_percentage_criteria')) {
                                                                            echo Yii::$app->session->getFlash('error_percentage_criteria');
                                                                        } ?></div>
                            </div>
                        </div>
                    </div>

                    <div id="ResultModeDPer" style="<?= ($model->ResultModeD == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063)  ? '' : 'display:none' ?>">
                        <div class="row">
                            <div class="col-md-6">
                                <label class="">Total Marks <span class="astric-sign">*</span>:</label>
                                <?= $form->field($model, 'TotalMarksD', ['inputOptions' => ['id' => 'TotalMarksD', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Total Mark"])->label(false) ?>
                            </div>
                            <div class="col-md-6">
                                <label class="">Obtained Marks <span class="astric-sign">*</span>:</label>
                                <?= $form->field($model, 'MarksObtainedD', ['inputOptions' => ['id' => 'MarksObtainedD', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained Marks"])->label(false); ?>
                            </div>
                            <div class="col-md-6">
                                <label id="changeMark">Percentage(%)</label>
                                <?= $form->field($model, 'CgpaPercentageMarksD', ['inputOptions' => ['id' => 'CgpaPercentageMarksD', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "Percentage"])->label(false) ?>
                                <div class="text-danger customeFontE"><?php if (Yii::$app->session->hasFlash('error_percentage_criteria')) {
                                                                            echo Yii::$app->session->getFlash('error_percentage_criteria');
                                                                        } ?></div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--Post Graduation Qualification Detail-->

                <div id="IsDiplomaNo" style="<?= $model->IsDiploma == 1 && ($subjectSplization == 10062 || $subjectSplization == 10063) ? 'display:none' : '' ?>">
                    <div class="col-md-12 mb-1 mt-2"><b>12th or equivalent Qualification Details</b></div>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Pass Status <span class="astric-sign">*</span>:</label>
                            <?php 
                                
                                if ($model->IsDiploma == 0 && ($subjectSplization == 10062 || $subjectSplization == 10063)) {
                                    $PassStatus12R = Yii::$app->params['PassStatus12Only'];
                                } elseif ($ApplyCourseID == 2) {
                                    $PassStatus12R = Yii::$app->params['PassStatus12Only'];
                                }else {
                                    // $PassStatus12R = Yii::$app->params['PassStatus12Only'];
                                    $PassStatus12R = Yii::$app->params['PassStatus12'];
                                }

                                // if ($ApplyCourseID == 2) {
                                //     $PassStatus12R = Yii::$app->params['PassStatus12Only'];
                                // }

                            ?>
                            <?= $form->field($model, 'PassStatus12')->dropDownList($PassStatus12R, [
                                'prompt' => '--Select--', 'id' => 'PassStatus12', 'class' => 'form-select form-select-sm'
                            ])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <?php
                            if ($model->PassStatus12 == 2) {
                                $getRange = Yii::$app->params['showOnly24'];
                            } else {
                                $getRange = $dateRangeOther;
                            }
                            ?>
                            <label class="">Passing of Year/Appearing <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'PassingYear12')->dropDownList($getRange, ['class' => 'form-select form-select-sm pgDisabled', 'id' => 'PassingYear12', 'prompt' => '--Select--'])->label(false) ?>
                        </div>
                        <div class="col-md-6" style="<?= ($ApplyCourseID == 1) ? '' : 'display:none' ?>">
                            <label class="">Qualifying Exam <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'QualifyingExam12')->dropDownList(
                                $QualifyingExamMst12,
                                ['class' => 'form-select form-select-sm pgDisabled', 'id' => 'QualifyingExam12', 'prompt' => '--Select-- ']
                            )->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Place of Schooling<span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'PlaceOfSchooling12',)->dropDownList(Yii::$app->params['PlaceOfResidence'], [
                                'class' => 'form-select form-select-sm pgDisabled', 'prompt' => '--Select--', 'id' => 'pg-qualifying-exam-country_type',
                            ])->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Type of School / College <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'TypeOfSchoolCollage12')->dropDownList(
                                Yii::$app->params['TypeOfSchoolCollege'],
                                ['class' => 'form-select form-select-sm pgDisabled', 'id' => 'TypeOfSchoolCollage12',  'prompt' => '--Select-- ']
                            )->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Qualifying Examination State <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'QualifyingState12')->dropDownList(
                                $StateNameAll,
                                [
                                    'class' => 'form-select form-select-sm', 'prompt' => '--Select--', 'id' => 'QualifyingState12',
                                ]
                            )->label(false) ?>
                        </div>
                        <div class="col-md-6" id="QualifyingDistrictDiv12" style="<?= ($model->QualifyingState12 == 0) ? 'display:none' : '' ?>">
                            <label class="">Qualifying Examination District <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'QualifyingDistrict12')->dropDownList(
                                $District12,
                                [
                                    'class' => 'form-select form-select-sm', 'prompt' => '--Select--', 'id' => 'QualifyingDistrict12',
                                ]
                            )->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">School Board Name <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'SchoolBoard12')->dropDownList(
                                $boardAll12,
                                ['class' => 'form-select form-select-sm', 'prompt' => '--Select-- ', 'id' => 'SchoolBoard12']
                            )->label(false); ?>
                        </div>

                        <div class="col-md-6" id="OtherSchoolBoardDiv12" style="<?= ($model->SchoolBoard12 == 0) ? '' : 'display:none' ?>">
                            <label class="">Other School Board Name<span class="astric-sign">*</span>: </label>
                            <?= $form->field($model, 'OtherSchoolBoard12')->textInput(['placeholder' => 'Other School Board Name', 'onkeypress' => "return blockSpecialChar(event,'alpha')", 'maxlength' => true, 'class' => 'form-control form-control-sm'])->label(false) ?>
                        </div>

                        <div class="col-md-6 PassingPassStatusHIDE" style="<?= ($model->PassStatus12 == 2) ? 'display:none' : '' ?>">
                            <label class="">Result Mode <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'ResultMode12',)->dropDownList(yii::$app->params['ResultMode'], [
                                'prompt' => '--Select--', 'id' => 'ResultMode12', 'class' => 'form-select form-select-sm'
                            ])->label(false) ?>
                        </div>

                        <!-- </div>
                        <div class="PassingPassStatusHIDE" style="<?= ($model->PassStatus12 == 2) ? 'display:none' : '' ?>">
                        <div class="pgHidemodeDefault resultModeDiv12" id="resultModeDiv12" style="<?= ($model->ResultMode12 == 2) ? '' : 'display:none' ?>">
                            <div class="row"> -->
                        <div class="col-md-6 PassingPassStatusHIDE pgHidemodeDefault resultModeDiv12" style="<?= ($model->ResultMode12 == 2) ? '' : 'display:none' ?>">
                            <label class="">Max Grade Point <span class="astric-sign">*</span>:</label>
                            <?php //echo $form->field($model, 'PgMaxGradePoint', ['inputOptions' => ['id' => 'pgMaxGradePoint', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '2']])->input('text', ['placeholder' => "Max Grade Point"])->label(false) 
                            ?>
                            <?= $form->field($model, 'TotalMarks12', ['inputOptions' => ['id' => 'TotalMarks12', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Max Grade Point"])->label(false) ?>
                        </div>
                        <div class="col-md-6 PassingPassStatusHIDE pgHidemodeDefault resultModeDiv12" style="<?= ($model->ResultMode12 == 2) ? '' : 'display:none' ?>">
                            <label class="">Obtained CGPA <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'MarksObtained12', ['inputOptions' => ['id' => 'MarksObtained12', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained CGPA"])->label(false); ?>
                        </div>
                        <div class="col-md-6 PassingPassStatusHIDE pgHidemodeDefault resultModeDiv12" style="<?= ($model->ResultMode12 == 2) ? '' : 'display:none' ?>">
                            <label id="pgchangeMark">CGPA Percentage</label>
                            <?= $form->field($model, 'CgpaPercentageMarks12', ['inputOptions' => ['id' => 'CgpaPercentageMarks12', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '5']])->input('text', ['placeholder' => "CGPA Percentage"])->label(false) ?>
                            <div class="text-danger customeFontE"><?php if (Yii::$app->session->hasFlash('error_percentage_criteria_pg')) {
                                echo Yii::$app->session->getFlash('error_percentage_criteria_pg');
                            } ?></div>
                        </div>
                        <!-- </div>
                        </div> -->
                        <!-- <div class="pgHidemodeDefault resultModePerDiv12" id="resultModePerDiv12" style="<?= ($model->ResultMode12 == 1) ? '' : 'display:none' ?>">
                            <div class="row"> -->
                        <div class="col-md-6 PassingPassStatusHIDE pgHidemodeDefault resultModePerDiv12" style="<?= ($model->ResultMode12 == 1) ? '' : 'display:none' ?>">
                            <label class="">Total Marks <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'TotalMarksOTW', ['inputOptions' => ['id' => 'TotalMarksOTW', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Total Mark"])->label(false) ?>
                        </div>
                        <div class="col-md-6 PassingPassStatusHIDE pgHidemodeDefault resultModePerDiv12" style="<?= ($model->ResultMode12 == 1) ? '' : 'display:none' ?>">
                            <label class="">Obtained Marks <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'MarksObtainedOTW', ['inputOptions' => ['id' => 'MarksObtainedOTW', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained Marks"])->label(false); ?>
                        </div>
                        <div class="col-md-6 PassingPassStatusHIDE pgHidemodeDefault resultModePerDiv12" style="<?= ($model->ResultMode12 == 1) ? '' : 'display:none' ?>">
                            <label id="changeMark">Percentage(%)</label>
                            <?= $form->field($model, 'percentageOTW', ['inputOptions' => ['id' => 'percentageOTW', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "Percentage"])->label(false) ?>
                            <div class="text-danger customeFontE"><?php if (Yii::$app->session->hasFlash('error_percentage_criteria_pg')) {
                                                                        echo Yii::$app->session->getFlash('error_percentage_criteria_pg');
                                                                    } ?>
                            </div>

                        </div>
                        <!-- </div> -->
                        <!-- </div> -->
                        <!-- </div> -->
                        <!-- </div> -->
                        <!-- <div class="row"> -->
                        <div class="col-md-6 PassingPassStatusHIDE" style="<?= ($model->PassStatus12 == 2) ? 'display:none' : '' ?>">
                            <label class="">Roll Number/Enrollment Number as Per 12th Certificate <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'RollNumber12')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'placeholder' => 'Roll Number/Enrollment Number as Per 12th Certificate', 'maxlength' => true, 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">School / College Name & Address <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'SchoolNameAddress12')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'placeholder' => 'School / College Name & Address', 'maxlength' => true, 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                        </div>
                        <!-- </div>
                        <div class="row"> -->
                        <div class="col-md-6">
                            <label class="">School / College Pincode <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'SchoolPincode12')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'id' => 'SchoolPincode12', 'placeholder' => 'School / College Pincode', 'maxlength' => true, 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                            <?= $form->field($model, 'ApplyCourseID')->hiddenInput(['value' => $ApplyCourseID, 'id' => 'ApplyCourseID'])->label(false); ?>
                            <?= $form->field($model, 'lateralR')->hiddenInput(['value' => $subjectSplization, 'id' => 'lateralR'])->label(false); ?>
                            <p style="margin-top:-10px" class="text-danger" id="SchoolPincode12Error"></p>
                        </div>
                        <!-- </div>

                        <div class="row"> -->
                        <div class="col-md-6" style="<?php if ($subjectSplization == 10062 || $subjectSplization == 10063) {
                                echo '';
                            } else {
                                echo 'display:none';
                            } ?>">
                            <label class="">Have you Completed 2 year of Regular UG Diploma Programme at NIFT after
                                passing
                                12 th standard? <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'IsLateral')->dropDownList(
                                ['' => '--Select--', 1 => 'Yes', 0 => 'No',],
                                ['class' => 'form-select form-select-sm', 'id' => 'IsLateral']
                            )->label(false); ?>
                        </div>

                        <div class="col-md-6 IsLateralYes" style="<?= ($model->IsLateral == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063) ? '' : 'display:none' ?>">
                            <label class="">Result Mode <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'ResultModeL',)->dropDownList(yii::$app->params['ResultMode'], [
                                'prompt' => '--Select--', 'id' => 'ResultModeL', 'class' => 'form-select form-select-sm'
                            ])->label(false) ?>
                        </div>
                        <!-- </div> -->
                        <!-- <div class="IsLateralYes" style="<?= ($model->IsLateral == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063) ? '' : 'display:none' ?>"> -->
                        <!-- <div class="LHidemodeDefault " id="resultModeLCGPA" style="<?= ($model->ResultModeL == 2) ? '' : 'display:none' ?>"> -->
                        <!-- <div class="row"> -->
                        <div class="col-md-6 IsLateralYes resultModeLCGPA" style="<?= ($model->IsLateral == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063) && ($model->ResultModeL == 2) ? '' : 'display:none' ?>">
                            <label class="">Max Grade Point <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'MaxGradePointL', ['inputOptions' => ['id' => 'MaxGradePointL', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Max Grade Point"])->label(false) ?>
                        </div>
                        <div class="col-md-6 IsLateralYes resultModeLCGPA" style="<?= ($model->IsLateral == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063) && ($model->ResultModeL == 2) ? '' : 'display:none' ?>">
                            <label class="">Obtained CGPA <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'ObtainedCGPAL', ['inputOptions' => ['id' => 'ObtainedCGPAL', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained CGPA"])->label(false); ?>
                        </div>
                        <div class="col-md-6 IsLateralYes resultModeLCGPA" style="<?= ($model->IsLateral == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063) && ($model->ResultModeL == 2) ? '' : 'display:none' ?>">
                            <label id="pgchangeMark">CGPA Percentage</label>
                            <?= $form->field($model, 'CGPAPercentageL', ['inputOptions' => ['id' => 'CGPAPercentageL', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '5']])->input('text', ['placeholder' => "CGPA Percentage"])->label(false) ?>
                            <div class="text-danger customeFontE">
                                <?php if (Yii::$app->session->hasFlash('error_percentage_criteria_pg')) {
                                    echo Yii::$app->session->getFlash('error_percentage_criteria_pg');
                                } ?>
                            </div>
                        </div>
                        <!-- </div> -->
                        <!-- </div> -->
                        <!-- <div class="LHidemodeDefault" id="resultModeLPer" style="<?= ($model->ResultModeL == 1) ? '' : 'display:none' ?>"> -->
                        <!-- <div class="row"> -->
                        <div class="col-md-6 IsLateralYes resultModeLPer" style="<?= ($model->IsLateral == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063) && ($model->ResultModeL == 1) ? '' : 'display:none' ?>">
                            <label class="">Total Marks <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'TotalMarksL', ['inputOptions' => ['id' => 'TotalMarksL', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Total Mark"])->label(false) ?>
                        </div>
                        <div class="col-md-6 IsLateralYes resultModeLPer" style="<?= ($model->IsLateral == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063) && ($model->ResultModeL == 1) ? '' : 'display:none' ?>">
                            <label class="">Obtained Marks <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'MarksObtainedL', ['inputOptions' => ['id' => 'MarksObtainedL', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained Marks"])->label(false); ?>
                        </div>
                        <div class="col-md-6 IsLateralYes resultModeLPer" style="<?= ($model->IsLateral == 1) && ($subjectSplization == 10062 || $subjectSplization == 10063) && ($model->ResultModeL == 1) ? '' : 'display:none' ?>">
                            <label id="changeMark">Percentage(%)</label>
                            <?= $form->field($model, 'CgpaPercentageMarksL', ['inputOptions' => ['id' => 'CgpaPercentageMarksL', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "Percentage"])->label(false) ?>
                            <div class="text-danger customeFontE">
                                <?php if (Yii::$app->session->hasFlash('error_percentage_criteria_pg')) {
                                    echo Yii::$app->session->getFlash('error_percentage_criteria_pg');
                                } ?>
                            </div>
                        </div>
                        <!-- </div> -->
                        <!-- </div> -->
                        <!-- </div> -->
                    </div>
                </div>

                <div id="graduationHide" style="<?= ($ApplyCourseID == 2) ? '' : 'display:none' ?>">
                    <div class="col-md-12 mb-1 mt-2"><b> GRADUATE</b></div>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            <label class="">Pass Status <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'PassStatusG')->dropDownList(Yii::$app->params['PassStatus12'], [
                                'prompt' => '--Select--', 'class' => 'form-select form-select-sm', 'id' => 'PassStatusG'
                            ])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <?php
                            if ($model->PassStatusG == 2) {
                                $getRangeg = Yii::$app->params['showOnly24'];
                            } else {
                                $getRangeg = $dateRangeOther;
                            }
                            ?>
                            <label class="">Passing of Year/Appearing <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'PassingYearG')->dropDownList($getRangeg, ['class' => 'form-select form-select-sm pgDisabled', 'id' => 'PassingYearG', 'prompt' => '--Select--'])->label(false) ?>
                        </div>
                        <div class="col-md-6" style="<?php if (($subjectSplization == 10075  || $subjectSplization == 10076 || $subjectSplization == 10077) && $ApplyCourseID == 2) {
                                                            echo '';
                                                        } else {
                                                            echo 'display:none';
                                                        } ?>"> <?php
                                                                $QUALIFYING_EXAMG = array();
                                                                if ($subjectSplization == 10075  || $subjectSplization == 10076) {
                                                                    $QUALIFYING_EXAMG = Yii::$app->params['QUALIFYING_EXAM_G_MFM'];
                                                                }
                                                                if ($subjectSplization == 10077) {
                                                                    $QUALIFYING_EXAMG = Yii::$app->params['QUALIFYING_EXAM_G_MF'];
                                                                }
                                                                ?>
                            <label class="">Qualifying Exam <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'QualifyingExamG')->dropDownList(
                                $QUALIFYING_EXAMG,
                                ['class' => 'form-select form-select-sm pgDisabled',  'id' => 'QualifyingExamG', 'prompt' => '--Select-- ']
                            )->label(false); ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Graduation Degree/stream Name</label>
                            <?= $form->field($model, 'CourseStreamG')->textInput(['id' => 'CourseStreamG', 'placeholder' => 'Graduation Degree/stream Name', 'onkeypress' => "return blockSpecialChar(event,'alpha')", 'maxlength' => true, 'class' => 'form-control form-control-sm'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Examination from<span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'ExaminationFromG')->dropDownList(
                                Yii::$app->params['EXAMINATION_FROM_Graduation'],
                                ['class' => 'form-select form-select-sm pgDisabled', 'id' => 'ExaminationFromG', 'prompt' => '--Select-- ']
                            )->label(false); ?>

                        </div>
                        <div class="col-md-6">
                            <label class="">University/Institute<span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'UniversityInstituteG')->dropDownList(
                                $boardAllG,
                                ['class' => 'form-select form-select-sm pgDisabled', 'prompt' => '--Select-- ', 'id' => 'UniversityInstituteG']
                            )->label(false); ?>
                        </div>
                        <div class="col-md-6 pgHidemodeDefault" id="OtherUniversityInstituteDivG" style="<?= ($model->UniversityInstituteG == 0 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                            <label class="">Other University/Institute</label>
                            <?= $form->field($model, 'OtherUniversityInstituteG')->textInput(['id' => 'OtherUniversityInstituteG', 'placeholder' => 'Other University/Institute', 'onkeypress' => "return blockSpecialChar(event,'alpha')", 'maxlength' => true, 'class' => 'form-control form-control-sm'])->label(false) ?>
                        </div>

                        <div class="col-md-6 modeGraduation" style="<?= ($model->PassStatusG == '' || $model->PassStatusG == 2) ? 'display:none' : '' ?>">
                            <label class="">Result Mode <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'ResultModeG',)->dropDownList(yii::$app->params['ResultMode'], [
                                'prompt' => '--Select--', 'id' => 'ResultModeG', 'class' => 'form-select form-select-sm'
                            ])->label(false) ?>
                        </div>

                        <!-- <div class="modeGraduation" style="<?= ($model->PassStatusG == 2) ? 'display:none' : '' ?>">
                            <div class="pgHidemodeDefault" id="resultModeDivG" style="<?= ($model->ResultModeG == 2 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                                <div class="row"> -->
                        <div class="col-md-6 modeGraduation resultModeDivG" style="<?= ($model->ResultModeG == 2 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                            <label class="">Max Grade Point <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'TotalMarksG', ['inputOptions' => ['id' => 'TotalMarksG', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Max Grade Point"])->label(false) ?>
                        </div>
                        <div class="col-md-6 modeGraduation resultModeDivG" style="<?= ($model->ResultModeG == 2 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                            <label class="">Obtained CGPA <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'MarksObtainedG', ['inputOptions' => ['id' => 'MarksObtainedG', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained CGPA"])->label(false); ?>
                        </div>
                        <!-- </div>
                        <div class="row"> -->
                        <div class="col-md-6 modeGraduation resultModeDivG" style="<?= ($model->ResultModeG == 2 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                            <label id="pgchangeMark">CGPA Percentage</label>
                            <?= $form->field($model, 'CgpaPercentageMarksG', ['inputOptions' => ['id' => 'CgpaPercentageMarksG', 'class' => 'form-control form-control-sm', 'onkeypress' => "return isFloatNumber(this,event)", 'maxlength' => '5']])->input('text', ['placeholder' => "CGPA Percentage"])->label(false) ?>
                            <div class="text-danger customeFontE"><?php if (Yii::$app->session->hasFlash('error_percentage_criteria_pg')) {
                                                                        echo Yii::$app->session->getFlash('error_percentage_criteria_pg');
                                                                    } ?>
                            </div>
                        </div>
                        <!-- </div>
                            </div> -->
                        <!-- <div class="pgHidemodeDefault" id="resultModePerDivG" style="<?= ($model->ResultModeG == 1 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                                <div class="row"> -->
                        <div class="col-md-6 modeGraduation resultModePerDivG" style="<?= ($model->ResultModeG == 1 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                            <label class="">Total Marks <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'TotalMarksU', ['inputOptions' => ['id' => 'pgTotalTotalMarksUMarks', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Total Mark"])->label(false) ?>
                        </div>
                        <div class="col-md-6 modeGraduation resultModePerDivG" style="<?= ($model->ResultModeG == 1 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                            <label class="">Obtained Marks <span class="astric-sign">*</span>:</label>
                            <?= $form->field($model, 'MarksObtainedU', ['inputOptions' => ['id' => 'MarksObtainedU', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '4']])->input('text', ['placeholder' => "Obtained Marks"])->label(false); ?>
                        </div>
                        <div class="col-md-6 modeGraduation resultModePerDivG" style="<?= ($model->ResultModeG == 1 && $ApplyCourseID == 2) ? '' : 'display:none' ?>">
                            <label id="changeMark">Percentage(%)</label>
                            <?= $form->field($model, 'percentageU', ['inputOptions' => ['id' => 'percentageU', 'class' => 'form-control form-control-sm', 'onkeypress' => "return blockSpecialChar(event,'numeric')", 'readonly' => 'readonly']])->input('text', ['placeholder' => "Percentage"])->label(false) ?>
                            <div class="text-danger customeFontE"><?php if (Yii::$app->session->hasFlash('error_percentage_criteria_pg')) {
                                                                        echo Yii::$app->session->getFlash('error_percentage_criteria_pg');
                                                                    } ?>
                            </div>
                        </div>
                        <!-- </div>
                            </div>
                        </div> -->
                        <div class="col-md-6">
                            <label class="">Institute Name and Address<span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'InstituteNameG')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'id'=> 'InstituteNameG', 'placeholder' => 'Institute Name and Address', 'maxlength' => true, 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                        </div>
                        <div class="col-md-6">
                            <label class="">Institute Pincode <span class="astric-sign pgHidemode">*</span>:</label>
                            <?= $form->field($model, 'InstitutePincodeG')->textInput(['onkeypress' => "return nameAndAddressWithSpecialChar(event)", 'id' => 'InstitutePincodeG', 'placeholder' => 'Institute Pincode ', 'maxlength' => true, 'class' => 'form-control form-control-sm pgDisabled'])->label(false) ?>
                            <p style="margin-top:-10px" class="text-danger" id="InstitutePincodeGError"></p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="row mb-4">
                        <label class="col-sm-4 text-end col-form-label">Captcha <span class="astric-sign">*</span>:</label>
                        <div class="col-sm-6">
                            <?= $form->field($model, 'verifyCode')->widget(Captcha::class, [
                                'captchaAction' => '/application/qualification/captcha',
                                'template' => '<div class="row"><div class="col-lg-5">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-7">{input}</div></div>',
                                'options' => ['placeholder' => 'Enter verification code', 'id' => 'my-captcha-image', 'class' => 'form-control form-control-sm'],
                            ])->label(false) ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <?= $form->field($model, 'clarification')
                            ->checkbox(
                                ['uncheck' => null, 'label' => Yii::$app->params['AgreeLable'], 'id' => 'clarification', 'class' => "chk1"]
                            ); ?>
                        <?= Yii::$app->params['IundertakeText'] ?><br>
                        <?= Yii::$app->params['AgreeText'] ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 mt-5">
                        <?= Html::a('<i class="ri-arrow-left-circle-line float-end ms-1"></i> Back', ['../' . $backLink], ['class' => 'btn btn-warning btn-sm float-end userActivityBtn', 'style' => 'float:left !important', 'data-modulename' => 'Qualification-Details', 'data-activityname' => 'Previous-Button']) ?>
                        <?php // Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right', 'onClick' => 'return submitFormMessage("qualification-form","refresh_captcha","clarification")']) 
                        ?>
                        <?php echo Html::submitButton('<i class="ri-save-line float-start me-1"></i> Save & Next <i class="ri-arrow-right-circle-line float-end ms-1"></i>', ['class' => 'btn btn-warning btn-sm float-end', 'style' => 'float:right']) ?>
                    </div>
                </div>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
</div>

<script>
    
   

    //$(".loader").show();
    $(document).ready(function() {

        var MasterDeg = <?php echo json_encode($ApplyCourseID); ?>;
        if(MasterDeg == 1){
            // alert("sdsadas");

            $('#PassStatusG').val('');
            $('#PassingYearG').val('');
            $('#QualifyingExamG').val('');
            $('#CourseStreamG').val('');
            $('#ExaminationFromG').val('');
            $('#UniversityInstituteG').val('');
            $('#OtherUniversityInstituteG').val('');
            $('#ResultModeG').val('');
            $('#MarksObtainedG').val('');
            $('#TotalMarksG').val('');
            $('#CgpaPercentageMarksG').val('');
            $('#pgTotalTotalMarksUMarks').val('');
            $('#MarksObtainedU').val('');
            $('#percentageU').val('');
            $('#InstituteNameG').val('');
            $('#InstitutePincodeG').val('');

        }


        $("#qualification-form").on("beforeSubmit", function(event, messages) {
            SimpleLoading.start();
            return true;
        });

        var PassingYearID10 = $('#PassingYear10').val();
        var SchoolBoardID10 = $('#SchoolBoard10').val();

        if (PassingYearID10 == 2021 && SchoolBoardID10 == 25) {
            $('.ResultMode10DIVID').hide();
            $("#ResultMode10  option:selected").removeAttr("selected");
            $("#ResultMode10").val('');

            $('.resultModeDiv10').hide();
            $('#TotalMarks10').val('');
            $('#MarksObtained10').val('');
            $('#CgpaPercentageMarks10').val('');

            $('.resultModePerDiv10').hide();
            $('#TotalMarksOT').val('');
            $('#MarksObtainedOT').val('');
            $('#percentageOT').val('');

        } 
        // else {
        //     $('.ResultMode10DIVID').show();
        //     $('.resultModeDiv10').show();
        //     $('.resultModePerDiv10').show();
        // }

    });

    jQuery(document).ready(function() {

        $("#ResultMode10").on("change", function() {
            var modeval = $(this).val();
            if (modeval == 2) {
                $('.resultModeDiv10').show();
                $('.resultModePerDiv10').hide();
            } else if (modeval == 1) {
                $('.resultModePerDiv10').show();
                $('.resultModeDiv10').hide();
            } else {
                $('.resultModeDiv10').hide();
                $('.resultModePerDiv10').hide();
            }
        });


        $("#ResultMode12").on("change", function() {
            var modeval = $(this).val();
            if (modeval == 2) {
                $('.resultModeDiv12').show();
                $('.resultModePerDiv12').hide();
                
                $('#TotalMarksOTW').val('');
                $('#MarksObtainedOTW').val('');
                $('#percentageOTW').val('');

            } else if (modeval == 1) {

                $('.resultModePerDiv12').show();
                $('.resultModeDiv12').hide();

                $('#TotalMarks12').val('');
                $('#MarksObtained12').val('');
                $('#CgpaPercentageMarks12').val('');

            } else {
                $('#TotalMarksOTW').val('');
                $('#MarksObtainedOTW').val('');
                $('#percentageOTW').val('');
                
                $('#TotalMarks12').val('');
                $('#MarksObtained12').val('');
                $('#CgpaPercentageMarks12').val('');

                $('.resultModeDiv12').hide();
                $('.resultModePerDiv12').hide();
            }
        });


        $("#ResultModeG").on("change", function() {
            var modeval = $(this).val();
            if (modeval == 2) {
                $('.resultModeDivG').show();
                $('.resultModePerDivG').hide();
            } else if (modeval == 1) {
                $('.resultModePerDivG').show();
                $('.resultModeDivG').hide();
            } else {
                $('.resultModeDivG').hide();
                $('.resultModePerDivG').hide();
            }
        });


        $("#SchoolBoard10").on("change", function() {
            var modeval = $(this).val();

            if (modeval == 0) {
                $('#OtherSchoolBoard10').show();
            } else {
                $('#OtherSchoolBoard10').hide();
            }
        });

        $("#QualifyingState10").on("change", function() {
            var modeval = $(this).val();
            if (modeval == 0) {
                $('#QualifyingDistrictDiv10').hide();
            } else {
                $('#QualifyingDistrictDiv10').show();
            }
        });
        $("#SchoolBoard12").on("change", function() {
            var modeval = $(this).val();
            if (modeval == 0) {
                $('#OtherSchoolBoardDiv12').show();
            } else {
                $('#OtherSchoolBoardDiv12').hide();
            }
        });
        $("#QualifyingState12").on("change", function() {
            var modeval = $(this).val();
            if (modeval == 0) {
                $('#QualifyingDistrictDiv12').hide();
            } else {
                $('#QualifyingDistrictDiv12').show();
            }
        });

        $("#UniversityInstituteG").on("change", function() {
            var modeval = $(this).val();
            if (modeval == 0) {
                $('#OtherUniversityInstituteDivG').show();
            } else {
                $('#OtherUniversityInstituteDivG').hide();
            }
        });
    });


    //HighSchool Passing/Appearing of Year and School Board Name Change condition:
    jQuery(document).on("change", "#PassingYear10,#SchoolBoard10", function() {

    
        var PassingYearID10 = $('#PassingYear10').val();
        var SchoolBoardID10 = $('#SchoolBoard10').val();

        if (PassingYearID10 == 2021 && SchoolBoardID10 == 25) {
            $('.ResultMode10DIVID').hide();
            $("#ResultMode10  option:selected").removeAttr("selected");
            $("#ResultMode10").val('');

            $('.resultModeDiv10').hide();
            $('#TotalMarks10').val('');
            $('#MarksObtained10').val('');
            $('#CgpaPercentageMarks10').val('');

            $('.resultModePerDiv10').hide();
            $('#TotalMarksOT').val('');
            $('#MarksObtainedOT').val('');
            $('#percentageOT').val('');

        } else {
            $('.ResultMode10DIVID').show();
           // $('.resultModeDiv10').show();
           // $('.resultModePerDiv10').show();
        }
    });

    //HighSchool Percentage total calculation:
    jQuery(document).on("keyup", "#TotalMarksOT,#MarksObtainedOT", function() {
        var totalMarks = parseInt($('#TotalMarksOT').val());
        var marksObtained = parseInt($('#MarksObtainedOT').val());
        if (totalMarks > 0 && (totalMarks >= marksObtained)) {
            var percentage = marksObtained / (totalMarks / 100);
            var getamt = parseFloat(percentage).toFixed(2);
            $('#percentageOT').val(getamt);
        } else {
            $('#percentageOT').val('');
            $('#MarksObtainedOT').val('');
        }
    });

    //Intermediate Percentage total calculation:
    jQuery(document).on("keyup", "#TotalMarksOTW,#MarksObtainedOTW", function() {
        var totalMarks = parseInt($('#TotalMarksOTW').val());
        var marksObtained = parseInt($('#MarksObtainedOTW').val());
        if (totalMarks > 0 && totalMarks >= marksObtained) {
            var percentage = (marksObtained * 100) / totalMarks;
            percentage = parseFloat(percentage).toFixed(2);
            $('#percentageOTW').val(percentage);
        } else {
            $('#percentageOTW').val('');
            $('#MarksObtainedOTW').val('');
        }
    });
    //Graduation Percentage total calculation:
    jQuery(document).on("keyup", "#pgTotalTotalMarksUMarks,#MarksObtainedU", function() {
        var totalMarks = parseInt($('#pgTotalTotalMarksUMarks').val());
        var marksObtained = parseInt($('#MarksObtainedU').val());
        if (totalMarks > 0 && totalMarks >= marksObtained) {
            var percentage = (marksObtained * 100) / totalMarks;
            percentage = parseFloat(percentage).toFixed(2);
            $('#percentageU').val(percentage);
        } else {
            $('#percentageU').val('');
            $('#MarksObtainedU').val('');
        }
    });
    jQuery(document).on("blur", "#SchoolPincode10", function() {
        var ss = $('#QualifyingState10 :selected').val();
        var kk = $('#SchoolPincode10').val();
        if (ss > 0) {
            if (Math.floor(kk) == kk && $.isNumeric(kk)) {
                var kk = $('#SchoolPincode10Error').text('');
            } else {
                var kk = $('#SchoolPincode10').val('');
                $('#SchoolPincode10Error').text('Pincode only number required.');
            }
        }
    });
    jQuery(document).on("blur", "#SchoolPincode12", function() {
        var ss = $('#QualifyingState12 :selected').val();
        var kk = $('#SchoolPincode12').val();
        if (ss > 0) {
            if (Math.floor(kk) == kk && $.isNumeric(kk)) {
                var kk = $('#SchoolPincode12Error').text('');
            } else {
                var kk = $('#SchoolPincode12').val('');
                $('#SchoolPincode12Error').text('Pincode only number required.');
            }
        }
    });
    jQuery(document).on("blur", "#InstitutePincodeG", function() {
        var ss = $('#ExaminationFromG :selected').val();
        var kk = $('#InstitutePincodeG').val();
        if (ss > 0) {
            if (Math.floor(kk) == kk && $.isNumeric(kk)) {
                var kk = $('#InstitutePincodeGError').text('');
            } else {
                var kk = $('#InstitutePincodeG').val('');
                $('#InstitutePincodeGError').text('Pincode only number required.');
            }
        }
    });
    //High school cgpa
    //High school max frade point should not be greater than 10:
    // jQuery(document).on("blur", "#TotalMarks10,#MarksObtained10", function() {
    //     var maxCgpaVal = $(this).val();
    //     if ((maxCgpaVal > 10) || (maxCgpaVal < 1)) {
    //         $(this).val('');
    //     }
    //     //console.log(maxCgpaVal);
    // });

    //High school CGPA Validation:
    $(document).on("blur", "#MarksObtained10", function() {
        var maxGradePoint = $("#TotalMarks10").val();
        var cgpaObtained = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#MarksObtained10").val('');
            }
        }
    });
    $(document).on("blur", "#TotalMarks10", function() {
        var cgpaObtained = $("#MarksObtained10").val();
        var maxGradePoint = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#MarksObtained10").val('');
            }
        }
    });

    //Intermediate cgpa
    //Intermediate max frade point should not be greater than 10:
    // jQuery(document).on("blur", "#TotalMarks12,#MarksObtained12", function() {
    //     var maxCgpaVal = $(this).val();
    //     if ((maxCgpaVal > 10) || (maxCgpaVal < 1)) {
    //         $(this).val('');
    //     }
    //    // console.log(maxCgpaVal);
    // });

    //Intermediate CGPA Validation:
    $(document).on("blur", "#MarksObtained12", function() {
        var maxGradePoint = $("#TotalMarks12").val();
        var cgpaObtained = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#MarksObtained12").val('');
            }
        }
    });
    $(document).on("blur", "#TotalMarks12", function() {
        var cgpaObtained = $("#MarksObtained12").val();
        var maxGradePoint = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#MarksObtained12").val('');
            }
        }
    });

    //Graduation  cgpa
    //Graduation  max frade point should not be greater than 10:
    // jQuery(document).on("blur", "#TotalMarksG,#MarksObtainedG", function() {
    //     var maxCgpaVal = $(this).val();
    //     if ((maxCgpaVal > 10) || (maxCgpaVal < 1)) {
    //         $(this).val('');
    //     }
    //     console.log(maxCgpaVal);
    // });

    //Graduation CGPA Validation:
    $(document).on("blur", "#MarksObtainedG", function() {
        var maxGradePoint = $("#TotalMarksG").val();
        var cgpaObtained = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#MarksObtainedG").val('');
            }
        }
    });
    $(document).on("blur", "#TotalMarksG", function() {
        var cgpaObtained = $("#MarksObtainedG").val();
        var maxGradePoint = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#MarksObtainedG").val('');
            }
        }
    });

    $(document).on("blur", "#ObtainedCGPAD", function() {
        var maxGradePoint = $("#MaxGradePointD").val();
        var cgpaObtained = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#ObtainedCGPAD").val('');
            }
        }
    });
    $(document).on("blur", "#MaxGradePointD", function() {
        var cgpaObtained = $("#ObtainedCGPAD").val();
        var maxGradePoint = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#ObtainedCGPAD").val('');
            }
        }
    });

    $(document).on("blur", "#ObtainedCGPAL", function() {
        var maxGradePoint = $("#MaxGradePointL").val();
        var cgpaObtained = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#ObtainedCGPAL").val('');
            }
        }
    });
    $(document).on("blur", "#MaxGradePointL", function() {
        var cgpaObtained = $("#ObtainedCGPAL").val();
        var maxGradePoint = $(this).val();
        cgpaObtained = parseFloat(cgpaObtained);
        if (cgpaObtained !== '' && maxGradePoint !== '') {
            if (cgpaObtained > maxGradePoint) {
                $("#ObtainedCGPAL").val('');
            }
        }
    });

    $("#QualifyingState10").on("change", function() {
        var QualifyingState10 = $('#QualifyingState10').val();
        if (QualifyingState10 > 0) {
            $("#QualifyingDistrictDiv10").show();
            $.ajax({
                url: '<?php echo Yii::$app->request->baseUrl . '/qualification/qualifyingten' ?>',
                type: 'post',
                data: {
                    QualifyingState: QualifyingState10
                },
                beforeSend: function(msg) {
                    $(".loader").show();
                },
                always: function(msg) {
                    $(".loader").hide();
                },
                success: function(response) {
                    var nowget = JSON.parse(response);
                    $('#QualifyingDistrict10').html(nowget.combination);
                    $(".loader").hide();
                },
                error: function(errormessage) {
                    $(".loader").hide();
                }
            });
        } else {
            $("#QualifyingDistrictDiv10").hide();
        }
    });

    $("#QualifyingState12").on("change", function() {
        var QualifyingState12 = $('#QualifyingState12').val();

        if (QualifyingState12 > 0) {
            $("#QualifyingDistrict12").show();
            $.ajax({
                url: '<?php echo Yii::$app->request->baseUrl . '/qualification/qualifyingtwelth' ?>',
                type: 'post',
                data: {
                    QualifyingState: QualifyingState12
                },
                beforeSend: function(msg) {
                    $(".loader").show();
                },
                always: function(msg) {
                    $(".loader").hide();
                },
                success: function(response) {
                    var nowget = JSON.parse(response);
                    $('#QualifyingDistrict12').html(nowget.combination);
                    $(".loader").hide();
                },
                error: function(errormessage) {
                    $(".loader").hide();
                }
            });
        } else {
            $("#QualifyingDistrict12").hide();
        }
    });


    jQuery(document).ready(function() {
        
        var PassStatus12 = $('#PassStatus12').val();
        if (PassStatus12 == 2) {
            
            $('.resultModeDiv12').hide();
            $('.resultModePerDiv12').hide();
            $('.PassingPassStatusHIDE').hide();
            
        } else {

            $('.PassingPassStatusHIDE').show();
            var ResultMode12 = $('#ResultMode12').val();
            if(ResultMode12 == 1){
                $('.resultModeDiv12').hide();
                $('.resultModePerDiv12').show();
            }else{                
                $('.resultModeDiv12').show();
                $('.resultModePerDiv12').hide();
            }
        }
        
        var PassStatusG = $('#PassStatusG').val();
        if (PassStatusG == 2) {
            $('.modeGraduation').hide();
            $('.resultModePerDivG').hide();
            $('.resultModeDivG').hide();
        } else if(PassStatusG == 1) {

            $('.modeGraduation').show();
            var ResultModeG = $('#ResultModeG').val();
            if(ResultModeG == 1){
                $('.resultModePerDivG').show();
                $('.resultModeDivG').hide();
            }else if(ResultModeG == 2){
                $('.resultModePerDivG').hide();
                $('.resultModeDivG').show();
            }else{
                $('.resultModePerDivG').hide();
                $('.resultModeDivG').hide();
            }        
        }else{
            $('.modeGraduation').hide();
            $('.resultModePerDivG').hide();
            $('.resultModeDivG').hide();
        }
    });


    $("#PassStatus12").on("change", function() {
        var PassStatus12 = $(this).val();

        if (PassStatus12 == 2) { // Appearing
            
            // alert("dsdsdsa");

            $('#ResultMode12').val('');
            $('#TotalMarksOTW').val('');
            $('#MarksObtainedOTW').val('');
            $('#percentageOTW').val('');
            $('#TotalMarks12').val('');
            $('#MarksObtained12').val('');
            $('#CgpaPercentageMarks12').val('');

            $('.resultModeDiv12').hide();
            $('.resultModePerDiv12').hide();
            $('.PassingPassStatusHIDE').hide();

        } else { // Passed
            
            $('.PassingPassStatusHIDE').show();
            
            // $('#ResultMode12').val('');
            // $('#TotalMarksOTW').val('');
            // $('#MarksObtainedOTW').val('');
            // $('#percentageOTW').val('');
            // $('#TotalMarks12').val('');
            // $('#MarksObtained12').val('');
            // $('#CgpaPercentageMarks12').val('');

            var ResultMode12 = $('#ResultMode12').val();

            if(ResultMode12 == 1){

                $('.resultModeDiv12').hide();
                $('.resultModePerDiv12').show();
            }else if(ResultMode12 == 2){
                $('.resultModeDiv12').show();
                $('.resultModePerDiv12').hide();
            }else{
                $('.resultModeDiv12').hide();
                $('.resultModePerDiv12').hide();
            }
        }

        $.ajax({
            url: '<?php echo Yii::$app->request->baseUrl . '/qualification/passstatus' ?>',
            type: 'post',
            data: {
                PassStatus: PassStatus12
            },
            beforeSend: function(msg) {
                $(".loader").show();
            },
            always: function(msg) {
                $(".loader").hide();
            },
            success: function(response) {
                var nowget = JSON.parse(response);
                $('#PassingYear12').html(nowget.combination);
                $(".loader").hide();
            },
            error: function(errormessage) {
                $(".loader").hide();
            }
        });
    });

    
    $("#PassStatusG").on("change", function() {
        var PassStatusG = $(this).val();
        if (PassStatusG == 2) {

            $('.modeGraduation').hide();
            $('.resultModePerDivG').hide();
            $('.resultModeDivG').hide();

            $('#ResultModeG').val('');
            $('#TotalMarksG').val('');
            $('#MarksObtainedG').val('');
            $('#CgpaPercentageMarksG').val('');
            $('#pgTotalTotalMarksUMarks').val('');
            $('#MarksObtainedU').val('');
            $('#percentageU').val('');

        } else if(PassStatusG == 1) {
            $('.modeGraduation').show();

            var ResultModeG = $('#ResultModeG').val();
            if(ResultModeG == 1){
                $('.resultModePerDivG').show();
                $('.resultModeDivG').hide();
            }else if(ResultModeG == 2){
                $('.resultModePerDivG').hide();
                $('.resultModeDivG').show();
            }else{
                $('.resultModePerDivG').hide();
                $('.resultModeDivG').hide();
            }
        }else{
            $('.modeGraduation').hide();
            $('.resultModePerDivG').hide();
            $('.resultModeDivG').hide();
        }

        $.ajax({
            url: '<?php echo Yii::$app->request->baseUrl . '/qualification/passstatusgra' ?>',
            type: 'post',
            data: {
                PassStatus: PassStatusG
            },
            beforeSend: function(msg) {
                $(".loader").show();
            },
            always: function(msg) {
                $(".loader").hide();
            },
            success: function(response) {
                var nowget = JSON.parse(response);
                $('#PassingYearG').html(nowget.combination);
                $(".loader").hide();
            },
            error: function(errormessage) {
                $(".loader").hide();
            }
        });
    });


    $(document).ready(function() {
        $("#IsDiploma").on('change', function() {
            var IsDiploma = $(this).val();
            //   console.log(IsDiploma)
            var title = 2;
            $("#PassStatus12 option[value=" + title + "]").show();
            if (IsDiploma == 1) {
                $('#IsDiplomaYes').show();
                $('#IsDiplomaNo').hide();
    
                $('#PassStatus12').val('');
                $('#PassingYear12').val('');
                $('#QualifyingExam12').val('');
                $('#pg-qualifying-exam-country_type').val('');
                $('#TypeOfSchoolCollage12').val('');
                $('#QualifyingState12').val('');
                $('#QualifyingDistrict12').val('');
                // $('#SchoolBoard12').val('');
                $('#SchoolBoard12').val(null); 
                // $('#SchoolBoard12').val('').prop('disabled', false);
                $('#ResultMode12').val('');                
                $('#TotalMarksOTW').val('');
                $('#MarksObtainedOTW').val('');
                $('#percentageOTW').val('');
                $('#candidatequalificationdetailstblfinal-rollnumber12').val('');
                $('#candidatequalificationdetailstblfinal-schoolnameaddress12').val('');
                $('#SchoolPincode12').val('');
                $('#IsLateral').val(null);
                $('#ResultModeL').val('');
                $('#TotalMarksL').val('');
                $('#MarksObtainedL').val('');
                $('#CgpaPercentageMarksL').val('');

            } else {
                $("#PassStatus12 option[value=" + title + "]").hide();
                $('#IsDiplomaNo').show();
                $('#IsDiplomaYes').hide();
            }
        });

        $("#ResultModeD").on('change', function() {
            var ResultModeD = $(this).val();
            //console.log(ResultModeD)
            if (ResultModeD == 2) {
                $('#ResultModeDCGPA').show();
                $('#ResultModeDPer').hide();
            } else {
                $('#ResultModeDPer').show();
                $('#ResultModeDCGPA').hide();
            }
        });
        $("#IsLateral").on('change', function() {
            var IsLateral = $(this).val();
            // console.log(IsLateral)            
            $("#ResultModeL").val('');
            if (IsLateral == 1) {
                $('.IsLateralYes').show();
            } else {
                $('.IsLateralYes').hide();
            }
            $('.resultModeLPer').hide();
            $('.resultModeLCGPA').hide();
        });
        $("#ResultModeL").on('change', function() {
            var ResultModeL = $(this).val();
            console.log(ResultModeL)
            if (ResultModeL == 2) {
                $('.resultModeLCGPA').show();
                $('.resultModeLPer').hide();
            } else {
                $('.resultModeLPer').show();
                $('.resultModeLCGPA').hide();
            }
        });
    });

    //DIPLOMA Percentage total calculation:
    //DIPLOMA Percentage total calculation: 
    jQuery(document).on("keyup", "#TotalMarksD,#MarksObtainedD", function() {
        var totalMarks = parseInt($('#TotalMarksD').val());
        var marksObtained = parseInt($('#MarksObtainedD').val());
        if (totalMarks > 0 && (totalMarks >= marksObtained)) {
            var percentage = marksObtained / (totalMarks / 100);
            var getamt = parseFloat(percentage).toFixed(2);
            $('#CgpaPercentageMarksD').val(getamt);
        } else {
            $('#CgpaPercentageMarksD').val('');
            $('#MarksObtainedD').val('');
        }
    });

    //Lateral Percentage total calculation:
    jQuery(document).on("keyup", "#TotalMarksL,#MarksObtainedL", function() {
        var totalMarks = parseInt($('#TotalMarksL').val());
        var marksObtained = parseInt($('#MarksObtainedL').val());
        if (totalMarks > 0 && totalMarks >= marksObtained) {
            var percentage = (marksObtained * 100) / totalMarks;
            percentage = parseFloat(percentage).toFixed(2);
            $('#CgpaPercentageMarksL').val(percentage);
        } else {
            $('#CgpaPercentageMarksL').val('');
            $('#MarksObtainedL').val('');
        }
    });
    jQuery(document).on("change", "#PassingYear12", function() {
        var PassingYear10 = parseInt($('#PassingYear10').val()) + 2;
        var PassingYear12 = parseInt($('#PassingYear12').val());
        if (PassingYear10 > PassingYear12) {
            $("#PassingYear12  option:selected").removeAttr("selected");
            $("#PassingYear12").val('');
        }

    });
    jQuery(document).on("change", "#PassingYear10", function() {
        var PassingYear10 = parseInt($('#PassingYear10').val()) + 2;
        var PassingYear12 = parseInt($('#PassingYear12').val());
        if (PassingYear10 > PassingYear12) {
            $("#PassingYear10  option:selected").removeAttr("selected");
            $("#PassingYear10").val('');
        }

    });
</script>